/*  Delete Trigger 'T_D_TAXRATE' for Table 'TAXRATE'  */    CREATE TRIGGER [dbo].[T_D_TAXRATE] ON [dbo].[TAXRATE] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'TAXRATE' cannot be deleted if children exist in 'ARINVCH'  */    IF EXISTS (             SELECT 1             FROM   ARINVCH c, deleted d             WHERE  c.TAXCODE = d.TAXCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARINVCH". Cannot delete parent "TAXRATE".'          GOTO error     END    /*  Parent in 'TAXRATE' cannot be deleted if children exist in 'ARMAST'  */    IF EXISTS (             SELECT 1             FROM   ARMAST c, deleted d             WHERE  c.TAXCODE = d.TAXCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARMAST". Cannot delete parent "TAXRATE".'          GOTO error     END    /*  Parent in 'TAXRATE' cannot be deleted if children exist in 'ARRCT'  */    IF EXISTS (             SELECT 1             FROM   ARRCT c, deleted d             WHERE  c.TAXCODE = d.TAXCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARRCT". Cannot delete parent "TAXRATE".'          GOTO error     END    /*  Parent in 'TAXRATE' cannot be deleted if children exist in 'ARVAT'  */    IF EXISTS (             SELECT 1             FROM   ARVAT c, deleted d             WHERE  c.TAXCODE = d.TAXCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARVAT". Cannot delete parent "TAXRATE".'          GOTO error     END    /*  Parent in 'TAXRATE' cannot be deleted if children exist in 'COMAST'  */    IF EXISTS (             SELECT 1             FROM   COMAST c, deleted d             WHERE  c.TAXCODE = d.TAXCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMAST". Cannot delete parent "TAXRATE".'          GOTO error     END    /*  Parent in 'TAXRATE' cannot be deleted if children exist in 'CUSTOMER'  */    IF EXISTS (             SELECT 1             FROM   CUSTOMER c, deleted d             WHERE  c.TAXCODE = d.TAXCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CUSTOMER". Cannot delete parent "TAXRATE".'          GOTO error     END    /*  Parent in 'TAXRATE' cannot be deleted if children exist in 'OEINVCH'  */    IF EXISTS (             SELECT 1             FROM   OEINVCH c, deleted d             WHERE  c.TAXCODE = d.TAXCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "OEINVCH". Cannot delete parent "TAXRATE".'          GOTO error     END    /*  Parent in 'TAXRATE' cannot be deleted if children exist in 'SHIPADDR'  */    IF EXISTS (             SELECT 1             FROM   SHIPADDR c, deleted d             WHERE  c.TAXCODE = d.TAXCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "SHIPADDR". Cannot delete parent "TAXRATE".'          GOTO error     END    /*  Parent in 'TAXRATE' cannot be deleted if children exist in 'TAXRATE'  */    IF EXISTS (             SELECT 1             FROM   TAXRATE c, deleted d             WHERE  c.REFTAX = d.TAXCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "TAXRATE". Cannot delete parent "TAXRATE".'          GOTO error     END    /*  Parent in 'TAXRATE' cannot be deleted if children exist in 'COINVCH'  */    IF EXISTS (             SELECT 1             FROM   COINVCH c, deleted d             WHERE  c.TAXCODE = d.TAXCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COINVCH". Cannot delete parent "TAXRATE".'          GOTO error     END    /*  Parent in 'TAXRATE' cannot be deleted if children exist in 'MULRCDD'  */    IF EXISTS (             SELECT 1             FROM   MULRCDD c, deleted d             WHERE  c.TAXCODE = d.TAXCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MULRCDD". Cannot delete parent "TAXRATE".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_COMMH' for Table 'COMMH'  */    CREATE TRIGGER [dbo].[T_D_COMMH] ON [dbo].[COMMH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'COMMH' cannot be deleted if children exist in 'COMMX'  */    IF EXISTS (             SELECT 1             FROM   COMMX c, deleted d             WHERE  c.COMINVNO = d.COMINVNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMMX". Cannot delete parent "COMMH".'          GOTO error     END    /*  Parent in 'COMMH' cannot be deleted if children exist in 'ARSHIPHT'  */    IF EXISTS (             SELECT 1             FROM   ARSHIPHT c, deleted d             WHERE  c.OENO = d.COMINVNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARSHIPHT". Cannot delete parent "COMMH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_POSHIPH' for Table 'POSHIPH'  */    CREATE TRIGGER [dbo].[T_U_POSHIPH] ON [dbo].[POSHIPH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'POSHIPH' into its children in 'POSHIPD'  */    IF UPDATE(VENDORID) OR     UPDATE(SHIPMENTID)     BEGIN          UPDATE POSHIPD          SET    SHIPMENTID = i.SHIPMENTID ,                 VENDORID = i.VENDORID          FROM   POSHIPD c, inserted i, deleted d          WHERE  c.SHIPMENTID = d.SHIPMENTID AND                 c.VENDORID = d.VENDORID          AND    (i.SHIPMENTID != d.SHIPMENTID OR                 i.VENDORID != d.VENDORID)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_STMTCYCL' for Table 'STMTCYCL'  */    CREATE TRIGGER [dbo].[T_D_STMTCYCL] ON [dbo].[STMTCYCL] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'STMTCYCL' cannot be deleted if children exist in 'ARMAST'  */    IF EXISTS (             SELECT 1             FROM   ARMAST c, deleted d             WHERE  c.STMTCYCLE = d.STMTCYCLE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARMAST". Cannot delete parent "STMTCYCL".'          GOTO error     END    /*  Parent in 'STMTCYCL' cannot be deleted if children exist in 'CUSTOMER'  */    IF EXISTS (             SELECT 1             FROM   CUSTOMER c, deleted d             WHERE  c.STMTCYCLE = d.STMTCYCLE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CUSTOMER". Cannot delete parent "STMTCYCL".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_COMTAXH' for Table 'COMTAXH'  */    CREATE TRIGGER [dbo].[T_D_COMTAXH] ON [dbo].[COMTAXH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'COMTAXH' cannot be deleted if children exist in 'COMTAXX'  */    IF EXISTS (             SELECT 1             FROM   COMTAXX c, deleted d             WHERE  c.COMINVNO = d.COMINVNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMTAXX". Cannot delete parent "COMTAXH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_LEAVE' for Table 'LEAVE'  */    CREATE TRIGGER [dbo].[T_U_LEAVE] ON [dbo].[LEAVE] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'LEAVE' into its children in 'LEAVEPEH'  */    IF UPDATE(COMPCODE) OR     UPDATE(LEAVECODE)     BEGIN          UPDATE LEAVEPEH          SET    COMPCODE = i.COMPCODE ,                 LEAVECODE = i.LEAVECODE          FROM   LEAVEPEH c, inserted i, deleted d          WHERE  c.COMPCODE = d.COMPCODE AND                 c.LEAVECODE = d.LEAVECODE          AND    (i.COMPCODE != d.COMPCODE OR                 i.LEAVECODE != d.LEAVECODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_BRANCH' for Table 'BRANCH'  */    CREATE TRIGGER [dbo].[T_U_BRANCH] ON [dbo].[BRANCH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'BRANCH' into its children in 'DEPT'  */    IF UPDATE(COMPCODE) OR     UPDATE(BRNCODE)     BEGIN          UPDATE DEPT          SET    COMPCODE = i.COMPCODE ,                 BRNCODE = i.BRNCODE          FROM   DEPT c, inserted i, deleted d          WHERE  c.COMPCODE = d.COMPCODE AND                 c.BRNCODE = d.BRNCODE          AND    (i.COMPCODE != d.COMPCODE OR                 i.BRNCODE != d.BRNCODE)     END    /*  Cascade the Update of the Primary Key of 'BRANCH' into its children in 'STDTIME'  */    IF UPDATE(COMPCODE) OR     UPDATE(BRNCODE)     BEGIN          UPDATE STDTIME          SET    COMPCODE = i.COMPCODE ,                 BRNCODE = i.BRNCODE          FROM   STDTIME c, inserted i, deleted d          WHERE  c.COMPCODE = d.COMPCODE AND                 c.BRNCODE = d.BRNCODE          AND    (i.COMPCODE != d.COMPCODE OR                 i.BRNCODE != d.BRNCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_CALTABH' for Table 'CALTABH'  */    CREATE TRIGGER [dbo].[T_D_CALTABH] ON [dbo].[CALTABH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'CALTABH' cannot be deleted if children exist in 'CALTABD'  */    IF EXISTS (             SELECT 1             FROM   CALTABD c, deleted d             WHERE  c.TABCODE = d.TABCODE AND                    c.COMPCODE = d.COMPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CALTABD". Cannot delete parent "CALTABH".'          GOTO error     END    /*  Parent in 'CALTABH' cannot be deleted if children exist in 'DEDUCT'  */    IF EXISTS (             SELECT 1             FROM   DEDUCT c, deleted d             WHERE  c.TABCODE = d.TABCODE AND                    c.COMPCODE = d.COMPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "DEDUCT". Cannot delete parent "CALTABH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_IMPORTH' for Table 'IMPORTH'  */    CREATE TRIGGER [dbo].[T_U_IMPORTH] ON [dbo].[IMPORTH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'IMPORTH' into its children in 'IMPORTD'  */    IF UPDATE(IMPNO)     BEGIN          UPDATE IMPORTD          SET    IMPNO = i.IMPNO          FROM   IMPORTD c, inserted i, deleted d          WHERE  c.IMPNO = d.IMPNO          AND    (i.IMPNO != d.IMPNO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_CUSTCLAS' for Table 'CUSTCLAS'  */    CREATE TRIGGER [dbo].[T_U_CUSTCLAS] ON [dbo].[CUSTCLAS] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'CUSTCLAS' cannot be modified if children exist in 'ARBAL'  */    IF UPDATE(CUSTCLASS)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARBAL c, inserted i, deleted d                  WHERE  c.CUSTCLASS = d.CUSTCLASS                  AND   (i.CUSTCLASS != d.CUSTCLASS)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARBAL". Cannot modify Primary Key in "CUSTCLAS".'               GOTO error          END  END    /*  The Primary Key of 'CUSTCLAS' cannot be modified if children exist in 'ARBALH'  */    IF UPDATE(CUSTCLASS)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARBALH c, inserted i, deleted d                  WHERE  c.CUSTCLASS = d.CUSTCLASS                  AND   (i.CUSTCLASS != d.CUSTCLASS)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARBALH". Cannot modify Primary Key in "CUSTCLAS".'               GOTO error          END  END    /*  The Primary Key of 'CUSTCLAS' cannot be modified if children exist in 'ARDET'  */    IF UPDATE(CUSTCLASS)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARDET c, inserted i, deleted d                  WHERE  c.CUSTCLASS = d.CUSTCLASS                  AND   (i.CUSTCLASS != d.CUSTCLASS)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARDET". Cannot modify Primary Key in "CUSTCLAS".'               GOTO error          END  END    /*  The Primary Key of 'CUSTCLAS' cannot be modified if children exist in 'GLARDIST'  */    IF UPDATE(CUSTCLASS)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   GLARDIST c, inserted i, deleted d                  WHERE  c.CUSTCLASS = d.CUSTCLASS                  AND   (i.CUSTCLASS != d.CUSTCLASS)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "GLARDIST". Cannot modify Primary Key in "CUSTCLAS".'               GOTO error          END  END    /*  The Primary Key of 'CUSTCLAS' cannot be modified if children exist in 'SHIPHIST'  */    IF UPDATE(CUSTCLASS)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   SHIPHIST c, inserted i, deleted d                  WHERE  c.CUSTCLASS = d.CUSTCLASS                  AND   (i.CUSTCLASS != d.CUSTCLASS)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "SHIPHIST". Cannot modify Primary Key in "CUSTCLAS".'               GOTO error          END  END    /*  Cascade the Update of the Primary Key of 'CUSTCLAS' into its children in 'ARINVCH'  */    IF UPDATE(CUSTCLASS)     BEGIN          UPDATE ARINVCH          SET    CUSTCLASS = i.CUSTCLASS          FROM   ARINVCH c, inserted i, deleted d          WHERE  c.CUSTCLASS = d.CUSTCLASS          AND    (i.CUSTCLASS != d.CUSTCLASS)     END    /*  Cascade the Update of the Primary Key of 'CUSTCLAS' into its children in 'ARMAST'  */    IF UPDATE(CUSTCLASS)     BEGIN          UPDATE ARMAST          SET    CUSTCLASS = i.CUSTCLASS          FROM   ARMAST c, inserted i, deleted d          WHERE  c.CUSTCLASS = d.CUSTCLASS          AND    (i.CUSTCLASS != d.CUSTCLASS)     END    /*  Cascade the Update of the Primary Key of 'CUSTCLAS' into its children in 'ARRCT'  */    IF UPDATE(CUSTCLASS)     BEGIN          UPDATE ARRCT          SET    CUSTCLASS = i.CUSTCLASS          FROM   ARRCT c, inserted i, deleted d          WHERE  c.CUSTCLASS = d.CUSTCLASS          AND    (i.CUSTCLASS != d.CUSTCLASS)     END    /*  Cascade the Update of the Primary Key of 'CUSTCLAS' into its children in 'COMAST'  */    IF UPDATE(CUSTCLASS)     BEGIN          UPDATE COMAST          SET    CUSTCLASS = i.CUSTCLASS          FROM   COMAST c, inserted i, deleted d          WHERE  c.CUSTCLASS = d.CUSTCLASS          AND    (i.CUSTCLASS != d.CUSTCLASS)     END    /*  Cascade the Update of the Primary Key of 'CUSTCLAS' into its children in 'CUSTOMER'  */    IF UPDATE(CUSTCLASS)     BEGIN          UPDATE CUSTOMER          SET    CUSTCLASS = i.CUSTCLASS          FROM   CUSTOMER c, inserted i, deleted d          WHERE  c.CUSTCLASS = d.CUSTCLASS          AND    (i.CUSTCLASS != d.CUSTCLASS)     END    /*  Cascade the Update of the Primary Key of 'CUSTCLAS' into its children in 'OEINVCH'  */    IF UPDATE(CUSTCLASS)     BEGIN          UPDATE OEINVCH          SET    CUSTCLASS = i.CUSTCLASS          FROM   OEINVCH c, inserted i, deleted d          WHERE  c.CUSTCLASS = d.CUSTCLASS          AND    (i.CUSTCLASS != d.CUSTCLASS)     END    /*  Cascade the Update of the Primary Key of 'CUSTCLAS' into its children in 'PRICE'  */    IF UPDATE(CUSTCLASS)     BEGIN          UPDATE PRICE          SET    CUSTCLASS = i.CUSTCLASS          FROM   PRICE c, inserted i, deleted d          WHERE  c.CUSTCLASS = d.CUSTCLASS          AND    (i.CUSTCLASS != d.CUSTCLASS)     END    /*  Cascade the Update of the Primary Key of 'CUSTCLAS' into its children in 'COINVCH'  */    IF UPDATE(CUSTCLASS)     BEGIN          UPDATE COINVCH          SET    CUSTCLASS = i.CUSTCLASS          FROM   COINVCH c, inserted i, deleted d          WHERE  c.CUSTCLASS = d.CUSTCLASS          AND    (i.CUSTCLASS != d.CUSTCLASS)     END    /*  Cascade the Update of the Primary Key of 'CUSTCLAS' into its children in 'MULRCDD'  */    IF UPDATE(CUSTCLASS)     BEGIN          UPDATE MULRCDD          SET    CUSTCLASS = i.CUSTCLASS          FROM   MULRCDD c, inserted i, deleted d          WHERE  c.CUSTCLASS = d.CUSTCLASS          AND    (i.CUSTCLASS != d.CUSTCLASS)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_COMAST' for Table 'COMAST'  */    CREATE TRIGGER [dbo].[T_D_COMAST] ON [dbo].[COMAST] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'COMAST' cannot be deleted if children exist in 'CODET'  */    IF EXISTS (             SELECT 1             FROM   CODET c, deleted d             WHERE  c.OENO = d.OENO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CODET". Cannot delete parent "COMAST".'          GOTO error     END    /*  Parent in 'COMAST' cannot be deleted if children exist in 'ARSHIP'  */    IF EXISTS (             SELECT 1             FROM   ARSHIP c, deleted d             WHERE  c.OENO = d.OENO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARSHIP". Cannot delete parent "COMAST".'          GOTO error     END    /*  Parent in 'COMAST' cannot be deleted if children exist in 'ORDHOLD'  */    IF EXISTS (             SELECT 1             FROM   ORDHOLD c, deleted d             WHERE  c.OENO = d.OENO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ORDHOLD". Cannot delete parent "COMAST".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_IEXPENSE' for Table 'IEXPENSE'  */    CREATE TRIGGER [dbo].[T_U_IEXPENSE] ON [dbo].[IEXPENSE] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'IEXPENSE' into its children in 'AEXP_HST'  */    IF UPDATE(IEXP_TYPE)     BEGIN          UPDATE AEXP_HST          SET    IEXP_TYPE = i.IEXP_TYPE          FROM   AEXP_HST c, inserted i, deleted d          WHERE  c.IEXP_TYPE = d.IEXP_TYPE          AND    (i.IEXP_TYPE != d.IEXP_TYPE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_DEDPER' for Table 'DEDPER'  */    CREATE TRIGGER [dbo].[T_U_DEDPER] ON [dbo].[DEDPER] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'DEDPER' cannot be modified if children exist in 'EMPPRREG'  */    IF UPDATE(COMPCODE) OR     UPDATE(BRNCODE) OR     UPDATE(DEPTCODE) OR     UPDATE(EMPCODE) OR     UPDATE(PERIOD) OR     UPDATE(MONTH) OR     UPDATE(YEAR) OR     UPDATE(DEFSEQ) OR     UPDATE(TYPE) OR     UPDATE(TRANTYPE) OR     UPDATE(TRANCODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   EMPPRREG c, inserted i, deleted d                  WHERE  c.DEFSEQ = d.DEFSEQ AND                         c.TYPE = d.TYPE AND                         c.TRANTYPE = d.TRANTYPE AND                         c.TRANCODE = d.TRANCODE AND                         c.COMPCODE = d.COMPCODE AND                         c.EMPCODE = d.EMPCODE AND                         c.PERIOD = d.PERIOD AND                         c.MONTH = d.MONTH AND                         c.YEAR = d.YEAR AND                         c.BRNCODE = d.BRNCODE AND                         c.DEPTCODE = d.DEPTCODE                  AND   (i.DEFSEQ != d.DEFSEQ OR                         i.TYPE != d.TYPE OR                         i.TRANTYPE != d.TRANTYPE OR                         i.TRANCODE != d.TRANCODE OR                         i.COMPCODE != d.COMPCODE OR                         i.EMPCODE != d.EMPCODE OR                         i.PERIOD != d.PERIOD OR                         i.MONTH != d.MONTH OR                         i.YEAR != d.YEAR OR                         i.BRNCODE != d.BRNCODE OR                         i.DEPTCODE != d.DEPTCODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "EMPPRREG". Cannot modify Primary Key in "DEDPER".'               GOTO error          END  END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_INVMTLTH' for Table 'INVMTLTH'  */    CREATE TRIGGER [dbo].[T_U_INVMTLTH] ON [dbo].[INVMTLTH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'INVMTLTH' into its children in 'INVMTLTR'  */    IF UPDATE(TRFNO)     BEGIN          UPDATE INVMTLTR          SET    TRFNO = i.TRFNO          FROM   INVMTLTR c, inserted i, deleted d          WHERE  c.TRFNO = d.TRFNO          AND    (i.TRFNO != d.TRFNO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_CUSTCLAS' for Table 'CUSTCLAS'  */    CREATE TRIGGER [dbo].[T_D_CUSTCLAS] ON [dbo].[CUSTCLAS] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'CUSTCLAS' cannot be deleted if children exist in 'ARBAL'  */    IF EXISTS (             SELECT 1             FROM   ARBAL c, deleted d             WHERE  c.CUSTCLASS = d.CUSTCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARBAL". Cannot delete parent "CUSTCLAS".'          GOTO error     END    /*  Parent in 'CUSTCLAS' cannot be deleted if children exist in 'ARBALH'  */    IF EXISTS (             SELECT 1             FROM   ARBALH c, deleted d             WHERE  c.CUSTCLASS = d.CUSTCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARBALH". Cannot delete parent "CUSTCLAS".'          GOTO error     END    /*  Parent in 'CUSTCLAS' cannot be deleted if children exist in 'ARDET'  */    IF EXISTS (             SELECT 1             FROM   ARDET c, deleted d             WHERE  c.CUSTCLASS = d.CUSTCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARDET". Cannot delete parent "CUSTCLAS".'          GOTO error     END    /*  Parent in 'CUSTCLAS' cannot be deleted if children exist in 'ARINVCH'  */    IF EXISTS (             SELECT 1             FROM   ARINVCH c, deleted d             WHERE  c.CUSTCLASS = d.CUSTCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARINVCH". Cannot delete parent "CUSTCLAS".'          GOTO error     END    /*  Parent in 'CUSTCLAS' cannot be deleted if children exist in 'ARMAST'  */    IF EXISTS (             SELECT 1             FROM   ARMAST c, deleted d             WHERE  c.CUSTCLASS = d.CUSTCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARMAST". Cannot delete parent "CUSTCLAS".'          GOTO error     END    /*  Parent in 'CUSTCLAS' cannot be deleted if children exist in 'ARRCT'  */    IF EXISTS (             SELECT 1             FROM   ARRCT c, deleted d             WHERE  c.CUSTCLASS = d.CUSTCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARRCT". Cannot delete parent "CUSTCLAS".'          GOTO error     END    /*  Parent in 'CUSTCLAS' cannot be deleted if children exist in 'COMAST'  */    IF EXISTS (             SELECT 1             FROM   COMAST c, deleted d             WHERE  c.CUSTCLASS = d.CUSTCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMAST". Cannot delete parent "CUSTCLAS".'          GOTO error     END    /*  Parent in 'CUSTCLAS' cannot be deleted if children exist in 'CUSTOMER'  */    IF EXISTS (             SELECT 1             FROM   CUSTOMER c, deleted d             WHERE  c.CUSTCLASS = d.CUSTCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CUSTOMER". Cannot delete parent "CUSTCLAS".'          GOTO error     END    /*  Parent in 'CUSTCLAS' cannot be deleted if children exist in 'GLARDIST'  */    IF EXISTS (             SELECT 1             FROM   GLARDIST c, deleted d             WHERE  c.CUSTCLASS = d.CUSTCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "GLARDIST". Cannot delete parent "CUSTCLAS".'          GOTO error     END    /*  Parent in 'CUSTCLAS' cannot be deleted if children exist in 'OEINVCH'  */    IF EXISTS (             SELECT 1             FROM   OEINVCH c, deleted d             WHERE  c.CUSTCLASS = d.CUSTCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "OEINVCH". Cannot delete parent "CUSTCLAS".'          GOTO error     END    /*  Parent in 'CUSTCLAS' cannot be deleted if children exist in 'PRICE'  */    IF EXISTS (             SELECT 1             FROM   PRICE c, deleted d             WHERE  c.CUSTCLASS = d.CUSTCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRICE". Cannot delete parent "CUSTCLAS".'          GOTO error     END    /*  Parent in 'CUSTCLAS' cannot be deleted if children exist in 'SHIPHIST'  */    IF EXISTS (             SELECT 1             FROM   SHIPHIST c, deleted d             WHERE  c.CUSTCLASS = d.CUSTCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "SHIPHIST". Cannot delete parent "CUSTCLAS".'          GOTO error     END    /*  Parent in 'CUSTCLAS' cannot be deleted if children exist in 'COINVCH'  */    IF EXISTS (             SELECT 1             FROM   COINVCH c, deleted d             WHERE  c.CUSTCLASS = d.CUSTCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COINVCH". Cannot delete parent "CUSTCLAS".'          GOTO error     END    /*  Parent in 'CUSTCLAS' cannot be deleted if children exist in 'MULRCDD'  */    IF EXISTS (             SELECT 1             FROM   MULRCDD c, deleted d             WHERE  c.CUSTCLASS = d.CUSTCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MULRCDD". Cannot delete parent "CUSTCLAS".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_BANK' for Table 'BANK'  */    CREATE TRIGGER [dbo].[T_U_BANK] ON [dbo].[BANK] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'BANK' cannot be modified if children exist in 'APBAL'  */    IF UPDATE(BANKCODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   APBAL c, inserted i, deleted d                  WHERE  c.BANKCODE = d.BANKCODE                  AND   (i.BANKCODE != d.BANKCODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "APBAL". Cannot modify Primary Key in "BANK".'               GOTO error          END  END    /*  The Primary Key of 'BANK' cannot be modified if children exist in 'APBALH'  */    IF UPDATE(BANKCODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   APBALH c, inserted i, deleted d                  WHERE  c.BANKCODE = d.BANKCODE                  AND   (i.BANKCODE != d.BANKCODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "APBALH". Cannot modify Primary Key in "BANK".'               GOTO error          END  END    /*  The Primary Key of 'BANK' cannot be modified if children exist in 'ARBAL'  */    IF UPDATE(BANKCODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARBAL c, inserted i, deleted d                  WHERE  c.BANKCODE = d.BANKCODE                  AND   (i.BANKCODE != d.BANKCODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARBAL". Cannot modify Primary Key in "BANK".'               GOTO error          END  END    /*  The Primary Key of 'BANK' cannot be modified if children exist in 'ARBALH'  */    IF UPDATE(BANKCODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARBALH c, inserted i, deleted d                  WHERE  c.BANKCODE = d.BANKCODE                  AND   (i.BANKCODE != d.BANKCODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARBALH". Cannot modify Primary Key in "BANK".'               GOTO error          END  END    /*  The Primary Key of 'BANK' cannot be modified if children exist in 'CHECKAR'  */    IF UPDATE(BANKCODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   CHECKAR c, inserted i, deleted d                  WHERE  c.BANKCODE = d.BANKCODE                  AND   (i.BANKCODE != d.BANKCODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "CHECKAR". Cannot modify Primary Key in "BANK".'               GOTO error          END  END    /*  The Primary Key of 'BANK' cannot be modified if children exist in 'GLAPDIST'  */    IF UPDATE(BANKCODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   GLAPDIST c, inserted i, deleted d                  WHERE  c.BANKCODE = d.BANKCODE                  AND   (i.BANKCODE != d.BANKCODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "GLAPDIST". Cannot modify Primary Key in "BANK".'               GOTO error          END  END    /*  The Primary Key of 'BANK' cannot be modified if children exist in 'GLARDIST'  */    IF UPDATE(BANKCODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   GLARDIST c, inserted i, deleted d                  WHERE  c.BANKCODE = d.BANKCODE                  AND   (i.BANKCODE != d.BANKCODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "GLARDIST". Cannot modify Primary Key in "BANK".'               GOTO error          END  END    /*  Cascade the Update of the Primary Key of 'BANK' into its children in 'ADVC_HD'  */    IF UPDATE(BANKCODE)     BEGIN          UPDATE ADVC_HD          SET    BANKCODE = i.BANKCODE          FROM   ADVC_HD c, inserted i, deleted d          WHERE  c.BANKCODE = d.BANKCODE          AND    (i.BANKCODE != d.BANKCODE)     END    /*  Cascade the Update of the Primary Key of 'BANK' into its children in 'ADVE'  */    IF UPDATE(BANKCODE)     BEGIN          UPDATE ADVE          SET    BANKCODE = i.BANKCODE          FROM   ADVE c, inserted i, deleted d          WHERE  c.BANKCODE = d.BANKCODE          AND    (i.BANKCODE != d.BANKCODE)     END    /*  Cascade the Update of the Primary Key of 'BANK' into its children in 'APCHECKS'  */    IF UPDATE(BANKCODE)     BEGIN          UPDATE APCHECKS          SET    BANKCODE = i.BANKCODE          FROM   APCHECKS c, inserted i, deleted d          WHERE  c.BANKCODE = d.BANKCODE          AND    (i.BANKCODE != d.BANKCODE)     END    /*  Cascade the Update of the Primary Key of 'BANK' into its children in 'APINVCH'  */    IF UPDATE(BANKCODE)     BEGIN          UPDATE APINVCH          SET    BANKCODE = i.BANKCODE          FROM   APINVCH c, inserted i, deleted d          WHERE  c.BANKCODE = d.BANKCODE          AND    (i.BANKCODE != d.BANKCODE)     END    /*  Cascade the Update of the Primary Key of 'BANK' into its children in 'APMAST'  */    IF UPDATE(BANKCODE)     BEGIN          UPDATE APMAST          SET    APBANK = i.BANKCODE          FROM   APMAST c, inserted i, deleted d          WHERE  c.APBANK = d.BANKCODE          AND    (i.BANKCODE != d.BANKCODE)     END    /*  Cascade the Update of the Primary Key of 'BANK' into its children in 'ARINVCH'  */    IF UPDATE(BANKCODE)     BEGIN          UPDATE ARINVCH          SET    BANKCODE = i.BANKCODE          FROM   ARINVCH c, inserted i, deleted d          WHERE  c.BANKCODE = d.BANKCODE          AND    (i.BANKCODE != d.BANKCODE)     END    /*  Cascade the Update of the Primary Key of 'BANK' into its children in 'ARMAST'  */    IF UPDATE(BANKCODE)     BEGIN          UPDATE ARMAST          SET    ARBANK = i.BANKCODE          FROM   ARMAST c, inserted i, deleted d          WHERE  c.ARBANK = d.BANKCODE          AND    (i.BANKCODE != d.BANKCODE)     END    /*  Cascade the Update of the Primary Key of 'BANK' into its children in 'ARRCT'  */    IF UPDATE(BANKCODE)     BEGIN          UPDATE ARRCT          SET    BANKCODE = i.BANKCODE          FROM   ARRCT c, inserted i, deleted d          WHERE  c.BANKCODE = d.BANKCODE          AND    (i.BANKCODE != d.BANKCODE)     END    /*  Cascade the Update of the Primary Key of 'BANK' into its children in 'ARRCTH'  */    IF UPDATE(BANKCODE)     BEGIN          UPDATE ARRCTH          SET    BANKCODE = i.BANKCODE          FROM   ARRCTH c, inserted i, deleted d          WHERE  c.BANKCODE = d.BANKCODE          AND    (i.BANKCODE != d.BANKCODE)     END    /*  Cascade the Update of the Primary Key of 'BANK' into its children in 'BANKREC'  */    IF UPDATE(BANKCODE)     BEGIN          UPDATE BANKREC          SET    BANKCODE = i.BANKCODE          FROM   BANKREC c, inserted i, deleted d          WHERE  c.BANKCODE = d.BANKCODE          AND    (i.BANKCODE != d.BANKCODE)     END    /*  Cascade the Update of the Primary Key of 'BANK' into its children in 'BKTRAN'  */    IF UPDATE(BANKCODE)     BEGIN          UPDATE BKTRAN          SET    FROMBANK = i.BANKCODE          FROM   BKTRAN c, inserted i, deleted d          WHERE  c.FROMBANK = d.BANKCODE          AND    (i.BANKCODE != d.BANKCODE)     END    /*  Cascade the Update of the Primary Key of 'BANK' into its children in 'BKTRAN'  */    IF UPDATE(BANKCODE)     BEGIN          UPDATE BKTRAN          SET    TOBANK = i.BANKCODE          FROM   BKTRAN c, inserted i, deleted d          WHERE  c.TOBANK = d.BANKCODE          AND    (i.BANKCODE != d.BANKCODE)     END    /*  Cascade the Update of the Primary Key of 'BANK' into its children in 'BKTRHIST'  */    IF UPDATE(BANKCODE)     BEGIN          UPDATE BKTRHIST          SET    FROMBANK = i.BANKCODE          FROM   BKTRHIST c, inserted i, deleted d          WHERE  c.FROMBANK = d.BANKCODE          AND    (i.BANKCODE != d.BANKCODE)     END    /*  Cascade the Update of the Primary Key of 'BANK' into its children in 'BKTRHIST'  */    IF UPDATE(BANKCODE)     BEGIN          UPDATE BKTRHIST          SET    TOBANK = i.BANKCODE          FROM   BKTRHIST c, inserted i, deleted d          WHERE  c.TOBANK = d.BANKCODE          AND    (i.BANKCODE != d.BANKCODE)     END    /*  Cascade the Update of the Primary Key of 'BANK' into its children in 'LCMAST'  */    IF UPDATE(BANKCODE)     BEGIN          UPDATE LCMAST          SET    BANKCODE = i.BANKCODE          FROM   LCMAST c, inserted i, deleted d          WHERE  c.BANKCODE = d.BANKCODE          AND    (i.BANKCODE != d.BANKCODE)     END    /*  Cascade the Update of the Primary Key of 'BANK' into its children in 'MANCHECK'  */    IF UPDATE(BANKCODE)     BEGIN          UPDATE MANCHECK          SET    BANKCODE = i.BANKCODE          FROM   MANCHECK c, inserted i, deleted d          WHERE  c.BANKCODE = d.BANKCODE          AND    (i.BANKCODE != d.BANKCODE)     END    /*  Cascade the Update of the Primary Key of 'BANK' into its children in 'MANCHKH'  */    IF UPDATE(BANKCODE)     BEGIN          UPDATE MANCHKH          SET    BANKCODE = i.BANKCODE          FROM   MANCHKH c, inserted i, deleted d          WHERE  c.BANKCODE = d.BANKCODE          AND    (i.BANKCODE != d.BANKCODE)     END    /*  Cascade the Update of the Primary Key of 'BANK' into its children in 'OEINVCH'  */    IF UPDATE(BANKCODE)     BEGIN          UPDATE OEINVCH          SET    BANKCODE = i.BANKCODE          FROM   OEINVCH c, inserted i, deleted d          WHERE  c.BANKCODE = d.BANKCODE          AND    (i.BANKCODE != d.BANKCODE)     END    /*  Cascade the Update of the Primary Key of 'BANK' into its children in 'PAYINH'  */    IF UPDATE(BANKCODE)     BEGIN          UPDATE PAYINH          SET    BANKCODE = i.BANKCODE          FROM   PAYINH c, inserted i, deleted d          WHERE  c.BANKCODE = d.BANKCODE          AND    (i.BANKCODE != d.BANKCODE)     END    /*  Cascade the Update of the Primary Key of 'BANK' into its children in 'PTCH_RTH'  */    IF UPDATE(BANKCODE)     BEGIN          UPDATE PTCH_RTH          SET    BANKCODE = i.BANKCODE          FROM   PTCH_RTH c, inserted i, deleted d          WHERE  c.BANKCODE = d.BANKCODE          AND    (i.BANKCODE != d.BANKCODE)     END    /*  Cascade the Update of the Primary Key of 'BANK' into its children in 'PTCR_HD'  */    IF UPDATE(BANKCODE)     BEGIN          UPDATE PTCR_HD          SET    BANKCODE = i.BANKCODE          FROM   PTCR_HD c, inserted i, deleted d          WHERE  c.BANKCODE = d.BANKCODE          AND    (i.BANKCODE != d.BANKCODE)     END    /*  Cascade the Update of the Primary Key of 'BANK' into its children in 'MULRCDM'  */    IF UPDATE(BANKCODE)     BEGIN          UPDATE MULRCDM          SET    BANKCODE = i.BANKCODE          FROM   MULRCDM c, inserted i, deleted d          WHERE  c.BANKCODE = d.BANKCODE          AND    (i.BANKCODE != d.BANKCODE)     END    /*  Cascade the Update of the Primary Key of 'BANK' into its children in 'MULRCDD'  */    IF UPDATE(BANKCODE)     BEGIN          UPDATE MULRCDD          SET    BANKCODE = i.BANKCODE          FROM   MULRCDD c, inserted i, deleted d          WHERE  c.BANKCODE = d.BANKCODE          AND    (i.BANKCODE != d.BANKCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_INVHHD' for Table 'INVHHD'  */    CREATE TRIGGER [dbo].[T_U_INVHHD] ON [dbo].[INVHHD] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'INVHHD' into its children in 'INVHDT'  */    IF UPDATE(DOCNO)     BEGIN          UPDATE INVHDT          SET    DOCNO = i.DOCNO          FROM   INVHDT c, inserted i, deleted d          WHERE  c.DOCNO = d.DOCNO          AND    (i.DOCNO != d.DOCNO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_BRANCH' for Table 'BRANCH'  */    CREATE TRIGGER [dbo].[T_D_BRANCH] ON [dbo].[BRANCH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'BRANCH' cannot be deleted if children exist in 'DEPT'  */    IF EXISTS (             SELECT 1             FROM   DEPT c, deleted d             WHERE  c.COMPCODE = d.COMPCODE AND                    c.BRNCODE = d.BRNCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "DEPT". Cannot delete parent "BRANCH".'          GOTO error     END    /*  Parent in 'BRANCH' cannot be deleted if children exist in 'STDTIME'  */    IF EXISTS (             SELECT 1             FROM   STDTIME c, deleted d             WHERE  c.COMPCODE = d.COMPCODE AND                    c.BRNCODE = d.BRNCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "STDTIME". Cannot delete parent "BRANCH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_BANK' for Table 'BANK'  */    CREATE TRIGGER [dbo].[T_D_BANK] ON [dbo].[BANK] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'BANK' cannot be deleted if children exist in 'ADVC_HD'  */    IF EXISTS (             SELECT 1             FROM   ADVC_HD c, deleted d             WHERE  c.BANKCODE = d.BANKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ADVC_HD". Cannot delete parent "BANK".'          GOTO error     END    /*  Parent in 'BANK' cannot be deleted if children exist in 'ADVE'  */    IF EXISTS (             SELECT 1             FROM   ADVE c, deleted d             WHERE  c.BANKCODE = d.BANKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ADVE". Cannot delete parent "BANK".'          GOTO error     END    /*  Parent in 'BANK' cannot be deleted if children exist in 'APBAL'  */    IF EXISTS (             SELECT 1             FROM   APBAL c, deleted d             WHERE  c.BANKCODE = d.BANKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APBAL". Cannot delete parent "BANK".'          GOTO error     END    /*  Parent in 'BANK' cannot be deleted if children exist in 'APBALH'  */    IF EXISTS (             SELECT 1             FROM   APBALH c, deleted d             WHERE  c.BANKCODE = d.BANKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APBALH". Cannot delete parent "BANK".'          GOTO error     END    /*  Parent in 'BANK' cannot be deleted if children exist in 'APCHECKS'  */    IF EXISTS (             SELECT 1             FROM   APCHECKS c, deleted d             WHERE  c.BANKCODE = d.BANKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APCHECKS". Cannot delete parent "BANK".'          GOTO error     END    /*  Parent in 'BANK' cannot be deleted if children exist in 'APINVCH'  */    IF EXISTS (             SELECT 1             FROM   APINVCH c, deleted d             WHERE  c.BANKCODE = d.BANKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APINVCH". Cannot delete parent "BANK".'          GOTO error     END    /*  Parent in 'BANK' cannot be deleted if children exist in 'APMAST'  */    IF EXISTS (             SELECT 1             FROM   APMAST c, deleted d             WHERE  c.APBANK = d.BANKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APMAST". Cannot delete parent "BANK".'          GOTO error     END    /*  Parent in 'BANK' cannot be deleted if children exist in 'ARBAL'  */    IF EXISTS (             SELECT 1             FROM   ARBAL c, deleted d             WHERE  c.BANKCODE = d.BANKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARBAL". Cannot delete parent "BANK".'          GOTO error     END    /*  Parent in 'BANK' cannot be deleted if children exist in 'ARBALH'  */    IF EXISTS (             SELECT 1             FROM   ARBALH c, deleted d             WHERE  c.BANKCODE = d.BANKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARBALH". Cannot delete parent "BANK".'          GOTO error     END    /*  Parent in 'BANK' cannot be deleted if children exist in 'ARINVCH'  */    IF EXISTS (             SELECT 1             FROM   ARINVCH c, deleted d             WHERE  c.BANKCODE = d.BANKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARINVCH". Cannot delete parent "BANK".'          GOTO error     END    /*  Parent in 'BANK' cannot be deleted if children exist in 'ARMAST'  */    IF EXISTS (             SELECT 1             FROM   ARMAST c, deleted d             WHERE  c.ARBANK = d.BANKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARMAST". Cannot delete parent "BANK".'          GOTO error     END    /*  Parent in 'BANK' cannot be deleted if children exist in 'ARRCT'  */    IF EXISTS (             SELECT 1             FROM   ARRCT c, deleted d             WHERE  c.BANKCODE = d.BANKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARRCT". Cannot delete parent "BANK".'          GOTO error     END    /*  Parent in 'BANK' cannot be deleted if children exist in 'ARRCTH'  */    IF EXISTS (             SELECT 1             FROM   ARRCTH c, deleted d             WHERE  c.BANKCODE = d.BANKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARRCTH". Cannot delete parent "BANK".'          GOTO error     END    /*  Parent in 'BANK' cannot be deleted if children exist in 'BANKREC'  */    IF EXISTS (             SELECT 1             FROM   BANKREC c, deleted d             WHERE  c.BANKCODE = d.BANKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "BANKREC". Cannot delete parent "BANK".'          GOTO error     END    /*  Parent in 'BANK' cannot be deleted if children exist in 'BKTRAN'  */    IF EXISTS (             SELECT 1             FROM   BKTRAN c, deleted d             WHERE  c.FROMBANK = d.BANKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "BKTRAN". Cannot delete parent "BANK".'          GOTO error     END    /*  Parent in 'BANK' cannot be deleted if children exist in 'BKTRAN'  */    IF EXISTS (             SELECT 1             FROM   BKTRAN c, deleted d             WHERE  c.TOBANK = d.BANKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "BKTRAN". Cannot delete parent "BANK".'          GOTO error     END    /*  Parent in 'BANK' cannot be deleted if children exist in 'BKTRHIST'  */    IF EXISTS (             SELECT 1             FROM   BKTRHIST c, deleted d             WHERE  c.FROMBANK = d.BANKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "BKTRHIST". Cannot delete parent "BANK".'          GOTO error     END    /*  Parent in 'BANK' cannot be deleted if children exist in 'BKTRHIST'  */    IF EXISTS (             SELECT 1             FROM   BKTRHIST c, deleted d             WHERE  c.TOBANK = d.BANKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "BKTRHIST". Cannot delete parent "BANK".'          GOTO error     END    /*  Parent in 'BANK' cannot be deleted if children exist in 'CHECKAR'  */    IF EXISTS (             SELECT 1             FROM   CHECKAR c, deleted d             WHERE  c.BANKCODE = d.BANKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CHECKAR". Cannot delete parent "BANK".'          GOTO error     END    /*  Parent in 'BANK' cannot be deleted if children exist in 'GLAPDIST'  */    IF EXISTS (             SELECT 1             FROM   GLAPDIST c, deleted d             WHERE  c.BANKCODE = d.BANKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "GLAPDIST". Cannot delete parent "BANK".'          GOTO error     END    /*  Parent in 'BANK' cannot be deleted if children exist in 'GLARDIST'  */    IF EXISTS (             SELECT 1             FROM   GLARDIST c, deleted d             WHERE  c.BANKCODE = d.BANKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "GLARDIST". Cannot delete parent "BANK".'          GOTO error     END    /*  Parent in 'BANK' cannot be deleted if children exist in 'LCMAST'  */    IF EXISTS (             SELECT 1             FROM   LCMAST c, deleted d             WHERE  c.BANKCODE = d.BANKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "LCMAST". Cannot delete parent "BANK".'          GOTO error     END    /*  Parent in 'BANK' cannot be deleted if children exist in 'MANCHECK'  */    IF EXISTS (             SELECT 1             FROM   MANCHECK c, deleted d             WHERE  c.BANKCODE = d.BANKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MANCHECK". Cannot delete parent "BANK".'          GOTO error     END    /*  Parent in 'BANK' cannot be deleted if children exist in 'MANCHKH'  */    IF EXISTS (             SELECT 1             FROM   MANCHKH c, deleted d             WHERE  c.BANKCODE = d.BANKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MANCHKH". Cannot delete parent "BANK".'          GOTO error     END    /*  Parent in 'BANK' cannot be deleted if children exist in 'OEINVCH'  */    IF EXISTS (             SELECT 1             FROM   OEINVCH c, deleted d             WHERE  c.BANKCODE = d.BANKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "OEINVCH". Cannot delete parent "BANK".'          GOTO error     END    /*  Parent in 'BANK' cannot be deleted if children exist in 'PAYINH'  */    IF EXISTS (             SELECT 1             FROM   PAYINH c, deleted d             WHERE  c.BANKCODE = d.BANKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PAYINH". Cannot delete parent "BANK".'          GOTO error     END    /*  Parent in 'BANK' cannot be deleted if children exist in 'PTCH_RTH'  */    IF EXISTS (             SELECT 1             FROM   PTCH_RTH c, deleted d             WHERE  c.BANKCODE = d.BANKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PTCH_RTH". Cannot delete parent "BANK".'          GOTO error     END    /*  Parent in 'BANK' cannot be deleted if children exist in 'PTCR_HD'  */    IF EXISTS (             SELECT 1             FROM   PTCR_HD c, deleted d             WHERE  c.BANKCODE = d.BANKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PTCR_HD". Cannot delete parent "BANK".'          GOTO error     END    /*  Parent in 'BANK' cannot be deleted if children exist in 'MULRCDM'  */    IF EXISTS (             SELECT 1             FROM   MULRCDM c, deleted d             WHERE  c.BANKCODE = d.BANKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MULRCDM". Cannot delete parent "BANK".'          GOTO error     END    /*  Parent in 'BANK' cannot be deleted if children exist in 'MULRCDD'  */    IF EXISTS (             SELECT 1             FROM   MULRCDD c, deleted d             WHERE  c.BANKCODE = d.BANKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MULRCDD". Cannot delete parent "BANK".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_INVENSM1' for Table 'INVENSM1'  */    CREATE TRIGGER [dbo].[T_U_INVENSM1] ON [dbo].[INVENSM1] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'INVENSM1' into its children in 'INVENSM2'  */    IF UPDATE(ORD) OR     UPDATE(PARENT)     BEGIN          UPDATE INVENSM2          SET    ORD = i.ORD ,                 PARENT = i.PARENT          FROM   INVENSM2 c, inserted i, deleted d          WHERE  c.ORD = d.ORD AND                 c.PARENT = d.PARENT          AND    (i.ORD != d.ORD OR                 i.PARENT != d.PARENT)     END    /*  Cascade the Update of the Primary Key of 'INVENSM1' into its children in 'INVENSD'  */    IF UPDATE(ORD) OR     UPDATE(PARENT)     BEGIN          UPDATE INVENSD          SET    ORD = i.ORD ,                 PARENT = i.PARENT          FROM   INVENSD c, inserted i, deleted d          WHERE  c.ORD = d.ORD AND                 c.PARENT = d.PARENT          AND    (i.ORD != d.ORD OR                 i.PARENT != d.PARENT)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_COMPANY' for Table 'COMPANY'  */    CREATE TRIGGER [dbo].[T_D_COMPANY] ON [dbo].[COMPANY] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'COMPANY' cannot be deleted if children exist in 'BRANCH'  */    IF EXISTS (             SELECT 1             FROM   BRANCH c, deleted d             WHERE  c.COMPCODE = d.COMPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "BRANCH". Cannot delete parent "COMPANY".'          GOTO error     END    /*  Parent in 'COMPANY' cannot be deleted if children exist in 'LEAVE'  */    IF EXISTS (             SELECT 1             FROM   LEAVE c, deleted d             WHERE  c.COMPCODE = d.COMPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "LEAVE". Cannot delete parent "COMPANY".'          GOTO error     END    /*  Parent in 'COMPANY' cannot be deleted if children exist in 'OT'  */    IF EXISTS (             SELECT 1             FROM   OT c, deleted d             WHERE  c.COMPCODE = d.COMPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "OT". Cannot delete parent "COMPANY".'          GOTO error     END    /*  Parent in 'COMPANY' cannot be deleted if children exist in 'POSITION'  */    IF EXISTS (             SELECT 1             FROM   POSITION c, deleted d             WHERE  c.COMPCODE = d.COMPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "POSITION". Cannot delete parent "COMPANY".'          GOTO error     END    /*  Parent in 'COMPANY' cannot be deleted if children exist in 'CALTABH'  */    IF EXISTS (             SELECT 1             FROM   CALTABH c, deleted d             WHERE  c.COMPCODE = d.COMPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CALTABH". Cannot delete parent "COMPANY".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_ESTHDRH' for Table 'ESTHDRH'  */    CREATE TRIGGER [dbo].[T_U_ESTHDRH] ON [dbo].[ESTHDRH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'ESTHDRH' into its children in 'ESTHDR'  */    IF UPDATE(QNUM)     BEGIN          UPDATE ESTHDR          SET    QNUM = i.QNUM          FROM   ESTHDR c, inserted i, deleted d          WHERE  c.QNUM = d.QNUM          AND    (i.QNUM != d.QNUM)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_COMMISS' for Table 'COMMISS'  */    CREATE TRIGGER [dbo].[T_D_COMMISS] ON [dbo].[COMMISS] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'COMMISS' cannot be deleted if children exist in 'ARBAL'  */    IF EXISTS (             SELECT 1             FROM   ARBAL c, deleted d             WHERE  c.COMMISSION = d.CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARBAL". Cannot delete parent "COMMISS".'          GOTO error     END    /*  Parent in 'COMMISS' cannot be deleted if children exist in 'ARBALH'  */    IF EXISTS (             SELECT 1             FROM   ARBALH c, deleted d             WHERE  c.COMMISSION = d.CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARBALH". Cannot delete parent "COMMISS".'          GOTO error     END    /*  Parent in 'COMMISS' cannot be deleted if children exist in 'ARDET'  */    IF EXISTS (             SELECT 1             FROM   ARDET c, deleted d             WHERE  c.COMMISSION = d.CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARDET". Cannot delete parent "COMMISS".'          GOTO error     END    /*  Parent in 'COMMISS' cannot be deleted if children exist in 'COMMHIST'  */    IF EXISTS (             SELECT 1             FROM   COMMHIST c, deleted d             WHERE  c.COMMISSON = d.CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMMHIST". Cannot delete parent "COMMISS".'          GOTO error     END    /*  Parent in 'COMMISS' cannot be deleted if children exist in 'SALESMAN'  */    IF EXISTS (             SELECT 1             FROM   SALESMAN c, deleted d             WHERE  c.COMMCODE = d.CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "SALESMAN". Cannot delete parent "COMMISS".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_EMPMAST' for Table 'EMPMAST'  */    CREATE TRIGGER [dbo].[T_U_EMPMAST] ON [dbo].[EMPMAST] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'EMPMAST' cannot be modified if children exist in 'MACHCARD'  */    IF UPDATE(CLOCK)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   MACHCARD c, inserted i, deleted d                  WHERE  c.CLOCK = d.CLOCK                  AND   (i.CLOCK != d.CLOCK)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "MACHCARD". Cannot modify Primary Key in "EMPMAST".'               GOTO error          END  END    /*  Cascade the Update of the Primary Key of 'EMPMAST' into its children in 'SFC201A'  */    IF UPDATE(CLOCK)     BEGIN          UPDATE SFC201A          SET    CLOCK = i.CLOCK          FROM   SFC201A c, inserted i, deleted d          WHERE  c.CLOCK = d.CLOCK          AND    (i.CLOCK != d.CLOCK)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_DEDUCT' for Table 'DEDUCT'  */    CREATE TRIGGER [dbo].[T_U_DEDUCT] ON [dbo].[DEDUCT] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'DEDUCT' into its children in 'POSDED'  */    IF UPDATE(COMPCODE) OR     UPDATE(TRANTYPE) OR     UPDATE(TRANCODE) OR     UPDATE(PERIOD)     BEGIN          UPDATE POSDED          SET    COMPCODE = i.COMPCODE ,                 TRANTYPE = i.TRANTYPE ,                 TRANCODE = i.TRANCODE ,                 PERIOD = i.PERIOD          FROM   POSDED c, inserted i, deleted d          WHERE  c.COMPCODE = d.COMPCODE AND                 c.TRANTYPE = d.TRANTYPE AND                 c.TRANCODE = d.TRANCODE AND                 c.PERIOD = d.PERIOD          AND    (i.COMPCODE != d.COMPCODE OR                 i.TRANTYPE != d.TRANTYPE OR                 i.TRANCODE != d.TRANCODE OR                 i.PERIOD != d.PERIOD)     END    /*  Cascade the Update of the Primary Key of 'DEDUCT' into its children in 'EMPDED'  */    IF UPDATE(COMPCODE) OR     UPDATE(TRANTYPE) OR     UPDATE(TRANCODE) OR     UPDATE(PERIOD)     BEGIN          UPDATE EMPDED          SET    COMPCODE = i.COMPCODE ,                 TRANTYPE = i.TRANTYPE ,                 TRANCODE = i.TRANCODE ,                 PERIOD = i.PERIOD          FROM   EMPDED c, inserted i, deleted d          WHERE  c.COMPCODE = d.COMPCODE AND                 c.TRANTYPE = d.TRANTYPE AND                 c.TRANCODE = d.TRANCODE AND                 c.PERIOD = d.PERIOD          AND    (i.COMPCODE != d.COMPCODE OR                 i.TRANTYPE != d.TRANTYPE OR                 i.TRANCODE != d.TRANCODE OR                 i.PERIOD != d.PERIOD)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_GLREPORT' for Table 'GLREPORT'  */    CREATE TRIGGER [dbo].[T_U_GLREPORT] ON [dbo].[GLREPORT] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'GLREPORT' into its children in 'GLRPTCOL'  */    IF UPDATE(REPTID)     BEGIN          UPDATE GLRPTCOL          SET    REPTID = i.REPTID          FROM   GLRPTCOL c, inserted i, deleted d          WHERE  c.REPTID = d.REPTID          AND    (i.REPTID != d.REPTID)     END    /*  Cascade the Update of the Primary Key of 'GLREPORT' into its children in 'GLRPTLIN'  */    IF UPDATE(REPTID)     BEGIN          UPDATE GLRPTLIN          SET    REPTID = i.REPTID          FROM   GLRPTLIN c, inserted i, deleted d          WHERE  c.REPTID = d.REPTID          AND    (i.REPTID != d.REPTID)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_GLMDIST' for Table 'GLMDIST'  */    CREATE TRIGGER [dbo].[T_U_GLMDIST] ON [dbo].[GLMDIST] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'GLMDIST' into its children in 'GLACDIST'  */    IF UPDATE(MACCTNO)     BEGIN          UPDATE GLACDIST          SET    MACCTNO = i.MACCTNO          FROM   GLACDIST c, inserted i, deleted d          WHERE  c.MACCTNO = d.MACCTNO          AND    (i.MACCTNO != d.MACCTNO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_GLMAPH' for Table 'GLMAPH'  */    CREATE TRIGGER [dbo].[T_U_GLMAPH] ON [dbo].[GLMAPH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'GLMAPH' into its children in 'GLMAPD'  */    IF UPDATE(MASTACCT)     BEGIN          UPDATE GLMAPD          SET    MASTACCT = i.MASTACCT          FROM   GLMAPD c, inserted i, deleted d          WHERE  c.MASTACCT = d.MASTACCT          AND    (i.MASTACCT != d.MASTACCT)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_COMPANY' for Table 'COMPANY'  */    CREATE TRIGGER [dbo].[T_U_COMPANY] ON [dbo].[COMPANY] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'COMPANY' into its children in 'BRANCH'  */    IF UPDATE(COMPCODE)     BEGIN          UPDATE BRANCH          SET    COMPCODE = i.COMPCODE          FROM   BRANCH c, inserted i, deleted d          WHERE  c.COMPCODE = d.COMPCODE          AND    (i.COMPCODE != d.COMPCODE)     END    /*  Cascade the Update of the Primary Key of 'COMPANY' into its children in 'LEAVE'  */    IF UPDATE(COMPCODE)     BEGIN          UPDATE LEAVE          SET    COMPCODE = i.COMPCODE          FROM   LEAVE c, inserted i, deleted d          WHERE  c.COMPCODE = d.COMPCODE          AND    (i.COMPCODE != d.COMPCODE)     END    /*  Cascade the Update of the Primary Key of 'COMPANY' into its children in 'OT'  */    IF UPDATE(COMPCODE)     BEGIN          UPDATE OT          SET    COMPCODE = i.COMPCODE          FROM   OT c, inserted i, deleted d          WHERE  c.COMPCODE = d.COMPCODE          AND    (i.COMPCODE != d.COMPCODE)     END    /*  Cascade the Update of the Primary Key of 'COMPANY' into its children in 'POSITION'  */    IF UPDATE(COMPCODE)     BEGIN          UPDATE POSITION          SET    COMPCODE = i.COMPCODE          FROM   POSITION c, inserted i, deleted d          WHERE  c.COMPCODE = d.COMPCODE          AND    (i.COMPCODE != d.COMPCODE)     END    /*  Cascade the Update of the Primary Key of 'COMPANY' into its children in 'CALTABH'  */    IF UPDATE(COMPCODE)     BEGIN          UPDATE CALTABH          SET    COMPCODE = i.COMPCODE          FROM   CALTABH c, inserted i, deleted d          WHERE  c.COMPCODE = d.COMPCODE          AND    (i.COMPCODE != d.COMPCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_GLINTERH' for Table 'GLINTERH'  */    CREATE TRIGGER [dbo].[T_U_GLINTERH] ON [dbo].[GLINTERH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'GLINTERH' into its children in 'GLINTERD'  */    IF UPDATE(ITEM)     BEGIN          UPDATE GLINTERD          SET    ITEM = i.ITEM          FROM   GLINTERD c, inserted i, deleted d          WHERE  c.ITEM = d.ITEM          AND    (i.ITEM != d.ITEM)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_COMMISS' for Table 'COMMISS'  */    CREATE TRIGGER [dbo].[T_U_COMMISS] ON [dbo].[COMMISS] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'COMMISS' cannot be modified if children exist in 'ARBAL'  */    IF UPDATE(CODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARBAL c, inserted i, deleted d                  WHERE  c.COMMISSION = d.CODE                  AND   (i.CODE != d.CODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARBAL". Cannot modify Primary Key in "COMMISS".'               GOTO error          END  END    /*  The Primary Key of 'COMMISS' cannot be modified if children exist in 'ARBALH'  */    IF UPDATE(CODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARBALH c, inserted i, deleted d                  WHERE  c.COMMISSION = d.CODE                  AND   (i.CODE != d.CODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARBALH". Cannot modify Primary Key in "COMMISS".'               GOTO error          END  END    /*  The Primary Key of 'COMMISS' cannot be modified if children exist in 'ARDET'  */    IF UPDATE(CODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARDET c, inserted i, deleted d                  WHERE  c.COMMISSION = d.CODE                  AND   (i.CODE != d.CODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARDET". Cannot modify Primary Key in "COMMISS".'               GOTO error          END  END    /*  The Primary Key of 'COMMISS' cannot be modified if children exist in 'COMMHIST'  */    IF UPDATE(CODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   COMMHIST c, inserted i, deleted d                  WHERE  c.COMMISSON = d.CODE                  AND   (i.CODE != d.CODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "COMMHIST". Cannot modify Primary Key in "COMMISS".'               GOTO error          END  END    /*  Cascade the Update of the Primary Key of 'COMMISS' into its children in 'SALESMAN'  */    IF UPDATE(CODE)     BEGIN          UPDATE SALESMAN          SET    COMMCODE = i.CODE          FROM   SALESMAN c, inserted i, deleted d          WHERE  c.COMMCODE = d.CODE          AND    (i.CODE != d.CODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_CYCCODE' for Table 'CYCCODE'  */    CREATE TRIGGER [dbo].[T_U_CYCCODE] ON [dbo].[CYCCODE] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'CYCCODE' cannot be modified if children exist in 'CYCCNT'  */    IF UPDATE(CYCCODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   CYCCNT c, inserted i, deleted d                  WHERE  c.CYCLCNT = d.CYCCODE                  AND   (i.CYCCODE != d.CYCCODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "CYCCNT". Cannot modify Primary Key in "CYCCODE".'               GOTO error          END  END    /*  Cascade the Update of the Primary Key of 'CYCCODE' into its children in 'INV'  */    IF UPDATE(CYCCODE)     BEGIN          UPDATE INV          SET    CYCLCNT = i.CYCCODE          FROM   INV c, inserted i, deleted d          WHERE  c.CYCLCNT = d.CYCCODE          AND    (i.CYCCODE != d.CYCCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_FCSTGRPH' for Table 'FCSTGRPH'  */    CREATE TRIGGER [dbo].[T_U_FCSTGRPH] ON [dbo].[FCSTGRPH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'FCSTGRPH' into its children in 'FCSTGRPD'  */    IF UPDATE(FCSTGRP)     BEGIN          UPDATE FCSTGRPD          SET    FCSTGRP = i.FCSTGRP          FROM   FCSTGRPD c, inserted i, deleted d          WHERE  c.FCSTGRP = d.FCSTGRP          AND    (i.FCSTGRP != d.FCSTGRP)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_SLSCLASS' for Table 'SLSCLASS'  */    CREATE TRIGGER [dbo].[T_D_SLSCLASS] ON [dbo].[SLSCLASS] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'SLSCLASS' cannot be deleted if children exist in 'SALESMAN'  */    IF EXISTS (             SELECT 1             FROM   SALESMAN c, deleted d             WHERE  c.CLASS = d.SLSCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "SALESMAN". Cannot delete parent "SLSCLASS".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_CYCCODE' for Table 'CYCCODE'  */    CREATE TRIGGER [dbo].[T_D_CYCCODE] ON [dbo].[CYCCODE] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'CYCCODE' cannot be deleted if children exist in 'CYCCNT'  */    IF EXISTS (             SELECT 1             FROM   CYCCNT c, deleted d             WHERE  c.CYCLCNT = d.CYCCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CYCCNT". Cannot delete parent "CYCCODE".'          GOTO error     END    /*  Parent in 'CYCCODE' cannot be deleted if children exist in 'INV'  */    IF EXISTS (             SELECT 1             FROM   INV c, deleted d             WHERE  c.CYCLCNT = d.CYCCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INV". Cannot delete parent "CYCCODE".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_FCST' for Table 'FCST'  */    CREATE TRIGGER [dbo].[T_U_FCST] ON [dbo].[FCST] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'FCST' into its children in 'FCSTBILL'  */    IF UPDATE(PRODCLASS)     BEGIN          UPDATE FCSTBILL          SET    PRODCLASS = i.PRODCLASS          FROM   FCSTBILL c, inserted i, deleted d          WHERE  c.PRODCLASS = d.PRODCLASS          AND    (i.PRODCLASS != d.PRODCLASS)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_SLSCLASS' for Table 'SLSCLASS'  */    CREATE TRIGGER [dbo].[T_U_SLSCLASS] ON [dbo].[SLSCLASS] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'SLSCLASS' into its children in 'SALESMAN'  */    IF UPDATE(SLSCLASS)     BEGIN          UPDATE SALESMAN          SET    CLASS = i.SLSCLASS          FROM   SALESMAN c, inserted i, deleted d          WHERE  c.CLASS = d.SLSCLASS          AND    (i.SLSCLASS != d.SLSCLASS)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_FAMAS_H' for Table 'FAMAS_H'  */    CREATE TRIGGER [dbo].[T_U_FAMAS_H] ON [dbo].[FAMAS_H] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'FAMAS_H' into its children in 'FAMAS_D'  */    IF UPDATE(FA_CODE)     BEGIN          UPDATE FAMAS_D          SET    FA_CODE = i.FA_CODE          FROM   FAMAS_D c, inserted i, deleted d          WHERE  c.FA_CODE = d.FA_CODE          AND    (i.FA_CODE != d.FA_CODE)     END    /*  Cascade the Update of the Primary Key of 'FAMAS_H' into its children in 'DPR_HIST'  */    IF UPDATE(FA_CODE)     BEGIN          UPDATE DPR_HIST          SET    FA_CODE = i.FA_CODE          FROM   DPR_HIST c, inserted i, deleted d          WHERE  c.FA_CODE = d.FA_CODE          AND    (i.FA_CODE != d.FA_CODE)     END    /*  Cascade the Update of the Primary Key of 'FAMAS_H' into its children in 'FARETIRE'  */    IF UPDATE(FA_CODE)     BEGIN          UPDATE FARETIRE          SET    FA_CODE = i.FA_CODE          FROM   FARETIRE c, inserted i, deleted d          WHERE  c.FA_CODE = d.FA_CODE          AND    (i.FA_CODE != d.FA_CODE)     END    /*  Cascade the Update of the Primary Key of 'FAMAS_H' into its children in 'FACOUNT'  */    IF UPDATE(FA_CODE)     BEGIN          UPDATE FACOUNT          SET    FA_CODE = i.FA_CODE          FROM   FACOUNT c, inserted i, deleted d          WHERE  c.FA_CODE = d.FA_CODE          AND    (i.FA_CODE != d.FA_CODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_PRBANK' for Table 'PRBANK'  */    CREATE TRIGGER [dbo].[T_U_PRBANK] ON [dbo].[PRBANK] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'PRBANK' into its children in 'COMPANY'  */    IF UPDATE(BANKCODE) OR     UPDATE(BKBNCODE)     BEGIN          UPDATE COMPANY          SET    BANKCODE1 = i.BANKCODE ,                 BKBNCODE1 = i.BKBNCODE          FROM   COMPANY c, inserted i, deleted d          WHERE  c.BANKCODE1 = d.BANKCODE AND                 c.BKBNCODE1 = d.BKBNCODE          AND    (i.BANKCODE != d.BANKCODE OR                 i.BKBNCODE != d.BKBNCODE)     END    /*  Cascade the Update of the Primary Key of 'PRBANK' into its children in 'COMPANY'  */    IF UPDATE(BANKCODE) OR     UPDATE(BKBNCODE)     BEGIN          UPDATE COMPANY          SET    BANKCODE2 = i.BANKCODE ,                 BKBNCODE2 = i.BKBNCODE          FROM   COMPANY c, inserted i, deleted d          WHERE  c.BANKCODE2 = d.BANKCODE AND                 c.BKBNCODE2 = d.BKBNCODE          AND    (i.BANKCODE != d.BANKCODE OR                 i.BKBNCODE != d.BKBNCODE)     END    /*  Cascade the Update of the Primary Key of 'PRBANK' into its children in 'COMPANY'  */    IF UPDATE(BANKCODE) OR     UPDATE(BKBNCODE)     BEGIN          UPDATE COMPANY          SET    BANKCODE3 = i.BANKCODE ,                 BKBNCODE3 = i.BKBNCODE          FROM   COMPANY c, inserted i, deleted d          WHERE  c.BANKCODE3 = d.BANKCODE AND                 c.BKBNCODE3 = d.BKBNCODE          AND    (i.BANKCODE != d.BANKCODE OR                 i.BKBNCODE != d.BKBNCODE)     END    /*  Cascade the Update of the Primary Key of 'PRBANK' into its children in 'EMPLOYEE'  */    IF UPDATE(BANKCODE) OR     UPDATE(BKBNCODE)     BEGIN          UPDATE EMPLOYEE          SET    BANKCODE1 = i.BANKCODE ,                 BKBNCODE1 = i.BKBNCODE          FROM   EMPLOYEE c, inserted i, deleted d          WHERE  c.BANKCODE1 = d.BANKCODE AND                 c.BKBNCODE1 = d.BKBNCODE          AND    (i.BANKCODE != d.BANKCODE OR                 i.BKBNCODE != d.BKBNCODE)     END    /*  Cascade the Update of the Primary Key of 'PRBANK' into its children in 'EMPLOYEE'  */    IF UPDATE(BANKCODE) OR     UPDATE(BKBNCODE)     BEGIN          UPDATE EMPLOYEE          SET    BANKCODE2 = i.BANKCODE ,                 BKBNCODE2 = i.BKBNCODE          FROM   EMPLOYEE c, inserted i, deleted d          WHERE  c.BANKCODE2 = d.BANKCODE AND                 c.BKBNCODE2 = d.BKBNCODE          AND    (i.BANKCODE != d.BANKCODE OR                 i.BKBNCODE != d.BKBNCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_PTCH_RTH' for Table 'PTCH_RTH'  */    CREATE TRIGGER [dbo].[T_D_PTCH_RTH] ON [dbo].[PTCH_RTH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'PTCH_RTH' cannot be deleted if children exist in 'PTCH_RTD'  */    IF EXISTS (             SELECT 1             FROM   PTCH_RTD c, deleted d             WHERE  c.PTCR_NO = d.PTCR_NO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PTCH_RTD". Cannot delete parent "PTCH_RTH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_PF' for Table 'PF'  */    CREATE TRIGGER [dbo].[T_U_PF] ON [dbo].[PF] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'PF' into its children in 'COMPANY'  */    IF UPDATE(PFCODE) OR     UPDATE(CTRLCODE)     BEGIN          UPDATE COMPANY          SET    PFCODE = i.PFCODE ,                 CTRLCODE = i.CTRLCODE          FROM   COMPANY c, inserted i, deleted d          WHERE  c.PFCODE = d.PFCODE AND                 c.CTRLCODE = d.CTRLCODE          AND    (i.PFCODE != d.PFCODE OR                 i.CTRLCODE != d.CTRLCODE)     END    /*  Cascade the Update of the Primary Key of 'PF' into its children in 'EMPLOYEE'  */    IF UPDATE(PFCODE) OR     UPDATE(CTRLCODE)     BEGIN          UPDATE EMPLOYEE          SET    PFCODE = i.PFCODE ,                 CTRLCODE = i.CTRLCODE          FROM   EMPLOYEE c, inserted i, deleted d          WHERE  c.PFCODE = d.PFCODE AND                 c.CTRLCODE = d.CTRLCODE          AND    (i.PFCODE != d.PFCODE OR                 i.CTRLCODE != d.CTRLCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_PTCH_ENH' for Table 'PTCH_ENH'  */    CREATE TRIGGER [dbo].[T_D_PTCH_ENH] ON [dbo].[PTCH_ENH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'PTCH_ENH' cannot be deleted if children exist in 'PTCH_END'  */    IF EXISTS (             SELECT 1             FROM   PTCH_END c, deleted d             WHERE  c.PTCE_NO = d.PTCE_NO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PTCH_END". Cannot delete parent "PTCH_ENH".'          GOTO error     END    /*  Parent in 'PTCH_ENH' cannot be deleted if children exist in 'PTCH_RTD'  */    IF EXISTS (             SELECT 1             FROM   PTCH_RTD c, deleted d             WHERE  c.PTCE_NO = d.PTCE_NO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PTCH_RTD". Cannot delete parent "PTCH_ENH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_PRBANK' for Table 'PRBANK'  */    CREATE TRIGGER [dbo].[T_D_PRBANK] ON [dbo].[PRBANK] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'PRBANK' cannot be deleted if children exist in 'COMPANY'  */    IF EXISTS (             SELECT 1             FROM   COMPANY c, deleted d             WHERE  c.BANKCODE1 = d.BANKCODE AND                    c.BKBNCODE1 = d.BKBNCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMPANY". Cannot delete parent "PRBANK".'          GOTO error     END    /*  Parent in 'PRBANK' cannot be deleted if children exist in 'COMPANY'  */    IF EXISTS (             SELECT 1             FROM   COMPANY c, deleted d             WHERE  c.BANKCODE2 = d.BANKCODE AND                    c.BKBNCODE2 = d.BKBNCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMPANY". Cannot delete parent "PRBANK".'          GOTO error     END    /*  Parent in 'PRBANK' cannot be deleted if children exist in 'COMPANY'  */    IF EXISTS (             SELECT 1             FROM   COMPANY c, deleted d             WHERE  c.BANKCODE3 = d.BANKCODE AND                    c.BKBNCODE3 = d.BKBNCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMPANY". Cannot delete parent "PRBANK".'          GOTO error     END    /*  Parent in 'PRBANK' cannot be deleted if children exist in 'EMPLOYEE'  */    IF EXISTS (             SELECT 1             FROM   EMPLOYEE c, deleted d             WHERE  c.BANKCODE1 = d.BANKCODE AND                    c.BKBNCODE1 = d.BKBNCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "EMPLOYEE". Cannot delete parent "PRBANK".'          GOTO error     END    /*  Parent in 'PRBANK' cannot be deleted if children exist in 'EMPLOYEE'  */    IF EXISTS (             SELECT 1             FROM   EMPLOYEE c, deleted d             WHERE  c.BANKCODE2 = d.BANKCODE AND                    c.BKBNCODE2 = d.BKBNCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "EMPLOYEE". Cannot delete parent "PRBANK".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_ORDTYPE' for Table 'ORDTYPE'  */    CREATE TRIGGER [dbo].[T_U_ORDTYPE] ON [dbo].[ORDTYPE] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'ORDTYPE' cannot be modified if children exist in 'INVLOC'  */    IF UPDATE(ORDTYPE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   INVLOC c, inserted i, deleted d                  WHERE  c.ORDTYPE = d.ORDTYPE                  AND   (i.ORDTYPE != d.ORDTYPE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "INVLOC". Cannot modify Primary Key in "ORDTYPE".'               GOTO error          END  END    /*  The Primary Key of 'ORDTYPE' cannot be modified if children exist in 'MRP012'  */    IF UPDATE(ORDTYPE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   MRP012 c, inserted i, deleted d                  WHERE  c.ORDTYPE = d.ORDTYPE                  AND   (i.ORDTYPE != d.ORDTYPE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "MRP012". Cannot modify Primary Key in "ORDTYPE".'               GOTO error          END  END    /*  The Primary Key of 'ORDTYPE' cannot be modified if children exist in 'MRP021'  */    IF UPDATE(ORDTYPE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   MRP021 c, inserted i, deleted d                  WHERE  c.ORDTYPE = d.ORDTYPE                  AND   (i.ORDTYPE != d.ORDTYPE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "MRP021". Cannot modify Primary Key in "ORDTYPE".'               GOTO error          END  END    /*  Cascade the Update of the Primary Key of 'ORDTYPE' into its children in 'INVADJH'  */    IF UPDATE(ORDTYPE)     BEGIN          UPDATE INVADJH          SET    ORDTYPE = i.ORDTYPE          FROM   INVADJH c, inserted i, deleted d          WHERE  c.ORDTYPE = d.ORDTYPE          AND    (i.ORDTYPE != d.ORDTYPE)     END    /*  Cascade the Update of the Primary Key of 'ORDTYPE' into its children in 'TRANS'  */    IF UPDATE(ORDTYPE)     BEGIN          UPDATE TRANS          SET    ORDTYPE = i.ORDTYPE          FROM   TRANS c, inserted i, deleted d          WHERE  c.ORDTYPE = d.ORDTYPE          AND    (i.ORDTYPE != d.ORDTYPE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_PTCE_HD' for Table 'PTCE_HD'  */    CREATE TRIGGER [dbo].[T_D_PTCE_HD] ON [dbo].[PTCE_HD] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'PTCE_HD' cannot be deleted if children exist in 'PTCE_DT'  */    IF EXISTS (             SELECT 1             FROM   PTCE_DT c, deleted d             WHERE  c.PTCE_NO = d.PTCE_NO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PTCE_DT". Cannot delete parent "PTCE_HD".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_PF' for Table 'PF'  */    CREATE TRIGGER [dbo].[T_D_PF] ON [dbo].[PF] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'PF' cannot be deleted if children exist in 'COMPANY'  */    IF EXISTS (             SELECT 1             FROM   COMPANY c, deleted d             WHERE  c.PFCODE = d.PFCODE AND                    c.CTRLCODE = d.CTRLCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMPANY". Cannot delete parent "PF".'          GOTO error     END    /*  Parent in 'PF' cannot be deleted if children exist in 'EMPLOYEE'  */    IF EXISTS (             SELECT 1             FROM   EMPLOYEE c, deleted d             WHERE  c.PFCODE = d.PFCODE AND                    c.CTRLCODE = d.CTRLCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "EMPLOYEE". Cannot delete parent "PF".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_ORDTYPE' for Table 'ORDTYPE'  */    CREATE TRIGGER [dbo].[T_D_ORDTYPE] ON [dbo].[ORDTYPE] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'ORDTYPE' cannot be deleted if children exist in 'INVADJH'  */    IF EXISTS (             SELECT 1             FROM   INVADJH c, deleted d             WHERE  c.ORDTYPE = d.ORDTYPE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVADJH". Cannot delete parent "ORDTYPE".'          GOTO error     END    /*  Parent in 'ORDTYPE' cannot be deleted if children exist in 'INVLOC'  */    IF EXISTS (             SELECT 1             FROM   INVLOC c, deleted d             WHERE  c.ORDTYPE = d.ORDTYPE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVLOC". Cannot delete parent "ORDTYPE".'          GOTO error     END    /*  Parent in 'ORDTYPE' cannot be deleted if children exist in 'MRP012'  */    IF EXISTS (             SELECT 1             FROM   MRP012 c, deleted d             WHERE  c.ORDTYPE = d.ORDTYPE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MRP012". Cannot delete parent "ORDTYPE".'          GOTO error     END    /*  Parent in 'ORDTYPE' cannot be deleted if children exist in 'MRP021'  */    IF EXISTS (             SELECT 1             FROM   MRP021 c, deleted d             WHERE  c.ORDTYPE = d.ORDTYPE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MRP021". Cannot delete parent "ORDTYPE".'          GOTO error     END    /*  Parent in 'ORDTYPE' cannot be deleted if children exist in 'TRANS'  */    IF EXISTS (             SELECT 1             FROM   TRANS c, deleted d             WHERE  c.ORDTYPE = d.ORDTYPE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "TRANS". Cannot delete parent "ORDTYPE".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_PROINVX' for Table 'PROINVX'  */    CREATE TRIGGER [dbo].[T_D_PROINVX] ON [dbo].[PROINVX] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'PROINVX' cannot be deleted if children exist in 'COMMX'  */    IF EXISTS (             SELECT 1             FROM   COMMX c, deleted d             WHERE  c.ITEM = d.ITEM AND                    c.PROINVNO = d.PROINVNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMMX". Cannot delete parent "PROINVX".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_QMCERTH' for Table 'QMCERTH'  */    CREATE TRIGGER [dbo].[T_D_QMCERTH] ON [dbo].[QMCERTH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'QMCERTH' cannot be deleted if children exist in 'Qmcertd'  */    IF EXISTS (             SELECT 1             FROM   Qmcertd c, deleted d             WHERE  c.CERTNO = d.CERTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "Qmcertd". Cannot delete parent "QMCERTH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_PURMAST1' for Table 'QUOTA_H'  */    CREATE TRIGGER [dbo].[T_D_PURMAST1] ON [dbo].[QUOTA_H] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'QUOTA_H' cannot be deleted if children exist in 'QUOTA_D'  */    IF EXISTS (             SELECT 1             FROM   QUOTA_D c, deleted d             WHERE  c.VENDORID = d.VENDORID AND                    c.QUOTA_NO = d.QUOTA_NO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "QUOTA_D". Cannot delete parent "QUOTA_H".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_PURCODE' for Table 'PURCODE'  */    CREATE TRIGGER [dbo].[T_D_PURCODE] ON [dbo].[PURCODE] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'PURCODE' cannot be deleted if children exist in 'ADVC_EXP'  */    IF EXISTS (             SELECT 1             FROM   ADVC_EXP c, deleted d             WHERE  c.PURCODE = d.CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ADVC_EXP". Cannot delete parent "PURCODE".'          GOTO error     END    /*  Parent in 'PURCODE' cannot be deleted if children exist in 'MANCHECK'  */    IF EXISTS (             SELECT 1             FROM   MANCHECK c, deleted d             WHERE  c.CODE = d.CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MANCHECK". Cannot delete parent "PURCODE".'          GOTO error     END    /*  Parent in 'PURCODE' cannot be deleted if children exist in 'PTCE_DT'  */    IF EXISTS (             SELECT 1             FROM   PTCE_DT c, deleted d             WHERE  c.PURCODE = d.CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PTCE_DT". Cannot delete parent "PURCODE".'          GOTO error     END    /*  Parent in 'PURCODE' cannot be deleted if children exist in 'PTCH_END'  */    IF EXISTS (             SELECT 1             FROM   PTCH_END c, deleted d             WHERE  c.PURCODE = d.CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PTCH_END". Cannot delete parent "PURCODE".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_FA_TYPE' for Table 'FA_TYPE'  */    CREATE TRIGGER [dbo].[T_D_FA_TYPE] ON [dbo].[FA_TYPE] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'FA_TYPE' cannot be deleted if children exist in 'FAMAS_H'  */    IF EXISTS (             SELECT 1             FROM   FAMAS_H c, deleted d             WHERE  c.FTP_GR = d.FTP_GR AND                    c.FTP_TP = d.FTP_TP            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "FAMAS_H". Cannot delete parent "FA_TYPE".'          GOTO error     END    /*  Parent in 'FA_TYPE' cannot be deleted if children exist in 'FAMAS_D'  */    IF EXISTS (             SELECT 1             FROM   FAMAS_D c, deleted d             WHERE  c.FTP_GR = d.FTP_GR AND                    c.FTP_TP = d.FTP_TP            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "FAMAS_D". Cannot delete parent "FA_TYPE".'          GOTO error     END    /*  Parent in 'FA_TYPE' cannot be deleted if children exist in 'DPR_HIST'  */    IF EXISTS (             SELECT 1             FROM   DPR_HIST c, deleted d             WHERE  c.FTP_GR = d.FTP_GR AND                    c.FTP_TP = d.FTP_TP            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "DPR_HIST". Cannot delete parent "FA_TYPE".'          GOTO error     END    /*  Parent in 'FA_TYPE' cannot be deleted if children exist in 'FMH_AUD'  */    IF EXISTS (             SELECT 1             FROM   FMH_AUD c, deleted d             WHERE  c.FTP_GR = d.FTP_GR AND                    c.FTP_TP = d.FTP_TP            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "FMH_AUD". Cannot delete parent "FA_TYPE".'          GOTO error     END    /*  Parent in 'FA_TYPE' cannot be deleted if children exist in 'FMD_AUD'  */    IF EXISTS (             SELECT 1             FROM   FMD_AUD c, deleted d             WHERE  c.FTP_GR = d.FTP_GR AND                    c.FTP_TP = d.FTP_TP            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "FMD_AUD". Cannot delete parent "FA_TYPE".'          GOTO error     END    /*  Parent in 'FA_TYPE' cannot be deleted if children exist in 'FARETIRE'  */    IF EXISTS (             SELECT 1             FROM   FARETIRE c, deleted d             WHERE  c.FTP_GR = d.FTP_GR AND                    c.FTP_TP = d.FTP_TP            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "FARETIRE". Cannot delete parent "FA_TYPE".'          GOTO error     END    /*  Parent in 'FA_TYPE' cannot be deleted if children exist in 'GLFADIST'  */    IF EXISTS (             SELECT 1             FROM   GLFADIST c, deleted d             WHERE  c.FTP_GR = d.FTP_GR AND                    c.FTP_TP = d.FTP_TP            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "GLFADIST". Cannot delete parent "FA_TYPE".'          GOTO error     END    /*  Parent in 'FA_TYPE' cannot be deleted if children exist in 'FACOUNT'  */    IF EXISTS (             SELECT 1             FROM   FACOUNT c, deleted d             WHERE  c.FTP_GR = d.FTP_GR AND                    c.FTP_TP = d.FTP_TP            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "FACOUNT". Cannot delete parent "FA_TYPE".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_PTCR_HD' for Table 'PTCR_HD'  */    CREATE TRIGGER [dbo].[T_D_PTCR_HD] ON [dbo].[PTCR_HD] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'PTCR_HD' cannot be deleted if children exist in 'PTCR_DT'  */    IF EXISTS (             SELECT 1             FROM   PTCR_DT c, deleted d             WHERE  c.PTCR_NO = d.PTCR_NO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PTCR_DT". Cannot delete parent "PTCR_HD".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_ALLMAST' for Table 'ALLMAST'  */    CREATE TRIGGER [dbo].[T_D_ALLMAST] ON [dbo].[ALLMAST] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Delete all children in 'ALLTO' of parent 'ALLMAST'  */    DELETE ALLTO  FROM   ALLTO c, deleted d  WHERE  c.SEQUENCE = d.SEQUENCE  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_QMSPECMS' for Table 'QMSPECMS'  */    CREATE TRIGGER [dbo].[T_D_QMSPECMS] ON [dbo].[QMSPECMS] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'QMSPECMS' cannot be deleted if children exist in 'QMINSPRT'  */    IF EXISTS (             SELECT 1             FROM   QMINSPRT c, deleted d             WHERE  c.SPECID = d.SPECID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "QMINSPRT". Cannot delete parent "QMSPECMS".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_ADVCUST' for Table 'ADVCUST'  */    CREATE TRIGGER [dbo].[T_D_ADVCUST] ON [dbo].[ADVCUST] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'ADVCUST' cannot be deleted if children exist in 'ADVC_HD'  */    IF EXISTS (             SELECT 1             FROM   ADVC_HD c, deleted d             WHERE  c.ADVCUST = d.ADVCUST            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ADVC_HD". Cannot delete parent "ADVCUST".'          GOTO error     END    /*  Parent in 'ADVCUST' cannot be deleted if children exist in 'ADVE'  */    IF EXISTS (             SELECT 1             FROM   ADVE c, deleted d             WHERE  c.ADVCUST = d.ADVCUST            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ADVE". Cannot delete parent "ADVCUST".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_QMINSPTR' for Table 'QMINSPTR'  */    CREATE TRIGGER [dbo].[T_D_QMINSPTR] ON [dbo].[QMINSPTR] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'QMINSPTR' cannot be deleted if children exist in 'QMORDRSN'  */    IF EXISTS (             SELECT 1             FROM   QMORDRSN c, deleted d             WHERE  c.INSPPERSON = d.INSPTRID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "QMORDRSN". Cannot delete parent "QMINSPTR".'          GOTO error     END    /*  Parent in 'QMINSPTR' cannot be deleted if children exist in 'QMSMPMSM'  */    IF EXISTS (             SELECT 1             FROM   QMSMPMSM c, deleted d             WHERE  c.MSMPERSON = d.INSPTRID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "QMSMPMSM". Cannot delete parent "QMINSPTR".'          GOTO error     END    /*  Parent in 'QMINSPTR' cannot be deleted if children exist in 'QMSMPRSL'  */    IF EXISTS (             SELECT 1             FROM   QMSMPRSL c, deleted d             WHERE  c.INSPPERSON = d.INSPTRID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "QMSMPRSL". Cannot delete parent "QMINSPTR".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_INVSELL' for Table 'INVSELL'  */    CREATE TRIGGER [dbo].[T_D_INVSELL] ON [dbo].[INVSELL] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'INVSELL' cannot be deleted if children exist in 'BUNDLE'  */    IF EXISTS (             SELECT 1             FROM   BUNDLE c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "BUNDLE". Cannot delete parent "INVSELL".'          GOTO error     END    /*  Parent in 'INVSELL' cannot be deleted if children exist in 'PRICEEX'  */    IF EXISTS (             SELECT 1             FROM   PRICEEX c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRICEEX". Cannot delete parent "INVSELL".'          GOTO error     END    /*  Parent in 'INVSELL' cannot be deleted if children exist in 'PROINVX'  */    IF EXISTS (             SELECT 1             FROM   PROINVX c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PROINVX". Cannot delete parent "INVSELL".'          GOTO error     END    /*  Parent in 'INVSELL' cannot be deleted if children exist in 'COMTAXX'  */    IF EXISTS (             SELECT 1             FROM   COMTAXX c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMTAXX". Cannot delete parent "INVSELL".'          GOTO error     END    /*  Parent in 'INVSELL' cannot be deleted if children exist in 'COMMX'  */    IF EXISTS (             SELECT 1             FROM   COMMX c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMMX". Cannot delete parent "INVSELL".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_QMINSPPC' for Table 'QMINSPPC'  */    CREATE TRIGGER [dbo].[T_D_QMINSPPC] ON [dbo].[QMINSPPC] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'QMINSPPC' cannot be deleted if children exist in 'QMINSORD'  */    IF EXISTS (             SELECT 1             FROM   QMINSORD c, deleted d             WHERE  c.INSPPCID = d.INSPPCID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "QMINSORD". Cannot delete parent "QMINSPPC".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_POMAST' for Table 'POMAST'  */    CREATE TRIGGER [dbo].[T_D_POMAST] ON [dbo].[POMAST] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'POMAST' cannot be deleted if children exist in 'PARTALL'  */    IF EXISTS (             SELECT 1             FROM   PARTALL c, deleted d             WHERE  c.PONO = d.PONO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PARTALL". Cannot delete parent "POMAST".'          GOTO error     END    /*  Parent in 'POMAST' cannot be deleted if children exist in 'PODET'  */    IF EXISTS (             SELECT 1             FROM   PODET c, deleted d             WHERE  c.PONO = d.PONO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PODET". Cannot delete parent "POMAST".'          GOTO error     END    /*  Parent in 'POMAST' cannot be deleted if children exist in 'POSHIPD'  */    IF EXISTS (             SELECT 1             FROM   POSHIPD c, deleted d             WHERE  c.PONO = d.PONO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "POSHIPD". Cannot delete parent "POMAST".'          GOTO error     END    /*  Parent in 'POMAST' cannot be deleted if children exist in 'SCHDALL'  */    IF EXISTS (             SELECT 1             FROM   SCHDALL c, deleted d             WHERE  c.PONO = d.PONO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "SCHDALL". Cannot delete parent "POMAST".'          GOTO error     END    /*  Parent in 'POMAST' cannot be deleted if children exist in 'APEDIT'  */    IF EXISTS (             SELECT 1             FROM   APEDIT c, deleted d             WHERE  c.PONO = d.PONO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APEDIT". Cannot delete parent "POMAST".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_SFC301H' for Table 'SFC301H'  */    CREATE TRIGGER [dbo].[T_D_SFC301H] ON [dbo].[SFC301H] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'SFC301H' cannot be deleted if children exist in 'SFC301'  */    IF EXISTS (             SELECT 1             FROM   SFC301 c, deleted d             WHERE  c.ORD = d.ORD AND                    c.TRANSNO = d.TRANSNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "SFC301". Cannot delete parent "SFC301H".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_PRODCLAS' for Table 'PRODCLAS'  */    CREATE TRIGGER [dbo].[T_U_PRODCLAS] ON [dbo].[PRODCLAS] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'PRODCLAS' cannot be modified if children exist in 'ARDET'  */    IF UPDATE(PRODCLASS)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARDET c, inserted i, deleted d                  WHERE  c.PRODCLASS = d.PRODCLASS                  AND   (i.PRODCLASS != d.PRODCLASS)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARDET". Cannot modify Primary Key in "PRODCLAS".'               GOTO error          END  END    /*  The Primary Key of 'PRODCLAS' cannot be modified if children exist in 'SHIPHIST'  */    IF UPDATE(PRODCLASS)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   SHIPHIST c, inserted i, deleted d                  WHERE  c.PRODCLASS = d.PRODCLASS                  AND   (i.PRODCLASS != d.PRODCLASS)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "SHIPHIST". Cannot modify Primary Key in "PRODCLAS".'               GOTO error          END  END    /*  Cascade the Update of the Primary Key of 'PRODCLAS' into its children in 'FCST'  */    IF UPDATE(PRODCLASS)     BEGIN          UPDATE FCST          SET    PRODCLASS = i.PRODCLASS          FROM   FCST c, inserted i, deleted d          WHERE  c.PRODCLASS = d.PRODCLASS          AND    (i.PRODCLASS != d.PRODCLASS)     END    /*  Cascade the Update of the Primary Key of 'PRODCLAS' into its children in 'INV'  */    IF UPDATE(PRODCLASS)     BEGIN          UPDATE INV          SET    PRODCLASS = i.PRODCLASS          FROM   INV c, inserted i, deleted d          WHERE  c.PRODCLASS = d.PRODCLASS          AND    (i.PRODCLASS != d.PRODCLASS)     END    /*  Cascade the Update of the Primary Key of 'PRODCLAS' into its children in 'POSHIPD'  */    IF UPDATE(PRODCLASS)     BEGIN          UPDATE POSHIPD          SET    PRODCLASS = i.PRODCLASS          FROM   POSHIPD c, inserted i, deleted d          WHERE  c.PRODCLASS = d.PRODCLASS          AND    (i.PRODCLASS != d.PRODCLASS)     END    /*  Cascade the Update of the Primary Key of 'PRODCLAS' into its children in 'PRICE'  */    IF UPDATE(PRODCLASS)     BEGIN          UPDATE PRICE          SET    PRODCLASS = i.PRODCLASS          FROM   PRICE c, inserted i, deleted d          WHERE  c.PRODCLASS = d.PRODCLASS          AND    (i.PRODCLASS != d.PRODCLASS)     END    /*  Cascade the Update of the Primary Key of 'PRODCLAS' into its children in 'COINVCD'  */    IF UPDATE(PRODCLASS)     BEGIN          UPDATE COINVCD          SET    PRODCLASS = i.PRODCLASS          FROM   COINVCD c, inserted i, deleted d          WHERE  c.PRODCLASS = d.PRODCLASS          AND    (i.PRODCLASS != d.PRODCLASS)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_INVENSH' for Table 'INVENSH'  */    CREATE TRIGGER [dbo].[T_D_INVENSH] ON [dbo].[INVENSH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'INVENSH' cannot be deleted if children exist in 'INVENSM1'  */    IF EXISTS (             SELECT 1             FROM   INVENSM1 c, deleted d             WHERE  c.ORD = d.ORD            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVENSM1". Cannot delete parent "INVENSH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_Retroh' for Table 'Retroh'  */    CREATE TRIGGER [dbo].[T_D_Retroh] ON [dbo].[Retroh] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'Retroh' cannot be deleted if children exist in 'Retrod'  */    IF EXISTS (             SELECT 1             FROM   Retrod c, deleted d             WHERE  c.COMPCODE = d.COMPCODE AND                    c.EMPCODE = d.EMPCODE AND                    c.PERIOD = d.PERIOD AND                    c.MONTH = d.MONTH AND                    c.YEAR = d.YEAR AND                    c.BRNCODE = d.BRNCODE AND                    c.DEPTCODE = d.DEPTCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "Retrod". Cannot delete parent "Retroh".'          GOTO error     END    /*  Parent in 'Retroh' cannot be deleted if children exist in 'Retrop'  */    IF EXISTS (             SELECT 1             FROM   Retrop c, deleted d             WHERE  c.COMPCODE = d.COMPCODE AND                    c.EMPCODE = d.EMPCODE AND                    c.PERIOD = d.PERIOD AND                    c.MONTH = d.MONTH AND                    c.YEAR = d.YEAR AND                    c.BRNCODE = d.BRNCODE AND                    c.DEPTCODE = d.DEPTCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "Retrop". Cannot delete parent "Retroh".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_PRODCLAS' for Table 'PRODCLAS'  */    CREATE TRIGGER [dbo].[T_D_PRODCLAS] ON [dbo].[PRODCLAS] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'PRODCLAS' cannot be deleted if children exist in 'ARDET'  */    IF EXISTS (             SELECT 1             FROM   ARDET c, deleted d             WHERE  c.PRODCLASS = d.PRODCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARDET". Cannot delete parent "PRODCLAS".'          GOTO error     END    /*  Parent in 'PRODCLAS' cannot be deleted if children exist in 'FCST'  */    IF EXISTS (             SELECT 1             FROM   FCST c, deleted d             WHERE  c.PRODCLASS = d.PRODCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "FCST". Cannot delete parent "PRODCLAS".'          GOTO error     END    /*  Parent in 'PRODCLAS' cannot be deleted if children exist in 'INV'  */    IF EXISTS (             SELECT 1             FROM   INV c, deleted d             WHERE  c.PRODCLASS = d.PRODCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INV". Cannot delete parent "PRODCLAS".'          GOTO error     END    /*  Parent in 'PRODCLAS' cannot be deleted if children exist in 'POSHIPD'  */    IF EXISTS (             SELECT 1             FROM   POSHIPD c, deleted d             WHERE  c.PRODCLASS = d.PRODCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "POSHIPD". Cannot delete parent "PRODCLAS".'          GOTO error     END    /*  Parent in 'PRODCLAS' cannot be deleted if children exist in 'PRICE'  */    IF EXISTS (             SELECT 1             FROM   PRICE c, deleted d             WHERE  c.PRODCLASS = d.PRODCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRICE". Cannot delete parent "PRODCLAS".'          GOTO error     END    /*  Parent in 'PRODCLAS' cannot be deleted if children exist in 'SHIPHIST'  */    IF EXISTS (             SELECT 1             FROM   SHIPHIST c, deleted d             WHERE  c.PRODCLASS = d.PRODCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "SHIPHIST". Cannot delete parent "PRODCLAS".'          GOTO error     END    /*  Parent in 'PRODCLAS' cannot be deleted if children exist in 'COINVCD'  */    IF EXISTS (             SELECT 1             FROM   COINVCD c, deleted d             WHERE  c.PRODCLASS = d.PRODCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COINVCD". Cannot delete parent "PRODCLAS".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_INCOME' for Table 'INCOME'  */    CREATE TRIGGER [dbo].[T_D_INCOME] ON [dbo].[INCOME] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'INCOME' cannot be deleted if children exist in 'MANCHECK'  */    IF EXISTS (             SELECT 1             FROM   MANCHECK c, deleted d             WHERE  c.INCCODE = d.INCCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MANCHECK". Cannot delete parent "INCOME".'          GOTO error     END    /*  Parent in 'INCOME' cannot be deleted if children exist in 'APBAL'  */    IF EXISTS (             SELECT 1             FROM   APBAL c, deleted d             WHERE  c.INCCODE = d.INCCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APBAL". Cannot delete parent "INCOME".'          GOTO error     END    /*  Parent in 'INCOME' cannot be deleted if children exist in 'PURCODE'  */    IF EXISTS (             SELECT 1             FROM   PURCODE c, deleted d             WHERE  c.INCCODE = d.INCCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PURCODE". Cannot delete parent "INCOME".'          GOTO error     END    /*  Parent in 'INCOME' cannot be deleted if children exist in 'APBALH'  */    IF EXISTS (             SELECT 1             FROM   APBALH c, deleted d             WHERE  c.INCCODE = d.INCCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APBALH". Cannot delete parent "INCOME".'          GOTO error     END    /*  Parent in 'INCOME' cannot be deleted if children exist in 'ADVC_EXP'  */    IF EXISTS (             SELECT 1             FROM   ADVC_EXP c, deleted d             WHERE  c.INCCODE = d.INCCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ADVC_EXP". Cannot delete parent "INCOME".'          GOTO error     END    /*  Parent in 'INCOME' cannot be deleted if children exist in 'ADVH_CEX'  */    IF EXISTS (             SELECT 1             FROM   ADVH_CEX c, deleted d             WHERE  c.INCCODE = d.INCCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ADVH_CEX". Cannot delete parent "INCOME".'          GOTO error     END    /*  Parent in 'INCOME' cannot be deleted if children exist in 'PTCE_DT'  */    IF EXISTS (             SELECT 1             FROM   PTCE_DT c, deleted d             WHERE  c.INCCODE = d.INCCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PTCE_DT". Cannot delete parent "INCOME".'          GOTO error     END    /*  Parent in 'INCOME' cannot be deleted if children exist in 'PTCH_END'  */    IF EXISTS (             SELECT 1             FROM   PTCH_END c, deleted d             WHERE  c.INCCODE = d.INCCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PTCH_END". Cannot delete parent "INCOME".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_BOAH' for Table 'BOAH'  */    CREATE TRIGGER [dbo].[T_U_BOAH] ON [dbo].[BOAH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'BOAH' into its children in 'BOAD'  */    IF UPDATE(PN) OR     UPDATE(CUSTID) OR     UPDATE(ITEM)     BEGIN          UPDATE BOAD          SET    PN = i.PN ,                 CUSTID = i.CUSTID ,                 ITEM = i.ITEM          FROM   BOAD c, inserted i, deleted d          WHERE  c.PN = d.PN AND                 c.CUSTID = d.CUSTID AND                 c.ITEM = d.ITEM          AND    (i.PN != d.PN OR                 i.CUSTID != d.CUSTID OR                 i.ITEM != d.ITEM)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_LCTRAN' for Table 'LCTRAN'  */    CREATE TRIGGER [dbo].[T_D_LCTRAN] ON [dbo].[LCTRAN] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'LCTRAN' cannot be deleted if children exist in 'APINVCH'  */    IF EXISTS (             SELECT 1             FROM   APINVCH c, deleted d             WHERE  c.LCNO = d.LCNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APINVCH". Cannot delete parent "LCTRAN".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_BILLRCDH' for Table 'BILLRCDH'  */    CREATE TRIGGER [dbo].[T_U_BILLRCDH] ON [dbo].[BILLRCDH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'BILLRCDH' into its children in 'BILLRCD'  */    IF UPDATE(BILLR_NO)     BEGIN          UPDATE BILLRCD          SET    BILLR_NO = i.BILLR_NO          FROM   BILLRCD c, inserted i, deleted d          WHERE  c.BILLR_NO = d.BILLR_NO          AND    (i.BILLR_NO != d.BILLR_NO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_CALTABH' for Table 'CALTABH'  */    CREATE TRIGGER [dbo].[T_U_CALTABH] ON [dbo].[CALTABH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'CALTABH' into its children in 'CALTABD'  */    IF UPDATE(COMPCODE) OR     UPDATE(TABCODE)     BEGIN          UPDATE CALTABD          SET    TABCODE = i.TABCODE ,                 COMPCODE = i.COMPCODE          FROM   CALTABD c, inserted i, deleted d          WHERE  c.TABCODE = d.TABCODE AND                 c.COMPCODE = d.COMPCODE          AND    (i.TABCODE != d.TABCODE OR                 i.COMPCODE != d.COMPCODE)     END    /*  Cascade the Update of the Primary Key of 'CALTABH' into its children in 'DEDUCT'  */    IF UPDATE(COMPCODE) OR     UPDATE(TABCODE)     BEGIN          UPDATE DEDUCT          SET    TABCODE = i.TABCODE ,                 COMPCODE = i.COMPCODE          FROM   DEDUCT c, inserted i, deleted d          WHERE  c.TABCODE = d.TABCODE AND                 c.COMPCODE = d.COMPCODE          AND    (i.TABCODE != d.TABCODE OR                 i.COMPCODE != d.COMPCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_BILLH' for Table 'BILLH'  */    CREATE TRIGGER [dbo].[T_U_BILLH] ON [dbo].[BILLH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'BILLH' into its children in 'BILL'  */    IF UPDATE(BILL_NO)     BEGIN          UPDATE BILL          SET    BILL_NO = i.BILL_NO          FROM   BILL c, inserted i, deleted d          WHERE  c.BILL_NO = d.BILL_NO          AND    (i.BILL_NO != d.BILL_NO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_INVBGT' for Table 'INVBGT'  */    CREATE TRIGGER [dbo].[T_U_INVBGT] ON [dbo].[INVBGT] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'INVBGT' cannot be modified if children exist in 'MTXNHIST'  */    IF UPDATE(BGTCODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   MTXNHIST c, inserted i, deleted d                  WHERE  c.BGTCODE = d.BGTCODE                  AND   (i.BGTCODE != d.BGTCODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "MTXNHIST". Cannot modify Primary Key in "INVBGT".'               GOTO error          END  END    /*  Cascade the Update of the Primary Key of 'INVBGT' into its children in 'INVADJH'  */    IF UPDATE(BGTCODE)     BEGIN          UPDATE INVADJH          SET    BGTCODE = i.BGTCODE          FROM   INVADJH c, inserted i, deleted d          WHERE  c.BGTCODE = d.BGTCODE          AND    (i.BGTCODE != d.BGTCODE)     END    /*  Cascade the Update of the Primary Key of 'INVBGT' into its children in 'PODET'  */    IF UPDATE(BGTCODE)     BEGIN          UPDATE PODET          SET    BGTCODE = i.BGTCODE          FROM   PODET c, inserted i, deleted d          WHERE  c.BGTCODE = d.BGTCODE          AND    (i.BGTCODE != d.BGTCODE)     END    /*  Cascade the Update of the Primary Key of 'INVBGT' into its children in 'REQUEST'  */    IF UPDATE(BGTCODE)     BEGIN          UPDATE REQUEST          SET    BGTCODE = i.BGTCODE          FROM   REQUEST c, inserted i, deleted d          WHERE  c.BGTCODE = d.BGTCODE          AND    (i.BGTCODE != d.BGTCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_COMAST' for Table 'COMAST'  */    CREATE TRIGGER [dbo].[T_U_COMAST] ON [dbo].[COMAST] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'COMAST' into its children in 'CODET'  */    IF UPDATE(OENO)     BEGIN          UPDATE CODET          SET    OENO = i.OENO          FROM   CODET c, inserted i, deleted d          WHERE  c.OENO = d.OENO          AND    (i.OENO != d.OENO)     END    /*  Cascade the Update of the Primary Key of 'COMAST' into its children in 'ARSHIP'  */    IF UPDATE(OENO)     BEGIN          UPDATE ARSHIP          SET    OENO = i.OENO          FROM   ARSHIP c, inserted i, deleted d          WHERE  c.OENO = d.OENO          AND    (i.OENO != d.OENO)     END    /*  Cascade the Update of the Primary Key of 'COMAST' into its children in 'ORDHOLD'  */    IF UPDATE(OENO)     BEGIN          UPDATE ORDHOLD          SET    OENO = i.OENO          FROM   ORDHOLD c, inserted i, deleted d          WHERE  c.OENO = d.OENO          AND    (i.OENO != d.OENO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_ADVC_HD' for Table 'ADVC_HD'  */    CREATE TRIGGER [dbo].[T_U_ADVC_HD] ON [dbo].[ADVC_HD] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'ADVC_HD' into its children in 'ADVC_DT'  */    IF UPDATE(ADVC_NO)     BEGIN          UPDATE ADVC_DT          SET    ADVC_NO = i.ADVC_NO          FROM   ADVC_DT c, inserted i, deleted d          WHERE  c.ADVC_NO = d.ADVC_NO          AND    (i.ADVC_NO != d.ADVC_NO)     END    /*  Cascade the Update of the Primary Key of 'ADVC_HD' into its children in 'ADVC_EXP'  */    IF UPDATE(ADVC_NO)     BEGIN          UPDATE ADVC_EXP          SET    ADVC_NO = i.ADVC_NO          FROM   ADVC_EXP c, inserted i, deleted d          WHERE  c.ADVC_NO = d.ADVC_NO          AND    (i.ADVC_NO != d.ADVC_NO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_INVBGT' for Table 'INVBGT'  */    CREATE TRIGGER [dbo].[T_D_INVBGT] ON [dbo].[INVBGT] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'INVBGT' cannot be deleted if children exist in 'INVADJH'  */    IF EXISTS (             SELECT 1             FROM   INVADJH c, deleted d             WHERE  c.BGTCODE = d.BGTCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVADJH". Cannot delete parent "INVBGT".'          GOTO error     END    /*  Parent in 'INVBGT' cannot be deleted if children exist in 'PODET'  */    IF EXISTS (             SELECT 1             FROM   PODET c, deleted d             WHERE  c.BGTCODE = d.BGTCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PODET". Cannot delete parent "INVBGT".'          GOTO error     END    /*  Parent in 'INVBGT' cannot be deleted if children exist in 'MTXNHIST'  */    IF EXISTS (             SELECT 1             FROM   MTXNHIST c, deleted d             WHERE  c.BGTCODE = d.BGTCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MTXNHIST". Cannot delete parent "INVBGT".'          GOTO error     END    /*  Parent in 'INVBGT' cannot be deleted if children exist in 'REQUEST'  */    IF EXISTS (             SELECT 1             FROM   REQUEST c, deleted d             WHERE  c.BGTCODE = d.BGTCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "REQUEST". Cannot delete parent "INVBGT".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_COMMH' for Table 'COMMH'  */    CREATE TRIGGER [dbo].[T_U_COMMH] ON [dbo].[COMMH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'COMMH' into its children in 'COMMX'  */    IF UPDATE(COMINVNO)     BEGIN          UPDATE COMMX          SET    COMINVNO = i.COMINVNO          FROM   COMMX c, inserted i, deleted d          WHERE  c.COMINVNO = d.COMINVNO          AND    (i.COMINVNO != d.COMINVNO)     END    /*  Cascade the Update of the Primary Key of 'COMMH' into its children in 'ARSHIPHT'  */    IF UPDATE(COMINVNO)     BEGIN          UPDATE ARSHIPHT          SET    OENO = i.COMINVNO          FROM   ARSHIPHT c, inserted i, deleted d          WHERE  c.OENO = d.COMINVNO          AND    (i.COMINVNO != d.COMINVNO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_ADV_OK' for Table 'ADV_OK'  */    CREATE TRIGGER [dbo].[T_U_ADV_OK] ON [dbo].[ADV_OK] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'ADV_OK' into its children in 'ADVC_EXP'  */    IF UPDATE(ADVE_NO)     BEGIN          UPDATE ADVC_EXP          SET    ADVE_NO = i.ADVE_NO          FROM   ADVC_EXP c, inserted i, deleted d          WHERE  c.ADVE_NO = d.ADVE_NO          AND    (i.ADVE_NO != d.ADVE_NO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_COMTAXH' for Table 'COMTAXH'  */    CREATE TRIGGER [dbo].[T_U_COMTAXH] ON [dbo].[COMTAXH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'COMTAXH' into its children in 'COMTAXX'  */    IF UPDATE(COMINVNO)     BEGIN          UPDATE COMTAXX          SET    COMINVNO = i.COMINVNO          FROM   COMTAXX c, inserted i, deleted d          WHERE  c.COMINVNO = d.COMINVNO          AND    (i.COMINVNO != d.COMINVNO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_WC' for Table 'WC'  */    CREATE TRIGGER [dbo].[T_D_WC] ON [dbo].[WC] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'WC' cannot be deleted if children exist in 'ESTRTG'  */    IF EXISTS (             SELECT 1             FROM   ESTRTG c, deleted d             WHERE  c.WC = d.WC            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ESTRTG". Cannot delete parent "WC".'          GOTO error     END    /*  Parent in 'WC' cannot be deleted if children exist in 'FCSTCAP'  */    IF EXISTS (             SELECT 1             FROM   FCSTCAP c, deleted d             WHERE  c.WC = d.WC            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "FCSTCAP". Cannot delete parent "WC".'          GOTO error     END    /*  Parent in 'WC' cannot be deleted if children exist in 'FCSTCAPQ'  */    IF EXISTS (             SELECT 1             FROM   FCSTCAPQ c, deleted d             WHERE  c.WC = d.WC            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "FCSTCAPQ". Cannot delete parent "WC".'          GOTO error     END    /*  Parent in 'WC' cannot be deleted if children exist in 'HOLIWC'  */    IF EXISTS (             SELECT 1             FROM   HOLIWC c, deleted d             WHERE  c.WC = d.WC            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "HOLIWC". Cannot delete parent "WC".'          GOTO error     END    /*  Parent in 'WC' cannot be deleted if children exist in 'LABGLHST'  */    IF EXISTS (             SELECT 1             FROM   LABGLHST c, deleted d             WHERE  c.WC = d.WC            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "LABGLHST". Cannot delete parent "WC".'          GOTO error     END    /*  Parent in 'WC' cannot be deleted if children exist in 'MACHCARD'  */    IF EXISTS (             SELECT 1             FROM   MACHCARD c, deleted d             WHERE  c.WC = d.WC            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MACHCARD". Cannot delete parent "WC".'          GOTO error     END    /*  Parent in 'WC' cannot be deleted if children exist in 'MRP012'  */    IF EXISTS (             SELECT 1             FROM   MRP012 c, deleted d             WHERE  c.WC = d.WC            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MRP012". Cannot delete parent "WC".'          GOTO error     END    /*  Parent in 'WC' cannot be deleted if children exist in 'PSCAP'  */    IF EXISTS (             SELECT 1             FROM   PSCAP c, deleted d             WHERE  c.WC = d.WC            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PSCAP". Cannot delete parent "WC".'          GOTO error     END    /*  Parent in 'WC' cannot be deleted if children exist in 'RTG'  */    IF EXISTS (             SELECT 1             FROM   RTG c, deleted d             WHERE  c.WC = d.WC            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "RTG". Cannot delete parent "WC".'          GOTO error     END    /*  Parent in 'WC' cannot be deleted if children exist in 'SFC201A'  */    IF EXISTS (             SELECT 1             FROM   SFC201A c, deleted d             WHERE  c.WC = d.WC            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "SFC201A". Cannot delete parent "WC".'          GOTO error     END    /*  Parent in 'WC' cannot be deleted if children exist in 'TIMECARD'  */    IF EXISTS (             SELECT 1             FROM   TIMECARD c, deleted d             WHERE  c.WC = d.WC            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "TIMECARD". Cannot delete parent "WC".'          GOTO error     END    /*  Parent in 'WC' cannot be deleted if children exist in 'WORKCAP'  */    IF EXISTS (             SELECT 1             FROM   WORKCAP c, deleted d             WHERE  c.WC = d.WC            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "WORKCAP". Cannot delete parent "WC".'          GOTO error     END    /*  Parent in 'WC' cannot be deleted if children exist in 'WPL'  */    IF EXISTS (             SELECT 1             FROM   WPL c, deleted d             WHERE  c.WC = d.WC            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "WPL". Cannot delete parent "WC".'          GOTO error     END    /*  Parent in 'WC' cannot be deleted if children exist in 'WPLCLS'  */    IF EXISTS (             SELECT 1             FROM   WPLCLS c, deleted d             WHERE  c.WC = d.WC            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "WPLCLS". Cannot delete parent "WC".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_ALLMAST' for Table 'ALLMAST'  */    CREATE TRIGGER [dbo].[T_U_ALLMAST] ON [dbo].[ALLMAST] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'ALLMAST' into its children in 'ALLTO'  */    IF UPDATE(SEQUENCE)     BEGIN          UPDATE ALLTO          SET    SEQUENCE = i.SEQUENCE          FROM   ALLTO c, inserted i, deleted d          WHERE  c.SEQUENCE = d.SEQUENCE          AND    (i.SEQUENCE != d.SEQUENCE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_ARSHIPHT' for Table 'ARSHIPHT'  */    CREATE TRIGGER [dbo].[T_U_ARSHIPHT] ON [dbo].[ARSHIPHT] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'ARSHIPHT' into its children in 'ARSHIPMT'  */    IF UPDATE(OENO) OR     UPDATE(ITEM) OR     UPDATE(PN)     BEGIN          UPDATE ARSHIPMT          SET    OENO = i.OENO ,                 ITEM = i.ITEM ,                 PN = i.PN          FROM   ARSHIPMT c, inserted i, deleted d          WHERE  c.OENO = d.OENO AND                 c.ITEM = d.ITEM AND                 c.PN = d.PN          AND    (i.OENO != d.OENO OR                 i.ITEM != d.ITEM OR                 i.PN != d.PN)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_ADVCUST' for Table 'ADVCUST'  */    CREATE TRIGGER [dbo].[T_U_ADVCUST] ON [dbo].[ADVCUST] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'ADVCUST' into its children in 'ADVC_HD'  */    IF UPDATE(ADVCUST)     BEGIN          UPDATE ADVC_HD          SET    ADVCUST = i.ADVCUST          FROM   ADVC_HD c, inserted i, deleted d          WHERE  c.ADVCUST = d.ADVCUST          AND    (i.ADVCUST != d.ADVCUST)     END    /*  Cascade the Update of the Primary Key of 'ADVCUST' into its children in 'ADVE'  */    IF UPDATE(ADVCUST)     BEGIN          UPDATE ADVE          SET    ADVCUST = i.ADVCUST          FROM   ADVE c, inserted i, deleted d          WHERE  c.ADVCUST = d.ADVCUST          AND    (i.ADVCUST != d.ADVCUST)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_ARSHIPH' for Table 'ARSHIPH'  */    CREATE TRIGGER [dbo].[T_U_ARSHIPH] ON [dbo].[ARSHIPH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'ARSHIPH' into its children in 'ARSHIP'  */    IF UPDATE(SHIPNO)     BEGIN          UPDATE ARSHIP          SET    SHIPNO = i.SHIPNO          FROM   ARSHIP c, inserted i, deleted d          WHERE  c.SHIPNO = d.SHIPNO          AND    (i.SHIPNO != d.SHIPNO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_RECURVCH' for Table 'RECURVCH'  */    CREATE TRIGGER [dbo].[T_D_RECURVCH] ON [dbo].[RECURVCH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'RECURVCH' cannot be deleted if children exist in 'APINVCH'  */    IF EXISTS (             SELECT 1             FROM   APINVCH c, deleted d             WHERE  c.RECURCODE = d.RECURCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APINVCH". Cannot delete parent "RECURVCH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_PLANNER' for Table 'PLANNER'  */    CREATE TRIGGER [dbo].[T_U_PLANNER] ON [dbo].[PLANNER] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'PLANNER' cannot be modified if children exist in 'PLORD'  */    IF UPDATE(CODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   PLORD c, inserted i, deleted d                  WHERE  c.PLANNER = d.CODE                  AND   (i.CODE != d.CODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "PLORD". Cannot modify Primary Key in "PLANNER".'               GOTO error          END  END    /*  Cascade the Update of the Primary Key of 'PLANNER' into its children in 'COMDTY'  */    IF UPDATE(CODE)     BEGIN          UPDATE COMDTY          SET    PLANNER = i.CODE          FROM   COMDTY c, inserted i, deleted d          WHERE  c.PLANNER = d.CODE          AND    (i.CODE != d.CODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_ARRCTH' for Table 'ARRCTH'  */    CREATE TRIGGER [dbo].[T_U_ARRCTH] ON [dbo].[ARRCTH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'ARRCTH' into its children in 'ARRCT'  */    IF UPDATE(RVCHRNO)     BEGIN          UPDATE ARRCT          SET    RVCHRNO = i.RVCHRNO          FROM   ARRCT c, inserted i, deleted d          WHERE  c.RVCHRNO = d.RVCHRNO          AND    (i.RVCHRNO != d.RVCHRNO)     END    /*  Cascade the Update of the Primary Key of 'ARRCTH' into its children in 'ARRCTR'  */    IF UPDATE(RVCHRNO)     BEGIN          UPDATE ARRCTR          SET    RVCHRNO = i.RVCHRNO          FROM   ARRCTR c, inserted i, deleted d          WHERE  c.RVCHRNO = d.RVCHRNO          AND    (i.RVCHRNO != d.RVCHRNO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_RECURINV' for Table 'RECURINV'  */    CREATE TRIGGER [dbo].[T_D_RECURINV] ON [dbo].[RECURINV] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'RECURINV' cannot be deleted if children exist in 'ARINVCH'  */    IF EXISTS (             SELECT 1             FROM   ARINVCH c, deleted d             WHERE  c.RECURCODE = d.RECURCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARINVCH". Cannot delete parent "RECURINV".'          GOTO error     END    /*  Parent in 'RECURINV' cannot be deleted if children exist in 'OEINVCH'  */    IF EXISTS (             SELECT 1             FROM   OEINVCH c, deleted d             WHERE  c.RECURCODE = d.RECURCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "OEINVCH". Cannot delete parent "RECURINV".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_PLANNER' for Table 'PLANNER'  */    CREATE TRIGGER [dbo].[T_D_PLANNER] ON [dbo].[PLANNER] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'PLANNER' cannot be deleted if children exist in 'COMDTY'  */    IF EXISTS (             SELECT 1             FROM   COMDTY c, deleted d             WHERE  c.PLANNER = d.CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMDTY". Cannot delete parent "PLANNER".'          GOTO error     END    /*  Parent in 'PLANNER' cannot be deleted if children exist in 'PLORD'  */    IF EXISTS (             SELECT 1             FROM   PLORD c, deleted d             WHERE  c.PLANNER = d.CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PLORD". Cannot delete parent "PLANNER".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_APRTNH' for Table 'APRTNH'  */    CREATE TRIGGER [dbo].[T_U_APRTNH] ON [dbo].[APRTNH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'APRTNH' into its children in 'APRTN'  */    IF UPDATE(PRTNNO)     BEGIN          UPDATE APRTN          SET    PRTNNO = i.PRTNNO          FROM   APRTN c, inserted i, deleted d          WHERE  c.PRTNNO = d.PRTNNO          AND    (i.PRTNNO != d.PRTNNO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_QMDSPCD' for Table 'QMDSPCD'  */    CREATE TRIGGER [dbo].[T_D_QMDSPCD] ON [dbo].[QMDSPCD] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'QMDSPCD' cannot be deleted if children exist in 'QMINSORD'  */    IF EXISTS (             SELECT 1             FROM   QMINSORD c, deleted d             WHERE  c.LOTDISP = d.DSPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "QMINSORD". Cannot delete parent "QMDSPCD".'          GOTO error     END    /*  Parent in 'QMDSPCD' cannot be deleted if children exist in 'QMINSPPC'  */    IF EXISTS (             SELECT 1             FROM   QMINSPPC c, deleted d             WHERE  c.ACPDISP = d.DSPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "QMINSPPC". Cannot delete parent "QMDSPCD".'          GOTO error     END    /*  Parent in 'QMDSPCD' cannot be deleted if children exist in 'QMINSPPC'  */    IF EXISTS (             SELECT 1             FROM   QMINSPPC c, deleted d             WHERE  c.REJDISP = d.DSPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "QMINSPPC". Cannot delete parent "QMDSPCD".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_APINVCH' for Table 'APINVCH'  */    CREATE TRIGGER [dbo].[T_U_APINVCH] ON [dbo].[APINVCH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'APINVCH' into its children in 'APINVCD'  */    IF UPDATE(VCHRNO)     BEGIN          UPDATE APINVCD          SET    VCHRNO = i.VCHRNO          FROM   APINVCD c, inserted i, deleted d          WHERE  c.VCHRNO = d.VCHRNO          AND    (i.VCHRNO != d.VCHRNO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_QMDEPT' for Table 'QMDEPT'  */    CREATE TRIGGER [dbo].[T_D_QMDEPT] ON [dbo].[QMDEPT] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'QMDEPT' cannot be deleted if children exist in 'QMINSPTR'  */    IF EXISTS (             SELECT 1             FROM   QMINSPTR c, deleted d             WHERE  c.DEPTCD = d.DEPTCD            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "QMINSPTR". Cannot delete parent "QMDEPT".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_APEDITH' for Table 'APEDITH'  */    CREATE TRIGGER [dbo].[T_U_APEDITH] ON [dbo].[APEDITH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'APEDITH' into its children in 'APEDIT'  */    IF UPDATE(RCDNO)     BEGIN          UPDATE APEDIT          SET    RCDNO = i.RCDNO          FROM   APEDIT c, inserted i, deleted d          WHERE  c.RCDNO = d.RCDNO          AND    (i.RCDNO != d.RCDNO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_QMSMPPLN' for Table 'QMSMPPLN'  */    CREATE TRIGGER [dbo].[T_D_QMSMPPLN] ON [dbo].[QMSMPPLN] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'QMSMPPLN' cannot be deleted if children exist in 'QMINSPPC'  */    IF EXISTS (             SELECT 1             FROM   QMINSPPC c, deleted d             WHERE  c.SAMPLNID = d.SMPPLNID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "QMINSPPC". Cannot delete parent "QMSMPPLN".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_ALLTO' for Table 'ALLTO'  */    CREATE TRIGGER [dbo].[T_U_ALLTO] ON [dbo].[ALLTO] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'ALLTO' into its children in 'ALLBASE'  */    IF UPDATE(SEQUENCE) OR     UPDATE(TOACCT)     BEGIN          UPDATE ALLBASE          SET    SEQUENCE = i.SEQUENCE ,                 TOACCT = i.TOACCT          FROM   ALLBASE c, inserted i, deleted d          WHERE  c.SEQUENCE = d.SEQUENCE AND                 c.TOACCT = d.TOACCT          AND    (i.SEQUENCE != d.SEQUENCE OR                 i.TOACCT != d.TOACCT)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_QMRSNCD' for Table 'QMRSNCD'  */    CREATE TRIGGER [dbo].[T_D_QMRSNCD] ON [dbo].[QMRSNCD] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'QMRSNCD' cannot be deleted if children exist in 'QMORDRSN'  */    IF EXISTS (             SELECT 1             FROM   QMORDRSN c, deleted d             WHERE  c.RSNCODE = d.RSNCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "QMORDRSN". Cannot delete parent "QMRSNCD".'          GOTO error     END    /*  Parent in 'QMRSNCD' cannot be deleted if children exist in 'QMSMPRSL'  */    IF EXISTS (             SELECT 1             FROM   QMSMPRSL c, deleted d             WHERE  c.RSMCODE = d.RSNCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "QMSMPRSL". Cannot delete parent "QMRSNCD".'          GOTO error     END    /*  Parent in 'QMRSNCD' cannot be deleted if children exist in 'QMSPECMS'  */    IF EXISTS (             SELECT 1             FROM   QMSPECMS c, deleted d             WHERE  c.FAILRSN = d.RSNCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "QMSPECMS". Cannot delete parent "QMRSNCD".'          GOTO error     END    /*  Parent in 'QMRSNCD' cannot be deleted if children exist in 'QMSPECMS'  */    IF EXISTS (             SELECT 1             FROM   QMSPECMS c, deleted d             WHERE  c.PASSRSN = d.RSNCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "QMSPECMS". Cannot delete parent "QMRSNCD".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_COMTAXX' for Table 'COMTAXX'  */    CREATE TRIGGER [dbo].[T_U_COMTAXX] ON [dbo].[COMTAXX] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'COMTAXX' into its children in 'RM19'  */    IF UPDATE(COMINVNO) OR     UPDATE(COMITEM) OR     UPDATE(COMITEMPK)     BEGIN          UPDATE RM19          SET    COMINVNO = i.COMINVNO          FROM   RM19 c, inserted i, deleted d          WHERE  c.COMINVNO = d.COMINVNO          AND    (i.COMINVNO != d.COMINVNO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_PTCMAST' for Table 'PTCMAST'  */    CREATE TRIGGER [dbo].[T_D_PTCMAST] ON [dbo].[PTCMAST] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'PTCMAST' cannot be deleted if children exist in 'ADVC_HD'  */    IF EXISTS (             SELECT 1             FROM   ADVC_HD c, deleted d             WHERE  c.PTCCODE = d.PTCCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ADVC_HD". Cannot delete parent "PTCMAST".'          GOTO error     END    /*  Parent in 'PTCMAST' cannot be deleted if children exist in 'ADVE'  */    IF EXISTS (             SELECT 1             FROM   ADVE c, deleted d             WHERE  c.PTCCODE = d.PTCCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ADVE". Cannot delete parent "PTCMAST".'          GOTO error     END    /*  Parent in 'PTCMAST' cannot be deleted if children exist in 'PTCE_HD'  */    IF EXISTS (             SELECT 1             FROM   PTCE_HD c, deleted d             WHERE  c.PTCCODE = d.PTCCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PTCE_HD". Cannot delete parent "PTCMAST".'          GOTO error     END    /*  Parent in 'PTCMAST' cannot be deleted if children exist in 'PTCH_ENH'  */    IF EXISTS (             SELECT 1             FROM   PTCH_ENH c, deleted d             WHERE  c.PTCCODE = d.PTCCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PTCH_ENH". Cannot delete parent "PTCMAST".'          GOTO error     END    /*  Parent in 'PTCMAST' cannot be deleted if children exist in 'PTCH_RTH'  */    IF EXISTS (             SELECT 1             FROM   PTCH_RTH c, deleted d             WHERE  c.PTCCODE = d.PTCCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PTCH_RTH". Cannot delete parent "PTCMAST".'          GOTO error     END    /*  Parent in 'PTCMAST' cannot be deleted if children exist in 'PTCR_HD'  */    IF EXISTS (             SELECT 1             FROM   PTCR_HD c, deleted d             WHERE  c.PTCCODE = d.PTCCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PTCR_HD". Cannot delete parent "PTCMAST".'          GOTO error     END    /*  Parent in 'PTCMAST' cannot be deleted if children exist in 'PTCSETUP'  */    IF EXISTS (             SELECT 1             FROM   PTCSETUP c, deleted d             WHERE  c.DEF_PTC = d.PTCCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PTCSETUP". Cannot delete parent "PTCMAST".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_COINVCH' for Table 'COINVCH'  */    CREATE TRIGGER [dbo].[T_U_COINVCH] ON [dbo].[COINVCH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'COINVCH' into its children in 'COINVCD'  */    IF UPDATE(INVCNO)     BEGIN          UPDATE COINVCD          SET    INVCNO = i.INVCNO          FROM   COINVCD c, inserted i, deleted d          WHERE  c.INVCNO = d.INVCNO          AND    (i.INVCNO != d.INVCNO)     END    /*  Cascade the Update of the Primary Key of 'COINVCH' into its children in 'CODO'  */    IF UPDATE(INVCNO)     BEGIN          UPDATE CODO          SET    INVCNO = i.INVCNO          FROM   CODO c, inserted i, deleted d          WHERE  c.INVCNO = d.INVCNO          AND    (i.INVCNO != d.INVCNO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_FA_TYPE' for Table 'FA_TYPE'  */    CREATE TRIGGER [dbo].[T_U_FA_TYPE] ON [dbo].[FA_TYPE] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'FA_TYPE' cannot be modified if children exist in 'DPR_HIST'  */    IF UPDATE(FTP_GR) OR     UPDATE(FTP_TP)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   DPR_HIST c, inserted i, deleted d                  WHERE  c.FTP_GR = d.FTP_GR AND                         c.FTP_TP = d.FTP_TP                  AND   (i.FTP_GR != d.FTP_GR OR                         i.FTP_TP != d.FTP_TP)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "DPR_HIST". Cannot modify Primary Key in "FA_TYPE".'               GOTO error          END  END    /*  The Primary Key of 'FA_TYPE' cannot be modified if children exist in 'GLFADIST'  */    IF UPDATE(FTP_GR) OR     UPDATE(FTP_TP)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   GLFADIST c, inserted i, deleted d                  WHERE  c.FTP_GR = d.FTP_GR AND                         c.FTP_TP = d.FTP_TP                  AND   (i.FTP_GR != d.FTP_GR OR                         i.FTP_TP != d.FTP_TP)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "GLFADIST". Cannot modify Primary Key in "FA_TYPE".'               GOTO error          END  END    /*  Cascade the Update of the Primary Key of 'FA_TYPE' into its children in 'FAMAS_H'  */    IF UPDATE(FTP_GR) OR     UPDATE(FTP_TP)     BEGIN          UPDATE FAMAS_H          SET    FTP_GR = i.FTP_GR ,                 FTP_TP = i.FTP_TP          FROM   FAMAS_H c, inserted i, deleted d          WHERE  c.FTP_GR = d.FTP_GR AND                 c.FTP_TP = d.FTP_TP          AND    (i.FTP_GR != d.FTP_GR OR                 i.FTP_TP != d.FTP_TP)     END    /*  Cascade the Update of the Primary Key of 'FA_TYPE' into its children in 'FAMAS_D'  */    IF UPDATE(FTP_GR) OR     UPDATE(FTP_TP)     BEGIN          UPDATE FAMAS_D          SET    FTP_GR = i.FTP_GR ,                 FTP_TP = i.FTP_TP          FROM   FAMAS_D c, inserted i, deleted d          WHERE  c.FTP_GR = d.FTP_GR AND                 c.FTP_TP = d.FTP_TP          AND    (i.FTP_GR != d.FTP_GR OR                 i.FTP_TP != d.FTP_TP)     END    /*  Cascade the Update of the Primary Key of 'FA_TYPE' into its children in 'FMH_AUD'  */    IF UPDATE(FTP_GR) OR     UPDATE(FTP_TP)     BEGIN          UPDATE FMH_AUD          SET    FTP_GR = i.FTP_GR ,                 FTP_TP = i.FTP_TP          FROM   FMH_AUD c, inserted i, deleted d          WHERE  c.FTP_GR = d.FTP_GR AND                 c.FTP_TP = d.FTP_TP          AND    (i.FTP_GR != d.FTP_GR OR                 i.FTP_TP != d.FTP_TP)     END    /*  Cascade the Update of the Primary Key of 'FA_TYPE' into its children in 'FMD_AUD'  */    IF UPDATE(FTP_GR) OR     UPDATE(FTP_TP)     BEGIN          UPDATE FMD_AUD          SET    FTP_GR = i.FTP_GR ,                 FTP_TP = i.FTP_TP          FROM   FMD_AUD c, inserted i, deleted d          WHERE  c.FTP_GR = d.FTP_GR AND                 c.FTP_TP = d.FTP_TP          AND    (i.FTP_GR != d.FTP_GR OR                 i.FTP_TP != d.FTP_TP)     END    /*  Cascade the Update of the Primary Key of 'FA_TYPE' into its children in 'FARETIRE'  */    IF UPDATE(FTP_GR) OR     UPDATE(FTP_TP)     BEGIN          UPDATE FARETIRE          SET    FTP_GR = i.FTP_GR ,                 FTP_TP = i.FTP_TP          FROM   FARETIRE c, inserted i, deleted d          WHERE  c.FTP_GR = d.FTP_GR AND                 c.FTP_TP = d.FTP_TP          AND    (i.FTP_GR != d.FTP_GR OR                 i.FTP_TP != d.FTP_TP)     END    /*  Cascade the Update of the Primary Key of 'FA_TYPE' into its children in 'FACOUNT'  */    IF UPDATE(FTP_GR) OR     UPDATE(FTP_TP)     BEGIN          UPDATE FACOUNT          SET    FTP_GR = i.FTP_GR ,                 FTP_TP = i.FTP_TP          FROM   FACOUNT c, inserted i, deleted d          WHERE  c.FTP_GR = d.FTP_GR AND                 c.FTP_TP = d.FTP_TP          AND    (i.FTP_GR != d.FTP_GR OR                 i.FTP_TP != d.FTP_TP)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_CODET' for Table 'CODET'  */    CREATE TRIGGER [dbo].[T_U_CODET] ON [dbo].[CODET] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'CODET' into its children in 'ARSHIP'  */    IF UPDATE(OENO) OR     UPDATE(ITEM)     BEGIN          UPDATE ARSHIP          SET    ITEM = i.ITEM ,                 OENO = i.OENO          FROM   ARSHIP c, inserted i, deleted d          WHERE  c.ITEM = d.ITEM AND                 c.OENO = d.OENO          AND    (i.ITEM != d.ITEM OR                 i.OENO != d.OENO)     END    /*  Cascade the Update of the Primary Key of 'CODET' into its children in 'ORDHOLD'  */    IF UPDATE(OENO) OR     UPDATE(ITEM)     BEGIN          UPDATE ORDHOLD          SET    OENO = i.OENO ,                 ITEM = i.ITEM          FROM   ORDHOLD c, inserted i, deleted d          WHERE  c.OENO = d.OENO AND                 c.ITEM = d.ITEM          AND    (i.OENO != d.OENO OR                 i.ITEM != d.ITEM)     END    /*  Cascade the Update of the Primary Key of 'CODET' into its children in 'MULDSCT'  */    IF UPDATE(OENO) OR     UPDATE(ITEM)     BEGIN          UPDATE MULDSCT          SET    DOCNO = i.OENO ,                 ITEM = i.ITEM          FROM   MULDSCT c, inserted i, deleted d          WHERE  c.DOCNO = d.OENO AND                 c.ITEM = d.ITEM          AND    (i.OENO != d.OENO OR                 i.ITEM != d.ITEM)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_DEDPERH' for Table 'DEDPERH'  */    CREATE TRIGGER [dbo].[T_U_DEDPERH] ON [dbo].[DEDPERH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'DEDPERH' into its children in 'DEDPER'  */    IF UPDATE(COMPCODE) OR     UPDATE(BRNCODE) OR     UPDATE(DEPTCODE) OR     UPDATE(EMPCODE) OR     UPDATE(PERIOD) OR     UPDATE(MONTH) OR     UPDATE(YEAR)     BEGIN          UPDATE DEDPER          SET    COMPCODE = i.COMPCODE ,                 EMPCODE = i.EMPCODE ,                 PERIOD = i.PERIOD ,                 MONTH = i.MONTH ,                 YEAR = i.YEAR ,                 BRNCODE = i.BRNCODE ,                 DEPTCODE = i.DEPTCODE          FROM   DEDPER c, inserted i, deleted d          WHERE  c.COMPCODE = d.COMPCODE AND                 c.EMPCODE = d.EMPCODE AND                 c.PERIOD = d.PERIOD AND                 c.MONTH = d.MONTH AND                 c.YEAR = d.YEAR AND                 c.BRNCODE = d.BRNCODE AND                 c.DEPTCODE = d.DEPTCODE          AND    (i.COMPCODE != d.COMPCODE OR                 i.EMPCODE != d.EMPCODE OR                 i.PERIOD != d.PERIOD OR                 i.MONTH != d.MONTH OR                 i.YEAR != d.YEAR OR                 i.BRNCODE != d.BRNCODE OR                 i.DEPTCODE != d.DEPTCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_IMPORTH' for Table 'IMPORTH'  */    CREATE TRIGGER [dbo].[T_D_IMPORTH] ON [dbo].[IMPORTH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'IMPORTH' cannot be deleted if children exist in 'IMPORTD'  */    IF EXISTS (             SELECT 1             FROM   IMPORTD c, deleted d             WHERE  c.IMPNO = d.IMPNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "IMPORTD". Cannot delete parent "IMPORTH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_INVENSH' for Table 'INVENSH'  */    CREATE TRIGGER [dbo].[T_U_INVENSH] ON [dbo].[INVENSH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'INVENSH' into its children in 'INVENSM1'  */    IF UPDATE(ORD)     BEGIN          UPDATE INVENSM1          SET    ORD = i.ORD          FROM   INVENSM1 c, inserted i, deleted d          WHERE  c.ORD = d.ORD          AND    (i.ORD != d.ORD)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_IEXPENSE' for Table 'IEXPENSE'  */    CREATE TRIGGER [dbo].[T_D_IEXPENSE] ON [dbo].[IEXPENSE] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'IEXPENSE' cannot be deleted if children exist in 'AEXP_HST'  */    IF EXISTS (             SELECT 1             FROM   AEXP_HST c, deleted d             WHERE  c.IEXP_TYPE = d.IEXP_TYPE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "AEXP_HST". Cannot delete parent "IEXPENSE".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_INCOME' for Table 'INCOME'  */    CREATE TRIGGER [dbo].[T_U_INCOME] ON [dbo].[INCOME] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'INCOME' into its children in 'MANCHECK'  */    IF UPDATE(INCCODE)     BEGIN          UPDATE MANCHECK          SET    INCCODE = i.INCCODE          FROM   MANCHECK c, inserted i, deleted d          WHERE  c.INCCODE = d.INCCODE          AND    (i.INCCODE != d.INCCODE)     END    /*  Cascade the Update of the Primary Key of 'INCOME' into its children in 'APBAL'  */    IF UPDATE(INCCODE)     BEGIN          UPDATE APBAL          SET    INCCODE = i.INCCODE          FROM   APBAL c, inserted i, deleted d          WHERE  c.INCCODE = d.INCCODE          AND    (i.INCCODE != d.INCCODE)     END    /*  Cascade the Update of the Primary Key of 'INCOME' into its children in 'PURCODE'  */    IF UPDATE(INCCODE)     BEGIN          UPDATE PURCODE          SET    INCCODE = i.INCCODE          FROM   PURCODE c, inserted i, deleted d          WHERE  c.INCCODE = d.INCCODE          AND    (i.INCCODE != d.INCCODE)     END    /*  Cascade the Update of the Primary Key of 'INCOME' into its children in 'APBALH'  */    IF UPDATE(INCCODE)     BEGIN          UPDATE APBALH          SET    INCCODE = i.INCCODE          FROM   APBALH c, inserted i, deleted d          WHERE  c.INCCODE = d.INCCODE          AND    (i.INCCODE != d.INCCODE)     END    /*  Cascade the Update of the Primary Key of 'INCOME' into its children in 'ADVC_EXP'  */    IF UPDATE(INCCODE)     BEGIN          UPDATE ADVC_EXP          SET    INCCODE = i.INCCODE          FROM   ADVC_EXP c, inserted i, deleted d          WHERE  c.INCCODE = d.INCCODE          AND    (i.INCCODE != d.INCCODE)     END    /*  Cascade the Update of the Primary Key of 'INCOME' into its children in 'ADVH_CEX'  */    IF UPDATE(INCCODE)     BEGIN          UPDATE ADVH_CEX          SET    INCCODE = i.INCCODE          FROM   ADVH_CEX c, inserted i, deleted d          WHERE  c.INCCODE = d.INCCODE          AND    (i.INCCODE != d.INCCODE)     END    /*  Cascade the Update of the Primary Key of 'INCOME' into its children in 'PTCE_DT'  */    IF UPDATE(INCCODE)     BEGIN          UPDATE PTCE_DT          SET    INCCODE = i.INCCODE          FROM   PTCE_DT c, inserted i, deleted d          WHERE  c.INCCODE = d.INCCODE          AND    (i.INCCODE != d.INCCODE)     END    /*  Cascade the Update of the Primary Key of 'INCOME' into its children in 'PTCH_END'  */    IF UPDATE(INCCODE)     BEGIN          UPDATE PTCH_END          SET    INCCODE = i.INCCODE          FROM   PTCH_END c, inserted i, deleted d          WHERE  c.INCCODE = d.INCCODE          AND    (i.INCCODE != d.INCCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_LABCODES' for Table 'LABCODES'  */    CREATE TRIGGER [dbo].[T_D_LABCODES] ON [dbo].[LABCODES] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'LABCODES' cannot be deleted if children exist in 'LABGLHST'  */    IF EXISTS (             SELECT 1             FROM   LABGLHST c, deleted d             WHERE  c.LABCODE = d.LABCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "LABGLHST". Cannot delete parent "LABCODES".'          GOTO error     END    /*  Parent in 'LABCODES' cannot be deleted if children exist in 'SFC201A'  */    IF EXISTS (             SELECT 1             FROM   SFC201A c, deleted d             WHERE  c.LABCODE = d.LABCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "SFC201A". Cannot delete parent "LABCODES".'          GOTO error     END    /*  Parent in 'LABCODES' cannot be deleted if children exist in 'TIMECARD'  */    IF EXISTS (             SELECT 1             FROM   TIMECARD c, deleted d             WHERE  c.LABCODE = d.LABCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "TIMECARD". Cannot delete parent "LABCODES".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_INVSELL' for Table 'INVSELL'  */    CREATE TRIGGER [dbo].[T_U_INVSELL] ON [dbo].[INVSELL] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'INVSELL' into its children in 'BUNDLE'  */    IF UPDATE(PN)     BEGIN          UPDATE BUNDLE          SET    PN = i.PN          FROM   BUNDLE c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INVSELL' into its children in 'PRICEEX'  */    IF UPDATE(PN)     BEGIN          UPDATE PRICEEX          SET    PN = i.PN          FROM   PRICEEX c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INVSELL' into its children in 'PROINVX'  */    IF UPDATE(PN)     BEGIN          UPDATE PROINVX          SET    PN = i.PN          FROM   PROINVX c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INVSELL' into its children in 'COMTAXX'  */    IF UPDATE(PN)     BEGIN          UPDATE COMTAXX          SET    PN = i.PN          FROM   COMTAXX c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INVSELL' into its children in 'COMMX'  */    IF UPDATE(PN)     BEGIN          UPDATE COMMX          SET    PN = i.PN          FROM   COMMX c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_LEAVE' for Table 'LEAVE'  */    CREATE TRIGGER [dbo].[T_D_LEAVE] ON [dbo].[LEAVE] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'LEAVE' cannot be deleted if children exist in 'LEAVEPEH'  */    IF EXISTS (             SELECT 1             FROM   LEAVEPEH c, deleted d             WHERE  c.COMPCODE = d.COMPCODE AND                    c.LEAVECODE = d.LEAVECODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "LEAVEPEH". Cannot delete parent "LEAVE".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_LCTRAN' for Table 'LCTRAN'  */    CREATE TRIGGER [dbo].[T_U_LCTRAN] ON [dbo].[LCTRAN] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'LCTRAN' into its children in 'APINVCH'  */    IF UPDATE(LCNO)     BEGIN          UPDATE APINVCH          SET    LCNO = i.LCNO          FROM   APINVCH c, inserted i, deleted d          WHERE  c.LCNO = d.LCNO          AND    (i.LCNO != d.LCNO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_INVMTLTH' for Table 'INVMTLTH'  */    CREATE TRIGGER [dbo].[T_D_INVMTLTH] ON [dbo].[INVMTLTH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'INVMTLTH' cannot be deleted if children exist in 'INVMTLTR'  */    IF EXISTS (             SELECT 1             FROM   INVMTLTR c, deleted d             WHERE  c.TRFNO = d.TRFNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVMTLTR". Cannot delete parent "INVMTLTH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_POMAST' for Table 'POMAST'  */    CREATE TRIGGER [dbo].[T_U_POMAST] ON [dbo].[POMAST] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'POMAST' into its children in 'PARTALL'  */    IF UPDATE(PONO)     BEGIN          UPDATE PARTALL          SET    PONO = i.PONO          FROM   PARTALL c, inserted i, deleted d          WHERE  c.PONO = d.PONO          AND    (i.PONO != d.PONO)     END    /*  Cascade the Update of the Primary Key of 'POMAST' into its children in 'PODET'  */    IF UPDATE(PONO)     BEGIN          UPDATE PODET          SET    PONO = i.PONO          FROM   PODET c, inserted i, deleted d          WHERE  c.PONO = d.PONO          AND    (i.PONO != d.PONO)     END    /*  Cascade the Update of the Primary Key of 'POMAST' into its children in 'POSHIPD'  */    IF UPDATE(PONO)     BEGIN          UPDATE POSHIPD          SET    PONO = i.PONO          FROM   POSHIPD c, inserted i, deleted d          WHERE  c.PONO = d.PONO          AND    (i.PONO != d.PONO)     END    /*  Cascade the Update of the Primary Key of 'POMAST' into its children in 'SCHDALL'  */    IF UPDATE(PONO)     BEGIN          UPDATE SCHDALL          SET    PONO = i.PONO          FROM   SCHDALL c, inserted i, deleted d          WHERE  c.PONO = d.PONO          AND    (i.PONO != d.PONO)     END    /*  Cascade the Update of the Primary Key of 'POMAST' into its children in 'APEDIT'  */    IF UPDATE(PONO)     BEGIN          UPDATE APEDIT          SET    PONO = i.PONO          FROM   APEDIT c, inserted i, deleted d          WHERE  c.PONO = d.PONO          AND    (i.PONO != d.PONO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_INVHHD' for Table 'INVHHD'  */    CREATE TRIGGER [dbo].[T_D_INVHHD] ON [dbo].[INVHHD] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Delete all children in 'INVHDT' of parent 'INVHHD'  */    DELETE INVHDT  FROM   INVHDT c, deleted d  WHERE  c.DOCNO = d.DOCNO  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_QMDSPCD' for Table 'QMDSPCD'  */    CREATE TRIGGER [dbo].[T_U_QMDSPCD] ON [dbo].[QMDSPCD] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'QMDSPCD' into its children in 'QMINSORD'  */    IF UPDATE(DSPCODE)     BEGIN          UPDATE QMINSORD          SET    LOTDISP = i.DSPCODE          FROM   QMINSORD c, inserted i, deleted d          WHERE  c.LOTDISP = d.DSPCODE          AND    (i.DSPCODE != d.DSPCODE)     END    /*  Cascade the Update of the Primary Key of 'QMDSPCD' into its children in 'QMINSPPC'  */    IF UPDATE(DSPCODE)     BEGIN          UPDATE QMINSPPC          SET    ACPDISP = i.DSPCODE          FROM   QMINSPPC c, inserted i, deleted d          WHERE  c.ACPDISP = d.DSPCODE          AND    (i.DSPCODE != d.DSPCODE)     END    /*  Cascade the Update of the Primary Key of 'QMDSPCD' into its children in 'QMINSPPC'  */    IF UPDATE(DSPCODE)     BEGIN          UPDATE QMINSPPC          SET    REJDISP = i.DSPCODE          FROM   QMINSPPC c, inserted i, deleted d          WHERE  c.REJDISP = d.DSPCODE          AND    (i.DSPCODE != d.DSPCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_INVENSM1' for Table 'INVENSM1'  */    CREATE TRIGGER [dbo].[T_D_INVENSM1] ON [dbo].[INVENSM1] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'INVENSM1' cannot be deleted if children exist in 'INVENSM2'  */    IF EXISTS (             SELECT 1             FROM   INVENSM2 c, deleted d             WHERE  c.ORD = d.ORD AND                    c.PARENT = d.PARENT            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVENSM2". Cannot delete parent "INVENSM1".'          GOTO error     END    /*  Parent in 'INVENSM1' cannot be deleted if children exist in 'INVENSD'  */    IF EXISTS (             SELECT 1             FROM   INVENSD c, deleted d             WHERE  c.ORD = d.ORD AND                    c.PARENT = d.PARENT            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVENSD". Cannot delete parent "INVENSM1".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_QMDEPT' for Table 'QMDEPT'  */    CREATE TRIGGER [dbo].[T_U_QMDEPT] ON [dbo].[QMDEPT] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'QMDEPT' into its children in 'QMINSPTR'  */    IF UPDATE(DEPTCD)     BEGIN          UPDATE QMINSPTR          SET    DEPTCD = i.DEPTCD          FROM   QMINSPTR c, inserted i, deleted d          WHERE  c.DEPTCD = d.DEPTCD          AND    (i.DEPTCD != d.DEPTCD)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_PDP_MASH' for Table 'PDP_MASH'  */    CREATE TRIGGER [dbo].[T_D_PDP_MASH] ON [dbo].[PDP_MASH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'PDP_MASH' cannot be deleted if children exist in 'PDP_MASD'  */    IF EXISTS (             SELECT 1             FROM   PDP_MASD c, deleted d             WHERE  c.PDP_CODE = d.PDP_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PDP_MASD". Cannot delete parent "PDP_MASH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_PTCMAST' for Table 'PTCMAST'  */    CREATE TRIGGER [dbo].[T_U_PTCMAST] ON [dbo].[PTCMAST] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'PTCMAST' into its children in 'ADVC_HD'  */    IF UPDATE(PTCCODE)     BEGIN          UPDATE ADVC_HD          SET    PTCCODE = i.PTCCODE          FROM   ADVC_HD c, inserted i, deleted d          WHERE  c.PTCCODE = d.PTCCODE          AND    (i.PTCCODE != d.PTCCODE)     END    /*  Cascade the Update of the Primary Key of 'PTCMAST' into its children in 'ADVE'  */    IF UPDATE(PTCCODE)     BEGIN          UPDATE ADVE          SET    PTCCODE = i.PTCCODE          FROM   ADVE c, inserted i, deleted d          WHERE  c.PTCCODE = d.PTCCODE          AND    (i.PTCCODE != d.PTCCODE)     END    /*  Cascade the Update of the Primary Key of 'PTCMAST' into its children in 'PTCE_HD'  */    IF UPDATE(PTCCODE)     BEGIN          UPDATE PTCE_HD          SET    PTCCODE = i.PTCCODE          FROM   PTCE_HD c, inserted i, deleted d          WHERE  c.PTCCODE = d.PTCCODE          AND    (i.PTCCODE != d.PTCCODE)     END    /*  Cascade the Update of the Primary Key of 'PTCMAST' into its children in 'PTCH_ENH'  */    IF UPDATE(PTCCODE)     BEGIN          UPDATE PTCH_ENH          SET    PTCCODE = i.PTCCODE          FROM   PTCH_ENH c, inserted i, deleted d          WHERE  c.PTCCODE = d.PTCCODE          AND    (i.PTCCODE != d.PTCCODE)     END    /*  Cascade the Update of the Primary Key of 'PTCMAST' into its children in 'PTCH_RTH'  */    IF UPDATE(PTCCODE)     BEGIN          UPDATE PTCH_RTH          SET    PTCCODE = i.PTCCODE          FROM   PTCH_RTH c, inserted i, deleted d          WHERE  c.PTCCODE = d.PTCCODE          AND    (i.PTCCODE != d.PTCCODE)     END    /*  Cascade the Update of the Primary Key of 'PTCMAST' into its children in 'PTCR_HD'  */    IF UPDATE(PTCCODE)     BEGIN          UPDATE PTCR_HD          SET    PTCCODE = i.PTCCODE          FROM   PTCR_HD c, inserted i, deleted d          WHERE  c.PTCCODE = d.PTCCODE          AND    (i.PTCCODE != d.PTCCODE)     END    /*  Cascade the Update of the Primary Key of 'PTCMAST' into its children in 'PTCSETUP'  */    IF UPDATE(PTCCODE)     BEGIN          UPDATE PTCSETUP          SET    DEF_PTC = i.PTCCODE          FROM   PTCSETUP c, inserted i, deleted d          WHERE  c.DEF_PTC = d.PTCCODE          AND    (i.PTCCODE != d.PTCCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_PAYINH' for Table 'PAYINH'  */    CREATE TRIGGER [dbo].[T_D_PAYINH] ON [dbo].[PAYINH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'PAYINH' cannot be deleted if children exist in 'PAYIND'  */    IF EXISTS (             SELECT 1             FROM   PAYIND c, deleted d             WHERE  c.PAYIN_NO = d.PAYIN_NO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PAYIND". Cannot delete parent "PAYINH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_RECURVCH' for Table 'RECURVCH'  */    CREATE TRIGGER [dbo].[T_U_RECURVCH] ON [dbo].[RECURVCH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'RECURVCH' into its children in 'APINVCH'  */    IF UPDATE(RECURCODE)     BEGIN          UPDATE APINVCH          SET    RECURCODE = i.RECURCODE          FROM   APINVCH c, inserted i, deleted d          WHERE  c.RECURCODE = d.RECURCODE          AND    (i.RECURCODE != d.RECURCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_PODET' for Table 'PODET'  */    CREATE TRIGGER [dbo].[T_D_PODET] ON [dbo].[PODET] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'PODET' cannot be deleted if children exist in 'APEDIT'  */    IF EXISTS (             SELECT 1             FROM   APEDIT c, deleted d             WHERE  c.ITEM = d.ITEM AND                    c.PONO = d.PONO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APEDIT". Cannot delete parent "PODET".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_RECURINV' for Table 'RECURINV'  */    CREATE TRIGGER [dbo].[T_U_RECURINV] ON [dbo].[RECURINV] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'RECURINV' into its children in 'ARINVCH'  */    IF UPDATE(RECURCODE)     BEGIN          UPDATE ARINVCH          SET    RECURCODE = i.RECURCODE          FROM   ARINVCH c, inserted i, deleted d          WHERE  c.RECURCODE = d.RECURCODE          AND    (i.RECURCODE != d.RECURCODE)     END    /*  Cascade the Update of the Primary Key of 'RECURINV' into its children in 'OEINVCH'  */    IF UPDATE(RECURCODE)     BEGIN          UPDATE OEINVCH          SET    RECURCODE = i.RECURCODE          FROM   OEINVCH c, inserted i, deleted d          WHERE  c.RECURCODE = d.RECURCODE          AND    (i.RECURCODE != d.RECURCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_OT' for Table 'OT'  */    CREATE TRIGGER [dbo].[T_D_OT] ON [dbo].[OT] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'OT' cannot be deleted if children exist in 'OTPERIOD'  */    IF EXISTS (             SELECT 1             FROM   OTPERIOD c, deleted d             WHERE  c.COMPCODE = d.COMPCODE AND                    c.OTCODE = d.OTCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "OTPERIOD". Cannot delete parent "OT".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_QMSMPPLN' for Table 'QMSMPPLN'  */    CREATE TRIGGER [dbo].[T_U_QMSMPPLN] ON [dbo].[QMSMPPLN] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'QMSMPPLN' into its children in 'QMINSPPC'  */    IF UPDATE(SMPPLNID)     BEGIN          UPDATE QMINSPPC          SET    SAMPLNID = i.SMPPLNID          FROM   QMINSPPC c, inserted i, deleted d          WHERE  c.SAMPLNID = d.SMPPLNID          AND    (i.SMPPLNID != d.SMPPLNID)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_POSHIPH' for Table 'POSHIPH'  */    CREATE TRIGGER [dbo].[T_D_POSHIPH] ON [dbo].[POSHIPH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'POSHIPH' cannot be deleted if children exist in 'POSHIPD'  */    IF EXISTS (             SELECT 1             FROM   POSHIPD c, deleted d             WHERE  c.SHIPMENTID = d.SHIPMENTID AND                    c.VENDORID = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "POSHIPD". Cannot delete parent "POSHIPH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_QMRSNCD' for Table 'QMRSNCD'  */    CREATE TRIGGER [dbo].[T_U_QMRSNCD] ON [dbo].[QMRSNCD] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'QMRSNCD' into its children in 'QMORDRSN'  */    IF UPDATE(RSNCODE)     BEGIN          UPDATE QMORDRSN          SET    RSNCODE = i.RSNCODE          FROM   QMORDRSN c, inserted i, deleted d          WHERE  c.RSNCODE = d.RSNCODE          AND    (i.RSNCODE != d.RSNCODE)     END    /*  Cascade the Update of the Primary Key of 'QMRSNCD' into its children in 'QMSMPRSL'  */    IF UPDATE(RSNCODE)     BEGIN          UPDATE QMSMPRSL          SET    RSMCODE = i.RSNCODE          FROM   QMSMPRSL c, inserted i, deleted d          WHERE  c.RSMCODE = d.RSNCODE          AND    (i.RSNCODE != d.RSNCODE)     END    /*  Cascade the Update of the Primary Key of 'QMRSNCD' into its children in 'QMSPECMS'  */    IF UPDATE(RSNCODE)     BEGIN          UPDATE QMSPECMS          SET    FAILRSN = i.RSNCODE          FROM   QMSPECMS c, inserted i, deleted d          WHERE  c.FAILRSN = d.RSNCODE          AND    (i.RSNCODE != d.RSNCODE)     END    /*  Cascade the Update of the Primary Key of 'QMRSNCD' into its children in 'QMSPECMS'  */    IF UPDATE(RSNCODE)     BEGIN          UPDATE QMSPECMS          SET    PASSRSN = i.RSNCODE          FROM   QMSPECMS c, inserted i, deleted d          WHERE  c.PASSRSN = d.RSNCODE          AND    (i.RSNCODE != d.RSNCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_ORD' for Table 'ORD'  */    CREATE TRIGGER [dbo].[T_D_ORD] ON [dbo].[ORD] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'ORD' cannot be deleted if children exist in 'WPL'  */    IF EXISTS (             SELECT 1             FROM   WPL c, deleted d             WHERE  c.ORD = d.ORD AND                    c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "WPL". Cannot delete parent "ORD".'          GOTO error     END    /*  Parent in 'ORD' cannot be deleted if children exist in 'WPM'  */    IF EXISTS (             SELECT 1             FROM   WPM c, deleted d             WHERE  c.ORD = d.ORD AND                    c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "WPM". Cannot delete parent "ORD".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_SHIPADDR' for Table 'SHIPADDR'  */    CREATE TRIGGER [dbo].[T_U_SHIPADDR] ON [dbo].[SHIPADDR] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'SHIPADDR' cannot be modified if children exist in 'SHIPHIST'  */    IF UPDATE(CUSTID) OR     UPDATE(SHIPID)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   SHIPHIST c, inserted i, deleted d                  WHERE  c.CUSTID = d.CUSTID AND                         c.SHIPID = d.SHIPID                  AND   (i.CUSTID != d.CUSTID OR                         i.SHIPID != d.SHIPID)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "SHIPHIST". Cannot modify Primary Key in "SHIPADDR".'               GOTO error          END  END    /*  The Primary Key of 'SHIPADDR' cannot be modified if children exist in 'ARBALH'  */    IF UPDATE(CUSTID) OR     UPDATE(SHIPID)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARBALH c, inserted i, deleted d                  WHERE  c.CUSTID = d.CUSTID AND                         c.SHIPID = d.SHIPID                  AND   (i.CUSTID != d.CUSTID OR                         i.SHIPID != d.SHIPID)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARBALH". Cannot modify Primary Key in "SHIPADDR".'               GOTO error          END  END    /*  Cascade the Update of the Primary Key of 'SHIPADDR' into its children in 'OEINVCH'  */    IF UPDATE(CUSTID) OR     UPDATE(SHIPID)     BEGIN          UPDATE OEINVCH          SET    SHIPID = i.SHIPID ,                 CUSTID = i.CUSTID          FROM   OEINVCH c, inserted i, deleted d          WHERE  c.SHIPID = d.SHIPID AND                 c.CUSTID = d.CUSTID          AND    (i.SHIPID != d.SHIPID OR                 i.CUSTID != d.CUSTID)     END    /*  Cascade the Update of the Primary Key of 'SHIPADDR' into its children in 'ARINVCH'  */    IF UPDATE(CUSTID) OR     UPDATE(SHIPID)     BEGIN          UPDATE ARINVCH          SET    CUSTID = i.CUSTID ,                 SHIPID = i.SHIPID          FROM   ARINVCH c, inserted i, deleted d          WHERE  c.CUSTID = d.CUSTID AND                 c.SHIPID = d.SHIPID          AND    (i.CUSTID != d.CUSTID OR                 i.SHIPID != d.SHIPID)     END    /*  Cascade the Update of the Primary Key of 'SHIPADDR' into its children in 'COMAST'  */    IF UPDATE(CUSTID) OR     UPDATE(SHIPID)     BEGIN          UPDATE COMAST          SET    CUSTID = i.CUSTID ,                 SHIPID = i.SHIPID          FROM   COMAST c, inserted i, deleted d          WHERE  c.CUSTID = d.CUSTID AND                 c.SHIPID = d.SHIPID          AND    (i.CUSTID != d.CUSTID OR                 i.SHIPID != d.SHIPID)     END    /*  Cascade the Update of the Primary Key of 'SHIPADDR' into its children in 'COINVCH'  */    IF UPDATE(CUSTID) OR     UPDATE(SHIPID)     BEGIN          UPDATE COINVCH          SET    CUSTID = i.CUSTID ,                 SHIPID = i.SHIPID          FROM   COINVCH c, inserted i, deleted d          WHERE  c.CUSTID = d.CUSTID AND                 c.SHIPID = d.SHIPID          AND    (i.CUSTID != d.CUSTID OR                 i.SHIPID != d.SHIPID)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_OEINVCH' for Table 'OEINVCH'  */    CREATE TRIGGER [dbo].[T_D_OEINVCH] ON [dbo].[OEINVCH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'OEINVCH' cannot be deleted if children exist in 'OEINVCD'  */    IF EXISTS (             SELECT 1             FROM   OEINVCD c, deleted d             WHERE  c.TRANSNO = d.TRANSNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "OEINVCD". Cannot delete parent "OEINVCH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_TRANS' for Table 'TRANS'  */    CREATE TRIGGER [dbo].[T_U_TRANS] ON [dbo].[TRANS] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'TRANS' cannot be modified if children exist in 'MTXNHIST'  */    IF UPDATE(ORDTYPE) OR     UPDATE(TRANCODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   MTXNHIST c, inserted i, deleted d                  WHERE  c.ORDTYPE = d.ORDTYPE AND                         c.TRANCODE = d.TRANCODE                  AND   (i.ORDTYPE != d.ORDTYPE OR                         i.TRANCODE != d.TRANCODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "MTXNHIST". Cannot modify Primary Key in "TRANS".'               GOTO error          END  END    /*  Cascade the Update of the Primary Key of 'TRANS' into its children in 'INVENSH'  */    IF UPDATE(ORDTYPE) OR     UPDATE(TRANCODE)     BEGIN          UPDATE INVENSH          SET    ORDTYPE = i.ORDTYPE ,                 TRANCODE = i.TRANCODE          FROM   INVENSH c, inserted i, deleted d          WHERE  c.ORDTYPE = d.ORDTYPE AND                 c.TRANCODE = d.TRANCODE          AND    (i.ORDTYPE != d.ORDTYPE OR                 i.TRANCODE != d.TRANCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_MULRCDH' for Table 'MULRCDH'  */    CREATE TRIGGER [dbo].[T_D_MULRCDH] ON [dbo].[MULRCDH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'MULRCDH' cannot be deleted if children exist in 'MULRCDM'  */    IF EXISTS (             SELECT 1             FROM   MULRCDM c, deleted d             WHERE  c.KEYIN_REF = d.KEYIN_REF            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MULRCDM". Cannot delete parent "MULRCDH".'          GOTO error     END    /*  Parent in 'MULRCDH' cannot be deleted if children exist in 'MULRCDD'  */    IF EXISTS (             SELECT 1             FROM   MULRCDD c, deleted d             WHERE  c.KEYIN_REF = d.KEYIN_REF            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MULRCDD". Cannot delete parent "MULRCDH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_RESPONSE' for Table 'RESPONSE'  */    CREATE TRIGGER [dbo].[T_U_RESPONSE] ON [dbo].[RESPONSE] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'RESPONSE' into its children in 'APINVCH'  */    IF UPDATE(RESPONSE) OR     UPDATE(REQUESTER)     BEGIN          UPDATE APINVCH          SET    RESPONSE = i.RESPONSE ,                 USERDEFD2 = i.REQUESTER          FROM   APINVCH c, inserted i, deleted d          WHERE  c.RESPONSE = d.RESPONSE AND                 c.REQUESTER = d.REQUESTER          AND    (i.RESPONSE != d.RESPONSE OR                 i.REQUESTER != d.REQUESTER)     END    /*  Cascade the Update of the Primary Key of 'RESPONSE' into its children in 'POMAST'  */    IF UPDATE(RESPONSE) OR     UPDATE(REQUESTER)     BEGIN          UPDATE POMAST          SET    RESPONSE = i.RESPONSE ,                 USERDEFB1 = i.REQUESTER          FROM   POMAST c, inserted i, deleted d          WHERE  c.RESPONSE = d.RESPONSE AND                 c.REQUESTER = d.REQUESTER          AND    (i.RESPONSE != d.RESPONSE OR                 i.REQUESTER != d.REQUESTER)     END    /*  Cascade the Update of the Primary Key of 'RESPONSE' into its children in 'REQUEST'  */    IF UPDATE(RESPONSE) OR     UPDATE(REQUESTER)     BEGIN          UPDATE REQUEST          SET    APPCODE = i.RESPONSE ,                 USERDEFB2 = i.REQUESTER          FROM   REQUEST c, inserted i, deleted d          WHERE  c.APPCODE = d.RESPONSE AND                 c.REQUESTER = d.REQUESTER          AND    (i.RESPONSE != d.RESPONSE OR                 i.REQUESTER != d.REQUESTER)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_MATERIAL' for Table 'MATERIAL'  */    CREATE TRIGGER [dbo].[T_D_MATERIAL] ON [dbo].[MATERIAL] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'MATERIAL' cannot be deleted if children exist in 'FORMULAR'  */    IF EXISTS (             SELECT 1             FROM   FORMULAR c, deleted d             WHERE  c.MTR_NO = d.MTR_NO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "FORMULAR". Cannot delete parent "MATERIAL".'          GOTO error     END    /*  Parent in 'MATERIAL' cannot be deleted if children exist in 'IMPORTD'  */    IF EXISTS (             SELECT 1             FROM   IMPORTD c, deleted d             WHERE  c.MTR_NO = d.MTR_NO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "IMPORTD". Cannot delete parent "MATERIAL".'          GOTO error     END    /*  Parent in 'MATERIAL' cannot be deleted if children exist in 'RM19'  */    IF EXISTS (             SELECT 1             FROM   RM19 c, deleted d             WHERE  c.MTR_NO = d.MTR_NO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "RM19". Cannot delete parent "MATERIAL".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_PROINVH' for Table 'PROINVH'  */    CREATE TRIGGER [dbo].[T_U_PROINVH] ON [dbo].[PROINVH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'PROINVH' into its children in 'PROINVX'  */    IF UPDATE(PROINVNO)     BEGIN          UPDATE PROINVX          SET    PROINVNO = i.PROINVNO          FROM   PROINVX c, inserted i, deleted d          WHERE  c.PROINVNO = d.PROINVNO          AND    (i.PROINVNO != d.PROINVNO)     END    /*  Cascade the Update of the Primary Key of 'PROINVH' into its children in 'COMTAXH'  */    IF UPDATE(PROINVNO)     BEGIN          UPDATE COMTAXH          SET    PROINVNO = i.PROINVNO          FROM   COMTAXH c, inserted i, deleted d          WHERE  c.PROINVNO = d.PROINVNO          AND    (i.PROINVNO != d.PROINVNO)     END    /*  Cascade the Update of the Primary Key of 'PROINVH' into its children in 'COMMH'  */    IF UPDATE(PROINVNO)     BEGIN          UPDATE COMMH          SET    PROINVNO = i.PROINVNO          FROM   COMMH c, inserted i, deleted d          WHERE  c.PROINVNO = d.PROINVNO          AND    (i.PROINVNO != d.PROINVNO)     END    /*  Cascade the Update of the Primary Key of 'PROINVH' into its children in 'COMMX'  */    IF UPDATE(PROINVNO)     BEGIN          UPDATE COMMX          SET    PROINVNO = i.PROINVNO          FROM   COMMX c, inserted i, deleted d          WHERE  c.PROINVNO = d.PROINVNO          AND    (i.PROINVNO != d.PROINVNO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_ADVC_HD' for Table 'ADVC_HD'  */    CREATE TRIGGER [dbo].[T_D_ADVC_HD] ON [dbo].[ADVC_HD] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'ADVC_HD' cannot be deleted if children exist in 'ADVC_DT'  */    IF EXISTS (             SELECT 1             FROM   ADVC_DT c, deleted d             WHERE  c.ADVC_NO = d.ADVC_NO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ADVC_DT". Cannot delete parent "ADVC_HD".'          GOTO error     END    /*  Parent in 'ADVC_HD' cannot be deleted if children exist in 'ADVC_EXP'  */    IF EXISTS (             SELECT 1             FROM   ADVC_EXP c, deleted d             WHERE  c.ADVC_NO = d.ADVC_NO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ADVC_EXP". Cannot delete parent "ADVC_HD".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_PACKED' for Table 'PACKED'  */    CREATE TRIGGER [dbo].[T_U_PACKED] ON [dbo].[PACKED] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'PACKED' into its children in 'INVSELL'  */    IF UPDATE(PACKCODE)     BEGIN          UPDATE INVSELL          SET    PACKCODE = i.PACKCODE          FROM   INVSELL c, inserted i, deleted d          WHERE  c.PACKCODE = d.PACKCODE          AND    (i.PACKCODE != d.PACKCODE)     END    /*  Cascade the Update of the Primary Key of 'PACKED' into its children in 'COMTAXX'  */    IF UPDATE(PACKCODE)     BEGIN          UPDATE COMTAXX          SET    PACKCODE = i.PACKCODE          FROM   COMTAXX c, inserted i, deleted d          WHERE  c.PACKCODE = d.PACKCODE          AND    (i.PACKCODE != d.PACKCODE)     END    /*  Cascade the Update of the Primary Key of 'PACKED' into its children in 'COMMX'  */    IF UPDATE(PACKCODE)     BEGIN          UPDATE COMMX          SET    PACKCODE = i.PACKCODE          FROM   COMMX c, inserted i, deleted d          WHERE  c.PACKCODE = d.PACKCODE          AND    (i.PACKCODE != d.PACKCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_ADV_OK' for Table 'ADV_OK'  */    CREATE TRIGGER [dbo].[T_D_ADV_OK] ON [dbo].[ADV_OK] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'ADV_OK' cannot be deleted if children exist in 'ADVC_EXP'  */    IF EXISTS (             SELECT 1             FROM   ADVC_EXP c, deleted d             WHERE  c.ADVE_NO = d.ADVE_NO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ADVC_EXP". Cannot delete parent "ADV_OK".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_MEASURE' for Table 'MEASURE'  */    CREATE TRIGGER [dbo].[T_U_MEASURE] ON [dbo].[MEASURE] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'MEASURE' into its children in 'INVSELL'  */    IF UPDATE(UM)     BEGIN          UPDATE INVSELL          SET    UM = i.UM          FROM   INVSELL c, inserted i, deleted d          WHERE  c.UM = d.UM          AND    (i.UM != d.UM)     END    /*  Cascade the Update of the Primary Key of 'MEASURE' into its children in 'MATERIAL'  */    IF UPDATE(UM)     BEGIN          UPDATE MATERIAL          SET    UM = i.UM          FROM   MATERIAL c, inserted i, deleted d          WHERE  c.UM = d.UM          AND    (i.UM != d.UM)     END    /*  Cascade the Update of the Primary Key of 'MEASURE' into its children in 'COMTAXX'  */    IF UPDATE(UM)     BEGIN          UPDATE COMTAXX          SET    UM = i.UM          FROM   COMTAXX c, inserted i, deleted d          WHERE  c.UM = d.UM          AND    (i.UM != d.UM)     END    /*  Cascade the Update of the Primary Key of 'MEASURE' into its children in 'COMMX'  */    IF UPDATE(UM)     BEGIN          UPDATE COMMX          SET    UM = i.UM          FROM   COMMX c, inserted i, deleted d          WHERE  c.UM = d.UM          AND    (i.UM != d.UM)     END    /*  Cascade the Update of the Primary Key of 'MEASURE' into its children in 'PROINVX'  */    IF UPDATE(UM)     BEGIN          UPDATE PROINVX          SET    UM = i.UM          FROM   PROINVX c, inserted i, deleted d          WHERE  c.UM = d.UM          AND    (i.UM != d.UM)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_ESTHDRH' for Table 'ESTHDRH'  */    CREATE TRIGGER [dbo].[T_D_ESTHDRH] ON [dbo].[ESTHDRH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'ESTHDRH' cannot be deleted if children exist in 'ESTHDR'  */    IF EXISTS (             SELECT 1             FROM   ESTHDR c, deleted d             WHERE  c.QNUM = d.QNUM            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ESTHDR". Cannot delete parent "ESTHDRH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_JOURNAL' for Table 'JOURNAL'  */    CREATE TRIGGER [dbo].[T_U_JOURNAL] ON [dbo].[JOURNAL] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'JOURNAL' cannot be modified if children exist in 'GLTRANH'  */    IF UPDATE(JOURNAL)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   GLTRANH c, inserted i, deleted d                  WHERE  c.JOURNAL = d.JOURNAL                  AND   (i.JOURNAL != d.JOURNAL)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "GLTRANH". Cannot modify Primary Key in "JOURNAL".'               GOTO error          END  END    /*  Cascade the Update of the Primary Key of 'JOURNAL' into its children in 'ADVSETUP'  */    IF UPDATE(JOURNAL)     BEGIN          UPDATE ADVSETUP          SET    AVJOURNAL = i.JOURNAL          FROM   ADVSETUP c, inserted i, deleted d          WHERE  c.AVJOURNAL = d.JOURNAL          AND    (i.JOURNAL != d.JOURNAL)     END    /*  Cascade the Update of the Primary Key of 'JOURNAL' into its children in 'ALLMAST'  */    IF UPDATE(JOURNAL)     BEGIN          UPDATE ALLMAST          SET    JOURNAL = i.JOURNAL          FROM   ALLMAST c, inserted i, deleted d          WHERE  c.JOURNAL = d.JOURNAL          AND    (i.JOURNAL != d.JOURNAL)     END    /*  Cascade the Update of the Primary Key of 'JOURNAL' into its children in 'APMAST'  */    IF UPDATE(JOURNAL)     BEGIN          UPDATE APMAST          SET    GLJOURNAL = i.JOURNAL          FROM   APMAST c, inserted i, deleted d          WHERE  c.GLJOURNAL = d.JOURNAL          AND    (i.JOURNAL != d.JOURNAL)     END    /*  Cascade the Update of the Primary Key of 'JOURNAL' into its children in 'ARMAST'  */    IF UPDATE(JOURNAL)     BEGIN          UPDATE ARMAST          SET    GLJOURNAL = i.JOURNAL          FROM   ARMAST c, inserted i, deleted d          WHERE  c.GLJOURNAL = d.JOURNAL          AND    (i.JOURNAL != d.JOURNAL)     END    /*  Cascade the Update of the Primary Key of 'JOURNAL' into its children in 'GLMAST'  */    IF UPDATE(JOURNAL)     BEGIN          UPDATE GLMAST          SET    BRJOURNAL = i.JOURNAL          FROM   GLMAST c, inserted i, deleted d          WHERE  c.BRJOURNAL = d.JOURNAL          AND    (i.JOURNAL != d.JOURNAL)     END    /*  Cascade the Update of the Primary Key of 'JOURNAL' into its children in 'GLTRAN'  */    IF UPDATE(JOURNAL)     BEGIN          UPDATE GLTRAN          SET    JOURNAL = i.JOURNAL          FROM   GLTRAN c, inserted i, deleted d          WHERE  c.JOURNAL = d.JOURNAL          AND    (i.JOURNAL != d.JOURNAL)     END    /*  Cascade the Update of the Primary Key of 'JOURNAL' into its children in 'INVMAST'  */    IF UPDATE(JOURNAL)     BEGIN          UPDATE INVMAST          SET    JR_IACC = i.JOURNAL          FROM   INVMAST c, inserted i, deleted d          WHERE  c.JR_IACC = d.JOURNAL          AND    (i.JOURNAL != d.JOURNAL)     END    /*  Cascade the Update of the Primary Key of 'JOURNAL' into its children in 'INVMAST'  */    IF UPDATE(JOURNAL)     BEGIN          UPDATE INVMAST          SET    JR_IACR = i.JOURNAL          FROM   INVMAST c, inserted i, deleted d          WHERE  c.JR_IACR = d.JOURNAL          AND    (i.JOURNAL != d.JOURNAL)     END    /*  Cascade the Update of the Primary Key of 'JOURNAL' into its children in 'INVMAST'  */    IF UPDATE(JOURNAL)     BEGIN          UPDATE INVMAST          SET    JR_IAIA = i.JOURNAL          FROM   INVMAST c, inserted i, deleted d          WHERE  c.JR_IAIA = d.JOURNAL          AND    (i.JOURNAL != d.JOURNAL)     END    /*  Cascade the Update of the Primary Key of 'JOURNAL' into its children in 'INVMAST'  */    IF UPDATE(JOURNAL)     BEGIN          UPDATE INVMAST          SET    JR_IAPC = i.JOURNAL          FROM   INVMAST c, inserted i, deleted d          WHERE  c.JR_IAPC = d.JOURNAL          AND    (i.JOURNAL != d.JOURNAL)     END    /*  Cascade the Update of the Primary Key of 'JOURNAL' into its children in 'INVMAST'  */    IF UPDATE(JOURNAL)     BEGIN          UPDATE INVMAST          SET    JR_IATR = i.JOURNAL          FROM   INVMAST c, inserted i, deleted d          WHERE  c.JR_IATR = d.JOURNAL          AND    (i.JOURNAL != d.JOURNAL)     END    /*  Cascade the Update of the Primary Key of 'JOURNAL' into its children in 'INVMAST'  */    IF UPDATE(JOURNAL)     BEGIN          UPDATE INVMAST          SET    JR_IICO = i.JOURNAL          FROM   INVMAST c, inserted i, deleted d          WHERE  c.JR_IICO = d.JOURNAL          AND    (i.JOURNAL != d.JOURNAL)     END    /*  Cascade the Update of the Primary Key of 'JOURNAL' into its children in 'INVMAST'  */    IF UPDATE(JOURNAL)     BEGIN          UPDATE INVMAST          SET    JR_IIMO = i.JOURNAL          FROM   INVMAST c, inserted i, deleted d          WHERE  c.JR_IIMO = d.JOURNAL          AND    (i.JOURNAL != d.JOURNAL)     END    /*  Cascade the Update of the Primary Key of 'JOURNAL' into its children in 'INVMAST'  */    IF UPDATE(JOURNAL)     BEGIN          UPDATE INVMAST          SET    JR_IRMO = i.JOURNAL          FROM   INVMAST c, inserted i, deleted d          WHERE  c.JR_IRMO = d.JOURNAL          AND    (i.JOURNAL != d.JOURNAL)     END    /*  Cascade the Update of the Primary Key of 'JOURNAL' into its children in 'INVMAST'  */    IF UPDATE(JOURNAL)     BEGIN          UPDATE INVMAST          SET    JR_IRPO = i.JOURNAL          FROM   INVMAST c, inserted i, deleted d          WHERE  c.JR_IRPO = d.JOURNAL          AND    (i.JOURNAL != d.JOURNAL)     END    /*  Cascade the Update of the Primary Key of 'JOURNAL' into its children in 'SFCMAST'  */    IF UPDATE(JOURNAL)     BEGIN          UPDATE SFCMAST          SET    JR_LABOH = i.JOURNAL          FROM   SFCMAST c, inserted i, deleted d          WHERE  c.JR_LABOH = d.JOURNAL          AND    (i.JOURNAL != d.JOURNAL)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_EMPMAST' for Table 'EMPMAST'  */    CREATE TRIGGER [dbo].[T_D_EMPMAST] ON [dbo].[EMPMAST] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'EMPMAST' cannot be deleted if children exist in 'MACHCARD'  */    IF EXISTS (             SELECT 1             FROM   MACHCARD c, deleted d             WHERE  c.CLOCK = d.CLOCK            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MACHCARD". Cannot delete parent "EMPMAST".'          GOTO error     END    /*  Parent in 'EMPMAST' cannot be deleted if children exist in 'SFC201A'  */    IF EXISTS (             SELECT 1             FROM   SFC201A c, deleted d             WHERE  c.CLOCK = d.CLOCK            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "SFC201A". Cannot delete parent "EMPMAST".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_LCMAST' for Table 'LCMAST'  */    CREATE TRIGGER [dbo].[T_U_LCMAST] ON [dbo].[LCMAST] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'LCMAST' into its children in 'LCTRAN'  */    IF UPDATE(LCCODE)     BEGIN          UPDATE LCTRAN          SET    LCCODE = i.LCCODE          FROM   LCTRAN c, inserted i, deleted d          WHERE  c.LCCODE = d.LCCODE          AND    (i.LCCODE != d.LCCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_ALLTO' for Table 'ALLTO'  */    CREATE TRIGGER [dbo].[T_D_ALLTO] ON [dbo].[ALLTO] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Delete all children in 'ALLBASE' of parent 'ALLTO'  */    DELETE ALLBASE  FROM   ALLBASE c, deleted d  WHERE  c.SEQUENCE = d.SEQUENCE AND         c.TOACCT = d.TOACCT  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_EMPLOYEE' for Table 'EMPLOYEE'  */    CREATE TRIGGER [dbo].[T_U_EMPLOYEE] ON [dbo].[EMPLOYEE] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'EMPLOYEE' cannot be modified if children exist in 'EMPTAX'  */    IF UPDATE(COMPCODE) OR     UPDATE(EMPCODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   EMPTAX c, inserted i, deleted d                  WHERE  c.COMPCODE = d.COMPCODE AND                         c.EMPCODE = d.EMPCODE                  AND   (i.COMPCODE != d.COMPCODE OR                         i.EMPCODE != d.EMPCODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "EMPTAX". Cannot modify Primary Key in "EMPLOYEE".'               GOTO error          END  END    /*  Cascade the Update of the Primary Key of 'EMPLOYEE' into its children in 'DEDPERH'  */    IF UPDATE(COMPCODE) OR     UPDATE(EMPCODE)     BEGIN          UPDATE DEDPERH          SET    COMPCODE = i.COMPCODE ,                 EMPCODE = i.EMPCODE          FROM   DEDPERH c, inserted i, deleted d          WHERE  c.COMPCODE = d.COMPCODE AND                 c.EMPCODE = d.EMPCODE          AND    (i.COMPCODE != d.COMPCODE OR                 i.EMPCODE != d.EMPCODE)     END    /*  Cascade the Update of the Primary Key of 'EMPLOYEE' into its children in 'EMPDAY'  */    IF UPDATE(COMPCODE) OR     UPDATE(EMPCODE)     BEGIN          UPDATE EMPDAY          SET    COMPCODE = i.COMPCODE ,                 EMPCODE = i.EMPCODE          FROM   EMPDAY c, inserted i, deleted d          WHERE  c.COMPCODE = d.COMPCODE AND                 c.EMPCODE = d.EMPCODE          AND    (i.COMPCODE != d.COMPCODE OR                 i.EMPCODE != d.EMPCODE)     END    /*  Cascade the Update of the Primary Key of 'EMPLOYEE' into its children in 'BONUS'  */    IF UPDATE(COMPCODE) OR     UPDATE(EMPCODE)     BEGIN          UPDATE BONUS          SET    COMPCODE = i.COMPCODE ,                 EMPCODE = i.EMPCODE          FROM   BONUS c, inserted i, deleted d          WHERE  c.COMPCODE = d.COMPCODE AND                 c.EMPCODE = d.EMPCODE          AND    (i.COMPCODE != d.COMPCODE OR                 i.EMPCODE != d.EMPCODE)     END    /*  Cascade the Update of the Primary Key of 'EMPLOYEE' into its children in 'OTPERIOD'  */    IF UPDATE(COMPCODE) OR     UPDATE(EMPCODE)     BEGIN          UPDATE OTPERIOD          SET    COMPCODE = i.COMPCODE ,                 EMPCODE = i.EMPCODE          FROM   OTPERIOD c, inserted i, deleted d          WHERE  c.COMPCODE = d.COMPCODE AND                 c.EMPCODE = d.EMPCODE          AND    (i.COMPCODE != d.COMPCODE OR                 i.EMPCODE != d.EMPCODE)     END    /*  Cascade the Update of the Primary Key of 'EMPLOYEE' into its children in 'LEAVEPEH'  */    IF UPDATE(COMPCODE) OR     UPDATE(EMPCODE)     BEGIN          UPDATE LEAVEPEH          SET    COMPCODE = i.COMPCODE ,                 EMPCODE = i.EMPCODE          FROM   LEAVEPEH c, inserted i, deleted d          WHERE  c.COMPCODE = d.COMPCODE AND                 c.EMPCODE = d.EMPCODE          AND    (i.COMPCODE != d.COMPCODE OR                 i.EMPCODE != d.EMPCODE)     END    /*  Cascade the Update of the Primary Key of 'EMPLOYEE' into its children in 'Trfemp'  */    IF UPDATE(COMPCODE) OR     UPDATE(EMPCODE)     BEGIN          UPDATE Trfemp          SET    COMPFR = i.COMPCODE ,                 EMPFR = i.EMPCODE          FROM   Trfemp c, inserted i, deleted d          WHERE  c.COMPFR = d.COMPCODE AND                 c.EMPFR = d.EMPCODE          AND    (i.COMPCODE != d.COMPCODE OR                 i.EMPCODE != d.EMPCODE)     END    /*  Cascade the Update of the Primary Key of 'EMPLOYEE' into its children in 'Retroh'  */    IF UPDATE(COMPCODE) OR     UPDATE(EMPCODE)     BEGIN          UPDATE Retroh          SET    COMPCODE = i.COMPCODE ,                 EMPCODE = i.EMPCODE          FROM   Retroh c, inserted i, deleted d          WHERE  c.COMPCODE = d.COMPCODE AND                 c.EMPCODE = d.EMPCODE          AND    (i.COMPCODE != d.COMPCODE OR                 i.EMPCODE != d.EMPCODE)     END    /*  Cascade the Update of the Primary Key of 'EMPLOYEE' into its children in 'EMPDED'  */    IF UPDATE(COMPCODE) OR     UPDATE(EMPCODE)     BEGIN          UPDATE EMPDED          SET    COMPCODE = i.COMPCODE ,                 EMPCODE = i.EMPCODE          FROM   EMPDED c, inserted i, deleted d          WHERE  c.COMPCODE = d.COMPCODE AND                 c.EMPCODE = d.EMPCODE          AND    (i.COMPCODE != d.COMPCODE OR                 i.EMPCODE != d.EMPCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_GLREPORT' for Table 'GLREPORT'  */    CREATE TRIGGER [dbo].[T_D_GLREPORT] ON [dbo].[GLREPORT] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'GLREPORT' cannot be deleted if children exist in 'GLRPTCOL'  */    IF EXISTS (             SELECT 1             FROM   GLRPTCOL c, deleted d             WHERE  c.REPTID = d.REPTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "GLRPTCOL". Cannot delete parent "GLREPORT".'          GOTO error     END    /*  Parent in 'GLREPORT' cannot be deleted if children exist in 'GLRPTLIN'  */    IF EXISTS (             SELECT 1             FROM   GLRPTLIN c, deleted d             WHERE  c.REPTID = d.REPTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "GLRPTLIN". Cannot delete parent "GLREPORT".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_PROINVH' for Table 'PROINVH'  */    CREATE TRIGGER [dbo].[T_D_PROINVH] ON [dbo].[PROINVH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'PROINVH' cannot be deleted if children exist in 'PROINVX'  */    IF EXISTS (             SELECT 1             FROM   PROINVX c, deleted d             WHERE  c.PROINVNO = d.PROINVNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PROINVX". Cannot delete parent "PROINVH".'          GOTO error     END    /*  Parent in 'PROINVH' cannot be deleted if children exist in 'COMTAXH'  */    IF EXISTS (             SELECT 1             FROM   COMTAXH c, deleted d             WHERE  c.PROINVNO = d.PROINVNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMTAXH". Cannot delete parent "PROINVH".'          GOTO error     END    /*  Parent in 'PROINVH' cannot be deleted if children exist in 'COMMH'  */    IF EXISTS (             SELECT 1             FROM   COMMH c, deleted d             WHERE  c.PROINVNO = d.PROINVNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMMH". Cannot delete parent "PROINVH".'          GOTO error     END    /*  Parent in 'PROINVH' cannot be deleted if children exist in 'COMMX'  */    IF EXISTS (             SELECT 1             FROM   COMMX c, deleted d             WHERE  c.PROINVNO = d.PROINVNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMMX". Cannot delete parent "PROINVH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_GLMDIST' for Table 'GLMDIST'  */    CREATE TRIGGER [dbo].[T_D_GLMDIST] ON [dbo].[GLMDIST] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'GLMDIST' cannot be deleted if children exist in 'GLACDIST'  */    IF EXISTS (             SELECT 1             FROM   GLACDIST c, deleted d             WHERE  c.MACCTNO = d.MACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "GLACDIST". Cannot delete parent "GLMDIST".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_TRANS' for Table 'TRANS'  */    CREATE TRIGGER [dbo].[T_D_TRANS] ON [dbo].[TRANS] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'TRANS' cannot be deleted if children exist in 'INVENSH'  */    IF EXISTS (             SELECT 1             FROM   INVENSH c, deleted d             WHERE  c.ORDTYPE = d.ORDTYPE AND                    c.TRANCODE = d.TRANCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVENSH". Cannot delete parent "TRANS".'          GOTO error     END    /*  Parent in 'TRANS' cannot be deleted if children exist in 'MTXNHIST'  */    IF EXISTS (             SELECT 1             FROM   MTXNHIST c, deleted d             WHERE  c.ORDTYPE = d.ORDTYPE AND                    c.TRANCODE = d.TRANCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MTXNHIST". Cannot delete parent "TRANS".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_GLMAPH' for Table 'GLMAPH'  */    CREATE TRIGGER [dbo].[T_D_GLMAPH] ON [dbo].[GLMAPH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'GLMAPH' cannot be deleted if children exist in 'GLMAPD'  */    IF EXISTS (             SELECT 1             FROM   GLMAPD c, deleted d             WHERE  c.MASTACCT = d.MASTACCT            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "GLMAPD". Cannot delete parent "GLMAPH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
  /*  Delete Trigger 'T_D_RESPONSE' for Table 'RESPONSE'  */    CREATE TRIGGER [dbo].[T_D_RESPONSE] ON [dbo].[RESPONSE] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'RESPONSE' cannot be deleted if children exist in 'APINVCH'  */    IF EXISTS (             SELECT 1             FROM   APINVCH c, deleted d             WHERE  c.RESPONSE = d.RESPONSE AND                    c.REQUESTER = d.REQUESTER            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APINVCH". Cannot delete parent "RESPONSE".'          GOTO error     END    /*  Parent in 'RESPONSE' cannot be deleted if children exist in 'POMAST'  */    IF EXISTS (             SELECT 1             FROM   POMAST c, deleted d             WHERE  c.RESPONSE = d.RESPONSE AND                    c.REQUESTER = d.REQUESTER            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "POMAST". Cannot delete parent "RESPONSE".'          GOTO error     END    /*  Parent in 'RESPONSE' cannot be deleted if children exist in 'REQUEST'  */    IF EXISTS (             SELECT 1             FROM   REQUEST c, deleted d             WHERE  c.APPCODE = d.RESPONSE AND                    c.REQUESTER = d.REQUESTER            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "REQUEST". Cannot delete parent "RESPONSE".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_GLINTERH' for Table 'GLINTERH'  */    CREATE TRIGGER [dbo].[T_D_GLINTERH] ON [dbo].[GLINTERH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'GLINTERH' cannot be deleted if children exist in 'GLINTERD'  */    IF EXISTS (             SELECT 1             FROM   GLINTERD c, deleted d             WHERE  c.ITEM = d.ITEM            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "GLINTERD". Cannot delete parent "GLINTERH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_COMMENTS' for Table 'COMMENTS'  */    CREATE TRIGGER [dbo].[T_D_COMMENTS] ON [dbo].[COMMENTS] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'COMMENTS' cannot be deleted if children exist in 'VENDOR'  */    IF EXISTS (             SELECT 1             FROM   VENDOR c, deleted d             WHERE  c.COMMKEY = d.COMMKEY            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "VENDOR". Cannot delete parent "COMMENTS".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_SHIPADDR' for Table 'SHIPADDR'  */    CREATE TRIGGER [dbo].[T_D_SHIPADDR] ON [dbo].[SHIPADDR] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'SHIPADDR' cannot be deleted if children exist in 'OEINVCH'  */    IF EXISTS (             SELECT 1             FROM   OEINVCH c, deleted d             WHERE  c.SHIPID = d.SHIPID AND                    c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "OEINVCH". Cannot delete parent "SHIPADDR".'          GOTO error     END    /*  Parent in 'SHIPADDR' cannot be deleted if children exist in 'SHIPHIST'  */    IF EXISTS (             SELECT 1             FROM   SHIPHIST c, deleted d             WHERE  c.CUSTID = d.CUSTID AND                    c.SHIPID = d.SHIPID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "SHIPHIST". Cannot delete parent "SHIPADDR".'          GOTO error     END    /*  Parent in 'SHIPADDR' cannot be deleted if children exist in 'ARBALH'  */    IF EXISTS (             SELECT 1             FROM   ARBALH c, deleted d             WHERE  c.CUSTID = d.CUSTID AND                    c.SHIPID = d.SHIPID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARBALH". Cannot delete parent "SHIPADDR".'          GOTO error     END    /*  Parent in 'SHIPADDR' cannot be deleted if children exist in 'ARINVCH'  */    IF EXISTS (             SELECT 1             FROM   ARINVCH c, deleted d             WHERE  c.CUSTID = d.CUSTID AND                    c.SHIPID = d.SHIPID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARINVCH". Cannot delete parent "SHIPADDR".'          GOTO error     END    /*  Parent in 'SHIPADDR' cannot be deleted if children exist in 'COMAST'  */    IF EXISTS (             SELECT 1             FROM   COMAST c, deleted d             WHERE  c.CUSTID = d.CUSTID AND                    c.SHIPID = d.SHIPID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMAST". Cannot delete parent "SHIPADDR".'          GOTO error     END    /*  Parent in 'SHIPADDR' cannot be deleted if children exist in 'COINVCH'  */    IF EXISTS (             SELECT 1             FROM   COINVCH c, deleted d             WHERE  c.CUSTID = d.CUSTID AND                    c.SHIPID = d.SHIPID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COINVCH". Cannot delete parent "SHIPADDR".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_FCSTGRPH' for Table 'FCSTGRPH'  */    CREATE TRIGGER [dbo].[T_D_FCSTGRPH] ON [dbo].[FCSTGRPH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'FCSTGRPH' cannot be deleted if children exist in 'FCSTGRPD'  */    IF EXISTS (             SELECT 1             FROM   FCSTGRPD c, deleted d             WHERE  c.FCSTGRP = d.FCSTGRP            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "FCSTGRPD". Cannot delete parent "FCSTGRPH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_ADVCLASS' for Table 'ADVCLASS'  */    CREATE TRIGGER [dbo].[T_U_ADVCLASS] ON [dbo].[ADVCLASS] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'ADVCLASS' into its children in 'ADVCUST'  */    IF UPDATE(ADVCLASS)     BEGIN          UPDATE ADVCUST          SET    ADVCLASS = i.ADVCLASS          FROM   ADVCUST c, inserted i, deleted d          WHERE  c.ADVCLASS = d.ADVCLASS          AND    (i.ADVCLASS != d.ADVCLASS)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_FCST' for Table 'FCST'  */    CREATE TRIGGER [dbo].[T_D_FCST] ON [dbo].[FCST] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'FCST' cannot be deleted if children exist in 'FCSTBILL'  */    IF EXISTS (             SELECT 1             FROM   FCSTBILL c, deleted d             WHERE  c.PRODCLASS = d.PRODCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "FCSTBILL". Cannot delete parent "FCST".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_CUREXCHG' for Table 'CUREXCHG'  */    CREATE TRIGGER [dbo].[T_U_CUREXCHG] ON [dbo].[CUREXCHG] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'CUREXCHG' into its children in 'COMTAXH'  */    IF UPDATE(BASE_CUR) OR     UPDATE(FORIEGN)     BEGIN          UPDATE COMTAXH          SET    BASE_CUR = i.BASE_CUR ,                 FORIEGN = i.FORIEGN          FROM   COMTAXH c, inserted i, deleted d          WHERE  c.BASE_CUR = d.BASE_CUR AND                 c.FORIEGN = d.FORIEGN          AND    (i.BASE_CUR != d.BASE_CUR OR                 i.FORIEGN != d.FORIEGN)     END    /*  Cascade the Update of the Primary Key of 'CUREXCHG' into its children in 'COMMH'  */    IF UPDATE(BASE_CUR) OR     UPDATE(FORIEGN)     BEGIN          UPDATE COMMH          SET    BASE_CUR = i.BASE_CUR ,                 FORIEGN = i.FORIEGN          FROM   COMMH c, inserted i, deleted d          WHERE  c.BASE_CUR = d.BASE_CUR AND                 c.FORIEGN = d.FORIEGN          AND    (i.BASE_CUR != d.BASE_CUR OR                 i.FORIEGN != d.FORIEGN)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_FAMAS_H' for Table 'FAMAS_H'  */    CREATE TRIGGER [dbo].[T_D_FAMAS_H] ON [dbo].[FAMAS_H] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'FAMAS_H' cannot be deleted if children exist in 'FAMAS_D'  */    IF EXISTS (             SELECT 1             FROM   FAMAS_D c, deleted d             WHERE  c.FA_CODE = d.FA_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "FAMAS_D". Cannot delete parent "FAMAS_H".'          GOTO error     END    /*  Parent in 'FAMAS_H' cannot be deleted if children exist in 'DPR_HIST'  */    IF EXISTS (             SELECT 1             FROM   DPR_HIST c, deleted d             WHERE  c.FA_CODE = d.FA_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "DPR_HIST". Cannot delete parent "FAMAS_H".'          GOTO error     END    /*  Parent in 'FAMAS_H' cannot be deleted if children exist in 'FARETIRE'  */    IF EXISTS (             SELECT 1             FROM   FARETIRE c, deleted d             WHERE  c.FA_CODE = d.FA_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "FARETIRE". Cannot delete parent "FAMAS_H".'          GOTO error     END    /*  Parent in 'FAMAS_H' cannot be deleted if children exist in 'FACOUNT'  */    IF EXISTS (             SELECT 1             FROM   FACOUNT c, deleted d             WHERE  c.FA_CODE = d.FA_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "FACOUNT". Cannot delete parent "FAMAS_H".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_CUSTOM' for Table 'CUSTOM'  */    CREATE TRIGGER [dbo].[T_U_CUSTOM] ON [dbo].[CUSTOM] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'CUSTOM' into its children in 'INVSELL'  */    IF UPDATE(CUSTOMID)     BEGIN          UPDATE INVSELL          SET    CUSTOMID = i.CUSTOMID          FROM   INVSELL c, inserted i, deleted d          WHERE  c.CUSTOMID = d.CUSTOMID          AND    (i.CUSTOMID != d.CUSTOMID)     END    /*  Cascade the Update of the Primary Key of 'CUSTOM' into its children in 'FORMULAR'  */    IF UPDATE(CUSTOMID)     BEGIN          UPDATE FORMULAR          SET    CUSTOMID = i.CUSTOMID          FROM   FORMULAR c, inserted i, deleted d          WHERE  c.CUSTOMID = d.CUSTOMID          AND    (i.CUSTOMID != d.CUSTOMID)     END    /*  Cascade the Update of the Primary Key of 'CUSTOM' into its children in 'COMTAXX'  */    IF UPDATE(CUSTOMID)     BEGIN          UPDATE COMTAXX          SET    CUSTOMID = i.CUSTOMID          FROM   COMTAXX c, inserted i, deleted d          WHERE  c.CUSTOMID = d.CUSTOMID          AND    (i.CUSTOMID != d.CUSTOMID)     END    /*  Cascade the Update of the Primary Key of 'CUSTOM' into its children in 'RM19'  */    IF UPDATE(CUSTOMID)     BEGIN          UPDATE RM19          SET    CUSTOMID = i.CUSTOMID          FROM   RM19 c, inserted i, deleted d          WHERE  c.CUSTOMID = d.CUSTOMID          AND    (i.CUSTOMID != d.CUSTOMID)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_LCMAST' for Table 'LCMAST'  */    CREATE TRIGGER [dbo].[T_D_LCMAST] ON [dbo].[LCMAST] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'LCMAST' cannot be deleted if children exist in 'LCTRAN'  */    IF EXISTS (             SELECT 1             FROM   LCTRAN c, deleted d             WHERE  c.LCCODE = d.LCCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "LCTRAN". Cannot delete parent "LCMAST".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_JOURNAL' for Table 'JOURNAL'  */    CREATE TRIGGER [dbo].[T_D_JOURNAL] ON [dbo].[JOURNAL] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'JOURNAL' cannot be deleted if children exist in 'ADVSETUP'  */    IF EXISTS (             SELECT 1             FROM   ADVSETUP c, deleted d             WHERE  c.AVJOURNAL = d.JOURNAL            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ADVSETUP". Cannot delete parent "JOURNAL".'          GOTO error     END    /*  Parent in 'JOURNAL' cannot be deleted if children exist in 'ALLMAST'  */    IF EXISTS (             SELECT 1             FROM   ALLMAST c, deleted d             WHERE  c.JOURNAL = d.JOURNAL            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ALLMAST". Cannot delete parent "JOURNAL".'          GOTO error     END    /*  Parent in 'JOURNAL' cannot be deleted if children exist in 'APMAST'  */    IF EXISTS (             SELECT 1             FROM   APMAST c, deleted d             WHERE  c.GLJOURNAL = d.JOURNAL            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APMAST". Cannot delete parent "JOURNAL".'          GOTO error     END    /*  Parent in 'JOURNAL' cannot be deleted if children exist in 'ARMAST'  */    IF EXISTS (             SELECT 1             FROM   ARMAST c, deleted d             WHERE  c.GLJOURNAL = d.JOURNAL            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARMAST". Cannot delete parent "JOURNAL".'          GOTO error     END    /*  Parent in 'JOURNAL' cannot be deleted if children exist in 'GLMAST'  */    IF EXISTS (             SELECT 1             FROM   GLMAST c, deleted d             WHERE  c.BRJOURNAL = d.JOURNAL            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "GLMAST". Cannot delete parent "JOURNAL".'          GOTO error     END    /*  Parent in 'JOURNAL' cannot be deleted if children exist in 'GLTRAN'  */    IF EXISTS (             SELECT 1             FROM   GLTRAN c, deleted d             WHERE  c.JOURNAL = d.JOURNAL            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "GLTRAN". Cannot delete parent "JOURNAL".'          GOTO error     END    /*  Parent in 'JOURNAL' cannot be deleted if children exist in 'GLTRANH'  */    IF EXISTS (             SELECT 1             FROM   GLTRANH c, deleted d             WHERE  c.JOURNAL = d.JOURNAL            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "GLTRANH". Cannot delete parent "JOURNAL".'          GOTO error     END    /*  Parent in 'JOURNAL' cannot be deleted if children exist in 'INVMAST'  */    IF EXISTS (             SELECT 1             FROM   INVMAST c, deleted d             WHERE  c.JR_IACC = d.JOURNAL            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVMAST". Cannot delete parent "JOURNAL".'          GOTO error     END    /*  Parent in 'JOURNAL' cannot be deleted if children exist in 'INVMAST'  */    IF EXISTS (             SELECT 1             FROM   INVMAST c, deleted d             WHERE  c.JR_IACR = d.JOURNAL            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVMAST". Cannot delete parent "JOURNAL".'          GOTO error     END    /*  Parent in 'JOURNAL' cannot be deleted if children exist in 'INVMAST'  */    IF EXISTS (             SELECT 1             FROM   INVMAST c, deleted d             WHERE  c.JR_IAIA = d.JOURNAL            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVMAST". Cannot delete parent "JOURNAL".'          GOTO error     END    /*  Parent in 'JOURNAL' cannot be deleted if children exist in 'INVMAST'  */    IF EXISTS (             SELECT 1             FROM   INVMAST c, deleted d             WHERE  c.JR_IAPC = d.JOURNAL            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVMAST". Cannot delete parent "JOURNAL".'          GOTO error     END    /*  Parent in 'JOURNAL' cannot be deleted if children exist in 'INVMAST'  */    IF EXISTS (             SELECT 1             FROM   INVMAST c, deleted d             WHERE  c.JR_IATR = d.JOURNAL            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVMAST". Cannot delete parent "JOURNAL".'          GOTO error     END    /*  Parent in 'JOURNAL' cannot be deleted if children exist in 'INVMAST'  */    IF EXISTS (             SELECT 1             FROM   INVMAST c, deleted d             WHERE  c.JR_IICO = d.JOURNAL            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVMAST". Cannot delete parent "JOURNAL".'          GOTO error     END    /*  Parent in 'JOURNAL' cannot be deleted if children exist in 'INVMAST'  */    IF EXISTS (             SELECT 1             FROM   INVMAST c, deleted d             WHERE  c.JR_IIMO = d.JOURNAL            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVMAST". Cannot delete parent "JOURNAL".'          GOTO error     END    /*  Parent in 'JOURNAL' cannot be deleted if children exist in 'INVMAST'  */    IF EXISTS (             SELECT 1             FROM   INVMAST c, deleted d             WHERE  c.JR_IRMO = d.JOURNAL            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVMAST". Cannot delete parent "JOURNAL".'          GOTO error     END    /*  Parent in 'JOURNAL' cannot be deleted if children exist in 'INVMAST'  */    IF EXISTS (             SELECT 1             FROM   INVMAST c, deleted d             WHERE  c.JR_IRPO = d.JOURNAL            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVMAST". Cannot delete parent "JOURNAL".'          GOTO error     END    /*  Parent in 'JOURNAL' cannot be deleted if children exist in 'SFCMAST'  */    IF EXISTS (             SELECT 1             FROM   SFCMAST c, deleted d             WHERE  c.JR_LABOH = d.JOURNAL            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "SFCMAST". Cannot delete parent "JOURNAL".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_WHSE' for Table 'WHSE'  */    CREATE TRIGGER [dbo].[T_U_WHSE] ON [dbo].[WHSE] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'WHSE' into its children in 'CYCCNT'  */    IF UPDATE(WHSE) OR     UPDATE(LOCATION)     BEGIN          UPDATE CYCCNT          SET    LOCATION = i.LOCATION ,                 WHSE = i.WHSE          FROM   CYCCNT c, inserted i, deleted d          WHERE  c.LOCATION = d.LOCATION AND                 c.WHSE = d.WHSE          AND    (i.LOCATION != d.LOCATION OR                 i.WHSE != d.WHSE)     END    /*  Cascade the Update of the Primary Key of 'WHSE' into its children in 'INV'  */    IF UPDATE(WHSE) OR     UPDATE(LOCATION)     BEGIN          UPDATE INV          SET    LOCATION = i.LOCATION ,                 WHSE = i.WHSE          FROM   INV c, inserted i, deleted d          WHERE  c.LOCATION = d.LOCATION AND                 c.WHSE = d.WHSE          AND    (i.LOCATION != d.LOCATION OR                 i.WHSE != d.WHSE)     END    /*  Cascade the Update of the Primary Key of 'WHSE' into its children in 'INVADJD'  */    IF UPDATE(WHSE) OR     UPDATE(LOCATION)     BEGIN          UPDATE INVADJD          SET    LOCATION = i.LOCATION ,                 WHSE = i.WHSE          FROM   INVADJD c, inserted i, deleted d          WHERE  c.LOCATION = d.LOCATION AND                 c.WHSE = d.WHSE          AND    (i.LOCATION != d.LOCATION OR                 i.WHSE != d.WHSE)     END    /*  Cascade the Update of the Primary Key of 'WHSE' into its children in 'INVMAST'  */    IF UPDATE(WHSE) OR     UPDATE(LOCATION)     BEGIN          UPDATE INVMAST          SET    LOCATION = i.LOCATION ,                 WHSE = i.WHSE          FROM   INVMAST c, inserted i, deleted d          WHERE  c.LOCATION = d.LOCATION AND                 c.WHSE = d.WHSE          AND    (i.LOCATION != d.LOCATION OR                 i.WHSE != d.WHSE)     END    /*  Cascade the Update of the Primary Key of 'WHSE' into its children in 'INVMTLTR'  */    IF UPDATE(WHSE) OR     UPDATE(LOCATION)     BEGIN          UPDATE INVMTLTR          SET    TLOC = i.LOCATION ,                 TWHSE = i.WHSE          FROM   INVMTLTR c, inserted i, deleted d          WHERE  c.TLOC = d.LOCATION AND                 c.TWHSE = d.WHSE          AND    (i.LOCATION != d.LOCATION OR                 i.WHSE != d.WHSE)     END    /*  Cascade the Update of the Primary Key of 'WHSE' into its children in 'QMINSPPC'  */    IF UPDATE(WHSE) OR     UPDATE(LOCATION)     BEGIN          UPDATE QMINSPPC          SET    FAILLOC = i.LOCATION ,                 FAILWH = i.WHSE          FROM   QMINSPPC c, inserted i, deleted d          WHERE  c.FAILLOC = d.LOCATION AND                 c.FAILWH = d.WHSE          AND    (i.LOCATION != d.LOCATION OR                 i.WHSE != d.WHSE)     END    /*  Cascade the Update of the Primary Key of 'WHSE' into its children in 'QMINSPPC'  */    IF UPDATE(WHSE) OR     UPDATE(LOCATION)     BEGIN          UPDATE QMINSPPC          SET    LOCATION = i.LOCATION ,                 WHSE = i.WHSE          FROM   QMINSPPC c, inserted i, deleted d          WHERE  c.LOCATION = d.LOCATION AND                 c.WHSE = d.WHSE          AND    (i.LOCATION != d.LOCATION OR                 i.WHSE != d.WHSE)     END    /*  Cascade the Update of the Primary Key of 'WHSE' into its children in 'QMINSPPC'  */    IF UPDATE(WHSE) OR     UPDATE(LOCATION)     BEGIN          UPDATE QMINSPPC          SET    INSPLOC = i.LOCATION ,                 INSPWH = i.WHSE          FROM   QMINSPPC c, inserted i, deleted d          WHERE  c.INSPLOC = d.LOCATION AND                 c.INSPWH = d.WHSE          AND    (i.LOCATION != d.LOCATION OR                 i.WHSE != d.WHSE)     END    /*  Cascade the Update of the Primary Key of 'WHSE' into its children in 'QMTRINED'  */    IF UPDATE(WHSE) OR     UPDATE(LOCATION)     BEGIN          UPDATE QMTRINED          SET    TOLOC = i.LOCATION ,                 TOWH = i.WHSE          FROM   QMTRINED c, inserted i, deleted d          WHERE  c.TOLOC = d.LOCATION AND                 c.TOWH = d.WHSE          AND    (i.LOCATION != d.LOCATION OR                 i.WHSE != d.WHSE)     END    /*  Cascade the Update of the Primary Key of 'WHSE' into its children in 'WKORD'  */    IF UPDATE(WHSE) OR     UPDATE(LOCATION)     BEGIN          UPDATE WKORD          SET    LOCATION = i.LOCATION ,                 WHSE = i.WHSE          FROM   WKORD c, inserted i, deleted d          WHERE  c.LOCATION = d.LOCATION AND                 c.WHSE = d.WHSE          AND    (i.LOCATION != d.LOCATION OR                 i.WHSE != d.WHSE)     END    /*  Cascade the Update of the Primary Key of 'WHSE' into its children in 'INVENSM2'  */    IF UPDATE(WHSE) OR     UPDATE(LOCATION)     BEGIN          UPDATE INVENSM2          SET    WHSE = i.WHSE ,                 LOCATION = i.LOCATION          FROM   INVENSM2 c, inserted i, deleted d          WHERE  c.WHSE = d.WHSE AND                 c.LOCATION = d.LOCATION          AND    (i.WHSE != d.WHSE OR                 i.LOCATION != d.LOCATION)     END    /*  Cascade the Update of the Primary Key of 'WHSE' into its children in 'INVENSD'  */    IF UPDATE(WHSE) OR     UPDATE(LOCATION)     BEGIN          UPDATE INVENSD          SET    WHSE = i.WHSE ,                 LOCATION = i.LOCATION          FROM   INVENSD c, inserted i, deleted d          WHERE  c.WHSE = d.WHSE AND                 c.LOCATION = d.LOCATION          AND    (i.WHSE != d.WHSE OR                 i.LOCATION != d.LOCATION)     END    /*  Cascade the Update of the Primary Key of 'WHSE' into its children in 'QMTREXED'  */    IF UPDATE(WHSE) OR     UPDATE(LOCATION)     BEGIN          UPDATE QMTREXED          SET    TOWH = i.WHSE ,                 TOLOC = i.LOCATION          FROM   QMTREXED c, inserted i, deleted d          WHERE  c.TOWH = d.WHSE AND                 c.TOLOC = d.LOCATION          AND    (i.WHSE != d.WHSE OR                 i.LOCATION != d.LOCATION)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_PACKED' for Table 'PACKED'  */    CREATE TRIGGER [dbo].[T_D_PACKED] ON [dbo].[PACKED] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'PACKED' cannot be deleted if children exist in 'INVSELL'  */    IF EXISTS (             SELECT 1             FROM   INVSELL c, deleted d             WHERE  c.PACKCODE = d.PACKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVSELL". Cannot delete parent "PACKED".'          GOTO error     END    /*  Parent in 'PACKED' cannot be deleted if children exist in 'COMTAXX'  */    IF EXISTS (             SELECT 1             FROM   COMTAXX c, deleted d             WHERE  c.PACKCODE = d.PACKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMTAXX". Cannot delete parent "PACKED".'          GOTO error     END    /*  Parent in 'PACKED' cannot be deleted if children exist in 'COMMX'  */    IF EXISTS (             SELECT 1             FROM   COMMX c, deleted d             WHERE  c.PACKCODE = d.PACKCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMMX". Cannot delete parent "PACKED".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_BUYER' for Table 'BUYER'  */    CREATE TRIGGER [dbo].[T_D_BUYER] ON [dbo].[BUYER] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'BUYER' cannot be deleted if children exist in 'COMDTY'  */    IF EXISTS (             SELECT 1             FROM   COMDTY c, deleted d             WHERE  c.BUYER = d.CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMDTY". Cannot delete parent "BUYER".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_WHSE' for Table 'WHSE'  */    CREATE TRIGGER [dbo].[T_D_WHSE] ON [dbo].[WHSE] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'WHSE' cannot be deleted if children exist in 'CYCCNT'  */    IF EXISTS (             SELECT 1             FROM   CYCCNT c, deleted d             WHERE  c.LOCATION = d.LOCATION AND                    c.WHSE = d.WHSE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CYCCNT". Cannot delete parent "WHSE".'          GOTO error     END    /*  Parent in 'WHSE' cannot be deleted if children exist in 'INV'  */    IF EXISTS (             SELECT 1             FROM   INV c, deleted d             WHERE  c.LOCATION = d.LOCATION AND                    c.WHSE = d.WHSE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INV". Cannot delete parent "WHSE".'          GOTO error     END    /*  Parent in 'WHSE' cannot be deleted if children exist in 'INVADJD'  */    IF EXISTS (             SELECT 1             FROM   INVADJD c, deleted d             WHERE  c.LOCATION = d.LOCATION AND                    c.WHSE = d.WHSE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVADJD". Cannot delete parent "WHSE".'          GOTO error     END    /*  Parent in 'WHSE' cannot be deleted if children exist in 'INVMAST'  */    IF EXISTS (             SELECT 1             FROM   INVMAST c, deleted d             WHERE  c.LOCATION = d.LOCATION AND                    c.WHSE = d.WHSE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVMAST". Cannot delete parent "WHSE".'          GOTO error     END    /*  Parent in 'WHSE' cannot be deleted if children exist in 'INVMTLTR'  */    IF EXISTS (             SELECT 1             FROM   INVMTLTR c, deleted d             WHERE  c.TLOC = d.LOCATION AND                    c.TWHSE = d.WHSE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVMTLTR". Cannot delete parent "WHSE".'          GOTO error     END    /*  Parent in 'WHSE' cannot be deleted if children exist in 'QMINSPPC'  */    IF EXISTS (             SELECT 1             FROM   QMINSPPC c, deleted d             WHERE  c.FAILLOC = d.LOCATION AND                    c.FAILWH = d.WHSE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "QMINSPPC". Cannot delete parent "WHSE".'          GOTO error     END    /*  Parent in 'WHSE' cannot be deleted if children exist in 'QMINSPPC'  */    IF EXISTS (             SELECT 1             FROM   QMINSPPC c, deleted d             WHERE  c.LOCATION = d.LOCATION AND                    c.WHSE = d.WHSE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "QMINSPPC". Cannot delete parent "WHSE".'          GOTO error     END    /*  Parent in 'WHSE' cannot be deleted if children exist in 'QMINSPPC'  */    IF EXISTS (             SELECT 1             FROM   QMINSPPC c, deleted d             WHERE  c.INSPLOC = d.LOCATION AND                    c.INSPWH = d.WHSE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "QMINSPPC". Cannot delete parent "WHSE".'          GOTO error     END    /*  Parent in 'WHSE' cannot be deleted if children exist in 'QMTRINED'  */    IF EXISTS (             SELECT 1             FROM   QMTRINED c, deleted d             WHERE  c.TOLOC = d.LOCATION AND                    c.TOWH = d.WHSE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "QMTRINED". Cannot delete parent "WHSE".'          GOTO error     END    /*  Parent in 'WHSE' cannot be deleted if children exist in 'WKORD'  */    IF EXISTS (             SELECT 1             FROM   WKORD c, deleted d             WHERE  c.LOCATION = d.LOCATION AND                    c.WHSE = d.WHSE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "WKORD". Cannot delete parent "WHSE".'          GOTO error     END    /*  Parent in 'WHSE' cannot be deleted if children exist in 'INVENSM2'  */    IF EXISTS (             SELECT 1             FROM   INVENSM2 c, deleted d             WHERE  c.WHSE = d.WHSE AND                    c.LOCATION = d.LOCATION            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVENSM2". Cannot delete parent "WHSE".'          GOTO error     END    /*  Parent in 'WHSE' cannot be deleted if children exist in 'INVENSD'  */    IF EXISTS (             SELECT 1             FROM   INVENSD c, deleted d             WHERE  c.WHSE = d.WHSE AND                    c.LOCATION = d.LOCATION            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVENSD". Cannot delete parent "WHSE".'          GOTO error     END    /*  Parent in 'WHSE' cannot be deleted if children exist in 'QMTREXED'  */    IF EXISTS (             SELECT 1             FROM   QMTREXED c, deleted d             WHERE  c.TOWH = d.WHSE AND                    c.TOLOC = d.LOCATION            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "QMTREXED". Cannot delete parent "WHSE".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_MEASURE' for Table 'MEASURE'  */    CREATE TRIGGER [dbo].[T_D_MEASURE] ON [dbo].[MEASURE] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'MEASURE' cannot be deleted if children exist in 'INVSELL'  */    IF EXISTS (             SELECT 1             FROM   INVSELL c, deleted d             WHERE  c.UM = d.UM            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVSELL". Cannot delete parent "MEASURE".'          GOTO error     END    /*  Parent in 'MEASURE' cannot be deleted if children exist in 'MATERIAL'  */    IF EXISTS (             SELECT 1             FROM   MATERIAL c, deleted d             WHERE  c.UM = d.UM            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MATERIAL". Cannot delete parent "MEASURE".'          GOTO error     END    /*  Parent in 'MEASURE' cannot be deleted if children exist in 'COMTAXX'  */    IF EXISTS (             SELECT 1             FROM   COMTAXX c, deleted d             WHERE  c.UM = d.UM            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMTAXX". Cannot delete parent "MEASURE".'          GOTO error     END    /*  Parent in 'MEASURE' cannot be deleted if children exist in 'COMMX'  */    IF EXISTS (             SELECT 1             FROM   COMMX c, deleted d             WHERE  c.UM = d.UM            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMMX". Cannot delete parent "MEASURE".'          GOTO error     END    /*  Parent in 'MEASURE' cannot be deleted if children exist in 'PROINVX'  */    IF EXISTS (             SELECT 1             FROM   PROINVX c, deleted d             WHERE  c.UM = d.UM            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PROINVX". Cannot delete parent "MEASURE".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_COMMENTS' for Table 'COMMENTS'  */    CREATE TRIGGER [dbo].[T_U_COMMENTS] ON [dbo].[COMMENTS] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'COMMENTS' into its children in 'VENDOR'  */    IF UPDATE(COMMKEY)     BEGIN          UPDATE VENDOR          SET    COMMKEY = i.COMMKEY          FROM   VENDOR c, inserted i, deleted d          WHERE  c.COMMKEY = d.COMMKEY          AND    (i.COMMKEY != d.COMMKEY)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_ADVCLASS' for Table 'ADVCLASS'  */    CREATE TRIGGER [dbo].[T_D_ADVCLASS] ON [dbo].[ADVCLASS] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'ADVCLASS' cannot be deleted if children exist in 'ADVCUST'  */    IF EXISTS (             SELECT 1             FROM   ADVCUST c, deleted d             WHERE  c.ADVCLASS = d.ADVCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ADVCUST". Cannot delete parent "ADVCLASS".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_BUYER' for Table 'BUYER'  */    CREATE TRIGGER [dbo].[T_U_BUYER] ON [dbo].[BUYER] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'BUYER' into its children in 'COMDTY'  */    IF UPDATE(CODE)     BEGIN          UPDATE COMDTY          SET    BUYER = i.CODE          FROM   COMDTY c, inserted i, deleted d          WHERE  c.BUYER = d.CODE          AND    (i.CODE != d.CODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_ACCTTYPE' for Table 'ACCTTYPE'  */    CREATE TRIGGER [dbo].[T_U_ACCTTYPE] ON [dbo].[ACCTTYPE] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'ACCTTYPE' into its children in 'GLYEAR'  */    IF UPDATE(ACCTTYPE)     BEGIN          UPDATE GLYEAR          SET    ACCTTYPE = i.ACCTTYPE          FROM   GLYEAR c, inserted i, deleted d          WHERE  c.ACCTTYPE = d.ACCTTYPE          AND    (i.ACCTTYPE != d.ACCTTYPE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Insert Trigger 'T_I_Manchkv' for Table 'Manchkv'  */    CREATE TRIGGER [dbo].[T_I_Manchkv] ON [dbo].[Manchkv] FOR INSERT AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  When inserting a row in child 'Manchkv' ,the Foreign Key must be Null or exist in Parent 'MANCHKH' */    IF UPDATE(PVCHRNO)     BEGIN          SELECT @null_row_count =                (                 SELECT COUNT(*)                 FROM  inserted                 WHERE PVCHRNO is null                )          IF @null_row_count != @row_count             IF (                 SELECT COUNT(*)                 FROM   MANCHKH p, inserted i                 WHERE  p.PVCHRNO = i.PVCHRNO                )                 != @row_count - @null_row_count                 BEGIN                     SELECT @error_number=30001,                            @error_message='Cannot insert child in "Manchkv" as its Foreign Key does not exist in "MANCHKH".'                     GOTO error                END     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_TERMS' for Table 'TERMS'  */    CREATE TRIGGER [dbo].[T_U_TERMS] ON [dbo].[TERMS] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'TERMS' into its children in 'APINVCH'  */    IF UPDATE(TERMCODE)     BEGIN          UPDATE APINVCH          SET    TERMCODE = i.TERMCODE          FROM   APINVCH c, inserted i, deleted d          WHERE  c.TERMCODE = d.TERMCODE          AND    (i.TERMCODE != d.TERMCODE)     END    /*  Cascade the Update of the Primary Key of 'TERMS' into its children in 'APMAST'  */    IF UPDATE(TERMCODE)     BEGIN          UPDATE APMAST          SET    TERMCODE = i.TERMCODE          FROM   APMAST c, inserted i, deleted d          WHERE  c.TERMCODE = d.TERMCODE          AND    (i.TERMCODE != d.TERMCODE)     END    /*  Cascade the Update of the Primary Key of 'TERMS' into its children in 'ARINVCH'  */    IF UPDATE(TERMCODE)     BEGIN          UPDATE ARINVCH          SET    TERMCODE = i.TERMCODE          FROM   ARINVCH c, inserted i, deleted d          WHERE  c.TERMCODE = d.TERMCODE          AND    (i.TERMCODE != d.TERMCODE)     END    /*  Cascade the Update of the Primary Key of 'TERMS' into its children in 'ARMAST'  */    IF UPDATE(TERMCODE)     BEGIN          UPDATE ARMAST          SET    TERMCODE = i.TERMCODE          FROM   ARMAST c, inserted i, deleted d          WHERE  c.TERMCODE = d.TERMCODE          AND    (i.TERMCODE != d.TERMCODE)     END    /*  Cascade the Update of the Primary Key of 'TERMS' into its children in 'COMAST'  */    IF UPDATE(TERMCODE)     BEGIN          UPDATE COMAST          SET    TERMCODE = i.TERMCODE          FROM   COMAST c, inserted i, deleted d          WHERE  c.TERMCODE = d.TERMCODE          AND    (i.TERMCODE != d.TERMCODE)     END    /*  Cascade the Update of the Primary Key of 'TERMS' into its children in 'CUSTOMER'  */    IF UPDATE(TERMCODE)     BEGIN          UPDATE CUSTOMER          SET    TERMCODE = i.TERMCODE          FROM   CUSTOMER c, inserted i, deleted d          WHERE  c.TERMCODE = d.TERMCODE          AND    (i.TERMCODE != d.TERMCODE)     END    /*  Cascade the Update of the Primary Key of 'TERMS' into its children in 'ESTHDR'  */    IF UPDATE(TERMCODE)     BEGIN          UPDATE ESTHDR          SET    TERMS = i.TERMCODE          FROM   ESTHDR c, inserted i, deleted d          WHERE  c.TERMS = d.TERMCODE          AND    (i.TERMCODE != d.TERMCODE)     END    /*  Cascade the Update of the Primary Key of 'TERMS' into its children in 'OEINVCH'  */    IF UPDATE(TERMCODE)     BEGIN          UPDATE OEINVCH          SET    TERMCODE = i.TERMCODE          FROM   OEINVCH c, inserted i, deleted d          WHERE  c.TERMCODE = d.TERMCODE          AND    (i.TERMCODE != d.TERMCODE)     END    /*  Cascade the Update of the Primary Key of 'TERMS' into its children in 'POMAST'  */    IF UPDATE(TERMCODE)     BEGIN          UPDATE POMAST          SET    TERMCODE = i.TERMCODE          FROM   POMAST c, inserted i, deleted d          WHERE  c.TERMCODE = d.TERMCODE          AND    (i.TERMCODE != d.TERMCODE)     END    /*  Cascade the Update of the Primary Key of 'TERMS' into its children in 'VENDOR'  */    IF UPDATE(TERMCODE)     BEGIN          UPDATE VENDOR          SET    TERMCODE = i.TERMCODE          FROM   VENDOR c, inserted i, deleted d          WHERE  c.TERMCODE = d.TERMCODE          AND    (i.TERMCODE != d.TERMCODE)     END    /*  Cascade the Update of the Primary Key of 'TERMS' into its children in 'COINVCH'  */    IF UPDATE(TERMCODE)     BEGIN          UPDATE COINVCH          SET    TERMCODE = i.TERMCODE          FROM   COINVCH c, inserted i, deleted d          WHERE  c.TERMCODE = d.TERMCODE          AND    (i.TERMCODE != d.TERMCODE)     END    /*  Cascade the Update of the Primary Key of 'TERMS' into its children in 'PROINVH'  */    IF UPDATE(TERMCODE)     BEGIN          UPDATE PROINVH          SET    TERMCODE = i.TERMCODE          FROM   PROINVH c, inserted i, deleted d          WHERE  c.TERMCODE = d.TERMCODE          AND    (i.TERMCODE != d.TERMCODE)     END    /*  Cascade the Update of the Primary Key of 'TERMS' into its children in 'COMTAXH'  */    IF UPDATE(TERMCODE)     BEGIN          UPDATE COMTAXH          SET    TERMCODE = i.TERMCODE          FROM   COMTAXH c, inserted i, deleted d          WHERE  c.TERMCODE = d.TERMCODE          AND    (i.TERMCODE != d.TERMCODE)     END    /*  Cascade the Update of the Primary Key of 'TERMS' into its children in 'COMMH'  */    IF UPDATE(TERMCODE)     BEGIN          UPDATE COMMH          SET    TERMCODE = i.TERMCODE          FROM   COMMH c, inserted i, deleted d          WHERE  c.TERMCODE = d.TERMCODE          AND    (i.TERMCODE != d.TERMCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Insert Trigger 'T_I_MANCHKP' for Table 'MANCHKP'  */    CREATE TRIGGER [dbo].[T_I_MANCHKP] ON [dbo].[MANCHKP] FOR INSERT AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  When inserting a row in child 'MANCHKP' ,the Foreign Key must be Null or exist in Parent 'MANCHKH' */    IF UPDATE(PVCHRNO)     BEGIN          SELECT @null_row_count =                (                 SELECT COUNT(*)                 FROM  inserted                 WHERE PVCHRNO is null                )          IF @null_row_count != @row_count             IF (                 SELECT COUNT(*)                 FROM   MANCHKH p, inserted i                 WHERE  p.PVCHRNO = i.PVCHRNO                )                 != @row_count - @null_row_count                 BEGIN                     SELECT @error_number=30001,                            @error_message='Cannot insert child in "MANCHKP" as its Foreign Key does not exist in "MANCHKH".'                     GOTO error                END     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Insert Trigger 'T_I_INVADJD' for Table 'INVADJD'  */    CREATE TRIGGER [dbo].[T_I_INVADJD] ON [dbo].[INVADJD] FOR INSERT AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  When inserting a row in child 'INVADJD' ,the Foreign Key must be Null or exist in Parent 'INVADJM' */    IF UPDATE(ORD) OR     UPDATE(ITEM)     BEGIN          SELECT @null_row_count =                (                 SELECT COUNT(*)                 FROM  inserted                 WHERE ORD is null AND                       ITEM is null                )          IF @null_row_count != @row_count             IF (                 SELECT COUNT(*)                 FROM   INVADJM p, inserted i                 WHERE  p.ORD = i.ORD AND                        p.ITEM = i.ITEM                )                 != @row_count - @null_row_count                 BEGIN                     SELECT @error_number=30001,                            @error_message='Cannot insert child in "INVADJD" as its Foreign Key does not exist in "INVADJM".'                     GOTO error                END     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_MLP' for Table 'MLP'  */    CREATE TRIGGER [dbo].[T_D_MLP] ON [dbo].[MLP] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'MLP' cannot be deleted if children exist in 'INV'  */    IF EXISTS (             SELECT 1             FROM   INV c, deleted d             WHERE  c.MLPCODE = d.MLPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INV". Cannot delete parent "MLP".'          GOTO error     END    /*  Parent in 'MLP' cannot be deleted if children exist in 'INV'  */    IF EXISTS (             SELECT 1             FROM   INV c, deleted d             WHERE  c.MLPCODE2 = d.MLPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INV". Cannot delete parent "MLP".'          GOTO error     END    /*  Parent in 'MLP' cannot be deleted if children exist in 'INV'  */    IF EXISTS (             SELECT 1             FROM   INV c, deleted d             WHERE  c.MLPCODE3 = d.MLPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INV". Cannot delete parent "MLP".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_SHIPVIA' for Table 'SHIPVIA'  */    CREATE TRIGGER [dbo].[T_U_SHIPVIA] ON [dbo].[SHIPVIA] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'SHIPVIA' cannot be modified if children exist in 'APMAST'  */    IF UPDATE(SHIPCODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   APMAST c, inserted i, deleted d                  WHERE  c.SHIPCODE = d.SHIPCODE                  AND   (i.SHIPCODE != d.SHIPCODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "APMAST". Cannot modify Primary Key in "SHIPVIA".'               GOTO error          END  END    /*  Cascade the Update of the Primary Key of 'SHIPVIA' into its children in 'APINVCH'  */    IF UPDATE(SHIPCODE)     BEGIN          UPDATE APINVCH          SET    SHIPCODE = i.SHIPCODE          FROM   APINVCH c, inserted i, deleted d          WHERE  c.SHIPCODE = d.SHIPCODE          AND    (i.SHIPCODE != d.SHIPCODE)     END    /*  Cascade the Update of the Primary Key of 'SHIPVIA' into its children in 'ARINVCH'  */    IF UPDATE(SHIPCODE)     BEGIN          UPDATE ARINVCH          SET    SHIPCODE = i.SHIPCODE          FROM   ARINVCH c, inserted i, deleted d          WHERE  c.SHIPCODE = d.SHIPCODE          AND    (i.SHIPCODE != d.SHIPCODE)     END    /*  Cascade the Update of the Primary Key of 'SHIPVIA' into its children in 'ARMAST'  */    IF UPDATE(SHIPCODE)     BEGIN          UPDATE ARMAST          SET    SHIPCODE = i.SHIPCODE          FROM   ARMAST c, inserted i, deleted d          WHERE  c.SHIPCODE = d.SHIPCODE          AND    (i.SHIPCODE != d.SHIPCODE)     END    /*  Cascade the Update of the Primary Key of 'SHIPVIA' into its children in 'COMAST'  */    IF UPDATE(SHIPCODE)     BEGIN          UPDATE COMAST          SET    SHIPCODE = i.SHIPCODE          FROM   COMAST c, inserted i, deleted d          WHERE  c.SHIPCODE = d.SHIPCODE          AND    (i.SHIPCODE != d.SHIPCODE)     END    /*  Cascade the Update of the Primary Key of 'SHIPVIA' into its children in 'CUSTOMER'  */    IF UPDATE(SHIPCODE)     BEGIN          UPDATE CUSTOMER          SET    SHIPCODE = i.SHIPCODE          FROM   CUSTOMER c, inserted i, deleted d          WHERE  c.SHIPCODE = d.SHIPCODE          AND    (i.SHIPCODE != d.SHIPCODE)     END    /*  Cascade the Update of the Primary Key of 'SHIPVIA' into its children in 'OEINVCH'  */    IF UPDATE(SHIPCODE)     BEGIN          UPDATE OEINVCH          SET    SHIPCODE = i.SHIPCODE          FROM   OEINVCH c, inserted i, deleted d          WHERE  c.SHIPCODE = d.SHIPCODE          AND    (i.SHIPCODE != d.SHIPCODE)     END    /*  Cascade the Update of the Primary Key of 'SHIPVIA' into its children in 'POMAST'  */    IF UPDATE(SHIPCODE)     BEGIN          UPDATE POMAST          SET    SHIPCODE = i.SHIPCODE          FROM   POMAST c, inserted i, deleted d          WHERE  c.SHIPCODE = d.SHIPCODE          AND    (i.SHIPCODE != d.SHIPCODE)     END    /*  Cascade the Update of the Primary Key of 'SHIPVIA' into its children in 'POSHIPH'  */    IF UPDATE(SHIPCODE)     BEGIN          UPDATE POSHIPH          SET    SHIPCODE = i.SHIPCODE          FROM   POSHIPH c, inserted i, deleted d          WHERE  c.SHIPCODE = d.SHIPCODE          AND    (i.SHIPCODE != d.SHIPCODE)     END    /*  Cascade the Update of the Primary Key of 'SHIPVIA' into its children in 'VENDOR'  */    IF UPDATE(SHIPCODE)     BEGIN          UPDATE VENDOR          SET    SHIPCODE = i.SHIPCODE          FROM   VENDOR c, inserted i, deleted d          WHERE  c.SHIPCODE = d.SHIPCODE          AND    (i.SHIPCODE != d.SHIPCODE)     END    /*  Cascade the Update of the Primary Key of 'SHIPVIA' into its children in 'COINVCH'  */    IF UPDATE(SHIPCODE)     BEGIN          UPDATE COINVCH          SET    SHIPPER = i.SHIPCODE          FROM   COINVCH c, inserted i, deleted d          WHERE  c.SHIPPER = d.SHIPCODE          AND    (i.SHIPCODE != d.SHIPCODE)     END    /*  Cascade the Update of the Primary Key of 'SHIPVIA' into its children in 'PROINVH'  */    IF UPDATE(SHIPCODE)     BEGIN          UPDATE PROINVH          SET    SHIPCODE = i.SHIPCODE          FROM   PROINVH c, inserted i, deleted d          WHERE  c.SHIPCODE = d.SHIPCODE          AND    (i.SHIPCODE != d.SHIPCODE)     END    /*  Cascade the Update of the Primary Key of 'SHIPVIA' into its children in 'COMTAXH'  */    IF UPDATE(SHIPCODE)     BEGIN          UPDATE COMTAXH          SET    SHIPCODE = i.SHIPCODE          FROM   COMTAXH c, inserted i, deleted d          WHERE  c.SHIPCODE = d.SHIPCODE          AND    (i.SHIPCODE != d.SHIPCODE)     END    /*  Cascade the Update of the Primary Key of 'SHIPVIA' into its children in 'COMMH'  */    IF UPDATE(SHIPCODE)     BEGIN          UPDATE COMMH          SET    SHIPCODE = i.SHIPCODE          FROM   COMMH c, inserted i, deleted d          WHERE  c.SHIPCODE = d.SHIPCODE          AND    (i.SHIPCODE != d.SHIPCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_INVADJM' for Table 'INVADJM'  */    CREATE TRIGGER [dbo].[T_D_INVADJM] ON [dbo].[INVADJM] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'INVADJM' cannot be deleted if children exist in 'INVADJD'  */    IF EXISTS (             SELECT 1             FROM   INVADJD c, deleted d             WHERE  c.ORD = d.ORD AND                    c.ITEM = d.ITEM            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVADJD". Cannot delete parent "INVADJM".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_INVADJH' for Table 'INVADJH'  */    CREATE TRIGGER [dbo].[T_D_INVADJH] ON [dbo].[INVADJH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'INVADJH' cannot be deleted if children exist in 'INVADJM'  */    IF EXISTS (             SELECT 1             FROM   INVADJM c, deleted d             WHERE  c.ORD = d.ORD            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVADJM". Cannot delete parent "INVADJH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_ACCTTYPE' for Table 'ACCTTYPE'  */    CREATE TRIGGER [dbo].[T_D_ACCTTYPE] ON [dbo].[ACCTTYPE] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'ACCTTYPE' cannot be deleted if children exist in 'GLYEAR'  */    IF EXISTS (             SELECT 1             FROM   GLYEAR c, deleted d             WHERE  c.ACCTTYPE = d.ACCTTYPE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "GLYEAR". Cannot delete parent "ACCTTYPE".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_FINTYPE' for Table 'FINTYPE'  */    CREATE TRIGGER [dbo].[T_U_FINTYPE] ON [dbo].[FINTYPE] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'FINTYPE' cannot be modified if children exist in 'APBAL'  */    IF UPDATE(FINCODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   APBAL c, inserted i, deleted d                  WHERE  c.FINCODE = d.FINCODE                  AND   (i.FINCODE != d.FINCODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "APBAL". Cannot modify Primary Key in "FINTYPE".'               GOTO error          END  END    /*  The Primary Key of 'FINTYPE' cannot be modified if children exist in 'APBALH'  */    IF UPDATE(FINCODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   APBALH c, inserted i, deleted d                  WHERE  c.FINCODE = d.FINCODE                  AND   (i.FINCODE != d.FINCODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "APBALH". Cannot modify Primary Key in "FINTYPE".'               GOTO error          END  END    /*  The Primary Key of 'FINTYPE' cannot be modified if children exist in 'ARBAL'  */    IF UPDATE(FINCODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARBAL c, inserted i, deleted d                  WHERE  c.FINCODE = d.FINCODE                  AND   (i.FINCODE != d.FINCODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARBAL". Cannot modify Primary Key in "FINTYPE".'               GOTO error          END  END    /*  The Primary Key of 'FINTYPE' cannot be modified if children exist in 'ARBALH'  */    IF UPDATE(FINCODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARBALH c, inserted i, deleted d                  WHERE  c.FINCODE = d.FINCODE                  AND   (i.FINCODE != d.FINCODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARBALH". Cannot modify Primary Key in "FINTYPE".'               GOTO error          END  END    /*  Cascade the Update of the Primary Key of 'FINTYPE' into its children in 'APINVCH'  */    IF UPDATE(FINCODE)     BEGIN          UPDATE APINVCH          SET    FINCODE = i.FINCODE          FROM   APINVCH c, inserted i, deleted d          WHERE  c.FINCODE = d.FINCODE          AND    (i.FINCODE != d.FINCODE)     END    /*  Cascade the Update of the Primary Key of 'FINTYPE' into its children in 'ARINVCH'  */    IF UPDATE(FINCODE)     BEGIN          UPDATE ARINVCH          SET    FINCODE = i.FINCODE          FROM   ARINVCH c, inserted i, deleted d          WHERE  c.FINCODE = d.FINCODE          AND    (i.FINCODE != d.FINCODE)     END    /*  Cascade the Update of the Primary Key of 'FINTYPE' into its children in 'ARRCT'  */    IF UPDATE(FINCODE)     BEGIN          UPDATE ARRCT          SET    FINCODE = i.FINCODE          FROM   ARRCT c, inserted i, deleted d          WHERE  c.FINCODE = d.FINCODE          AND    (i.FINCODE != d.FINCODE)     END    /*  Cascade the Update of the Primary Key of 'FINTYPE' into its children in 'ARRCTH'  */    IF UPDATE(FINCODE)     BEGIN          UPDATE ARRCTH          SET    FINCODE = i.FINCODE          FROM   ARRCTH c, inserted i, deleted d          WHERE  c.FINCODE = d.FINCODE          AND    (i.FINCODE != d.FINCODE)     END    /*  Cascade the Update of the Primary Key of 'FINTYPE' into its children in 'MANCHECK'  */    IF UPDATE(FINCODE)     BEGIN          UPDATE MANCHECK          SET    FINCODE = i.FINCODE          FROM   MANCHECK c, inserted i, deleted d          WHERE  c.FINCODE = d.FINCODE          AND    (i.FINCODE != d.FINCODE)     END    /*  Cascade the Update of the Primary Key of 'FINTYPE' into its children in 'MANCHKH'  */    IF UPDATE(FINCODE)     BEGIN          UPDATE MANCHKH          SET    FINCODE = i.FINCODE          FROM   MANCHKH c, inserted i, deleted d          WHERE  c.FINCODE = d.FINCODE          AND    (i.FINCODE != d.FINCODE)     END    /*  Cascade the Update of the Primary Key of 'FINTYPE' into its children in 'OEINVCH'  */    IF UPDATE(FINCODE)     BEGIN          UPDATE OEINVCH          SET    FINCODE = i.FINCODE          FROM   OEINVCH c, inserted i, deleted d          WHERE  c.FINCODE = d.FINCODE          AND    (i.FINCODE != d.FINCODE)     END    /*  Cascade the Update of the Primary Key of 'FINTYPE' into its children in 'MULRCDD'  */    IF UPDATE(FINCODE)     BEGIN          UPDATE MULRCDD          SET    FINCODE = i.FINCODE          FROM   MULRCDD c, inserted i, deleted d          WHERE  c.FINCODE = d.FINCODE          AND    (i.FINCODE != d.FINCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_FINTYPE' for Table 'FINTYPE'  */    CREATE TRIGGER [dbo].[T_D_FINTYPE] ON [dbo].[FINTYPE] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'FINTYPE' cannot be deleted if children exist in 'APBAL'  */    IF EXISTS (             SELECT 1             FROM   APBAL c, deleted d             WHERE  c.FINCODE = d.FINCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APBAL". Cannot delete parent "FINTYPE".'          GOTO error     END    /*  Parent in 'FINTYPE' cannot be deleted if children exist in 'APBALH'  */    IF EXISTS (             SELECT 1             FROM   APBALH c, deleted d             WHERE  c.FINCODE = d.FINCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APBALH". Cannot delete parent "FINTYPE".'          GOTO error     END    /*  Parent in 'FINTYPE' cannot be deleted if children exist in 'APINVCH'  */    IF EXISTS (             SELECT 1             FROM   APINVCH c, deleted d             WHERE  c.FINCODE = d.FINCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APINVCH". Cannot delete parent "FINTYPE".'          GOTO error     END    /*  Parent in 'FINTYPE' cannot be deleted if children exist in 'ARBAL'  */    IF EXISTS (             SELECT 1             FROM   ARBAL c, deleted d             WHERE  c.FINCODE = d.FINCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARBAL". Cannot delete parent "FINTYPE".'          GOTO error     END    /*  Parent in 'FINTYPE' cannot be deleted if children exist in 'ARBALH'  */    IF EXISTS (             SELECT 1             FROM   ARBALH c, deleted d             WHERE  c.FINCODE = d.FINCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARBALH". Cannot delete parent "FINTYPE".'          GOTO error     END    /*  Parent in 'FINTYPE' cannot be deleted if children exist in 'ARINVCH'  */    IF EXISTS (             SELECT 1             FROM   ARINVCH c, deleted d             WHERE  c.FINCODE = d.FINCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARINVCH". Cannot delete parent "FINTYPE".'          GOTO error     END    /*  Parent in 'FINTYPE' cannot be deleted if children exist in 'ARRCT'  */    IF EXISTS (             SELECT 1             FROM   ARRCT c, deleted d             WHERE  c.FINCODE = d.FINCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARRCT". Cannot delete parent "FINTYPE".'          GOTO error     END    /*  Parent in 'FINTYPE' cannot be deleted if children exist in 'ARRCTH'  */    IF EXISTS (             SELECT 1             FROM   ARRCTH c, deleted d             WHERE  c.FINCODE = d.FINCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARRCTH". Cannot delete parent "FINTYPE".'          GOTO error     END    /*  Parent in 'FINTYPE' cannot be deleted if children exist in 'MANCHECK'  */    IF EXISTS (             SELECT 1             FROM   MANCHECK c, deleted d             WHERE  c.FINCODE = d.FINCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MANCHECK". Cannot delete parent "FINTYPE".'          GOTO error     END    /*  Parent in 'FINTYPE' cannot be deleted if children exist in 'MANCHKH'  */    IF EXISTS (             SELECT 1             FROM   MANCHKH c, deleted d             WHERE  c.FINCODE = d.FINCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MANCHKH". Cannot delete parent "FINTYPE".'          GOTO error     END    /*  Parent in 'FINTYPE' cannot be deleted if children exist in 'OEINVCH'  */    IF EXISTS (             SELECT 1             FROM   OEINVCH c, deleted d             WHERE  c.FINCODE = d.FINCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "OEINVCH". Cannot delete parent "FINTYPE".'          GOTO error     END    /*  Parent in 'FINTYPE' cannot be deleted if children exist in 'MULRCDD'  */    IF EXISTS (             SELECT 1             FROM   MULRCDD c, deleted d             WHERE  c.FINCODE = d.FINCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MULRCDD". Cannot delete parent "FINTYPE".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_INVADJM' for Table 'INVADJM'  */    CREATE TRIGGER [dbo].[T_U_INVADJM] ON [dbo].[INVADJM] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'INVADJM' into its children in 'INVADJD'  */    IF UPDATE(ORD) OR     UPDATE(ITEM)     BEGIN          UPDATE INVADJD          SET    ORD = i.ORD ,                 ITEM = i.ITEM          FROM   INVADJD c, inserted i, deleted d          WHERE  c.ORD = d.ORD AND                 c.ITEM = d.ITEM          AND    (i.ORD != d.ORD OR                 i.ITEM != d.ITEM)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_INVADJH' for Table 'INVADJH'  */    CREATE TRIGGER [dbo].[T_U_INVADJH] ON [dbo].[INVADJH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'INVADJH' into its children in 'INVADJM'  */    IF UPDATE(ORD)     BEGIN          UPDATE INVADJM          SET    ORD = i.ORD          FROM   INVADJM c, inserted i, deleted d          WHERE  c.ORD = d.ORD          AND    (i.ORD != d.ORD)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_INVADJD' for Table 'INVADJD'  */    CREATE TRIGGER [dbo].[T_U_INVADJD] ON [dbo].[INVADJD] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Foreign Key from 'INVADJM' cannot be modified in 'INVADJD'  */    IF UPDATE(ORD) OR     UPDATE(ITEM)     IF EXISTS (                SELECT 1                FROM   inserted i, deleted d                WHERE  i.ORD != d.ORD OR                       i.ITEM != d.ITEM               )        BEGIN             SELECT @error_number=30003,                    @error_message='Cannot modify Foreign Key of "INVADJM" in child "INVADJD".'             GOTO error        END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_FOB' for Table 'FOB'  */    CREATE TRIGGER [dbo].[T_U_FOB] ON [dbo].[FOB] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'FOB' into its children in 'APINVCH'  */    IF UPDATE(FOBCODE)     BEGIN          UPDATE APINVCH          SET    FOBCODE = i.FOBCODE          FROM   APINVCH c, inserted i, deleted d          WHERE  c.FOBCODE = d.FOBCODE          AND    (i.FOBCODE != d.FOBCODE)     END    /*  Cascade the Update of the Primary Key of 'FOB' into its children in 'APMAST'  */    IF UPDATE(FOBCODE)     BEGIN          UPDATE APMAST          SET    FOBCODE = i.FOBCODE          FROM   APMAST c, inserted i, deleted d          WHERE  c.FOBCODE = d.FOBCODE          AND    (i.FOBCODE != d.FOBCODE)     END    /*  Cascade the Update of the Primary Key of 'FOB' into its children in 'ARINVCH'  */    IF UPDATE(FOBCODE)     BEGIN          UPDATE ARINVCH          SET    FOBCODE = i.FOBCODE          FROM   ARINVCH c, inserted i, deleted d          WHERE  c.FOBCODE = d.FOBCODE          AND    (i.FOBCODE != d.FOBCODE)     END    /*  Cascade the Update of the Primary Key of 'FOB' into its children in 'ARMAST'  */    IF UPDATE(FOBCODE)     BEGIN          UPDATE ARMAST          SET    FOBCODE = i.FOBCODE          FROM   ARMAST c, inserted i, deleted d          WHERE  c.FOBCODE = d.FOBCODE          AND    (i.FOBCODE != d.FOBCODE)     END    /*  Cascade the Update of the Primary Key of 'FOB' into its children in 'COMAST'  */    IF UPDATE(FOBCODE)     BEGIN          UPDATE COMAST          SET    FOBCODE = i.FOBCODE          FROM   COMAST c, inserted i, deleted d          WHERE  c.FOBCODE = d.FOBCODE          AND    (i.FOBCODE != d.FOBCODE)     END    /*  Cascade the Update of the Primary Key of 'FOB' into its children in 'CUSTOMER'  */    IF UPDATE(FOBCODE)     BEGIN          UPDATE CUSTOMER          SET    FOBCODE = i.FOBCODE          FROM   CUSTOMER c, inserted i, deleted d          WHERE  c.FOBCODE = d.FOBCODE          AND    (i.FOBCODE != d.FOBCODE)     END    /*  Cascade the Update of the Primary Key of 'FOB' into its children in 'ESTHDR'  */    IF UPDATE(FOBCODE)     BEGIN          UPDATE ESTHDR          SET    FOBCODE = i.FOBCODE          FROM   ESTHDR c, inserted i, deleted d          WHERE  c.FOBCODE = d.FOBCODE          AND    (i.FOBCODE != d.FOBCODE)     END    /*  Cascade the Update of the Primary Key of 'FOB' into its children in 'OEINVCH'  */    IF UPDATE(FOBCODE)     BEGIN          UPDATE OEINVCH          SET    FOBCODE = i.FOBCODE          FROM   OEINVCH c, inserted i, deleted d          WHERE  c.FOBCODE = d.FOBCODE          AND    (i.FOBCODE != d.FOBCODE)     END    /*  Cascade the Update of the Primary Key of 'FOB' into its children in 'POMAST'  */    IF UPDATE(FOBCODE)     BEGIN          UPDATE POMAST          SET    FOBCODE = i.FOBCODE          FROM   POMAST c, inserted i, deleted d          WHERE  c.FOBCODE = d.FOBCODE          AND    (i.FOBCODE != d.FOBCODE)     END    /*  Cascade the Update of the Primary Key of 'FOB' into its children in 'VENDOR'  */    IF UPDATE(FOBCODE)     BEGIN          UPDATE VENDOR          SET    FOBCODE = i.FOBCODE          FROM   VENDOR c, inserted i, deleted d          WHERE  c.FOBCODE = d.FOBCODE          AND    (i.FOBCODE != d.FOBCODE)     END    /*  Cascade the Update of the Primary Key of 'FOB' into its children in 'PROINVH'  */    IF UPDATE(FOBCODE)     BEGIN          UPDATE PROINVH          SET    FOBCODE = i.FOBCODE          FROM   PROINVH c, inserted i, deleted d          WHERE  c.FOBCODE = d.FOBCODE          AND    (i.FOBCODE != d.FOBCODE)     END    /*  Cascade the Update of the Primary Key of 'FOB' into its children in 'COMTAXH'  */    IF UPDATE(FOBCODE)     BEGIN          UPDATE COMTAXH          SET    FOBCODE = i.FOBCODE          FROM   COMTAXH c, inserted i, deleted d          WHERE  c.FOBCODE = d.FOBCODE          AND    (i.FOBCODE != d.FOBCODE)     END    /*  Cascade the Update of the Primary Key of 'FOB' into its children in 'COMMH'  */    IF UPDATE(FOBCODE)     BEGIN          UPDATE COMMH          SET    FOBCODE = i.FOBCODE          FROM   COMMH c, inserted i, deleted d          WHERE  c.FOBCODE = d.FOBCODE          AND    (i.FOBCODE != d.FOBCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_MLP' for Table 'MLP'  */    CREATE TRIGGER [dbo].[T_U_MLP] ON [dbo].[MLP] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'MLP' into its children in 'INV'  */    IF UPDATE(MLPCODE)     BEGIN          UPDATE INV          SET    MLPCODE = i.MLPCODE          FROM   INV c, inserted i, deleted d          WHERE  c.MLPCODE = d.MLPCODE          AND    (i.MLPCODE != d.MLPCODE)     END    /*  Cascade the Update of the Primary Key of 'MLP' into its children in 'INV'  */    IF UPDATE(MLPCODE)     BEGIN          UPDATE INV          SET    MLPCODE2 = i.MLPCODE          FROM   INV c, inserted i, deleted d          WHERE  c.MLPCODE2 = d.MLPCODE          AND    (i.MLPCODE != d.MLPCODE)     END    /*  Cascade the Update of the Primary Key of 'MLP' into its children in 'INV'  */    IF UPDATE(MLPCODE)     BEGIN          UPDATE INV          SET    MLPCODE3 = i.MLPCODE          FROM   INV c, inserted i, deleted d          WHERE  c.MLPCODE3 = d.MLPCODE          AND    (i.MLPCODE != d.MLPCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_CURRENC' for Table 'CURRENC'  */    CREATE TRIGGER [dbo].[T_U_CURRENC] ON [dbo].[CURRENC] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'CURRENC' cannot be modified if children exist in 'APBAL'  */    IF UPDATE(CUR_CODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   APBAL c, inserted i, deleted d                  WHERE  c.CUR_CODE = d.CUR_CODE                  AND   (i.CUR_CODE != d.CUR_CODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "APBAL". Cannot modify Primary Key in "CURRENC".'               GOTO error          END  END    /*  The Primary Key of 'CURRENC' cannot be modified if children exist in 'APBALH'  */    IF UPDATE(CUR_CODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   APBALH c, inserted i, deleted d                  WHERE  c.CUR_CODE = d.CUR_CODE                  AND   (i.CUR_CODE != d.CUR_CODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "APBALH". Cannot modify Primary Key in "CURRENC".'               GOTO error          END  END    /*  The Primary Key of 'CURRENC' cannot be modified if children exist in 'ARBAL'  */    IF UPDATE(CUR_CODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARBAL c, inserted i, deleted d                  WHERE  c.CUR_CODE = d.CUR_CODE                  AND   (i.CUR_CODE != d.CUR_CODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARBAL". Cannot modify Primary Key in "CURRENC".'               GOTO error          END  END    /*  The Primary Key of 'CURRENC' cannot be modified if children exist in 'ARBALH'  */    IF UPDATE(CUR_CODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARBALH c, inserted i, deleted d                  WHERE  c.CUR_CODE = d.CUR_CODE                  AND   (i.CUR_CODE != d.CUR_CODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARBALH". Cannot modify Primary Key in "CURRENC".'               GOTO error          END  END    /*  The Primary Key of 'CURRENC' cannot be modified if children exist in 'SHIPHIST'  */    IF UPDATE(CUR_CODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   SHIPHIST c, inserted i, deleted d                  WHERE  c.CUR_CODE = d.CUR_CODE                  AND   (i.CUR_CODE != d.CUR_CODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "SHIPHIST". Cannot modify Primary Key in "CURRENC".'               GOTO error          END  END    /*  Cascade the Update of the Primary Key of 'CURRENC' into its children in 'APINVCH'  */    IF UPDATE(CUR_CODE)     BEGIN          UPDATE APINVCH          SET    CUR_CODE = i.CUR_CODE          FROM   APINVCH c, inserted i, deleted d          WHERE  c.CUR_CODE = d.CUR_CODE          AND    (i.CUR_CODE != d.CUR_CODE)     END    /*  Cascade the Update of the Primary Key of 'CURRENC' into its children in 'ARINVCH'  */    IF UPDATE(CUR_CODE)     BEGIN          UPDATE ARINVCH          SET    CUR_CODE = i.CUR_CODE          FROM   ARINVCH c, inserted i, deleted d          WHERE  c.CUR_CODE = d.CUR_CODE          AND    (i.CUR_CODE != d.CUR_CODE)     END    /*  Cascade the Update of the Primary Key of 'CURRENC' into its children in 'ARRCT'  */    IF UPDATE(CUR_CODE)     BEGIN          UPDATE ARRCT          SET    CUR_CODE = i.CUR_CODE          FROM   ARRCT c, inserted i, deleted d          WHERE  c.CUR_CODE = d.CUR_CODE          AND    (i.CUR_CODE != d.CUR_CODE)     END    /*  Cascade the Update of the Primary Key of 'CURRENC' into its children in 'ARRCTH'  */    IF UPDATE(CUR_CODE)     BEGIN          UPDATE ARRCTH          SET    CUR_CODE = i.CUR_CODE          FROM   ARRCTH c, inserted i, deleted d          WHERE  c.CUR_CODE = d.CUR_CODE          AND    (i.CUR_CODE != d.CUR_CODE)     END    /*  Cascade the Update of the Primary Key of 'CURRENC' into its children in 'BILL'  */    IF UPDATE(CUR_CODE)     BEGIN          UPDATE BILL          SET    CUR_CODE = i.CUR_CODE          FROM   BILL c, inserted i, deleted d          WHERE  c.CUR_CODE = d.CUR_CODE          AND    (i.CUR_CODE != d.CUR_CODE)     END    /*  Cascade the Update of the Primary Key of 'CURRENC' into its children in 'BILLRCD'  */    IF UPDATE(CUR_CODE)     BEGIN          UPDATE BILLRCD          SET    CUR_CODE = i.CUR_CODE          FROM   BILLRCD c, inserted i, deleted d          WHERE  c.CUR_CODE = d.CUR_CODE          AND    (i.CUR_CODE != d.CUR_CODE)     END    /*  Cascade the Update of the Primary Key of 'CURRENC' into its children in 'COMAST'  */    IF UPDATE(CUR_CODE)     BEGIN          UPDATE COMAST          SET    CUR_CODE = i.CUR_CODE          FROM   COMAST c, inserted i, deleted d          WHERE  c.CUR_CODE = d.CUR_CODE          AND    (i.CUR_CODE != d.CUR_CODE)     END    /*  Cascade the Update of the Primary Key of 'CURRENC' into its children in 'CUREXCHG'  */    IF UPDATE(CUR_CODE)     BEGIN          UPDATE CUREXCHG          SET    BASE_CUR = i.CUR_CODE          FROM   CUREXCHG c, inserted i, deleted d          WHERE  c.BASE_CUR = d.CUR_CODE          AND    (i.CUR_CODE != d.CUR_CODE)     END    /*  Cascade the Update of the Primary Key of 'CURRENC' into its children in 'CUREXCHG'  */    IF UPDATE(CUR_CODE)     BEGIN          UPDATE CUREXCHG          SET    FORIEGN = i.CUR_CODE          FROM   CUREXCHG c, inserted i, deleted d          WHERE  c.FORIEGN = d.CUR_CODE          AND    (i.CUR_CODE != d.CUR_CODE)     END    /*  Cascade the Update of the Primary Key of 'CURRENC' into its children in 'CUSTOMER'  */    IF UPDATE(CUR_CODE)     BEGIN          UPDATE CUSTOMER          SET    CUR_CODE = i.CUR_CODE          FROM   CUSTOMER c, inserted i, deleted d          WHERE  c.CUR_CODE = d.CUR_CODE          AND    (i.CUR_CODE != d.CUR_CODE)     END    /*  Cascade the Update of the Primary Key of 'CURRENC' into its children in 'LCTRAN'  */    IF UPDATE(CUR_CODE)     BEGIN          UPDATE LCTRAN          SET    LCCURCODE = i.CUR_CODE          FROM   LCTRAN c, inserted i, deleted d          WHERE  c.LCCURCODE = d.CUR_CODE          AND    (i.CUR_CODE != d.CUR_CODE)     END    /*  Cascade the Update of the Primary Key of 'CURRENC' into its children in 'MANCHECK'  */    IF UPDATE(CUR_CODE)     BEGIN          UPDATE MANCHECK          SET    CUR_CODE = i.CUR_CODE          FROM   MANCHECK c, inserted i, deleted d          WHERE  c.CUR_CODE = d.CUR_CODE          AND    (i.CUR_CODE != d.CUR_CODE)     END    /*  Cascade the Update of the Primary Key of 'CURRENC' into its children in 'MANCHKH'  */    IF UPDATE(CUR_CODE)     BEGIN          UPDATE MANCHKH          SET    CUR_CODE = i.CUR_CODE          FROM   MANCHKH c, inserted i, deleted d          WHERE  c.CUR_CODE = d.CUR_CODE          AND    (i.CUR_CODE != d.CUR_CODE)     END    /*  Cascade the Update of the Primary Key of 'CURRENC' into its children in 'OEINVCH'  */    IF UPDATE(CUR_CODE)     BEGIN          UPDATE OEINVCH          SET    CUR_CODE = i.CUR_CODE          FROM   OEINVCH c, inserted i, deleted d          WHERE  c.CUR_CODE = d.CUR_CODE          AND    (i.CUR_CODE != d.CUR_CODE)     END    /*  Cascade the Update of the Primary Key of 'CURRENC' into its children in 'PAYIND'  */    IF UPDATE(CUR_CODE)     BEGIN          UPDATE PAYIND          SET    CUR_CODE = i.CUR_CODE          FROM   PAYIND c, inserted i, deleted d          WHERE  c.CUR_CODE = d.CUR_CODE          AND    (i.CUR_CODE != d.CUR_CODE)     END    /*  Cascade the Update of the Primary Key of 'CURRENC' into its children in 'POMAST'  */    IF UPDATE(CUR_CODE)     BEGIN          UPDATE POMAST          SET    CUR_CODE = i.CUR_CODE          FROM   POMAST c, inserted i, deleted d          WHERE  c.CUR_CODE = d.CUR_CODE          AND    (i.CUR_CODE != d.CUR_CODE)     END    /*  Cascade the Update of the Primary Key of 'CURRENC' into its children in 'PRICE'  */    IF UPDATE(CUR_CODE)     BEGIN          UPDATE PRICE          SET    CUR_CODE = i.CUR_CODE          FROM   PRICE c, inserted i, deleted d          WHERE  c.CUR_CODE = d.CUR_CODE          AND    (i.CUR_CODE != d.CUR_CODE)     END    /*  Cascade the Update of the Primary Key of 'CURRENC' into its children in 'VENDOR'  */    IF UPDATE(CUR_CODE)     BEGIN          UPDATE VENDOR          SET    CUR_CODE = i.CUR_CODE          FROM   VENDOR c, inserted i, deleted d          WHERE  c.CUR_CODE = d.CUR_CODE          AND    (i.CUR_CODE != d.CUR_CODE)     END    /*  Cascade the Update of the Primary Key of 'CURRENC' into its children in 'COINVCH'  */    IF UPDATE(CUR_CODE)     BEGIN          UPDATE COINVCH          SET    BASECURR = i.CUR_CODE          FROM   COINVCH c, inserted i, deleted d          WHERE  c.BASECURR = d.CUR_CODE          AND    (i.CUR_CODE != d.CUR_CODE)     END    /*  Cascade the Update of the Primary Key of 'CURRENC' into its children in 'COINVCH'  */    IF UPDATE(CUR_CODE)     BEGIN          UPDATE COINVCH          SET    OTHCURR = i.CUR_CODE          FROM   COINVCH c, inserted i, deleted d          WHERE  c.OTHCURR = d.CUR_CODE          AND    (i.CUR_CODE != d.CUR_CODE)     END    /*  Cascade the Update of the Primary Key of 'CURRENC' into its children in 'MULRCDM'  */    IF UPDATE(CUR_CODE)     BEGIN          UPDATE MULRCDM          SET    CUR_CODE = i.CUR_CODE          FROM   MULRCDM c, inserted i, deleted d          WHERE  c.CUR_CODE = d.CUR_CODE          AND    (i.CUR_CODE != d.CUR_CODE)     END    /*  Cascade the Update of the Primary Key of 'CURRENC' into its children in 'MULRCDD'  */    IF UPDATE(CUR_CODE)     BEGIN          UPDATE MULRCDD          SET    CUR_CODE = i.CUR_CODE          FROM   MULRCDD c, inserted i, deleted d          WHERE  c.CUR_CODE = d.CUR_CODE          AND    (i.CUR_CODE != d.CUR_CODE)     END    /*  Cascade the Update of the Primary Key of 'CURRENC' into its children in 'MULRCDH'  */    IF UPDATE(CUR_CODE)     BEGIN          UPDATE MULRCDH          SET    CUR_CODE = i.CUR_CODE          FROM   MULRCDH c, inserted i, deleted d          WHERE  c.CUR_CODE = d.CUR_CODE          AND    (i.CUR_CODE != d.CUR_CODE)     END    /*  Cascade the Update of the Primary Key of 'CURRENC' into its children in 'PRICEEX'  */    IF UPDATE(CUR_CODE)     BEGIN          UPDATE PRICEEX          SET    CUR_CODE = i.CUR_CODE          FROM   PRICEEX c, inserted i, deleted d          WHERE  c.CUR_CODE = d.CUR_CODE          AND    (i.CUR_CODE != d.CUR_CODE)     END    /*  Cascade the Update of the Primary Key of 'CURRENC' into its children in 'PROINVH'  */    IF UPDATE(CUR_CODE)     BEGIN          UPDATE PROINVH          SET    CUR_CODE = i.CUR_CODE          FROM   PROINVH c, inserted i, deleted d          WHERE  c.CUR_CODE = d.CUR_CODE          AND    (i.CUR_CODE != d.CUR_CODE)     END    /*  Cascade the Update of the Primary Key of 'CURRENC' into its children in 'COMTAXH'  */    IF UPDATE(CUR_CODE)     BEGIN          UPDATE COMTAXH          SET    CUR_CODE = i.CUR_CODE          FROM   COMTAXH c, inserted i, deleted d          WHERE  c.CUR_CODE = d.CUR_CODE          AND    (i.CUR_CODE != d.CUR_CODE)     END    /*  Cascade the Update of the Primary Key of 'CURRENC' into its children in 'COMMH'  */    IF UPDATE(CUR_CODE)     BEGIN          UPDATE COMMH          SET    CUR_CODE = i.CUR_CODE          FROM   COMMH c, inserted i, deleted d          WHERE  c.CUR_CODE = d.CUR_CODE          AND    (i.CUR_CODE != d.CUR_CODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_TERMS' for Table 'TERMS'  */    CREATE TRIGGER [dbo].[T_D_TERMS] ON [dbo].[TERMS] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'TERMS' cannot be deleted if children exist in 'APINVCH'  */    IF EXISTS (             SELECT 1             FROM   APINVCH c, deleted d             WHERE  c.TERMCODE = d.TERMCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APINVCH". Cannot delete parent "TERMS".'          GOTO error     END    /*  Parent in 'TERMS' cannot be deleted if children exist in 'APMAST'  */    IF EXISTS (             SELECT 1             FROM   APMAST c, deleted d             WHERE  c.TERMCODE = d.TERMCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APMAST". Cannot delete parent "TERMS".'          GOTO error     END    /*  Parent in 'TERMS' cannot be deleted if children exist in 'ARINVCH'  */    IF EXISTS (             SELECT 1             FROM   ARINVCH c, deleted d             WHERE  c.TERMCODE = d.TERMCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARINVCH". Cannot delete parent "TERMS".'          GOTO error     END    /*  Parent in 'TERMS' cannot be deleted if children exist in 'ARMAST'  */    IF EXISTS (             SELECT 1             FROM   ARMAST c, deleted d             WHERE  c.TERMCODE = d.TERMCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARMAST". Cannot delete parent "TERMS".'          GOTO error     END    /*  Parent in 'TERMS' cannot be deleted if children exist in 'COMAST'  */    IF EXISTS (             SELECT 1             FROM   COMAST c, deleted d             WHERE  c.TERMCODE = d.TERMCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMAST". Cannot delete parent "TERMS".'          GOTO error     END    /*  Parent in 'TERMS' cannot be deleted if children exist in 'CUSTOMER'  */    IF EXISTS (             SELECT 1             FROM   CUSTOMER c, deleted d             WHERE  c.TERMCODE = d.TERMCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CUSTOMER". Cannot delete parent "TERMS".'          GOTO error     END    /*  Parent in 'TERMS' cannot be deleted if children exist in 'ESTHDR'  */    IF EXISTS (             SELECT 1             FROM   ESTHDR c, deleted d             WHERE  c.TERMS = d.TERMCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ESTHDR". Cannot delete parent "TERMS".'          GOTO error     END    /*  Parent in 'TERMS' cannot be deleted if children exist in 'OEINVCH'  */    IF EXISTS (             SELECT 1             FROM   OEINVCH c, deleted d             WHERE  c.TERMCODE = d.TERMCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "OEINVCH". Cannot delete parent "TERMS".'          GOTO error     END    /*  Parent in 'TERMS' cannot be deleted if children exist in 'POMAST'  */    IF EXISTS (             SELECT 1             FROM   POMAST c, deleted d             WHERE  c.TERMCODE = d.TERMCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "POMAST". Cannot delete parent "TERMS".'          GOTO error     END    /*  Parent in 'TERMS' cannot be deleted if children exist in 'VENDOR'  */    IF EXISTS (             SELECT 1             FROM   VENDOR c, deleted d             WHERE  c.TERMCODE = d.TERMCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "VENDOR". Cannot delete parent "TERMS".'          GOTO error     END    /*  Parent in 'TERMS' cannot be deleted if children exist in 'COINVCH'  */    IF EXISTS (             SELECT 1             FROM   COINVCH c, deleted d             WHERE  c.TERMCODE = d.TERMCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COINVCH". Cannot delete parent "TERMS".'          GOTO error     END    /*  Parent in 'TERMS' cannot be deleted if children exist in 'PROINVH'  */    IF EXISTS (             SELECT 1             FROM   PROINVH c, deleted d             WHERE  c.TERMCODE = d.TERMCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PROINVH". Cannot delete parent "TERMS".'          GOTO error     END    /*  Parent in 'TERMS' cannot be deleted if children exist in 'COMTAXH'  */    IF EXISTS (             SELECT 1             FROM   COMTAXH c, deleted d             WHERE  c.TERMCODE = d.TERMCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMTAXH". Cannot delete parent "TERMS".'          GOTO error     END    /*  Parent in 'TERMS' cannot be deleted if children exist in 'COMMH'  */    IF EXISTS (             SELECT 1             FROM   COMMH c, deleted d             WHERE  c.TERMCODE = d.TERMCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMMH". Cannot delete parent "TERMS".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_SHIPVIA' for Table 'SHIPVIA'  */    CREATE TRIGGER [dbo].[T_D_SHIPVIA] ON [dbo].[SHIPVIA] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'SHIPVIA' cannot be deleted if children exist in 'APINVCH'  */    IF EXISTS (             SELECT 1             FROM   APINVCH c, deleted d             WHERE  c.SHIPCODE = d.SHIPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APINVCH". Cannot delete parent "SHIPVIA".'          GOTO error     END    /*  Parent in 'SHIPVIA' cannot be deleted if children exist in 'APMAST'  */    IF EXISTS (             SELECT 1             FROM   APMAST c, deleted d             WHERE  c.SHIPCODE = d.SHIPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APMAST". Cannot delete parent "SHIPVIA".'          GOTO error     END    /*  Parent in 'SHIPVIA' cannot be deleted if children exist in 'ARINVCH'  */    IF EXISTS (             SELECT 1             FROM   ARINVCH c, deleted d             WHERE  c.SHIPCODE = d.SHIPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARINVCH". Cannot delete parent "SHIPVIA".'          GOTO error     END    /*  Parent in 'SHIPVIA' cannot be deleted if children exist in 'ARMAST'  */    IF EXISTS (             SELECT 1             FROM   ARMAST c, deleted d             WHERE  c.SHIPCODE = d.SHIPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARMAST". Cannot delete parent "SHIPVIA".'          GOTO error     END    /*  Parent in 'SHIPVIA' cannot be deleted if children exist in 'COMAST'  */    IF EXISTS (             SELECT 1             FROM   COMAST c, deleted d             WHERE  c.SHIPCODE = d.SHIPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMAST". Cannot delete parent "SHIPVIA".'          GOTO error     END    /*  Parent in 'SHIPVIA' cannot be deleted if children exist in 'CUSTOMER'  */    IF EXISTS (             SELECT 1             FROM   CUSTOMER c, deleted d             WHERE  c.SHIPCODE = d.SHIPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CUSTOMER". Cannot delete parent "SHIPVIA".'          GOTO error     END    /*  Parent in 'SHIPVIA' cannot be deleted if children exist in 'OEINVCH'  */    IF EXISTS (             SELECT 1             FROM   OEINVCH c, deleted d             WHERE  c.SHIPCODE = d.SHIPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "OEINVCH". Cannot delete parent "SHIPVIA".'          GOTO error     END    /*  Parent in 'SHIPVIA' cannot be deleted if children exist in 'POMAST'  */    IF EXISTS (             SELECT 1             FROM   POMAST c, deleted d             WHERE  c.SHIPCODE = d.SHIPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "POMAST". Cannot delete parent "SHIPVIA".'          GOTO error     END    /*  Parent in 'SHIPVIA' cannot be deleted if children exist in 'POSHIPH'  */    IF EXISTS (             SELECT 1             FROM   POSHIPH c, deleted d             WHERE  c.SHIPCODE = d.SHIPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "POSHIPH". Cannot delete parent "SHIPVIA".'          GOTO error     END    /*  Parent in 'SHIPVIA' cannot be deleted if children exist in 'VENDOR'  */    IF EXISTS (             SELECT 1             FROM   VENDOR c, deleted d             WHERE  c.SHIPCODE = d.SHIPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "VENDOR". Cannot delete parent "SHIPVIA".'          GOTO error     END    /*  Parent in 'SHIPVIA' cannot be deleted if children exist in 'COINVCH'  */    IF EXISTS (             SELECT 1             FROM   COINVCH c, deleted d             WHERE  c.SHIPPER = d.SHIPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COINVCH". Cannot delete parent "SHIPVIA".'          GOTO error     END    /*  Parent in 'SHIPVIA' cannot be deleted if children exist in 'PROINVH'  */    IF EXISTS (             SELECT 1             FROM   PROINVH c, deleted d             WHERE  c.SHIPCODE = d.SHIPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PROINVH". Cannot delete parent "SHIPVIA".'          GOTO error     END    /*  Parent in 'SHIPVIA' cannot be deleted if children exist in 'COMTAXH'  */    IF EXISTS (             SELECT 1             FROM   COMTAXH c, deleted d             WHERE  c.SHIPCODE = d.SHIPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMTAXH". Cannot delete parent "SHIPVIA".'          GOTO error     END    /*  Parent in 'SHIPVIA' cannot be deleted if children exist in 'COMMH'  */    IF EXISTS (             SELECT 1             FROM   COMMH c, deleted d             WHERE  c.SHIPCODE = d.SHIPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMMH". Cannot delete parent "SHIPVIA".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_FOB' for Table 'FOB'  */    CREATE TRIGGER [dbo].[T_D_FOB] ON [dbo].[FOB] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'FOB' cannot be deleted if children exist in 'APINVCH'  */    IF EXISTS (             SELECT 1             FROM   APINVCH c, deleted d             WHERE  c.FOBCODE = d.FOBCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APINVCH". Cannot delete parent "FOB".'          GOTO error     END    /*  Parent in 'FOB' cannot be deleted if children exist in 'APMAST'  */    IF EXISTS (             SELECT 1             FROM   APMAST c, deleted d             WHERE  c.FOBCODE = d.FOBCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APMAST". Cannot delete parent "FOB".'          GOTO error     END    /*  Parent in 'FOB' cannot be deleted if children exist in 'ARINVCH'  */    IF EXISTS (             SELECT 1             FROM   ARINVCH c, deleted d             WHERE  c.FOBCODE = d.FOBCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARINVCH". Cannot delete parent "FOB".'          GOTO error     END    /*  Parent in 'FOB' cannot be deleted if children exist in 'ARMAST'  */    IF EXISTS (             SELECT 1             FROM   ARMAST c, deleted d             WHERE  c.FOBCODE = d.FOBCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARMAST". Cannot delete parent "FOB".'          GOTO error     END    /*  Parent in 'FOB' cannot be deleted if children exist in 'COMAST'  */    IF EXISTS (             SELECT 1             FROM   COMAST c, deleted d             WHERE  c.FOBCODE = d.FOBCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMAST". Cannot delete parent "FOB".'          GOTO error     END    /*  Parent in 'FOB' cannot be deleted if children exist in 'CUSTOMER'  */    IF EXISTS (             SELECT 1             FROM   CUSTOMER c, deleted d             WHERE  c.FOBCODE = d.FOBCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CUSTOMER". Cannot delete parent "FOB".'          GOTO error     END    /*  Parent in 'FOB' cannot be deleted if children exist in 'ESTHDR'  */    IF EXISTS (             SELECT 1             FROM   ESTHDR c, deleted d             WHERE  c.FOBCODE = d.FOBCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ESTHDR". Cannot delete parent "FOB".'          GOTO error     END    /*  Parent in 'FOB' cannot be deleted if children exist in 'OEINVCH'  */    IF EXISTS (             SELECT 1             FROM   OEINVCH c, deleted d             WHERE  c.FOBCODE = d.FOBCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "OEINVCH". Cannot delete parent "FOB".'          GOTO error     END    /*  Parent in 'FOB' cannot be deleted if children exist in 'POMAST'  */    IF EXISTS (             SELECT 1             FROM   POMAST c, deleted d             WHERE  c.FOBCODE = d.FOBCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "POMAST". Cannot delete parent "FOB".'          GOTO error     END    /*  Parent in 'FOB' cannot be deleted if children exist in 'VENDOR'  */    IF EXISTS (             SELECT 1             FROM   VENDOR c, deleted d             WHERE  c.FOBCODE = d.FOBCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "VENDOR". Cannot delete parent "FOB".'          GOTO error     END    /*  Parent in 'FOB' cannot be deleted if children exist in 'PROINVH'  */    IF EXISTS (             SELECT 1             FROM   PROINVH c, deleted d             WHERE  c.FOBCODE = d.FOBCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PROINVH". Cannot delete parent "FOB".'          GOTO error     END    /*  Parent in 'FOB' cannot be deleted if children exist in 'COMTAXH'  */    IF EXISTS (             SELECT 1             FROM   COMTAXH c, deleted d             WHERE  c.FOBCODE = d.FOBCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMTAXH". Cannot delete parent "FOB".'          GOTO error     END    /*  Parent in 'FOB' cannot be deleted if children exist in 'COMMH'  */    IF EXISTS (             SELECT 1             FROM   COMMH c, deleted d             WHERE  c.FOBCODE = d.FOBCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMMH". Cannot delete parent "FOB".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_CURRENC' for Table 'CURRENC'  */    CREATE TRIGGER [dbo].[T_D_CURRENC] ON [dbo].[CURRENC] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'CURRENC' cannot be deleted if children exist in 'APBAL'  */    IF EXISTS (             SELECT 1             FROM   APBAL c, deleted d             WHERE  c.CUR_CODE = d.CUR_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APBAL". Cannot delete parent "CURRENC".'          GOTO error     END    /*  Parent in 'CURRENC' cannot be deleted if children exist in 'APBALH'  */    IF EXISTS (             SELECT 1             FROM   APBALH c, deleted d             WHERE  c.CUR_CODE = d.CUR_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APBALH". Cannot delete parent "CURRENC".'          GOTO error     END    /*  Parent in 'CURRENC' cannot be deleted if children exist in 'APINVCH'  */    IF EXISTS (             SELECT 1             FROM   APINVCH c, deleted d             WHERE  c.CUR_CODE = d.CUR_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APINVCH". Cannot delete parent "CURRENC".'          GOTO error     END    /*  Parent in 'CURRENC' cannot be deleted if children exist in 'ARBAL'  */    IF EXISTS (             SELECT 1             FROM   ARBAL c, deleted d             WHERE  c.CUR_CODE = d.CUR_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARBAL". Cannot delete parent "CURRENC".'          GOTO error     END    /*  Parent in 'CURRENC' cannot be deleted if children exist in 'ARBALH'  */    IF EXISTS (             SELECT 1             FROM   ARBALH c, deleted d             WHERE  c.CUR_CODE = d.CUR_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARBALH". Cannot delete parent "CURRENC".'          GOTO error     END    /*  Parent in 'CURRENC' cannot be deleted if children exist in 'ARINVCH'  */    IF EXISTS (             SELECT 1             FROM   ARINVCH c, deleted d             WHERE  c.CUR_CODE = d.CUR_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARINVCH". Cannot delete parent "CURRENC".'          GOTO error     END    /*  Parent in 'CURRENC' cannot be deleted if children exist in 'ARRCT'  */    IF EXISTS (             SELECT 1             FROM   ARRCT c, deleted d             WHERE  c.CUR_CODE = d.CUR_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARRCT". Cannot delete parent "CURRENC".'          GOTO error     END    /*  Parent in 'CURRENC' cannot be deleted if children exist in 'ARRCTH'  */    IF EXISTS (             SELECT 1             FROM   ARRCTH c, deleted d             WHERE  c.CUR_CODE = d.CUR_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARRCTH". Cannot delete parent "CURRENC".'          GOTO error     END    /*  Parent in 'CURRENC' cannot be deleted if children exist in 'BILL'  */    IF EXISTS (             SELECT 1             FROM   BILL c, deleted d             WHERE  c.CUR_CODE = d.CUR_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "BILL". Cannot delete parent "CURRENC".'          GOTO error     END    /*  Parent in 'CURRENC' cannot be deleted if children exist in 'BILLRCD'  */    IF EXISTS (             SELECT 1             FROM   BILLRCD c, deleted d             WHERE  c.CUR_CODE = d.CUR_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "BILLRCD". Cannot delete parent "CURRENC".'          GOTO error     END    /*  Parent in 'CURRENC' cannot be deleted if children exist in 'COMAST'  */    IF EXISTS (             SELECT 1             FROM   COMAST c, deleted d             WHERE  c.CUR_CODE = d.CUR_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMAST". Cannot delete parent "CURRENC".'          GOTO error     END    /*  Parent in 'CURRENC' cannot be deleted if children exist in 'CUREXCHG'  */    IF EXISTS (             SELECT 1             FROM   CUREXCHG c, deleted d             WHERE  c.BASE_CUR = d.CUR_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CUREXCHG". Cannot delete parent "CURRENC".'          GOTO error     END    /*  Parent in 'CURRENC' cannot be deleted if children exist in 'CUREXCHG'  */    IF EXISTS (             SELECT 1             FROM   CUREXCHG c, deleted d             WHERE  c.FORIEGN = d.CUR_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CUREXCHG". Cannot delete parent "CURRENC".'          GOTO error     END    /*  Parent in 'CURRENC' cannot be deleted if children exist in 'CUSTOMER'  */    IF EXISTS (             SELECT 1             FROM   CUSTOMER c, deleted d             WHERE  c.CUR_CODE = d.CUR_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CUSTOMER". Cannot delete parent "CURRENC".'          GOTO error     END    /*  Parent in 'CURRENC' cannot be deleted if children exist in 'LCTRAN'  */    IF EXISTS (             SELECT 1             FROM   LCTRAN c, deleted d             WHERE  c.LCCURCODE = d.CUR_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "LCTRAN". Cannot delete parent "CURRENC".'          GOTO error     END    /*  Parent in 'CURRENC' cannot be deleted if children exist in 'MANCHECK'  */    IF EXISTS (             SELECT 1             FROM   MANCHECK c, deleted d             WHERE  c.CUR_CODE = d.CUR_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MANCHECK". Cannot delete parent "CURRENC".'          GOTO error     END    /*  Parent in 'CURRENC' cannot be deleted if children exist in 'MANCHKH'  */    IF EXISTS (             SELECT 1             FROM   MANCHKH c, deleted d             WHERE  c.CUR_CODE = d.CUR_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MANCHKH". Cannot delete parent "CURRENC".'          GOTO error     END    /*  Parent in 'CURRENC' cannot be deleted if children exist in 'OEINVCH'  */    IF EXISTS (             SELECT 1             FROM   OEINVCH c, deleted d             WHERE  c.CUR_CODE = d.CUR_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "OEINVCH". Cannot delete parent "CURRENC".'          GOTO error     END    /*  Parent in 'CURRENC' cannot be deleted if children exist in 'PAYIND'  */    IF EXISTS (             SELECT 1             FROM   PAYIND c, deleted d             WHERE  c.CUR_CODE = d.CUR_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PAYIND". Cannot delete parent "CURRENC".'          GOTO error     END    /*  Parent in 'CURRENC' cannot be deleted if children exist in 'POMAST'  */    IF EXISTS (             SELECT 1             FROM   POMAST c, deleted d             WHERE  c.CUR_CODE = d.CUR_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "POMAST". Cannot delete parent "CURRENC".'          GOTO error     END    /*  Parent in 'CURRENC' cannot be deleted if children exist in 'PRICE'  */    IF EXISTS (             SELECT 1             FROM   PRICE c, deleted d             WHERE  c.CUR_CODE = d.CUR_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRICE". Cannot delete parent "CURRENC".'          GOTO error     END    /*  Parent in 'CURRENC' cannot be deleted if children exist in 'SHIPHIST'  */    IF EXISTS (             SELECT 1             FROM   SHIPHIST c, deleted d             WHERE  c.CUR_CODE = d.CUR_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "SHIPHIST". Cannot delete parent "CURRENC".'          GOTO error     END    /*  Parent in 'CURRENC' cannot be deleted if children exist in 'VENDOR'  */    IF EXISTS (             SELECT 1             FROM   VENDOR c, deleted d             WHERE  c.CUR_CODE = d.CUR_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "VENDOR". Cannot delete parent "CURRENC".'          GOTO error     END    /*  Parent in 'CURRENC' cannot be deleted if children exist in 'COINVCH'  */    IF EXISTS (             SELECT 1             FROM   COINVCH c, deleted d             WHERE  c.BASECURR = d.CUR_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COINVCH". Cannot delete parent "CURRENC".'          GOTO error     END    /*  Parent in 'CURRENC' cannot be deleted if children exist in 'COINVCH'  */    IF EXISTS (             SELECT 1             FROM   COINVCH c, deleted d             WHERE  c.OTHCURR = d.CUR_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COINVCH". Cannot delete parent "CURRENC".'          GOTO error     END    /*  Parent in 'CURRENC' cannot be deleted if children exist in 'MULRCDM'  */    IF EXISTS (             SELECT 1             FROM   MULRCDM c, deleted d             WHERE  c.CUR_CODE = d.CUR_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MULRCDM". Cannot delete parent "CURRENC".'          GOTO error     END    /*  Parent in 'CURRENC' cannot be deleted if children exist in 'MULRCDD'  */    IF EXISTS (             SELECT 1             FROM   MULRCDD c, deleted d             WHERE  c.CUR_CODE = d.CUR_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MULRCDD". Cannot delete parent "CURRENC".'          GOTO error     END    /*  Parent in 'CURRENC' cannot be deleted if children exist in 'MULRCDH'  */    IF EXISTS (             SELECT 1             FROM   MULRCDH c, deleted d             WHERE  c.CUR_CODE = d.CUR_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MULRCDH". Cannot delete parent "CURRENC".'          GOTO error     END    /*  Parent in 'CURRENC' cannot be deleted if children exist in 'PRICEEX'  */    IF EXISTS (             SELECT 1             FROM   PRICEEX c, deleted d             WHERE  c.CUR_CODE = d.CUR_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRICEEX". Cannot delete parent "CURRENC".'          GOTO error     END    /*  Parent in 'CURRENC' cannot be deleted if children exist in 'PROINVH'  */    IF EXISTS (             SELECT 1             FROM   PROINVH c, deleted d             WHERE  c.CUR_CODE = d.CUR_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PROINVH". Cannot delete parent "CURRENC".'          GOTO error     END    /*  Parent in 'CURRENC' cannot be deleted if children exist in 'COMTAXH'  */    IF EXISTS (             SELECT 1             FROM   COMTAXH c, deleted d             WHERE  c.CUR_CODE = d.CUR_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMTAXH". Cannot delete parent "CURRENC".'          GOTO error     END    /*  Parent in 'CURRENC' cannot be deleted if children exist in 'COMMH'  */    IF EXISTS (             SELECT 1             FROM   COMMH c, deleted d             WHERE  c.CUR_CODE = d.CUR_CODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMMH". Cannot delete parent "CURRENC".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_CUREXCHG' for Table 'CUREXCHG'  */    CREATE TRIGGER [dbo].[T_D_CUREXCHG] ON [dbo].[CUREXCHG] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'CUREXCHG' cannot be deleted if children exist in 'COMTAXH'  */    IF EXISTS (             SELECT 1             FROM   COMTAXH c, deleted d             WHERE  c.BASE_CUR = d.BASE_CUR AND                    c.FORIEGN = d.FORIEGN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMTAXH". Cannot delete parent "CUREXCHG".'          GOTO error     END    /*  Parent in 'CUREXCHG' cannot be deleted if children exist in 'COMMH'  */    IF EXISTS (             SELECT 1             FROM   COMMH c, deleted d             WHERE  c.BASE_CUR = d.BASE_CUR AND                    c.FORIEGN = d.FORIEGN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMMH". Cannot delete parent "CUREXCHG".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_CUSTOM' for Table 'CUSTOM'  */    CREATE TRIGGER [dbo].[T_D_CUSTOM] ON [dbo].[CUSTOM] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'CUSTOM' cannot be deleted if children exist in 'INVSELL'  */    IF EXISTS (             SELECT 1             FROM   INVSELL c, deleted d             WHERE  c.CUSTOMID = d.CUSTOMID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVSELL". Cannot delete parent "CUSTOM".'          GOTO error     END    /*  Parent in 'CUSTOM' cannot be deleted if children exist in 'FORMULAR'  */    IF EXISTS (             SELECT 1             FROM   FORMULAR c, deleted d             WHERE  c.CUSTOMID = d.CUSTOMID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "FORMULAR". Cannot delete parent "CUSTOM".'          GOTO error     END    /*  Parent in 'CUSTOM' cannot be deleted if children exist in 'COMTAXX'  */    IF EXISTS (             SELECT 1             FROM   COMTAXX c, deleted d             WHERE  c.CUSTOMID = d.CUSTOMID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMTAXX". Cannot delete parent "CUSTOM".'          GOTO error     END    /*  Parent in 'CUSTOM' cannot be deleted if children exist in 'RM19'  */    IF EXISTS (             SELECT 1             FROM   RM19 c, deleted d             WHERE  c.CUSTOMID = d.CUSTOMID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "RM19". Cannot delete parent "CUSTOM".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_EMPLOYEE' for Table 'EMPLOYEE'  */    CREATE TRIGGER [dbo].[T_D_EMPLOYEE] ON [dbo].[EMPLOYEE] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'EMPLOYEE' cannot be deleted if children exist in 'EMPTAX'  */    IF EXISTS (             SELECT 1             FROM   EMPTAX c, deleted d             WHERE  c.COMPCODE = d.COMPCODE AND                    c.EMPCODE = d.EMPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "EMPTAX". Cannot delete parent "EMPLOYEE".'          GOTO error     END    /*  Parent in 'EMPLOYEE' cannot be deleted if children exist in 'DEDPERH'  */    IF EXISTS (             SELECT 1             FROM   DEDPERH c, deleted d             WHERE  c.COMPCODE = d.COMPCODE AND                    c.EMPCODE = d.EMPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "DEDPERH". Cannot delete parent "EMPLOYEE".'          GOTO error     END    /*  Parent in 'EMPLOYEE' cannot be deleted if children exist in 'EMPDAY'  */    IF EXISTS (             SELECT 1             FROM   EMPDAY c, deleted d             WHERE  c.COMPCODE = d.COMPCODE AND                    c.EMPCODE = d.EMPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "EMPDAY". Cannot delete parent "EMPLOYEE".'          GOTO error     END    /*  Parent in 'EMPLOYEE' cannot be deleted if children exist in 'BONUS'  */    IF EXISTS (             SELECT 1             FROM   BONUS c, deleted d             WHERE  c.COMPCODE = d.COMPCODE AND                    c.EMPCODE = d.EMPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "BONUS". Cannot delete parent "EMPLOYEE".'          GOTO error     END    /*  Parent in 'EMPLOYEE' cannot be deleted if children exist in 'OTPERIOD'  */    IF EXISTS (             SELECT 1             FROM   OTPERIOD c, deleted d             WHERE  c.COMPCODE = d.COMPCODE AND                    c.EMPCODE = d.EMPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "OTPERIOD". Cannot delete parent "EMPLOYEE".'          GOTO error     END    /*  Parent in 'EMPLOYEE' cannot be deleted if children exist in 'LEAVEPEH'  */    IF EXISTS (             SELECT 1             FROM   LEAVEPEH c, deleted d             WHERE  c.COMPCODE = d.COMPCODE AND                    c.EMPCODE = d.EMPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "LEAVEPEH". Cannot delete parent "EMPLOYEE".'          GOTO error     END    /*  Parent in 'EMPLOYEE' cannot be deleted if children exist in 'Trfemp'  */    IF EXISTS (             SELECT 1             FROM   Trfemp c, deleted d             WHERE  c.COMPFR = d.COMPCODE AND                    c.EMPFR = d.EMPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "Trfemp". Cannot delete parent "EMPLOYEE".'          GOTO error     END    /*  Parent in 'EMPLOYEE' cannot be deleted if children exist in 'Retroh'  */    IF EXISTS (             SELECT 1             FROM   Retroh c, deleted d             WHERE  c.COMPCODE = d.COMPCODE AND                    c.EMPCODE = d.EMPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "Retroh". Cannot delete parent "EMPLOYEE".'          GOTO error     END    /*  Parent in 'EMPLOYEE' cannot be deleted if children exist in 'EMPDED'  */    IF EXISTS (             SELECT 1             FROM   EMPDED c, deleted d             WHERE  c.COMPCODE = d.COMPCODE AND                    c.EMPCODE = d.EMPCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "EMPDED". Cannot delete parent "EMPLOYEE".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_DEPT' for Table 'DEPT'  */    CREATE TRIGGER [dbo].[T_D_DEPT] ON [dbo].[DEPT] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'DEPT' cannot be deleted if children exist in 'EMPLOYEE'  */    IF EXISTS (             SELECT 1             FROM   EMPLOYEE c, deleted d             WHERE  c.COMPCODE = d.COMPCODE AND                    c.BRNCODE = d.BRNCODE AND                    c.DEPTCODE = d.DEPTCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "EMPLOYEE". Cannot delete parent "DEPT".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_INV' for Table 'INV'  */    CREATE TRIGGER [dbo].[T_U_INV] ON [dbo].[INV] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'INV' cannot be modified if children exist in 'APDET'  */    IF UPDATE(PN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   APDET c, inserted i, deleted d                  WHERE  c.PN = d.PN                  AND   (i.PN != d.PN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "APDET". Cannot modify Primary Key in "INV".'               GOTO error          END  END    /*  The Primary Key of 'INV' cannot be modified if children exist in 'ARDET'  */    IF UPDATE(PN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARDET c, inserted i, deleted d                  WHERE  c.PN = d.PN                  AND   (i.PN != d.PN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARDET". Cannot modify Primary Key in "INV".'               GOTO error          END  END    /*  The Primary Key of 'INV' cannot be modified if children exist in 'INVGLCST'  */    IF UPDATE(PN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   INVGLCST c, inserted i, deleted d                  WHERE  c.PN = d.PN                  AND   (i.PN != d.PN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "INVGLCST". Cannot modify Primary Key in "INV".'               GOTO error          END  END    /*  The Primary Key of 'INV' cannot be modified if children exist in 'INVLOC'  */    IF UPDATE(PN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   INVLOC c, inserted i, deleted d                  WHERE  c.PN = d.PN                  AND   (i.PN != d.PN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "INVLOC". Cannot modify Primary Key in "INV".'               GOTO error          END  END    /*  The Primary Key of 'INV' cannot be modified if children exist in 'JOBHIST'  */    IF UPDATE(PN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   JOBHIST c, inserted i, deleted d                  WHERE  c.PN = d.PN                  AND   (i.PN != d.PN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "JOBHIST". Cannot modify Primary Key in "INV".'               GOTO error          END  END    /*  The Primary Key of 'INV' cannot be modified if children exist in 'LABGLHST'  */    IF UPDATE(PN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   LABGLHST c, inserted i, deleted d                  WHERE  c.PN = d.PN                  AND   (i.PN != d.PN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "LABGLHST". Cannot modify Primary Key in "INV".'               GOTO error          END  END    /*  The Primary Key of 'INV' cannot be modified if children exist in 'MRP012'  */    IF UPDATE(PN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   MRP012 c, inserted i, deleted d                  WHERE  c.PN = d.PN                  AND   (i.PN != d.PN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "MRP012". Cannot modify Primary Key in "INV".'               GOTO error          END  END    /*  The Primary Key of 'INV' cannot be modified if children exist in 'MRP021'  */    IF UPDATE(PN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   MRP021 c, inserted i, deleted d                  WHERE  c.PN = d.PN                  AND   (i.PN != d.PN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "MRP021". Cannot modify Primary Key in "INV".'               GOTO error          END  END    /*  The Primary Key of 'INV' cannot be modified if children exist in 'MTRPICK'  */    IF UPDATE(PN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   MTRPICK c, inserted i, deleted d                  WHERE  c.PN = d.PN                  AND   (i.PN != d.PN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "MTRPICK". Cannot modify Primary Key in "INV".'               GOTO error          END  END    /*  The Primary Key of 'INV' cannot be modified if children exist in 'MTXGLHST'  */    IF UPDATE(PN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   MTXGLHST c, inserted i, deleted d                  WHERE  c.PN = d.PN                  AND   (i.PN != d.PN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "MTXGLHST". Cannot modify Primary Key in "INV".'               GOTO error          END  END    /*  The Primary Key of 'INV' cannot be modified if children exist in 'MTXNHIST'  */    IF UPDATE(PN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   MTXNHIST c, inserted i, deleted d                  WHERE  c.PN = d.PN                  AND   (i.PN != d.PN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "MTXNHIST". Cannot modify Primary Key in "INV".'               GOTO error          END  END    /*  The Primary Key of 'INV' cannot be modified if children exist in 'ORDCLS'  */    IF UPDATE(PN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ORDCLS c, inserted i, deleted d                  WHERE  c.PN = d.PN                  AND   (i.PN != d.PN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ORDCLS". Cannot modify Primary Key in "INV".'               GOTO error          END  END    /*  The Primary Key of 'INV' cannot be modified if children exist in 'PHYINV'  */    IF UPDATE(PN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   PHYINV c, inserted i, deleted d                  WHERE  c.PN = d.PN                  AND   (i.PN != d.PN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "PHYINV". Cannot modify Primary Key in "INV".'               GOTO error          END  END    /*  The Primary Key of 'INV' cannot be modified if children exist in 'PINVLOC'  */    IF UPDATE(PN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   PINVLOC c, inserted i, deleted d                  WHERE  c.PN = d.PN                  AND   (i.PN != d.PN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "PINVLOC". Cannot modify Primary Key in "INV".'               GOTO error          END  END    /*  The Primary Key of 'INV' cannot be modified if children exist in 'PLORD'  */    IF UPDATE(PN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   PLORD c, inserted i, deleted d                  WHERE  c.PN = d.PN                  AND   (i.PN != d.PN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "PLORD". Cannot modify Primary Key in "INV".'               GOTO error          END  END    /*  The Primary Key of 'INV' cannot be modified if children exist in 'PURHIST'  */    IF UPDATE(PN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   PURHIST c, inserted i, deleted d                  WHERE  c.PN = d.PN                  AND   (i.PN != d.PN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "PURHIST". Cannot modify Primary Key in "INV".'               GOTO error          END  END    /*  The Primary Key of 'INV' cannot be modified if children exist in 'SHIPHIST'  */    IF UPDATE(PN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   SHIPHIST c, inserted i, deleted d                  WHERE  c.PN = d.PN                  AND   (i.PN != d.PN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "SHIPHIST". Cannot modify Primary Key in "INV".'               GOTO error          END  END    /*  The Primary Key of 'INV' cannot be modified if children exist in 'STKTMP'  */    IF UPDATE(PN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   STKTMP c, inserted i, deleted d                  WHERE  c.PN = d.PN                  AND   (i.PN != d.PN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "STKTMP". Cannot modify Primary Key in "INV".'               GOTO error          END  END    /*  The Primary Key of 'INV' cannot be modified if children exist in 'STOCKRPT'  */    IF UPDATE(PN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   STOCKRPT c, inserted i, deleted d                  WHERE  c.PN = d.PN                  AND   (i.PN != d.PN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "STOCKRPT". Cannot modify Primary Key in "INV".'               GOTO error          END  END    /*  The Primary Key of 'INV' cannot be modified if children exist in 'TIMECARD'  */    IF UPDATE(PN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   TIMECARD c, inserted i, deleted d                  WHERE  c.PN = d.PN                  AND   (i.PN != d.PN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "TIMECARD". Cannot modify Primary Key in "INV".'               GOTO error          END  END    /*  The Primary Key of 'INV' cannot be modified if children exist in 'TMPCST'  */    IF UPDATE(PN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   TMPCST c, inserted i, deleted d                  WHERE  c.PN = d.PN                  AND   (i.PN != d.PN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "TMPCST". Cannot modify Primary Key in "INV".'               GOTO error          END  END    /*  The Primary Key of 'INV' cannot be modified if children exist in 'WPMGL'  */    IF UPDATE(PN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   WPMGL c, inserted i, deleted d                  WHERE  c.PN = d.PN                  AND   (i.PN != d.PN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "WPMGL". Cannot modify Primary Key in "INV".'               GOTO error          END  END    /*  The Primary Key of 'INV' cannot be modified if children exist in 'WPMGL'  */    IF UPDATE(PN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   WPMGL c, inserted i, deleted d                  WHERE  c.PARENT = d.PN                  AND   (i.PN != d.PN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "WPMGL". Cannot modify Primary Key in "INV".'               GOTO error          END  END    /*  The Primary Key of 'INV' cannot be modified if children exist in 'WPMGLTMP'  */    IF UPDATE(PN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   WPMGLTMP c, inserted i, deleted d                  WHERE  c.PN = d.PN                  AND   (i.PN != d.PN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "WPMGLTMP". Cannot modify Primary Key in "INV".'               GOTO error          END  END    /*  The Primary Key of 'INV' cannot be modified if children exist in 'WPMGLTMP'  */    IF UPDATE(PN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   WPMGLTMP c, inserted i, deleted d                  WHERE  c.PARENT = d.PN                  AND   (i.PN != d.PN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "WPMGLTMP". Cannot modify Primary Key in "INV".'               GOTO error          END  END    /*  The Primary Key of 'INV' cannot be modified if children exist in 'MRP021'  */    IF UPDATE(PN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   MRP021 c, inserted i, deleted d                  WHERE  c.PN = d.PN                  AND   (i.PN != d.PN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "MRP021". Cannot modify Primary Key in "INV".'               GOTO error          END  END    /*  The Primary Key of 'INV' cannot be modified if children exist in 'MTXNHIST'  */    IF UPDATE(PN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   MTXNHIST c, inserted i, deleted d                  WHERE  c.PN = d.PN                  AND   (i.PN != d.PN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "MTXNHIST". Cannot modify Primary Key in "INV".'               GOTO error          END  END    /*  The Primary Key of 'INV' cannot be modified if children exist in 'WPLCLS'  */    IF UPDATE(PN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   WPLCLS c, inserted i, deleted d                  WHERE  c.PN = d.PN                  AND   (i.PN != d.PN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "WPLCLS". Cannot modify Primary Key in "INV".'               GOTO error          END  END    /*  The Primary Key of 'INV' cannot be modified if children exist in 'WPMCLS'  */    IF UPDATE(PN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   WPMCLS c, inserted i, deleted d                  WHERE  c.PARENT = d.PN                  AND   (i.PN != d.PN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "WPMCLS". Cannot modify Primary Key in "INV".'               GOTO error          END  END    /*  The Primary Key of 'INV' cannot be modified if children exist in 'WPMCLS'  */    IF UPDATE(PN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   WPMCLS c, inserted i, deleted d                  WHERE  c.PN = d.PN                  AND   (i.PN != d.PN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "WPMCLS". Cannot modify Primary Key in "INV".'               GOTO error          END  END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'APEDITL'  */    IF UPDATE(PN)     BEGIN          UPDATE APEDITL          SET    PN = i.PN          FROM   APEDITL c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'APINVCD'  */    IF UPDATE(PN)     BEGIN          UPDATE APINVCD          SET    PN = i.PN          FROM   APINVCD c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'ARINVCD'  */    IF UPDATE(PN)     BEGIN          UPDATE ARINVCD          SET    PN = i.PN          FROM   ARINVCD c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'BOM'  */    IF UPDATE(PN)     BEGIN          UPDATE BOM          SET    PARENT = i.PN          FROM   BOM c, inserted i, deleted d          WHERE  c.PARENT = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'BOM'  */    IF UPDATE(PN)     BEGIN          UPDATE BOM          SET    PN = i.PN          FROM   BOM c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'CODET'  */    IF UPDATE(PN)     BEGIN          UPDATE CODET          SET    PN = i.PN          FROM   CODET c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'CUSTPN'  */    IF UPDATE(PN)     BEGIN          UPDATE CUSTPN          SET    PN = i.PN          FROM   CUSTPN c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'CYCCNT'  */    IF UPDATE(PN)     BEGIN          UPDATE CYCCNT          SET    PN = i.PN          FROM   CYCCNT c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'DEFECTQM'  */    IF UPDATE(PN)     BEGIN          UPDATE DEFECTQM          SET    PN = i.PN          FROM   DEFECTQM c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'ESTBOM'  */    IF UPDATE(PN)     BEGIN          UPDATE ESTBOM          SET    PN = i.PN          FROM   ESTBOM c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'ESTHDR'  */    IF UPDATE(PN)     BEGIN          UPDATE ESTHDR          SET    PN = i.PN          FROM   ESTHDR c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'FCSTGRPD'  */    IF UPDATE(PN)     BEGIN          UPDATE FCSTGRPD          SET    PN = i.PN          FROM   FCSTGRPD c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'FCSTPRJQ'  */    IF UPDATE(PN)     BEGIN          UPDATE FCSTPRJQ          SET    PN = i.PN          FROM   FCSTPRJQ c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'FCSTPROJ'  */    IF UPDATE(PN)     BEGIN          UPDATE FCSTPROJ          SET    PN = i.PN          FROM   FCSTPROJ c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'INVADJM'  */    IF UPDATE(PN)     BEGIN          UPDATE INVADJM          SET    PN = i.PN          FROM   INVADJM c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'INVMTLTR'  */    IF UPDATE(PN)     BEGIN          UPDATE INVMTLTR          SET    PN = i.PN          FROM   INVMTLTR c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'LCTRAN'  */    IF UPDATE(PN)     BEGIN          UPDATE LCTRAN          SET    PN = i.PN          FROM   LCTRAN c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'MPSORD'  */    IF UPDATE(PN)     BEGIN          UPDATE MPSORD          SET    PN = i.PN          FROM   MPSORD c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'MRP011'  */    IF UPDATE(PN)     BEGIN          UPDATE MRP011          SET    PARENT = i.PN          FROM   MRP011 c, inserted i, deleted d          WHERE  c.PARENT = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'MRP011'  */    IF UPDATE(PN)     BEGIN          UPDATE MRP011          SET    PN = i.PN          FROM   MRP011 c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'OEINVCD'  */    IF UPDATE(PN)     BEGIN          UPDATE OEINVCD          SET    PN = i.PN          FROM   OEINVCD c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'OPTHDG'  */    IF UPDATE(PN)     BEGIN          UPDATE OPTHDG          SET    OPTPN = i.PN          FROM   OPTHDG c, inserted i, deleted d          WHERE  c.OPTPN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'OPTHDG'  */    IF UPDATE(PN)     BEGIN          UPDATE OPTHDG          SET    PN = i.PN          FROM   OPTHDG c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'ORD'  */    IF UPDATE(PN)     BEGIN          UPDATE ORD          SET    PN = i.PN          FROM   ORD c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'ORDHOLD'  */    IF UPDATE(PN)     BEGIN          UPDATE ORDHOLD          SET    PN = i.PN          FROM   ORDHOLD c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'PARTALL'  */    IF UPDATE(PN)     BEGIN          UPDATE PARTALL          SET    PN = i.PN          FROM   PARTALL c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'PITAG'  */    IF UPDATE(PN)     BEGIN          UPDATE PITAG          SET    PN0 = i.PN          FROM   PITAG c, inserted i, deleted d          WHERE  c.PN0 = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'PRICE'  */    IF UPDATE(PN)     BEGIN          UPDATE PRICE          SET    PN = i.PN          FROM   PRICE c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'QMINSORD'  */    IF UPDATE(PN)     BEGIN          UPDATE QMINSORD          SET    PN = i.PN          FROM   QMINSORD c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'REQUEST'  */    IF UPDATE(PN)     BEGIN          UPDATE REQUEST          SET    PN = i.PN          FROM   REQUEST c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'RTG'  */    IF UPDATE(PN)     BEGIN          UPDATE RTG          SET    PN = i.PN          FROM   RTG c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'SCHDALL'  */    IF UPDATE(PN)     BEGIN          UPDATE SCHDALL          SET    PN = i.PN          FROM   SCHDALL c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'SERIAL'  */    IF UPDATE(PN)     BEGIN          UPDATE SERIAL          SET    PN = i.PN          FROM   SERIAL c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'SFC301'  */    IF UPDATE(PN)     BEGIN          UPDATE SFC301          SET    PN = i.PN          FROM   SFC301 c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'SUB'  */    IF UPDATE(PN)     BEGIN          UPDATE SUB          SET    PN = i.PN          FROM   SUB c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'SUB'  */    IF UPDATE(PN)     BEGIN          UPDATE SUB          SET    SUB = i.PN          FROM   SUB c, inserted i, deleted d          WHERE  c.SUB = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'VENDORPN'  */    IF UPDATE(PN)     BEGIN          UPDATE VENDORPN          SET    PN = i.PN          FROM   VENDORPN c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'WPM'  */    IF UPDATE(PN)     BEGIN          UPDATE WPM          SET    PARENT = i.PN          FROM   WPM c, inserted i, deleted d          WHERE  c.PARENT = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'WPL'  */    IF UPDATE(PN)     BEGIN          UPDATE WPL          SET    PN = i.PN          FROM   WPL c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'WPM'  */    IF UPDATE(PN)     BEGIN          UPDATE WPM          SET    PN = i.PN          FROM   WPM c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'INVENSM1'  */    IF UPDATE(PN)     BEGIN          UPDATE INVENSM1          SET    PARENT = i.PN          FROM   INVENSM1 c, inserted i, deleted d          WHERE  c.PARENT = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'INVENSD'  */    IF UPDATE(PN)     BEGIN          UPDATE INVENSD          SET    PN = i.PN          FROM   INVENSD c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'BOAH'  */    IF UPDATE(PN)     BEGIN          UPDATE BOAH          SET    PN = i.PN          FROM   BOAH c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'COINVCD'  */    IF UPDATE(PN)     BEGIN          UPDATE COINVCD          SET    PN = i.PN          FROM   COINVCD c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'CODO'  */    IF UPDATE(PN)     BEGIN          UPDATE CODO          SET    PN = i.PN          FROM   CODO c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'Qmimp'  */    IF UPDATE(PN)     BEGIN          UPDATE Qmimp          SET    PN = i.PN          FROM   Qmimp c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'IEXP_HST'  */    IF UPDATE(PN)     BEGIN          UPDATE IEXP_HST          SET    PN = i.PN          FROM   IEXP_HST c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'INV' into its children in 'INVSELL'  */    IF UPDATE(PN)     BEGIN          UPDATE INVSELL          SET    PN = i.PN          FROM   INVSELL c, inserted i, deleted d          WHERE  c.PN = d.PN          AND    (i.PN != d.PN)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_CUSTOMER' for Table 'CUSTOMER'  */    CREATE TRIGGER [dbo].[T_D_CUSTOMER] ON [dbo].[CUSTOMER] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'ADVSETUP'  */    IF EXISTS (             SELECT 1             FROM   ADVSETUP c, deleted d             WHERE  c.CUSTOMER = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ADVSETUP". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'ARBAL'  */    IF EXISTS (             SELECT 1             FROM   ARBAL c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARBAL". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'ARBALH'  */    IF EXISTS (             SELECT 1             FROM   ARBALH c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARBALH". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'ARDET'  */    IF EXISTS (             SELECT 1             FROM   ARDET c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARDET". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'ARINVCD'  */    IF EXISTS (             SELECT 1             FROM   ARINVCD c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARINVCD". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'ARINVCH'  */    IF EXISTS (             SELECT 1             FROM   ARINVCH c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARINVCH". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'ARRCTH'  */    IF EXISTS (             SELECT 1             FROM   ARRCTH c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARRCTH". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'ARRTN'  */    IF EXISTS (             SELECT 1             FROM   ARRTN c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARRTN". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'ARVAT'  */    IF EXISTS (             SELECT 1             FROM   ARVAT c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARVAT". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'BILL'  */    IF EXISTS (             SELECT 1             FROM   BILL c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "BILL". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'BILLH'  */    IF EXISTS (             SELECT 1             FROM   BILLH c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "BILLH". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'BKMAST'  */    IF EXISTS (             SELECT 1             FROM   BKMAST c, deleted d             WHERE  c.ARCUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "BKMAST". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'CHECKAR'  */    IF EXISTS (             SELECT 1             FROM   CHECKAR c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CHECKAR". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'CODET'  */    IF EXISTS (             SELECT 1             FROM   CODET c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CODET". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'COMAST'  */    IF EXISTS (             SELECT 1             FROM   COMAST c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMAST". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'COMMHIST'  */    IF EXISTS (             SELECT 1             FROM   COMMHIST c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMMHIST". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'CUSTPN'  */    IF EXISTS (             SELECT 1             FROM   CUSTPN c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CUSTPN". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'ESTHDR'  */    IF EXISTS (             SELECT 1             FROM   ESTHDR c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ESTHDR". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'GLARDIST'  */    IF EXISTS (             SELECT 1             FROM   GLARDIST c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "GLARDIST". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'JOBHIST'  */    IF EXISTS (             SELECT 1             FROM   JOBHIST c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "JOBHIST". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'OEINVCD'  */    IF EXISTS (             SELECT 1             FROM   OEINVCD c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "OEINVCD". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'ORD'  */    IF EXISTS (             SELECT 1             FROM   ORD c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ORD". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'ORDCLS'  */    IF EXISTS (             SELECT 1             FROM   ORDCLS c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ORDCLS". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'ORDHOLD'  */    IF EXISTS (             SELECT 1             FROM   ORDHOLD c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ORDHOLD". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'PRICE'  */    IF EXISTS (             SELECT 1             FROM   PRICE c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRICE". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'SERIAL'  */    IF EXISTS (             SELECT 1             FROM   SERIAL c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "SERIAL". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'SHIPADDR'  */    IF EXISTS (             SELECT 1             FROM   SHIPADDR c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "SHIPADDR". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'WKORD'  */    IF EXISTS (             SELECT 1             FROM   WKORD c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "WKORD". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'OEINVCH'  */    IF EXISTS (             SELECT 1             FROM   OEINVCH c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "OEINVCH". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'SHIPHIST'  */    IF EXISTS (             SELECT 1             FROM   SHIPHIST c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "SHIPHIST". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'BOAH'  */    IF EXISTS (             SELECT 1             FROM   BOAH c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "BOAH". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'COINVCH'  */    IF EXISTS (             SELECT 1             FROM   COINVCH c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COINVCH". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'MULRCDH'  */    IF EXISTS (             SELECT 1             FROM   MULRCDH c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MULRCDH". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'PRICEEX'  */    IF EXISTS (             SELECT 1             FROM   PRICEEX c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRICEEX". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'PROINVH'  */    IF EXISTS (             SELECT 1             FROM   PROINVH c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PROINVH". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'COMTAXH'  */    IF EXISTS (             SELECT 1             FROM   COMTAXH c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMTAXH". Cannot delete parent "CUSTOMER".'          GOTO error     END    /*  Parent in 'CUSTOMER' cannot be deleted if children exist in 'COMMH'  */    IF EXISTS (             SELECT 1             FROM   COMMH c, deleted d             WHERE  c.CUSTID = d.CUSTID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMMH". Cannot delete parent "CUSTOMER".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_COMDTY' for Table 'COMDTY'  */    CREATE TRIGGER [dbo].[T_U_COMDTY] ON [dbo].[COMDTY] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'COMDTY' cannot be modified if children exist in 'CYCCNT'  */    IF UPDATE(COMDTY)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   CYCCNT c, inserted i, deleted d                  WHERE  c.COMDTY = d.COMDTY                  AND   (i.COMDTY != d.COMDTY)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "CYCCNT". Cannot modify Primary Key in "COMDTY".'               GOTO error          END  END    /*  The Primary Key of 'COMDTY' cannot be modified if children exist in 'PHYINV'  */    IF UPDATE(COMDTY)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   PHYINV c, inserted i, deleted d                  WHERE  c.COMDTY = d.COMDTY                  AND   (i.COMDTY != d.COMDTY)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "PHYINV". Cannot modify Primary Key in "COMDTY".'               GOTO error          END  END    /*  Cascade the Update of the Primary Key of 'COMDTY' into its children in 'INV'  */    IF UPDATE(COMDTY)     BEGIN          UPDATE INV          SET    COMDTY = i.COMDTY          FROM   INV c, inserted i, deleted d          WHERE  c.COMDTY = d.COMDTY          AND    (i.COMDTY != d.COMDTY)     END    /*  Cascade the Update of the Primary Key of 'COMDTY' into its children in 'MRP011'  */    IF UPDATE(COMDTY)     BEGIN          UPDATE MRP011          SET    COMDTY = i.COMDTY          FROM   MRP011 c, inserted i, deleted d          WHERE  c.COMDTY = d.COMDTY          AND    (i.COMDTY != d.COMDTY)     END    /*  Cascade the Update of the Primary Key of 'COMDTY' into its children in 'COINVCD'  */    IF UPDATE(COMDTY)     BEGIN          UPDATE COINVCD          SET    COMDTY = i.COMDTY          FROM   COINVCD c, inserted i, deleted d          WHERE  c.COMDTY = d.COMDTY          AND    (i.COMDTY != d.COMDTY)     END    /*  Cascade the Update of the Primary Key of 'COMDTY' into its children in 'INVSELL'  */    IF UPDATE(COMDTY)     BEGIN          UPDATE INVSELL          SET    COMDTY = i.COMDTY          FROM   INVSELL c, inserted i, deleted d          WHERE  c.COMDTY = d.COMDTY          AND    (i.COMDTY != d.COMDTY)     END    /*  Cascade the Update of the Primary Key of 'COMDTY' into its children in 'PROINVX'  */    IF UPDATE(COMDTY)     BEGIN          UPDATE PROINVX          SET    COMDTY = i.COMDTY          FROM   PROINVX c, inserted i, deleted d          WHERE  c.COMDTY = d.COMDTY          AND    (i.COMDTY != d.COMDTY)     END    /*  Cascade the Update of the Primary Key of 'COMDTY' into its children in 'COMTAXX'  */    IF UPDATE(COMDTY)     BEGIN          UPDATE COMTAXX          SET    COMDTY = i.COMDTY          FROM   COMTAXX c, inserted i, deleted d          WHERE  c.COMDTY = d.COMDTY          AND    (i.COMDTY != d.COMDTY)     END    /*  Cascade the Update of the Primary Key of 'COMDTY' into its children in 'COMMX'  */    IF UPDATE(COMDTY)     BEGIN          UPDATE COMMX          SET    COMDTY = i.COMDTY          FROM   COMMX c, inserted i, deleted d          WHERE  c.COMDTY = d.COMDTY          AND    (i.COMDTY != d.COMDTY)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_ADDCODE' for Table 'ADDCODE'  */    CREATE TRIGGER [dbo].[T_U_ADDCODE] ON [dbo].[ADDCODE] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'ADDCODE' into its children in 'ARINVCH'  */    IF UPDATE(ADDCODE)     BEGIN          UPDATE ARINVCH          SET    ADDCODE = i.ADDCODE          FROM   ARINVCH c, inserted i, deleted d          WHERE  c.ADDCODE = d.ADDCODE          AND    (i.ADDCODE != d.ADDCODE)     END    /*  Cascade the Update of the Primary Key of 'ADDCODE' into its children in 'ARVAT'  */    IF UPDATE(ADDCODE)     BEGIN          UPDATE ARVAT          SET    ADDCODE = i.ADDCODE          FROM   ARVAT c, inserted i, deleted d          WHERE  c.ADDCODE = d.ADDCODE          AND    (i.ADDCODE != d.ADDCODE)     END    /*  Cascade the Update of the Primary Key of 'ADDCODE' into its children in 'ARBAL'  */    IF UPDATE(ADDCODE)     BEGIN          UPDATE ARBAL          SET    ADDCODE = i.ADDCODE          FROM   ARBAL c, inserted i, deleted d          WHERE  c.ADDCODE = d.ADDCODE          AND    (i.ADDCODE != d.ADDCODE)     END    /*  Cascade the Update of the Primary Key of 'ADDCODE' into its children in 'ARDET'  */    IF UPDATE(ADDCODE)     BEGIN          UPDATE ARDET          SET    ADDCODE = i.ADDCODE          FROM   ARDET c, inserted i, deleted d          WHERE  c.ADDCODE = d.ADDCODE          AND    (i.ADDCODE != d.ADDCODE)     END    /*  Cascade the Update of the Primary Key of 'ADDCODE' into its children in 'GLARDIST'  */    IF UPDATE(ADDCODE)     BEGIN          UPDATE GLARDIST          SET    ADDCODE = i.ADDCODE          FROM   GLARDIST c, inserted i, deleted d          WHERE  c.ADDCODE = d.ADDCODE          AND    (i.ADDCODE != d.ADDCODE)     END    /*  Cascade the Update of the Primary Key of 'ADDCODE' into its children in 'CHECKAR'  */    IF UPDATE(ADDCODE)     BEGIN          UPDATE CHECKAR          SET    ADDCODE = i.ADDCODE          FROM   CHECKAR c, inserted i, deleted d          WHERE  c.ADDCODE = d.ADDCODE          AND    (i.ADDCODE != d.ADDCODE)     END    /*  Cascade the Update of the Primary Key of 'ADDCODE' into its children in 'ARBALH'  */    IF UPDATE(ADDCODE)     BEGIN          UPDATE ARBALH          SET    ADDCODE = i.ADDCODE          FROM   ARBALH c, inserted i, deleted d          WHERE  c.ADDCODE = d.ADDCODE          AND    (i.ADDCODE != d.ADDCODE)     END    /*  Cascade the Update of the Primary Key of 'ADDCODE' into its children in 'ADVE'  */    IF UPDATE(ADDCODE)     BEGIN          UPDATE ADVE          SET    ADDCODE = i.ADDCODE          FROM   ADVE c, inserted i, deleted d          WHERE  c.ADDCODE = d.ADDCODE          AND    (i.ADDCODE != d.ADDCODE)     END    /*  Cascade the Update of the Primary Key of 'ADDCODE' into its children in 'BKTRAN'  */    IF UPDATE(ADDCODE)     BEGIN          UPDATE BKTRAN          SET    ADDCODE = i.ADDCODE          FROM   BKTRAN c, inserted i, deleted d          WHERE  c.ADDCODE = d.ADDCODE          AND    (i.ADDCODE != d.ADDCODE)     END    /*  Cascade the Update of the Primary Key of 'ADDCODE' into its children in 'APBAL'  */    IF UPDATE(ADDCODE)     BEGIN          UPDATE APBAL          SET    ADDCODE = i.ADDCODE          FROM   APBAL c, inserted i, deleted d          WHERE  c.ADDCODE = d.ADDCODE          AND    (i.ADDCODE != d.ADDCODE)     END    /*  Cascade the Update of the Primary Key of 'ADDCODE' into its children in 'APBALH'  */    IF UPDATE(ADDCODE)     BEGIN          UPDATE APBALH          SET    ADDCODE = i.ADDCODE          FROM   APBALH c, inserted i, deleted d          WHERE  c.ADDCODE = d.ADDCODE          AND    (i.ADDCODE != d.ADDCODE)     END    /*  Cascade the Update of the Primary Key of 'ADDCODE' into its children in 'APDET'  */    IF UPDATE(ADDCODE)     BEGIN          UPDATE APDET          SET    ADDCODE = i.ADDCODE          FROM   APDET c, inserted i, deleted d          WHERE  c.ADDCODE = d.ADDCODE          AND    (i.ADDCODE != d.ADDCODE)     END    /*  Cascade the Update of the Primary Key of 'ADDCODE' into its children in 'APINVCH'  */    IF UPDATE(ADDCODE)     BEGIN          UPDATE APINVCH          SET    ADDCODE = i.ADDCODE          FROM   APINVCH c, inserted i, deleted d          WHERE  c.ADDCODE = d.ADDCODE          AND    (i.ADDCODE != d.ADDCODE)     END    /*  Cascade the Update of the Primary Key of 'ADDCODE' into its children in 'CHECKAP'  */    IF UPDATE(ADDCODE)     BEGIN          UPDATE CHECKAP          SET    ADDCODE = i.ADDCODE          FROM   CHECKAP c, inserted i, deleted d          WHERE  c.ADDCODE = d.ADDCODE          AND    (i.ADDCODE != d.ADDCODE)     END    /*  Cascade the Update of the Primary Key of 'ADDCODE' into its children in 'APVAT'  */    IF UPDATE(ADDCODE)     BEGIN          UPDATE APVAT          SET    ADDCODE = i.ADDCODE          FROM   APVAT c, inserted i, deleted d          WHERE  c.ADDCODE = d.ADDCODE          AND    (i.ADDCODE != d.ADDCODE)     END    /*  Cascade the Update of the Primary Key of 'ADDCODE' into its children in 'GLAPDIST'  */    IF UPDATE(ADDCODE)     BEGIN          UPDATE GLAPDIST          SET    ADDCODE = i.ADDCODE          FROM   GLAPDIST c, inserted i, deleted d          WHERE  c.ADDCODE = d.ADDCODE          AND    (i.ADDCODE != d.ADDCODE)     END    /*  Cascade the Update of the Primary Key of 'ADDCODE' into its children in 'APVATTMP'  */    IF UPDATE(ADDCODE)     BEGIN          UPDATE APVATTMP          SET    ADDCODE = i.ADDCODE          FROM   APVATTMP c, inserted i, deleted d          WHERE  c.ADDCODE = d.ADDCODE          AND    (i.ADDCODE != d.ADDCODE)     END    /*  Cascade the Update of the Primary Key of 'ADDCODE' into its children in 'BKTRHIST'  */    IF UPDATE(ADDCODE)     BEGIN          UPDATE BKTRHIST          SET    ADDCODE = i.ADDCODE          FROM   BKTRHIST c, inserted i, deleted d          WHERE  c.ADDCODE = d.ADDCODE          AND    (i.ADDCODE != d.ADDCODE)     END    /*  Cascade the Update of the Primary Key of 'ADDCODE' into its children in 'ADV_OK'  */    IF UPDATE(ADDCODE)     BEGIN          UPDATE ADV_OK          SET    ADDCODE = i.ADDCODE          FROM   ADV_OK c, inserted i, deleted d          WHERE  c.ADDCODE = d.ADDCODE          AND    (i.ADDCODE != d.ADDCODE)     END    /*  Cascade the Update of the Primary Key of 'ADDCODE' into its children in 'ADVH_OK'  */    IF UPDATE(ADDCODE)     BEGIN          UPDATE ADVH_OK          SET    ADDCODE = i.ADDCODE          FROM   ADVH_OK c, inserted i, deleted d          WHERE  c.ADDCODE = d.ADDCODE          AND    (i.ADDCODE != d.ADDCODE)     END    /*  Cascade the Update of the Primary Key of 'ADDCODE' into its children in 'ADVH_CHD'  */    IF UPDATE(ADDCODE)     BEGIN          UPDATE ADVH_CHD          SET    ADDCODE = i.ADDCODE          FROM   ADVH_CHD c, inserted i, deleted d          WHERE  c.ADDCODE = d.ADDCODE          AND    (i.ADDCODE != d.ADDCODE)     END    /*  Cascade the Update of the Primary Key of 'ADDCODE' into its children in 'GLAVDIST'  */    IF UPDATE(ADDCODE)     BEGIN          UPDATE GLAVDIST          SET    ADDCODE = i.ADDCODE          FROM   GLAVDIST c, inserted i, deleted d          WHERE  c.ADDCODE = d.ADDCODE          AND    (i.ADDCODE != d.ADDCODE)     END    /*  Cascade the Update of the Primary Key of 'ADDCODE' into its children in 'PTCE_HD'  */    IF UPDATE(ADDCODE)     BEGIN          UPDATE PTCE_HD          SET    ADDCODE = i.ADDCODE          FROM   PTCE_HD c, inserted i, deleted d          WHERE  c.ADDCODE = d.ADDCODE          AND    (i.ADDCODE != d.ADDCODE)     END    /*  Cascade the Update of the Primary Key of 'ADDCODE' into its children in 'PTCR_HD'  */    IF UPDATE(ADDCODE)     BEGIN          UPDATE PTCR_HD          SET    ADDCODE = i.ADDCODE          FROM   PTCR_HD c, inserted i, deleted d          WHERE  c.ADDCODE = d.ADDCODE          AND    (i.ADDCODE != d.ADDCODE)     END    /*  Cascade the Update of the Primary Key of 'ADDCODE' into its children in 'PTCH_ENH'  */    IF UPDATE(ADDCODE)     BEGIN          UPDATE PTCH_ENH          SET    ADDCODE = i.ADDCODE          FROM   PTCH_ENH c, inserted i, deleted d          WHERE  c.ADDCODE = d.ADDCODE          AND    (i.ADDCODE != d.ADDCODE)     END    /*  Cascade the Update of the Primary Key of 'ADDCODE' into its children in 'PTCH_RTH'  */    IF UPDATE(ADDCODE)     BEGIN          UPDATE PTCH_RTH          SET    ADDCODE = i.ADDCODE          FROM   PTCH_RTH c, inserted i, deleted d          WHERE  c.ADDCODE = d.ADDCODE          AND    (i.ADDCODE != d.ADDCODE)     END    /*  Cascade the Update of the Primary Key of 'ADDCODE' into its children in 'ADVC_HD'  */    IF UPDATE(ADDCODE)     BEGIN          UPDATE ADVC_HD          SET    ADDCODE = i.ADDCODE          FROM   ADVC_HD c, inserted i, deleted d          WHERE  c.ADDCODE = d.ADDCODE          AND    (i.ADDCODE != d.ADDCODE)     END    /*  Cascade the Update of the Primary Key of 'ADDCODE' into its children in 'MANCHKH'  */    IF UPDATE(ADDCODE)     BEGIN          UPDATE MANCHKH          SET    ADDCODE = i.ADDCODE          FROM   MANCHKH c, inserted i, deleted d          WHERE  c.ADDCODE = d.ADDCODE          AND    (i.ADDCODE != d.ADDCODE)     END    /*  Cascade the Update of the Primary Key of 'ADDCODE' into its children in 'ARRCTH'  */    IF UPDATE(ADDCODE)     BEGIN          UPDATE ARRCTH          SET    ADDCODE = i.ADDCODE          FROM   ARRCTH c, inserted i, deleted d          WHERE  c.ADDCODE = d.ADDCODE          AND    (i.ADDCODE != d.ADDCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_INV' for Table 'INV'  */    CREATE TRIGGER [dbo].[T_D_INV] ON [dbo].[INV] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'INV' cannot be deleted if children exist in 'APDET'  */    IF EXISTS (             SELECT 1             FROM   APDET c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APDET". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'APEDITL'  */    IF EXISTS (             SELECT 1             FROM   APEDITL c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APEDITL". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'APINVCD'  */    IF EXISTS (             SELECT 1             FROM   APINVCD c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APINVCD". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'ARDET'  */    IF EXISTS (             SELECT 1             FROM   ARDET c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARDET". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'ARINVCD'  */    IF EXISTS (             SELECT 1             FROM   ARINVCD c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARINVCD". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'BOM'  */    IF EXISTS (             SELECT 1             FROM   BOM c, deleted d             WHERE  c.PARENT = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "BOM". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'BOM'  */    IF EXISTS (             SELECT 1             FROM   BOM c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "BOM". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'CODET'  */    IF EXISTS (             SELECT 1             FROM   CODET c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CODET". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'CUSTPN'  */    IF EXISTS (             SELECT 1             FROM   CUSTPN c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CUSTPN". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'CYCCNT'  */    IF EXISTS (             SELECT 1             FROM   CYCCNT c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CYCCNT". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'DEFECTQM'  */    IF EXISTS (             SELECT 1             FROM   DEFECTQM c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "DEFECTQM". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'ESTBOM'  */    IF EXISTS (             SELECT 1             FROM   ESTBOM c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ESTBOM". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'ESTHDR'  */    IF EXISTS (             SELECT 1             FROM   ESTHDR c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ESTHDR". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'FCSTGRPD'  */    IF EXISTS (             SELECT 1             FROM   FCSTGRPD c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "FCSTGRPD". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'FCSTPRJQ'  */    IF EXISTS (             SELECT 1             FROM   FCSTPRJQ c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "FCSTPRJQ". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'FCSTPROJ'  */    IF EXISTS (             SELECT 1             FROM   FCSTPROJ c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "FCSTPROJ". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'INVADJM'  */    IF EXISTS (             SELECT 1             FROM   INVADJM c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVADJM". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'INVGLCST'  */    IF EXISTS (             SELECT 1             FROM   INVGLCST c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVGLCST". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'INVLOC'  */    IF EXISTS (             SELECT 1             FROM   INVLOC c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVLOC". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'INVMTLTR'  */    IF EXISTS (             SELECT 1             FROM   INVMTLTR c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVMTLTR". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'JOBHIST'  */    IF EXISTS (             SELECT 1             FROM   JOBHIST c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "JOBHIST". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'LABGLHST'  */    IF EXISTS (             SELECT 1             FROM   LABGLHST c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "LABGLHST". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'LCTRAN'  */    IF EXISTS (             SELECT 1             FROM   LCTRAN c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "LCTRAN". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'MPSORD'  */    IF EXISTS (             SELECT 1             FROM   MPSORD c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MPSORD". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'MRP011'  */    IF EXISTS (             SELECT 1             FROM   MRP011 c, deleted d             WHERE  c.PARENT = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MRP011". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'MRP011'  */    IF EXISTS (             SELECT 1             FROM   MRP011 c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MRP011". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'MRP012'  */    IF EXISTS (             SELECT 1             FROM   MRP012 c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MRP012". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'MRP021'  */    IF EXISTS (             SELECT 1             FROM   MRP021 c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MRP021". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'MTRPICK'  */    IF EXISTS (             SELECT 1             FROM   MTRPICK c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MTRPICK". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'MTXGLHST'  */    IF EXISTS (             SELECT 1             FROM   MTXGLHST c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MTXGLHST". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'MTXNHIST'  */    IF EXISTS (             SELECT 1             FROM   MTXNHIST c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MTXNHIST". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'OEINVCD'  */    IF EXISTS (             SELECT 1             FROM   OEINVCD c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "OEINVCD". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'OPTHDG'  */    IF EXISTS (             SELECT 1             FROM   OPTHDG c, deleted d             WHERE  c.OPTPN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "OPTHDG". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'OPTHDG'  */    IF EXISTS (             SELECT 1             FROM   OPTHDG c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "OPTHDG". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'ORD'  */    IF EXISTS (             SELECT 1             FROM   ORD c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ORD". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'ORDCLS'  */    IF EXISTS (             SELECT 1             FROM   ORDCLS c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ORDCLS". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'ORDHOLD'  */    IF EXISTS (             SELECT 1             FROM   ORDHOLD c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ORDHOLD". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'PARTALL'  */    IF EXISTS (             SELECT 1             FROM   PARTALL c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PARTALL". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'PHYINV'  */    IF EXISTS (             SELECT 1             FROM   PHYINV c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PHYINV". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'PINVLOC'  */    IF EXISTS (             SELECT 1             FROM   PINVLOC c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PINVLOC". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'PITAG'  */    IF EXISTS (             SELECT 1             FROM   PITAG c, deleted d             WHERE  c.PN0 = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PITAG". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'PLORD'  */    IF EXISTS (             SELECT 1             FROM   PLORD c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PLORD". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'PRICE'  */    IF EXISTS (             SELECT 1             FROM   PRICE c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRICE". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'PURHIST'  */    IF EXISTS (             SELECT 1             FROM   PURHIST c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PURHIST". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'QMINSORD'  */    IF EXISTS (             SELECT 1             FROM   QMINSORD c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "QMINSORD". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'REQUEST'  */    IF EXISTS (             SELECT 1             FROM   REQUEST c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "REQUEST". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'RTG'  */    IF EXISTS (             SELECT 1             FROM   RTG c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "RTG". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'SCHDALL'  */    IF EXISTS (             SELECT 1             FROM   SCHDALL c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "SCHDALL". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'SERIAL'  */    IF EXISTS (             SELECT 1             FROM   SERIAL c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "SERIAL". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'SFC301'  */    IF EXISTS (             SELECT 1             FROM   SFC301 c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "SFC301". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'SHIPHIST'  */    IF EXISTS (             SELECT 1             FROM   SHIPHIST c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "SHIPHIST". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'STKTMP'  */    IF EXISTS (             SELECT 1             FROM   STKTMP c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "STKTMP". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'STOCKRPT'  */    IF EXISTS (             SELECT 1             FROM   STOCKRPT c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "STOCKRPT". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'SUB'  */    IF EXISTS (             SELECT 1             FROM   SUB c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "SUB". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'SUB'  */    IF EXISTS (             SELECT 1             FROM   SUB c, deleted d             WHERE  c.SUB = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "SUB". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'TIMECARD'  */    IF EXISTS (             SELECT 1             FROM   TIMECARD c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "TIMECARD". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'TMPCST'  */    IF EXISTS (             SELECT 1             FROM   TMPCST c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "TMPCST". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'VENDORPN'  */    IF EXISTS (             SELECT 1             FROM   VENDORPN c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "VENDORPN". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'WPM'  */    IF EXISTS (             SELECT 1             FROM   WPM c, deleted d             WHERE  c.PARENT = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "WPM". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'WPMGL'  */    IF EXISTS (             SELECT 1             FROM   WPMGL c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "WPMGL". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'WPMGL'  */    IF EXISTS (             SELECT 1             FROM   WPMGL c, deleted d             WHERE  c.PARENT = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "WPMGL". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'WPMGLTMP'  */    IF EXISTS (             SELECT 1             FROM   WPMGLTMP c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "WPMGLTMP". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'WPMGLTMP'  */    IF EXISTS (             SELECT 1             FROM   WPMGLTMP c, deleted d             WHERE  c.PARENT = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "WPMGLTMP". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'MRP021'  */    IF EXISTS (             SELECT 1             FROM   MRP021 c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MRP021". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'MTXNHIST'  */    IF EXISTS (             SELECT 1             FROM   MTXNHIST c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MTXNHIST". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'WPL'  */    IF EXISTS (             SELECT 1             FROM   WPL c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "WPL". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'WPLCLS'  */    IF EXISTS (             SELECT 1             FROM   WPLCLS c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "WPLCLS". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'WPM'  */    IF EXISTS (             SELECT 1             FROM   WPM c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "WPM". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'WPMCLS'  */    IF EXISTS (             SELECT 1             FROM   WPMCLS c, deleted d             WHERE  c.PARENT = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "WPMCLS". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'WPMCLS'  */    IF EXISTS (             SELECT 1             FROM   WPMCLS c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "WPMCLS". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'INVENSM1'  */    IF EXISTS (             SELECT 1             FROM   INVENSM1 c, deleted d             WHERE  c.PARENT = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVENSM1". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'INVENSD'  */    IF EXISTS (             SELECT 1             FROM   INVENSD c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVENSD". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'BOAH'  */    IF EXISTS (             SELECT 1             FROM   BOAH c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "BOAH". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'COINVCD'  */    IF EXISTS (             SELECT 1             FROM   COINVCD c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COINVCD". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'CODO'  */    IF EXISTS (             SELECT 1             FROM   CODO c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CODO". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'Qmimp'  */    IF EXISTS (             SELECT 1             FROM   Qmimp c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "Qmimp". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'IEXP_HST'  */    IF EXISTS (             SELECT 1             FROM   IEXP_HST c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "IEXP_HST". Cannot delete parent "INV".'          GOTO error     END    /*  Parent in 'INV' cannot be deleted if children exist in 'INVSELL'  */    IF EXISTS (             SELECT 1             FROM   INVSELL c, deleted d             WHERE  c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVSELL". Cannot delete parent "INV".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_ADDCODE' for Table 'ADDCODE'  */    CREATE TRIGGER [dbo].[T_D_ADDCODE] ON [dbo].[ADDCODE] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'ADDCODE' cannot be deleted if children exist in 'ARINVCH'  */    IF EXISTS (             SELECT 1             FROM   ARINVCH c, deleted d             WHERE  c.ADDCODE = d.ADDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARINVCH". Cannot delete parent "ADDCODE".'          GOTO error     END    /*  Parent in 'ADDCODE' cannot be deleted if children exist in 'ARVAT'  */    IF EXISTS (             SELECT 1             FROM   ARVAT c, deleted d             WHERE  c.ADDCODE = d.ADDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARVAT". Cannot delete parent "ADDCODE".'          GOTO error     END    /*  Parent in 'ADDCODE' cannot be deleted if children exist in 'ARBAL'  */    IF EXISTS (             SELECT 1             FROM   ARBAL c, deleted d             WHERE  c.ADDCODE = d.ADDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARBAL". Cannot delete parent "ADDCODE".'          GOTO error     END    /*  Parent in 'ADDCODE' cannot be deleted if children exist in 'ARDET'  */    IF EXISTS (             SELECT 1             FROM   ARDET c, deleted d             WHERE  c.ADDCODE = d.ADDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARDET". Cannot delete parent "ADDCODE".'          GOTO error     END    /*  Parent in 'ADDCODE' cannot be deleted if children exist in 'GLARDIST'  */    IF EXISTS (             SELECT 1             FROM   GLARDIST c, deleted d             WHERE  c.ADDCODE = d.ADDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "GLARDIST". Cannot delete parent "ADDCODE".'          GOTO error     END    /*  Parent in 'ADDCODE' cannot be deleted if children exist in 'CHECKAR'  */    IF EXISTS (             SELECT 1             FROM   CHECKAR c, deleted d             WHERE  c.ADDCODE = d.ADDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CHECKAR". Cannot delete parent "ADDCODE".'          GOTO error     END    /*  Parent in 'ADDCODE' cannot be deleted if children exist in 'ARBALH'  */    IF EXISTS (             SELECT 1             FROM   ARBALH c, deleted d             WHERE  c.ADDCODE = d.ADDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARBALH". Cannot delete parent "ADDCODE".'          GOTO error     END    /*  Parent in 'ADDCODE' cannot be deleted if children exist in 'ADVE'  */    IF EXISTS (             SELECT 1             FROM   ADVE c, deleted d             WHERE  c.ADDCODE = d.ADDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ADVE". Cannot delete parent "ADDCODE".'          GOTO error     END    /*  Parent in 'ADDCODE' cannot be deleted if children exist in 'BKTRAN'  */    IF EXISTS (             SELECT 1             FROM   BKTRAN c, deleted d             WHERE  c.ADDCODE = d.ADDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "BKTRAN". Cannot delete parent "ADDCODE".'          GOTO error     END    /*  Parent in 'ADDCODE' cannot be deleted if children exist in 'APBAL'  */    IF EXISTS (             SELECT 1             FROM   APBAL c, deleted d             WHERE  c.ADDCODE = d.ADDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APBAL". Cannot delete parent "ADDCODE".'          GOTO error     END    /*  Parent in 'ADDCODE' cannot be deleted if children exist in 'APBALH'  */    IF EXISTS (             SELECT 1             FROM   APBALH c, deleted d             WHERE  c.ADDCODE = d.ADDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APBALH". Cannot delete parent "ADDCODE".'          GOTO error     END    /*  Parent in 'ADDCODE' cannot be deleted if children exist in 'APDET'  */    IF EXISTS (             SELECT 1             FROM   APDET c, deleted d             WHERE  c.ADDCODE = d.ADDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APDET". Cannot delete parent "ADDCODE".'          GOTO error     END    /*  Parent in 'ADDCODE' cannot be deleted if children exist in 'APINVCH'  */    IF EXISTS (             SELECT 1             FROM   APINVCH c, deleted d             WHERE  c.ADDCODE = d.ADDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APINVCH". Cannot delete parent "ADDCODE".'          GOTO error     END    /*  Parent in 'ADDCODE' cannot be deleted if children exist in 'CHECKAP'  */    IF EXISTS (             SELECT 1             FROM   CHECKAP c, deleted d             WHERE  c.ADDCODE = d.ADDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CHECKAP". Cannot delete parent "ADDCODE".'          GOTO error     END    /*  Parent in 'ADDCODE' cannot be deleted if children exist in 'APVAT'  */    IF EXISTS (             SELECT 1             FROM   APVAT c, deleted d             WHERE  c.ADDCODE = d.ADDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APVAT". Cannot delete parent "ADDCODE".'          GOTO error     END    /*  Parent in 'ADDCODE' cannot be deleted if children exist in 'GLAPDIST'  */    IF EXISTS (             SELECT 1             FROM   GLAPDIST c, deleted d             WHERE  c.ADDCODE = d.ADDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "GLAPDIST". Cannot delete parent "ADDCODE".'          GOTO error     END    /*  Parent in 'ADDCODE' cannot be deleted if children exist in 'APVATTMP'  */    IF EXISTS (             SELECT 1             FROM   APVATTMP c, deleted d             WHERE  c.ADDCODE = d.ADDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APVATTMP". Cannot delete parent "ADDCODE".'          GOTO error     END    /*  Parent in 'ADDCODE' cannot be deleted if children exist in 'BKTRHIST'  */    IF EXISTS (             SELECT 1             FROM   BKTRHIST c, deleted d             WHERE  c.ADDCODE = d.ADDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "BKTRHIST". Cannot delete parent "ADDCODE".'          GOTO error     END    /*  Parent in 'ADDCODE' cannot be deleted if children exist in 'ADV_OK'  */    IF EXISTS (             SELECT 1             FROM   ADV_OK c, deleted d             WHERE  c.ADDCODE = d.ADDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ADV_OK". Cannot delete parent "ADDCODE".'          GOTO error     END    /*  Parent in 'ADDCODE' cannot be deleted if children exist in 'ADVH_OK'  */    IF EXISTS (             SELECT 1             FROM   ADVH_OK c, deleted d             WHERE  c.ADDCODE = d.ADDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ADVH_OK". Cannot delete parent "ADDCODE".'          GOTO error     END    /*  Parent in 'ADDCODE' cannot be deleted if children exist in 'ADVH_CHD'  */    IF EXISTS (             SELECT 1             FROM   ADVH_CHD c, deleted d             WHERE  c.ADDCODE = d.ADDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ADVH_CHD". Cannot delete parent "ADDCODE".'          GOTO error     END    /*  Parent in 'ADDCODE' cannot be deleted if children exist in 'GLAVDIST'  */    IF EXISTS (             SELECT 1             FROM   GLAVDIST c, deleted d             WHERE  c.ADDCODE = d.ADDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "GLAVDIST". Cannot delete parent "ADDCODE".'          GOTO error     END    /*  Parent in 'ADDCODE' cannot be deleted if children exist in 'PTCE_HD'  */    IF EXISTS (             SELECT 1             FROM   PTCE_HD c, deleted d             WHERE  c.ADDCODE = d.ADDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PTCE_HD". Cannot delete parent "ADDCODE".'          GOTO error     END    /*  Parent in 'ADDCODE' cannot be deleted if children exist in 'PTCR_HD'  */    IF EXISTS (             SELECT 1             FROM   PTCR_HD c, deleted d             WHERE  c.ADDCODE = d.ADDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PTCR_HD". Cannot delete parent "ADDCODE".'          GOTO error     END    /*  Parent in 'ADDCODE' cannot be deleted if children exist in 'PTCH_ENH'  */    IF EXISTS (             SELECT 1             FROM   PTCH_ENH c, deleted d             WHERE  c.ADDCODE = d.ADDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PTCH_ENH". Cannot delete parent "ADDCODE".'          GOTO error     END    /*  Parent in 'ADDCODE' cannot be deleted if children exist in 'PTCH_RTH'  */    IF EXISTS (             SELECT 1             FROM   PTCH_RTH c, deleted d             WHERE  c.ADDCODE = d.ADDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PTCH_RTH". Cannot delete parent "ADDCODE".'          GOTO error     END    /*  Parent in 'ADDCODE' cannot be deleted if children exist in 'ADVC_HD'  */    IF EXISTS (             SELECT 1             FROM   ADVC_HD c, deleted d             WHERE  c.ADDCODE = d.ADDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ADVC_HD". Cannot delete parent "ADDCODE".'          GOTO error     END    /*  Parent in 'ADDCODE' cannot be deleted if children exist in 'MANCHKH'  */    IF EXISTS (             SELECT 1             FROM   MANCHKH c, deleted d             WHERE  c.ADDCODE = d.ADDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MANCHKH". Cannot delete parent "ADDCODE".'          GOTO error     END    /*  Parent in 'ADDCODE' cannot be deleted if children exist in 'ARRCTH'  */    IF EXISTS (             SELECT 1             FROM   ARRCTH c, deleted d             WHERE  c.ADDCODE = d.ADDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARRCTH". Cannot delete parent "ADDCODE".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_COMDTY' for Table 'COMDTY'  */    CREATE TRIGGER [dbo].[T_D_COMDTY] ON [dbo].[COMDTY] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'COMDTY' cannot be deleted if children exist in 'CYCCNT'  */    IF EXISTS (             SELECT 1             FROM   CYCCNT c, deleted d             WHERE  c.COMDTY = d.COMDTY            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CYCCNT". Cannot delete parent "COMDTY".'          GOTO error     END    /*  Parent in 'COMDTY' cannot be deleted if children exist in 'INV'  */    IF EXISTS (             SELECT 1             FROM   INV c, deleted d             WHERE  c.COMDTY = d.COMDTY            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INV". Cannot delete parent "COMDTY".'          GOTO error     END    /*  Parent in 'COMDTY' cannot be deleted if children exist in 'MRP011'  */    IF EXISTS (             SELECT 1             FROM   MRP011 c, deleted d             WHERE  c.COMDTY = d.COMDTY            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MRP011". Cannot delete parent "COMDTY".'          GOTO error     END    /*  Parent in 'COMDTY' cannot be deleted if children exist in 'PHYINV'  */    IF EXISTS (             SELECT 1             FROM   PHYINV c, deleted d             WHERE  c.COMDTY = d.COMDTY            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PHYINV". Cannot delete parent "COMDTY".'          GOTO error     END    /*  Parent in 'COMDTY' cannot be deleted if children exist in 'COINVCD'  */    IF EXISTS (             SELECT 1             FROM   COINVCD c, deleted d             WHERE  c.COMDTY = d.COMDTY            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COINVCD". Cannot delete parent "COMDTY".'          GOTO error     END    /*  Parent in 'COMDTY' cannot be deleted if children exist in 'INVSELL'  */    IF EXISTS (             SELECT 1             FROM   INVSELL c, deleted d             WHERE  c.COMDTY = d.COMDTY            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVSELL". Cannot delete parent "COMDTY".'          GOTO error     END    /*  Parent in 'COMDTY' cannot be deleted if children exist in 'PROINVX'  */    IF EXISTS (             SELECT 1             FROM   PROINVX c, deleted d             WHERE  c.COMDTY = d.COMDTY            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PROINVX". Cannot delete parent "COMDTY".'          GOTO error     END    /*  Parent in 'COMDTY' cannot be deleted if children exist in 'COMTAXX'  */    IF EXISTS (             SELECT 1             FROM   COMTAXX c, deleted d             WHERE  c.COMDTY = d.COMDTY            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMTAXX". Cannot delete parent "COMDTY".'          GOTO error     END    /*  Parent in 'COMDTY' cannot be deleted if children exist in 'COMMX'  */    IF EXISTS (             SELECT 1             FROM   COMMX c, deleted d             WHERE  c.COMDTY = d.COMDTY            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMMX". Cannot delete parent "COMDTY".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_ORDCODE' for Table 'ORDCODE'  */    CREATE TRIGGER [dbo].[T_D_ORDCODE] ON [dbo].[ORDCODE] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'ORDCODE' cannot be deleted if children exist in 'APEDITH'  */    IF EXISTS (             SELECT 1             FROM   APEDITH c, deleted d             WHERE  c.ORDCODE = d.ORDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APEDITH". Cannot delete parent "ORDCODE".'          GOTO error     END    /*  Parent in 'ORDCODE' cannot be deleted if children exist in 'APRTNH'  */    IF EXISTS (             SELECT 1             FROM   APRTNH c, deleted d             WHERE  c.ORDCODE = d.ORDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APRTNH". Cannot delete parent "ORDCODE".'          GOTO error     END    /*  Parent in 'ORDCODE' cannot be deleted if children exist in 'POMAST'  */    IF EXISTS (             SELECT 1             FROM   POMAST c, deleted d             WHERE  c.ORDCODE = d.ORDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "POMAST". Cannot delete parent "ORDCODE".'          GOTO error     END    /*  Parent in 'ORDCODE' cannot be deleted if children exist in 'POSHIPD'  */    IF EXISTS (             SELECT 1             FROM   POSHIPD c, deleted d             WHERE  c.ORDCODE = d.ORDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "POSHIPD". Cannot delete parent "ORDCODE".'          GOTO error     END    /*  Parent in 'ORDCODE' cannot be deleted if children exist in 'PURHIST'  */    IF EXISTS (             SELECT 1             FROM   PURHIST c, deleted d             WHERE  c.ORDCODE = d.ORDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PURHIST". Cannot delete parent "ORDCODE".'          GOTO error     END    /*  Parent in 'ORDCODE' cannot be deleted if children exist in 'PURINVC'  */    IF EXISTS (             SELECT 1             FROM   PURINVC c, deleted d             WHERE  c.ORDCODE = d.ORDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PURINVC". Cannot delete parent "ORDCODE".'          GOTO error     END    /*  Parent in 'ORDCODE' cannot be deleted if children exist in 'REQUEST'  */    IF EXISTS (             SELECT 1             FROM   REQUEST c, deleted d             WHERE  c.ORDCODE = d.ORDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "REQUEST". Cannot delete parent "ORDCODE".'          GOTO error     END    /*  Parent in 'ORDCODE' cannot be deleted if children exist in 'RESPONSE'  */    IF EXISTS (             SELECT 1             FROM   RESPONSE c, deleted d             WHERE  c.ORDCODE = d.ORDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "RESPONSE". Cannot delete parent "ORDCODE".'          GOTO error     END    /*  Parent in 'ORDCODE' cannot be deleted if children exist in 'RUNCONT'  */    IF EXISTS (             SELECT 1             FROM   RUNCONT c, deleted d             WHERE  c.ORDCODE = d.ORDCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "RUNCONT". Cannot delete parent "ORDCODE".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_POSITION' for Table 'POSITION'  */    CREATE TRIGGER [dbo].[T_D_POSITION] ON [dbo].[POSITION] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'POSITION' cannot be deleted if children exist in 'EMPLOYEE'  */    IF EXISTS (             SELECT 1             FROM   EMPLOYEE c, deleted d             WHERE  c.COMPCODE = d.COMPCODE AND                    c.POSCODE = d.POSCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "EMPLOYEE". Cannot delete parent "POSITION".'          GOTO error     END    /*  Parent in 'POSITION' cannot be deleted if children exist in 'POSDED'  */    IF EXISTS (             SELECT 1             FROM   POSDED c, deleted d             WHERE  c.COMPCODE = d.COMPCODE AND                    c.POSCODE = d.POSCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "POSDED". Cannot delete parent "POSITION".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_VENDOR' for Table 'VENDOR'  */    CREATE TRIGGER [dbo].[T_U_VENDOR] ON [dbo].[VENDOR] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'VENDOR' cannot be modified if children exist in 'APBAL'  */    IF UPDATE(VENDORID)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   APBAL c, inserted i, deleted d                  WHERE  c.VENDORID = d.VENDORID                  AND   (i.VENDORID != d.VENDORID)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "APBAL". Cannot modify Primary Key in "VENDOR".'               GOTO error          END  END    /*  The Primary Key of 'VENDOR' cannot be modified if children exist in 'APBALH'  */    IF UPDATE(VENDORID)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   APBALH c, inserted i, deleted d                  WHERE  c.VENDORID = d.VENDORID                  AND   (i.VENDORID != d.VENDORID)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "APBALH". Cannot modify Primary Key in "VENDOR".'               GOTO error          END  END    /*  The Primary Key of 'VENDOR' cannot be modified if children exist in 'APDET'  */    IF UPDATE(VENDORID)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   APDET c, inserted i, deleted d                  WHERE  c.VENDORID = d.VENDORID                  AND   (i.VENDORID != d.VENDORID)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "APDET". Cannot modify Primary Key in "VENDOR".'               GOTO error          END  END    /*  The Primary Key of 'VENDOR' cannot be modified if children exist in 'APVAT'  */    IF UPDATE(VENDORID)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   APVAT c, inserted i, deleted d                  WHERE  c.VENDORID = d.VENDORID                  AND   (i.VENDORID != d.VENDORID)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "APVAT". Cannot modify Primary Key in "VENDOR".'               GOTO error          END  END    /*  The Primary Key of 'VENDOR' cannot be modified if children exist in 'APVATTMP'  */    IF UPDATE(VENDORID)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   APVATTMP c, inserted i, deleted d                  WHERE  c.VENDORID = d.VENDORID                  AND   (i.VENDORID != d.VENDORID)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "APVATTMP". Cannot modify Primary Key in "VENDOR".'               GOTO error          END  END    /*  The Primary Key of 'VENDOR' cannot be modified if children exist in 'GLAPDIST'  */    IF UPDATE(VENDORID)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   GLAPDIST c, inserted i, deleted d                  WHERE  c.VENDORID = d.VENDORID                  AND   (i.VENDORID != d.VENDORID)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "GLAPDIST". Cannot modify Primary Key in "VENDOR".'               GOTO error          END  END    /*  The Primary Key of 'VENDOR' cannot be modified if children exist in 'INVLOC'  */    IF UPDATE(VENDORID)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   INVLOC c, inserted i, deleted d                  WHERE  c.VENDORID = d.VENDORID                  AND   (i.VENDORID != d.VENDORID)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "INVLOC". Cannot modify Primary Key in "VENDOR".'               GOTO error          END  END    /*  The Primary Key of 'VENDOR' cannot be modified if children exist in 'PINVLOC'  */    IF UPDATE(VENDORID)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   PINVLOC c, inserted i, deleted d                  WHERE  c.VENDORID = d.VENDORID                  AND   (i.VENDORID != d.VENDORID)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "PINVLOC". Cannot modify Primary Key in "VENDOR".'               GOTO error          END  END    /*  The Primary Key of 'VENDOR' cannot be modified if children exist in 'PLORD'  */    IF UPDATE(VENDORID)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   PLORD c, inserted i, deleted d                  WHERE  c.VENDORID = d.VENDORID                  AND   (i.VENDORID != d.VENDORID)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "PLORD". Cannot modify Primary Key in "VENDOR".'               GOTO error          END  END    /*  The Primary Key of 'VENDOR' cannot be modified if children exist in 'PURHIST'  */    IF UPDATE(VENDORID)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   PURHIST c, inserted i, deleted d                  WHERE  c.VENDORID = d.VENDORID                  AND   (i.VENDORID != d.VENDORID)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "PURHIST". Cannot modify Primary Key in "VENDOR".'               GOTO error          END  END    /*  The Primary Key of 'VENDOR' cannot be modified if children exist in 'PURINVC'  */    IF UPDATE(VENDORID)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   PURINVC c, inserted i, deleted d                  WHERE  c.VENDORID = d.VENDORID                  AND   (i.VENDORID != d.VENDORID)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "PURINVC". Cannot modify Primary Key in "VENDOR".'               GOTO error          END  END    /*  Cascade the Update of the Primary Key of 'VENDOR' into its children in 'ADVSETUP'  */    IF UPDATE(VENDORID)     BEGIN          UPDATE ADVSETUP          SET    VENDORID = i.VENDORID          FROM   ADVSETUP c, inserted i, deleted d          WHERE  c.VENDORID = d.VENDORID          AND    (i.VENDORID != d.VENDORID)     END    /*  Cascade the Update of the Primary Key of 'VENDOR' into its children in 'APCHECKS'  */    IF UPDATE(VENDORID)     BEGIN          UPDATE APCHECKS          SET    VENDORID = i.VENDORID          FROM   APCHECKS c, inserted i, deleted d          WHERE  c.VENDORID = d.VENDORID          AND    (i.VENDORID != d.VENDORID)     END    /*  Cascade the Update of the Primary Key of 'VENDOR' into its children in 'APINVCD'  */    IF UPDATE(VENDORID)     BEGIN          UPDATE APINVCD          SET    VENDORID = i.VENDORID          FROM   APINVCD c, inserted i, deleted d          WHERE  c.VENDORID = d.VENDORID          AND    (i.VENDORID != d.VENDORID)     END    /*  Cascade the Update of the Primary Key of 'VENDOR' into its children in 'APINVCH'  */    IF UPDATE(VENDORID)     BEGIN          UPDATE APINVCH          SET    VENDORID = i.VENDORID          FROM   APINVCH c, inserted i, deleted d          WHERE  c.VENDORID = d.VENDORID          AND    (i.VENDORID != d.VENDORID)     END    /*  Cascade the Update of the Primary Key of 'VENDOR' into its children in 'APMAST'  */    IF UPDATE(VENDORID)     BEGIN          UPDATE APMAST          SET    VENDORID = i.VENDORID          FROM   APMAST c, inserted i, deleted d          WHERE  c.VENDORID = d.VENDORID          AND    (i.VENDORID != d.VENDORID)     END    /*  Cascade the Update of the Primary Key of 'VENDOR' into its children in 'BILLRCD'  */    IF UPDATE(VENDORID)     BEGIN          UPDATE BILLRCD          SET    VENDORID = i.VENDORID          FROM   BILLRCD c, inserted i, deleted d          WHERE  c.VENDORID = d.VENDORID          AND    (i.VENDORID != d.VENDORID)     END    /*  Cascade the Update of the Primary Key of 'VENDOR' into its children in 'BILLRCDH'  */    IF UPDATE(VENDORID)     BEGIN          UPDATE BILLRCDH          SET    VENDORID = i.VENDORID          FROM   BILLRCDH c, inserted i, deleted d          WHERE  c.VENDORID = d.VENDORID          AND    (i.VENDORID != d.VENDORID)     END    /*  Cascade the Update of the Primary Key of 'VENDOR' into its children in 'BKMAST'  */    IF UPDATE(VENDORID)     BEGIN          UPDATE BKMAST          SET    APVENDOR = i.VENDORID          FROM   BKMAST c, inserted i, deleted d          WHERE  c.APVENDOR = d.VENDORID          AND    (i.VENDORID != d.VENDORID)     END    /*  Cascade the Update of the Primary Key of 'VENDOR' into its children in 'INV'  */    IF UPDATE(VENDORID)     BEGIN          UPDATE INV          SET    VENDOR = i.VENDORID          FROM   INV c, inserted i, deleted d          WHERE  c.VENDOR = d.VENDORID          AND    (i.VENDORID != d.VENDORID)     END    /*  Cascade the Update of the Primary Key of 'VENDOR' into its children in 'INVADJD'  */    IF UPDATE(VENDORID)     BEGIN          UPDATE INVADJD          SET    VENDORID = i.VENDORID          FROM   INVADJD c, inserted i, deleted d          WHERE  c.VENDORID = d.VENDORID          AND    (i.VENDORID != d.VENDORID)     END    /*  Cascade the Update of the Primary Key of 'VENDOR' into its children in 'LCTRAN'  */    IF UPDATE(VENDORID)     BEGIN          UPDATE LCTRAN          SET    VENDORID = i.VENDORID          FROM   LCTRAN c, inserted i, deleted d          WHERE  c.VENDORID = d.VENDORID          AND    (i.VENDORID != d.VENDORID)     END    /*  Cascade the Update of the Primary Key of 'VENDOR' into its children in 'MANCHECK'  */    IF UPDATE(VENDORID)     BEGIN          UPDATE MANCHECK          SET    VENDORID = i.VENDORID          FROM   MANCHECK c, inserted i, deleted d          WHERE  c.VENDORID = d.VENDORID          AND    (i.VENDORID != d.VENDORID)     END    /*  Cascade the Update of the Primary Key of 'VENDOR' into its children in 'MANCHKH'  */    IF UPDATE(VENDORID)     BEGIN          UPDATE MANCHKH          SET    VENDORID = i.VENDORID          FROM   MANCHKH c, inserted i, deleted d          WHERE  c.VENDORID = d.VENDORID          AND    (i.VENDORID != d.VENDORID)     END    /*  Cascade the Update of the Primary Key of 'VENDOR' into its children in 'POMAST'  */    IF UPDATE(VENDORID)     BEGIN          UPDATE POMAST          SET    VENDORID = i.VENDORID          FROM   POMAST c, inserted i, deleted d          WHERE  c.VENDORID = d.VENDORID          AND    (i.VENDORID != d.VENDORID)     END    /*  Cascade the Update of the Primary Key of 'VENDOR' into its children in 'POSHIPH'  */    IF UPDATE(VENDORID)     BEGIN          UPDATE POSHIPH          SET    VENDORID = i.VENDORID          FROM   POSHIPH c, inserted i, deleted d          WHERE  c.VENDORID = d.VENDORID          AND    (i.VENDORID != d.VENDORID)     END    /*  Cascade the Update of the Primary Key of 'VENDOR' into its children in 'PTCSETUP'  */    IF UPDATE(VENDORID)     BEGIN          UPDATE PTCSETUP          SET    VENDORID = i.VENDORID          FROM   PTCSETUP c, inserted i, deleted d          WHERE  c.VENDORID = d.VENDORID          AND    (i.VENDORID != d.VENDORID)     END    /*  Cascade the Update of the Primary Key of 'VENDOR' into its children in 'REQUEST'  */    IF UPDATE(VENDORID)     BEGIN          UPDATE REQUEST          SET    VENDORID = i.VENDORID          FROM   REQUEST c, inserted i, deleted d          WHERE  c.VENDORID = d.VENDORID          AND    (i.VENDORID != d.VENDORID)     END    /*  Cascade the Update of the Primary Key of 'VENDOR' into its children in 'SCHDALL'  */    IF UPDATE(VENDORID)     BEGIN          UPDATE SCHDALL          SET    VENDORID = i.VENDORID          FROM   SCHDALL c, inserted i, deleted d          WHERE  c.VENDORID = d.VENDORID          AND    (i.VENDORID != d.VENDORID)     END    /*  Cascade the Update of the Primary Key of 'VENDOR' into its children in 'VENDORPN'  */    IF UPDATE(VENDORID)     BEGIN          UPDATE VENDORPN          SET    VENDORID = i.VENDORID          FROM   VENDORPN c, inserted i, deleted d          WHERE  c.VENDORID = d.VENDORID          AND    (i.VENDORID != d.VENDORID)     END    /*  Cascade the Update of the Primary Key of 'VENDOR' into its children in 'WIPPS'  */    IF UPDATE(VENDORID)     BEGIN          UPDATE WIPPS          SET    VENDORID = i.VENDORID          FROM   WIPPS c, inserted i, deleted d          WHERE  c.VENDORID = d.VENDORID          AND    (i.VENDORID != d.VENDORID)     END    /*  Cascade the Update of the Primary Key of 'VENDOR' into its children in 'POSHIPD'  */    IF UPDATE(VENDORID)     BEGIN          UPDATE POSHIPD          SET    VENDORID = i.VENDORID          FROM   POSHIPD c, inserted i, deleted d          WHERE  c.VENDORID = d.VENDORID          AND    (i.VENDORID != d.VENDORID)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_WC' for Table 'WC'  */    CREATE TRIGGER [dbo].[T_U_WC] ON [dbo].[WC] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'WC' cannot be modified if children exist in 'FCSTCAP'  */    IF UPDATE(WC)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   FCSTCAP c, inserted i, deleted d                  WHERE  c.WC = d.WC                  AND   (i.WC != d.WC)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "FCSTCAP". Cannot modify Primary Key in "WC".'               GOTO error          END  END    /*  The Primary Key of 'WC' cannot be modified if children exist in 'LABGLHST'  */    IF UPDATE(WC)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   LABGLHST c, inserted i, deleted d                  WHERE  c.WC = d.WC                  AND   (i.WC != d.WC)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "LABGLHST". Cannot modify Primary Key in "WC".'               GOTO error          END  END    /*  The Primary Key of 'WC' cannot be modified if children exist in 'MACHCARD'  */    IF UPDATE(WC)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   MACHCARD c, inserted i, deleted d                  WHERE  c.WC = d.WC                  AND   (i.WC != d.WC)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "MACHCARD". Cannot modify Primary Key in "WC".'               GOTO error          END  END    /*  The Primary Key of 'WC' cannot be modified if children exist in 'MRP012'  */    IF UPDATE(WC)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   MRP012 c, inserted i, deleted d                  WHERE  c.WC = d.WC                  AND   (i.WC != d.WC)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "MRP012". Cannot modify Primary Key in "WC".'               GOTO error          END  END    /*  The Primary Key of 'WC' cannot be modified if children exist in 'PSCAP'  */    IF UPDATE(WC)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   PSCAP c, inserted i, deleted d                  WHERE  c.WC = d.WC                  AND   (i.WC != d.WC)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "PSCAP". Cannot modify Primary Key in "WC".'               GOTO error          END  END    /*  The Primary Key of 'WC' cannot be modified if children exist in 'TIMECARD'  */    IF UPDATE(WC)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   TIMECARD c, inserted i, deleted d                  WHERE  c.WC = d.WC                  AND   (i.WC != d.WC)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "TIMECARD". Cannot modify Primary Key in "WC".'               GOTO error          END  END    /*  The Primary Key of 'WC' cannot be modified if children exist in 'WPLCLS'  */    IF UPDATE(WC)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   WPLCLS c, inserted i, deleted d                  WHERE  c.WC = d.WC                  AND   (i.WC != d.WC)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "WPLCLS". Cannot modify Primary Key in "WC".'               GOTO error          END  END    /*  Cascade the Update of the Primary Key of 'WC' into its children in 'ESTRTG'  */    IF UPDATE(WC)     BEGIN          UPDATE ESTRTG          SET    WC = i.WC          FROM   ESTRTG c, inserted i, deleted d          WHERE  c.WC = d.WC          AND    (i.WC != d.WC)     END    /*  Cascade the Update of the Primary Key of 'WC' into its children in 'FCSTCAPQ'  */    IF UPDATE(WC)     BEGIN          UPDATE FCSTCAPQ          SET    WC = i.WC          FROM   FCSTCAPQ c, inserted i, deleted d          WHERE  c.WC = d.WC          AND    (i.WC != d.WC)     END    /*  Cascade the Update of the Primary Key of 'WC' into its children in 'HOLIWC'  */    IF UPDATE(WC)     BEGIN          UPDATE HOLIWC          SET    WC = i.WC          FROM   HOLIWC c, inserted i, deleted d          WHERE  c.WC = d.WC          AND    (i.WC != d.WC)     END    /*  Cascade the Update of the Primary Key of 'WC' into its children in 'RTG'  */    IF UPDATE(WC)     BEGIN          UPDATE RTG          SET    WC = i.WC          FROM   RTG c, inserted i, deleted d          WHERE  c.WC = d.WC          AND    (i.WC != d.WC)     END    /*  Cascade the Update of the Primary Key of 'WC' into its children in 'SFC201A'  */    IF UPDATE(WC)     BEGIN          UPDATE SFC201A          SET    WC = i.WC          FROM   SFC201A c, inserted i, deleted d          WHERE  c.WC = d.WC          AND    (i.WC != d.WC)     END    /*  Cascade the Update of the Primary Key of 'WC' into its children in 'WORKCAP'  */    IF UPDATE(WC)     BEGIN          UPDATE WORKCAP          SET    WC = i.WC          FROM   WORKCAP c, inserted i, deleted d          WHERE  c.WC = d.WC          AND    (i.WC != d.WC)     END    /*  Cascade the Update of the Primary Key of 'WC' into its children in 'WPL'  */    IF UPDATE(WC)     BEGIN          UPDATE WPL          SET    WC = i.WC          FROM   WPL c, inserted i, deleted d          WHERE  c.WC = d.WC          AND    (i.WC != d.WC)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_DEPT' for Table 'DEPT'  */    CREATE TRIGGER [dbo].[T_U_DEPT] ON [dbo].[DEPT] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'DEPT' into its children in 'EMPLOYEE'  */    IF UPDATE(COMPCODE) OR     UPDATE(BRNCODE) OR     UPDATE(DEPTCODE)     BEGIN          UPDATE EMPLOYEE          SET    COMPCODE = i.COMPCODE ,                 BRNCODE = i.BRNCODE ,                 DEPTCODE = i.DEPTCODE          FROM   EMPLOYEE c, inserted i, deleted d          WHERE  c.COMPCODE = d.COMPCODE AND                 c.BRNCODE = d.BRNCODE AND                 c.DEPTCODE = d.DEPTCODE          AND    (i.COMPCODE != d.COMPCODE OR                 i.BRNCODE != d.BRNCODE OR                 i.DEPTCODE != d.DEPTCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_VENDCLAS' for Table 'VENDCLAS'  */    CREATE TRIGGER [dbo].[T_U_VENDCLAS] ON [dbo].[VENDCLAS] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'VENDCLAS' cannot be modified if children exist in 'APBAL'  */    IF UPDATE(VENDCLASS)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   APBAL c, inserted i, deleted d                  WHERE  c.VENDCLASS = d.VENDCLASS                  AND   (i.VENDCLASS != d.VENDCLASS)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "APBAL". Cannot modify Primary Key in "VENDCLAS".'               GOTO error          END  END    /*  The Primary Key of 'VENDCLAS' cannot be modified if children exist in 'APBALH'  */    IF UPDATE(VENDCLASS)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   APBALH c, inserted i, deleted d                  WHERE  c.VENDCLASS = d.VENDCLASS                  AND   (i.VENDCLASS != d.VENDCLASS)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "APBALH". Cannot modify Primary Key in "VENDCLAS".'               GOTO error          END  END    /*  The Primary Key of 'VENDCLAS' cannot be modified if children exist in 'APDET'  */    IF UPDATE(VENDCLASS)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   APDET c, inserted i, deleted d                  WHERE  c.VENDCLASS = d.VENDCLASS                  AND   (i.VENDCLASS != d.VENDCLASS)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "APDET". Cannot modify Primary Key in "VENDCLAS".'               GOTO error          END  END    /*  The Primary Key of 'VENDCLAS' cannot be modified if children exist in 'GLAPDIST'  */    IF UPDATE(VENDCLASS)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   GLAPDIST c, inserted i, deleted d                  WHERE  c.VENDCLASS = d.VENDCLASS                  AND   (i.VENDCLASS != d.VENDCLASS)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "GLAPDIST". Cannot modify Primary Key in "VENDCLAS".'               GOTO error          END  END    /*  Cascade the Update of the Primary Key of 'VENDCLAS' into its children in 'APINVCH'  */    IF UPDATE(VENDCLASS)     BEGIN          UPDATE APINVCH          SET    VENDCLASS = i.VENDCLASS          FROM   APINVCH c, inserted i, deleted d          WHERE  c.VENDCLASS = d.VENDCLASS          AND    (i.VENDCLASS != d.VENDCLASS)     END    /*  Cascade the Update of the Primary Key of 'VENDCLAS' into its children in 'APMAST'  */    IF UPDATE(VENDCLASS)     BEGIN          UPDATE APMAST          SET    VENDCLASS = i.VENDCLASS          FROM   APMAST c, inserted i, deleted d          WHERE  c.VENDCLASS = d.VENDCLASS          AND    (i.VENDCLASS != d.VENDCLASS)     END    /*  Cascade the Update of the Primary Key of 'VENDCLAS' into its children in 'POMAST'  */    IF UPDATE(VENDCLASS)     BEGIN          UPDATE POMAST          SET    VENDCLASS = i.VENDCLASS          FROM   POMAST c, inserted i, deleted d          WHERE  c.VENDCLASS = d.VENDCLASS          AND    (i.VENDCLASS != d.VENDCLASS)     END    /*  Cascade the Update of the Primary Key of 'VENDCLAS' into its children in 'POSHIPD'  */    IF UPDATE(VENDCLASS)     BEGIN          UPDATE POSHIPD          SET    VENDCLASS = i.VENDCLASS          FROM   POSHIPD c, inserted i, deleted d          WHERE  c.VENDCLASS = d.VENDCLASS          AND    (i.VENDCLASS != d.VENDCLASS)     END    /*  Cascade the Update of the Primary Key of 'VENDCLAS' into its children in 'VENDOR'  */    IF UPDATE(VENDCLASS)     BEGIN          UPDATE VENDOR          SET    VENDCLASS = i.VENDCLASS          FROM   VENDOR c, inserted i, deleted d          WHERE  c.VENDCLASS = d.VENDCLASS          AND    (i.VENDCLASS != d.VENDCLASS)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_SFC301H' for Table 'SFC301H'  */    CREATE TRIGGER [dbo].[T_U_SFC301H] ON [dbo].[SFC301H] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'SFC301H' into its children in 'SFC301'  */    IF UPDATE(ORD) OR     UPDATE(TRANSNO)     BEGIN          UPDATE SFC301          SET    ORD = i.ORD ,                 TRANSNO = i.TRANSNO          FROM   SFC301 c, inserted i, deleted d          WHERE  c.ORD = d.ORD AND                 c.TRANSNO = d.TRANSNO          AND    (i.ORD != d.ORD OR                 i.TRANSNO != d.TRANSNO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_CUSTOMER' for Table 'CUSTOMER'  */    CREATE TRIGGER [dbo].[T_U_CUSTOMER] ON [dbo].[CUSTOMER] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'CUSTOMER' cannot be modified if children exist in 'ARBAL'  */    IF UPDATE(CUSTID)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARBAL c, inserted i, deleted d                  WHERE  c.CUSTID = d.CUSTID                  AND   (i.CUSTID != d.CUSTID)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARBAL". Cannot modify Primary Key in "CUSTOMER".'               GOTO error          END  END    /*  The Primary Key of 'CUSTOMER' cannot be modified if children exist in 'ARBALH'  */    IF UPDATE(CUSTID)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARBALH c, inserted i, deleted d                  WHERE  c.CUSTID = d.CUSTID                  AND   (i.CUSTID != d.CUSTID)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARBALH". Cannot modify Primary Key in "CUSTOMER".'               GOTO error          END  END    /*  The Primary Key of 'CUSTOMER' cannot be modified if children exist in 'ARDET'  */    IF UPDATE(CUSTID)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARDET c, inserted i, deleted d                  WHERE  c.CUSTID = d.CUSTID                  AND   (i.CUSTID != d.CUSTID)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARDET". Cannot modify Primary Key in "CUSTOMER".'               GOTO error          END  END    /*  The Primary Key of 'CUSTOMER' cannot be modified if children exist in 'ARVAT'  */    IF UPDATE(CUSTID)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARVAT c, inserted i, deleted d                  WHERE  c.CUSTID = d.CUSTID                  AND   (i.CUSTID != d.CUSTID)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARVAT". Cannot modify Primary Key in "CUSTOMER".'               GOTO error          END  END    /*  The Primary Key of 'CUSTOMER' cannot be modified if children exist in 'CHECKAR'  */    IF UPDATE(CUSTID)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   CHECKAR c, inserted i, deleted d                  WHERE  c.CUSTID = d.CUSTID                  AND   (i.CUSTID != d.CUSTID)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "CHECKAR". Cannot modify Primary Key in "CUSTOMER".'               GOTO error          END  END    /*  The Primary Key of 'CUSTOMER' cannot be modified if children exist in 'COMMHIST'  */    IF UPDATE(CUSTID)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   COMMHIST c, inserted i, deleted d                  WHERE  c.CUSTID = d.CUSTID                  AND   (i.CUSTID != d.CUSTID)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "COMMHIST". Cannot modify Primary Key in "CUSTOMER".'               GOTO error          END  END    /*  The Primary Key of 'CUSTOMER' cannot be modified if children exist in 'GLARDIST'  */    IF UPDATE(CUSTID)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   GLARDIST c, inserted i, deleted d                  WHERE  c.CUSTID = d.CUSTID                  AND   (i.CUSTID != d.CUSTID)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "GLARDIST". Cannot modify Primary Key in "CUSTOMER".'               GOTO error          END  END    /*  The Primary Key of 'CUSTOMER' cannot be modified if children exist in 'JOBHIST'  */    IF UPDATE(CUSTID)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   JOBHIST c, inserted i, deleted d                  WHERE  c.CUSTID = d.CUSTID                  AND   (i.CUSTID != d.CUSTID)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "JOBHIST". Cannot modify Primary Key in "CUSTOMER".'               GOTO error          END  END    /*  The Primary Key of 'CUSTOMER' cannot be modified if children exist in 'ORDCLS'  */    IF UPDATE(CUSTID)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ORDCLS c, inserted i, deleted d                  WHERE  c.CUSTID = d.CUSTID                  AND   (i.CUSTID != d.CUSTID)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ORDCLS". Cannot modify Primary Key in "CUSTOMER".'               GOTO error          END  END    /*  The Primary Key of 'CUSTOMER' cannot be modified if children exist in 'WKORD'  */    IF UPDATE(CUSTID)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   WKORD c, inserted i, deleted d                  WHERE  c.CUSTID = d.CUSTID                  AND   (i.CUSTID != d.CUSTID)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "WKORD". Cannot modify Primary Key in "CUSTOMER".'               GOTO error          END  END    /*  The Primary Key of 'CUSTOMER' cannot be modified if children exist in 'SHIPHIST'  */    IF UPDATE(CUSTID)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   SHIPHIST c, inserted i, deleted d                  WHERE  c.CUSTID = d.CUSTID                  AND   (i.CUSTID != d.CUSTID)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "SHIPHIST". Cannot modify Primary Key in "CUSTOMER".'               GOTO error          END  END    /*  Cascade the Update of the Primary Key of 'CUSTOMER' into its children in 'ADVSETUP'  */    IF UPDATE(CUSTID)     BEGIN          UPDATE ADVSETUP          SET    CUSTOMER = i.CUSTID          FROM   ADVSETUP c, inserted i, deleted d          WHERE  c.CUSTOMER = d.CUSTID          AND    (i.CUSTID != d.CUSTID)     END    /*  Cascade the Update of the Primary Key of 'CUSTOMER' into its children in 'ARINVCD'  */    IF UPDATE(CUSTID)     BEGIN          UPDATE ARINVCD          SET    CUSTID = i.CUSTID          FROM   ARINVCD c, inserted i, deleted d          WHERE  c.CUSTID = d.CUSTID          AND    (i.CUSTID != d.CUSTID)     END    /*  Cascade the Update of the Primary Key of 'CUSTOMER' into its children in 'ARINVCH'  */    IF UPDATE(CUSTID)     BEGIN          UPDATE ARINVCH          SET    CUSTID = i.CUSTID          FROM   ARINVCH c, inserted i, deleted d          WHERE  c.CUSTID = d.CUSTID          AND    (i.CUSTID != d.CUSTID)     END    /*  Cascade the Update of the Primary Key of 'CUSTOMER' into its children in 'ARRCTH'  */    IF UPDATE(CUSTID)     BEGIN          UPDATE ARRCTH          SET    CUSTID = i.CUSTID          FROM   ARRCTH c, inserted i, deleted d          WHERE  c.CUSTID = d.CUSTID          AND    (i.CUSTID != d.CUSTID)     END    /*  Cascade the Update of the Primary Key of 'CUSTOMER' into its children in 'ARRTN'  */    IF UPDATE(CUSTID)     BEGIN          UPDATE ARRTN          SET    CUSTID = i.CUSTID          FROM   ARRTN c, inserted i, deleted d          WHERE  c.CUSTID = d.CUSTID          AND    (i.CUSTID != d.CUSTID)     END    /*  Cascade the Update of the Primary Key of 'CUSTOMER' into its children in 'BILL'  */    IF UPDATE(CUSTID)     BEGIN          UPDATE BILL          SET    CUSTID = i.CUSTID          FROM   BILL c, inserted i, deleted d          WHERE  c.CUSTID = d.CUSTID          AND    (i.CUSTID != d.CUSTID)     END    /*  Cascade the Update of the Primary Key of 'CUSTOMER' into its children in 'BILLH'  */    IF UPDATE(CUSTID)     BEGIN          UPDATE BILLH          SET    CUSTID = i.CUSTID          FROM   BILLH c, inserted i, deleted d          WHERE  c.CUSTID = d.CUSTID          AND    (i.CUSTID != d.CUSTID)     END    /*  Cascade the Update of the Primary Key of 'CUSTOMER' into its children in 'BKMAST'  */    IF UPDATE(CUSTID)     BEGIN          UPDATE BKMAST          SET    ARCUSTID = i.CUSTID          FROM   BKMAST c, inserted i, deleted d          WHERE  c.ARCUSTID = d.CUSTID          AND    (i.CUSTID != d.CUSTID)     END    /*  Cascade the Update of the Primary Key of 'CUSTOMER' into its children in 'CODET'  */    IF UPDATE(CUSTID)     BEGIN          UPDATE CODET          SET    CUSTID = i.CUSTID          FROM   CODET c, inserted i, deleted d          WHERE  c.CUSTID = d.CUSTID          AND    (i.CUSTID != d.CUSTID)     END    /*  Cascade the Update of the Primary Key of 'CUSTOMER' into its children in 'COMAST'  */    IF UPDATE(CUSTID)     BEGIN          UPDATE COMAST          SET    CUSTID = i.CUSTID          FROM   COMAST c, inserted i, deleted d          WHERE  c.CUSTID = d.CUSTID          AND    (i.CUSTID != d.CUSTID)     END    /*  Cascade the Update of the Primary Key of 'CUSTOMER' into its children in 'CUSTPN'  */    IF UPDATE(CUSTID)     BEGIN          UPDATE CUSTPN          SET    CUSTID = i.CUSTID          FROM   CUSTPN c, inserted i, deleted d          WHERE  c.CUSTID = d.CUSTID          AND    (i.CUSTID != d.CUSTID)     END    /*  Cascade the Update of the Primary Key of 'CUSTOMER' into its children in 'ESTHDR'  */    IF UPDATE(CUSTID)     BEGIN          UPDATE ESTHDR          SET    CUSTID = i.CUSTID          FROM   ESTHDR c, inserted i, deleted d          WHERE  c.CUSTID = d.CUSTID          AND    (i.CUSTID != d.CUSTID)     END    /*  Cascade the Update of the Primary Key of 'CUSTOMER' into its children in 'OEINVCD'  */    IF UPDATE(CUSTID)     BEGIN          UPDATE OEINVCD          SET    CUSTID = i.CUSTID          FROM   OEINVCD c, inserted i, deleted d          WHERE  c.CUSTID = d.CUSTID          AND    (i.CUSTID != d.CUSTID)     END    /*  Cascade the Update of the Primary Key of 'CUSTOMER' into its children in 'ORD'  */    IF UPDATE(CUSTID)     BEGIN          UPDATE ORD          SET    CUSTID = i.CUSTID          FROM   ORD c, inserted i, deleted d          WHERE  c.CUSTID = d.CUSTID          AND    (i.CUSTID != d.CUSTID)     END    /*  Cascade the Update of the Primary Key of 'CUSTOMER' into its children in 'ORDHOLD'  */    IF UPDATE(CUSTID)     BEGIN          UPDATE ORDHOLD          SET    CUSTID = i.CUSTID          FROM   ORDHOLD c, inserted i, deleted d          WHERE  c.CUSTID = d.CUSTID          AND    (i.CUSTID != d.CUSTID)     END    /*  Cascade the Update of the Primary Key of 'CUSTOMER' into its children in 'PRICE'  */    IF UPDATE(CUSTID)     BEGIN          UPDATE PRICE          SET    CUSTID = i.CUSTID          FROM   PRICE c, inserted i, deleted d          WHERE  c.CUSTID = d.CUSTID          AND    (i.CUSTID != d.CUSTID)     END    /*  Cascade the Update of the Primary Key of 'CUSTOMER' into its children in 'SERIAL'  */    IF UPDATE(CUSTID)     BEGIN          UPDATE SERIAL          SET    CUSTID = i.CUSTID          FROM   SERIAL c, inserted i, deleted d          WHERE  c.CUSTID = d.CUSTID          AND    (i.CUSTID != d.CUSTID)     END    /*  Cascade the Update of the Primary Key of 'CUSTOMER' into its children in 'SHIPADDR'  */    IF UPDATE(CUSTID)     BEGIN          UPDATE SHIPADDR          SET    CUSTID = i.CUSTID          FROM   SHIPADDR c, inserted i, deleted d          WHERE  c.CUSTID = d.CUSTID          AND    (i.CUSTID != d.CUSTID)     END    /*  Cascade the Update of the Primary Key of 'CUSTOMER' into its children in 'OEINVCH'  */    IF UPDATE(CUSTID)     BEGIN          UPDATE OEINVCH          SET    CUSTID = i.CUSTID          FROM   OEINVCH c, inserted i, deleted d          WHERE  c.CUSTID = d.CUSTID          AND    (i.CUSTID != d.CUSTID)     END    /*  Cascade the Update of the Primary Key of 'CUSTOMER' into its children in 'BOAH'  */    IF UPDATE(CUSTID)     BEGIN          UPDATE BOAH          SET    CUSTID = i.CUSTID          FROM   BOAH c, inserted i, deleted d          WHERE  c.CUSTID = d.CUSTID          AND    (i.CUSTID != d.CUSTID)     END    /*  Cascade the Update of the Primary Key of 'CUSTOMER' into its children in 'COINVCH'  */    IF UPDATE(CUSTID)     BEGIN          UPDATE COINVCH          SET    CUSTID = i.CUSTID          FROM   COINVCH c, inserted i, deleted d          WHERE  c.CUSTID = d.CUSTID          AND    (i.CUSTID != d.CUSTID)     END    /*  Cascade the Update of the Primary Key of 'CUSTOMER' into its children in 'MULRCDH'  */    IF UPDATE(CUSTID)     BEGIN          UPDATE MULRCDH          SET    CUSTID = i.CUSTID          FROM   MULRCDH c, inserted i, deleted d          WHERE  c.CUSTID = d.CUSTID          AND    (i.CUSTID != d.CUSTID)     END    /*  Cascade the Update of the Primary Key of 'CUSTOMER' into its children in 'PRICEEX'  */    IF UPDATE(CUSTID)     BEGIN          UPDATE PRICEEX          SET    CUSTID = i.CUSTID          FROM   PRICEEX c, inserted i, deleted d          WHERE  c.CUSTID = d.CUSTID          AND    (i.CUSTID != d.CUSTID)     END    /*  Cascade the Update of the Primary Key of 'CUSTOMER' into its children in 'PROINVH'  */    IF UPDATE(CUSTID)     BEGIN          UPDATE PROINVH          SET    CUSTID = i.CUSTID          FROM   PROINVH c, inserted i, deleted d          WHERE  c.CUSTID = d.CUSTID          AND    (i.CUSTID != d.CUSTID)     END    /*  Cascade the Update of the Primary Key of 'CUSTOMER' into its children in 'COMTAXH'  */    IF UPDATE(CUSTID)     BEGIN          UPDATE COMTAXH          SET    CUSTID = i.CUSTID          FROM   COMTAXH c, inserted i, deleted d          WHERE  c.CUSTID = d.CUSTID          AND    (i.CUSTID != d.CUSTID)     END    /*  Cascade the Update of the Primary Key of 'CUSTOMER' into its children in 'COMMH'  */    IF UPDATE(CUSTID)     BEGIN          UPDATE COMMH          SET    CUSTID = i.CUSTID          FROM   COMMH c, inserted i, deleted d          WHERE  c.CUSTID = d.CUSTID          AND    (i.CUSTID != d.CUSTID)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_TAX_PAY' for Table 'TAX_PAY'  */    CREATE TRIGGER [dbo].[T_U_TAX_PAY] ON [dbo].[TAX_PAY] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'TAX_PAY' cannot be modified if children exist in 'APBAL'  */    IF UPDATE(TAXCODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   APBAL c, inserted i, deleted d                  WHERE  c.TAXCODE = d.TAXCODE                  AND   (i.TAXCODE != d.TAXCODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "APBAL". Cannot modify Primary Key in "TAX_PAY".'               GOTO error          END  END    /*  The Primary Key of 'TAX_PAY' cannot be modified if children exist in 'APBALH'  */    IF UPDATE(TAXCODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   APBALH c, inserted i, deleted d                  WHERE  c.TAXCODE = d.TAXCODE                  AND   (i.TAXCODE != d.TAXCODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "APBALH". Cannot modify Primary Key in "TAX_PAY".'               GOTO error          END  END    /*  The Primary Key of 'TAX_PAY' cannot be modified if children exist in 'APVAT'  */    IF UPDATE(TAXCODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   APVAT c, inserted i, deleted d                  WHERE  c.TAXCODE = d.TAXCODE                  AND   (i.TAXCODE != d.TAXCODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "APVAT". Cannot modify Primary Key in "TAX_PAY".'               GOTO error          END  END    /*  The Primary Key of 'TAX_PAY' cannot be modified if children exist in 'APVATTMP'  */    IF UPDATE(TAXCODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   APVATTMP c, inserted i, deleted d                  WHERE  c.TAXCODE = d.TAXCODE                  AND   (i.TAXCODE != d.TAXCODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "APVATTMP". Cannot modify Primary Key in "TAX_PAY".'               GOTO error          END  END    /*  The Primary Key of 'TAX_PAY' cannot be modified if children exist in 'ARBAL'  */    IF UPDATE(TAXCODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARBAL c, inserted i, deleted d                  WHERE  c.TAXCODE = d.TAXCODE                  AND   (i.TAXCODE != d.TAXCODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARBAL". Cannot modify Primary Key in "TAX_PAY".'               GOTO error          END  END    /*  The Primary Key of 'TAX_PAY' cannot be modified if children exist in 'ARBALH'  */    IF UPDATE(TAXCODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARBALH c, inserted i, deleted d                  WHERE  c.TAXCODE = d.TAXCODE                  AND   (i.TAXCODE != d.TAXCODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARBALH". Cannot modify Primary Key in "TAX_PAY".'               GOTO error          END  END    /*  Cascade the Update of the Primary Key of 'TAX_PAY' into its children in 'ADVC_EXP'  */    IF UPDATE(TAXCODE)     BEGIN          UPDATE ADVC_EXP          SET    TAXCODE = i.TAXCODE          FROM   ADVC_EXP c, inserted i, deleted d          WHERE  c.TAXCODE = d.TAXCODE          AND    (i.TAXCODE != d.TAXCODE)     END    /*  Cascade the Update of the Primary Key of 'TAX_PAY' into its children in 'APCHECKS'  */    IF UPDATE(TAXCODE)     BEGIN          UPDATE APCHECKS          SET    TAXCODE = i.TAXCODE          FROM   APCHECKS c, inserted i, deleted d          WHERE  c.TAXCODE = d.TAXCODE          AND    (i.TAXCODE != d.TAXCODE)     END    /*  Cascade the Update of the Primary Key of 'TAX_PAY' into its children in 'APINVCH'  */    IF UPDATE(TAXCODE)     BEGIN          UPDATE APINVCH          SET    TAXCODE = i.TAXCODE          FROM   APINVCH c, inserted i, deleted d          WHERE  c.TAXCODE = d.TAXCODE          AND    (i.TAXCODE != d.TAXCODE)     END    /*  Cascade the Update of the Primary Key of 'TAX_PAY' into its children in 'APMAST'  */    IF UPDATE(TAXCODE)     BEGIN          UPDATE APMAST          SET    TAXCODE = i.TAXCODE          FROM   APMAST c, inserted i, deleted d          WHERE  c.TAXCODE = d.TAXCODE          AND    (i.TAXCODE != d.TAXCODE)     END    /*  Cascade the Update of the Primary Key of 'TAX_PAY' into its children in 'MANCHECK'  */    IF UPDATE(TAXCODE)     BEGIN          UPDATE MANCHECK          SET    TAXCODE = i.TAXCODE          FROM   MANCHECK c, inserted i, deleted d          WHERE  c.TAXCODE = d.TAXCODE          AND    (i.TAXCODE != d.TAXCODE)     END    /*  Cascade the Update of the Primary Key of 'TAX_PAY' into its children in 'POMAST'  */    IF UPDATE(TAXCODE)     BEGIN          UPDATE POMAST          SET    TAXCODE = i.TAXCODE          FROM   POMAST c, inserted i, deleted d          WHERE  c.TAXCODE = d.TAXCODE          AND    (i.TAXCODE != d.TAXCODE)     END    /*  Cascade the Update of the Primary Key of 'TAX_PAY' into its children in 'PTCE_DT'  */    IF UPDATE(TAXCODE)     BEGIN          UPDATE PTCE_DT          SET    TAXCODE = i.TAXCODE          FROM   PTCE_DT c, inserted i, deleted d          WHERE  c.TAXCODE = d.TAXCODE          AND    (i.TAXCODE != d.TAXCODE)     END    /*  Cascade the Update of the Primary Key of 'TAX_PAY' into its children in 'PTCH_END'  */    IF UPDATE(TAXCODE)     BEGIN          UPDATE PTCH_END          SET    TAXCODE = i.TAXCODE          FROM   PTCH_END c, inserted i, deleted d          WHERE  c.TAXCODE = d.TAXCODE          AND    (i.TAXCODE != d.TAXCODE)     END    /*  Cascade the Update of the Primary Key of 'TAX_PAY' into its children in 'TAX_PAY'  */    IF UPDATE(TAXCODE)     BEGIN          UPDATE TAX_PAY          SET    REFTAX = i.TAXCODE          FROM   TAX_PAY c, inserted i, deleted d          WHERE  c.REFTAX = d.TAXCODE          AND    (i.TAXCODE != d.TAXCODE)     END    /*  Cascade the Update of the Primary Key of 'TAX_PAY' into its children in 'VENDOR'  */    IF UPDATE(TAXCODE)     BEGIN          UPDATE VENDOR          SET    TAXCODE = i.TAXCODE          FROM   VENDOR c, inserted i, deleted d          WHERE  c.TAXCODE = d.TAXCODE          AND    (i.TAXCODE != d.TAXCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_Retroh' for Table 'Retroh'  */    CREATE TRIGGER [dbo].[T_U_Retroh] ON [dbo].[Retroh] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'Retroh' into its children in 'Retrod'  */    IF UPDATE(COMPCODE) OR     UPDATE(BRNCODE) OR     UPDATE(DEPTCODE) OR     UPDATE(EMPCODE) OR     UPDATE(PERIOD) OR     UPDATE(MONTH) OR     UPDATE(YEAR)     BEGIN          UPDATE Retrod          SET    COMPCODE = i.COMPCODE ,                 EMPCODE = i.EMPCODE ,                 PERIOD = i.PERIOD ,                 MONTH = i.MONTH ,                 YEAR = i.YEAR ,                 BRNCODE = i.BRNCODE ,                 DEPTCODE = i.DEPTCODE          FROM   Retrod c, inserted i, deleted d          WHERE  c.COMPCODE = d.COMPCODE AND                 c.EMPCODE = d.EMPCODE AND                 c.PERIOD = d.PERIOD AND                 c.MONTH = d.MONTH AND                 c.YEAR = d.YEAR AND                 c.BRNCODE = d.BRNCODE AND                 c.DEPTCODE = d.DEPTCODE          AND    (i.COMPCODE != d.COMPCODE OR                 i.EMPCODE != d.EMPCODE OR                 i.PERIOD != d.PERIOD OR                 i.MONTH != d.MONTH OR                 i.YEAR != d.YEAR OR                 i.BRNCODE != d.BRNCODE OR                 i.DEPTCODE != d.DEPTCODE)     END    /*  Cascade the Update of the Primary Key of 'Retroh' into its children in 'Retrop'  */    IF UPDATE(COMPCODE) OR     UPDATE(BRNCODE) OR     UPDATE(DEPTCODE) OR     UPDATE(EMPCODE) OR     UPDATE(PERIOD) OR     UPDATE(MONTH) OR     UPDATE(YEAR)     BEGIN          UPDATE Retrop          SET    COMPCODE = i.COMPCODE ,                 EMPCODE = i.EMPCODE ,                 PERIOD = i.PERIOD ,                 MONTH = i.MONTH ,                 YEAR = i.YEAR ,                 BRNCODE = i.BRNCODE ,                 DEPTCODE = i.DEPTCODE          FROM   Retrop c, inserted i, deleted d          WHERE  c.COMPCODE = d.COMPCODE AND                 c.EMPCODE = d.EMPCODE AND                 c.PERIOD = d.PERIOD AND                 c.MONTH = d.MONTH AND                 c.YEAR = d.YEAR AND                 c.BRNCODE = d.BRNCODE AND                 c.DEPTCODE = d.DEPTCODE          AND    (i.COMPCODE != d.COMPCODE OR                 i.EMPCODE != d.EMPCODE OR                 i.PERIOD != d.PERIOD OR                 i.MONTH != d.MONTH OR                 i.YEAR != d.YEAR OR                 i.BRNCODE != d.BRNCODE OR                 i.DEPTCODE != d.DEPTCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_ORDCODE' for Table 'ORDCODE'  */    CREATE TRIGGER [dbo].[T_U_ORDCODE] ON [dbo].[ORDCODE] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'ORDCODE' cannot be modified if children exist in 'PURHIST'  */    IF UPDATE(ORDCODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   PURHIST c, inserted i, deleted d                  WHERE  c.ORDCODE = d.ORDCODE                  AND   (i.ORDCODE != d.ORDCODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "PURHIST". Cannot modify Primary Key in "ORDCODE".'               GOTO error          END  END    /*  The Primary Key of 'ORDCODE' cannot be modified if children exist in 'PURINVC'  */    IF UPDATE(ORDCODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   PURINVC c, inserted i, deleted d                  WHERE  c.ORDCODE = d.ORDCODE                  AND   (i.ORDCODE != d.ORDCODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "PURINVC". Cannot modify Primary Key in "ORDCODE".'               GOTO error          END  END    /*  Cascade the Update of the Primary Key of 'ORDCODE' into its children in 'APEDITH'  */    IF UPDATE(ORDCODE)     BEGIN          UPDATE APEDITH          SET    ORDCODE = i.ORDCODE          FROM   APEDITH c, inserted i, deleted d          WHERE  c.ORDCODE = d.ORDCODE          AND    (i.ORDCODE != d.ORDCODE)     END    /*  Cascade the Update of the Primary Key of 'ORDCODE' into its children in 'APRTNH'  */    IF UPDATE(ORDCODE)     BEGIN          UPDATE APRTNH          SET    ORDCODE = i.ORDCODE          FROM   APRTNH c, inserted i, deleted d          WHERE  c.ORDCODE = d.ORDCODE          AND    (i.ORDCODE != d.ORDCODE)     END    /*  Cascade the Update of the Primary Key of 'ORDCODE' into its children in 'POMAST'  */    IF UPDATE(ORDCODE)     BEGIN          UPDATE POMAST          SET    ORDCODE = i.ORDCODE          FROM   POMAST c, inserted i, deleted d          WHERE  c.ORDCODE = d.ORDCODE          AND    (i.ORDCODE != d.ORDCODE)     END    /*  Cascade the Update of the Primary Key of 'ORDCODE' into its children in 'POSHIPD'  */    IF UPDATE(ORDCODE)     BEGIN          UPDATE POSHIPD          SET    ORDCODE = i.ORDCODE          FROM   POSHIPD c, inserted i, deleted d          WHERE  c.ORDCODE = d.ORDCODE          AND    (i.ORDCODE != d.ORDCODE)     END    /*  Cascade the Update of the Primary Key of 'ORDCODE' into its children in 'REQUEST'  */    IF UPDATE(ORDCODE)     BEGIN          UPDATE REQUEST          SET    ORDCODE = i.ORDCODE          FROM   REQUEST c, inserted i, deleted d          WHERE  c.ORDCODE = d.ORDCODE          AND    (i.ORDCODE != d.ORDCODE)     END    /*  Cascade the Update of the Primary Key of 'ORDCODE' into its children in 'RESPONSE'  */    IF UPDATE(ORDCODE)     BEGIN          UPDATE RESPONSE          SET    ORDCODE = i.ORDCODE          FROM   RESPONSE c, inserted i, deleted d          WHERE  c.ORDCODE = d.ORDCODE          AND    (i.ORDCODE != d.ORDCODE)     END    /*  Cascade the Update of the Primary Key of 'ORDCODE' into its children in 'RUNCONT'  */    IF UPDATE(ORDCODE)     BEGIN          UPDATE RUNCONT          SET    ORDCODE = i.ORDCODE          FROM   RUNCONT c, inserted i, deleted d          WHERE  c.ORDCODE = d.ORDCODE          AND    (i.ORDCODE != d.ORDCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_VENDOR' for Table 'VENDOR'  */    CREATE TRIGGER [dbo].[T_D_VENDOR] ON [dbo].[VENDOR] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'VENDOR' cannot be deleted if children exist in 'ADVSETUP'  */    IF EXISTS (             SELECT 1             FROM   ADVSETUP c, deleted d             WHERE  c.VENDORID = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ADVSETUP". Cannot delete parent "VENDOR".'          GOTO error     END    /*  Parent in 'VENDOR' cannot be deleted if children exist in 'APBAL'  */    IF EXISTS (             SELECT 1             FROM   APBAL c, deleted d             WHERE  c.VENDORID = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APBAL". Cannot delete parent "VENDOR".'          GOTO error     END    /*  Parent in 'VENDOR' cannot be deleted if children exist in 'APBALH'  */    IF EXISTS (             SELECT 1             FROM   APBALH c, deleted d             WHERE  c.VENDORID = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APBALH". Cannot delete parent "VENDOR".'          GOTO error     END    /*  Parent in 'VENDOR' cannot be deleted if children exist in 'APCHECKS'  */    IF EXISTS (             SELECT 1             FROM   APCHECKS c, deleted d             WHERE  c.VENDORID = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APCHECKS". Cannot delete parent "VENDOR".'          GOTO error     END    /*  Parent in 'VENDOR' cannot be deleted if children exist in 'APDET'  */    IF EXISTS (             SELECT 1             FROM   APDET c, deleted d             WHERE  c.VENDORID = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APDET". Cannot delete parent "VENDOR".'          GOTO error     END    /*  Parent in 'VENDOR' cannot be deleted if children exist in 'APINVCD'  */    IF EXISTS (             SELECT 1             FROM   APINVCD c, deleted d             WHERE  c.VENDORID = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APINVCD". Cannot delete parent "VENDOR".'          GOTO error     END    /*  Parent in 'VENDOR' cannot be deleted if children exist in 'APINVCH'  */    IF EXISTS (             SELECT 1             FROM   APINVCH c, deleted d             WHERE  c.VENDORID = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APINVCH". Cannot delete parent "VENDOR".'          GOTO error     END    /*  Parent in 'VENDOR' cannot be deleted if children exist in 'APMAST'  */    IF EXISTS (             SELECT 1             FROM   APMAST c, deleted d             WHERE  c.VENDORID = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APMAST". Cannot delete parent "VENDOR".'          GOTO error     END    /*  Parent in 'VENDOR' cannot be deleted if children exist in 'APVAT'  */    IF EXISTS (             SELECT 1             FROM   APVAT c, deleted d             WHERE  c.VENDORID = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APVAT". Cannot delete parent "VENDOR".'          GOTO error     END    /*  Parent in 'VENDOR' cannot be deleted if children exist in 'APVATTMP'  */    IF EXISTS (             SELECT 1             FROM   APVATTMP c, deleted d             WHERE  c.VENDORID = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APVATTMP". Cannot delete parent "VENDOR".'          GOTO error     END    /*  Parent in 'VENDOR' cannot be deleted if children exist in 'BILLRCD'  */    IF EXISTS (             SELECT 1             FROM   BILLRCD c, deleted d             WHERE  c.VENDORID = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "BILLRCD". Cannot delete parent "VENDOR".'          GOTO error     END    /*  Parent in 'VENDOR' cannot be deleted if children exist in 'BILLRCDH'  */    IF EXISTS (             SELECT 1             FROM   BILLRCDH c, deleted d             WHERE  c.VENDORID = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "BILLRCDH". Cannot delete parent "VENDOR".'          GOTO error     END    /*  Parent in 'VENDOR' cannot be deleted if children exist in 'BKMAST'  */    IF EXISTS (             SELECT 1             FROM   BKMAST c, deleted d             WHERE  c.APVENDOR = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "BKMAST". Cannot delete parent "VENDOR".'          GOTO error     END    /*  Parent in 'VENDOR' cannot be deleted if children exist in 'GLAPDIST'  */    IF EXISTS (             SELECT 1             FROM   GLAPDIST c, deleted d             WHERE  c.VENDORID = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "GLAPDIST". Cannot delete parent "VENDOR".'          GOTO error     END    /*  Parent in 'VENDOR' cannot be deleted if children exist in 'INV'  */    IF EXISTS (             SELECT 1             FROM   INV c, deleted d             WHERE  c.VENDOR = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INV". Cannot delete parent "VENDOR".'          GOTO error     END    /*  Parent in 'VENDOR' cannot be deleted if children exist in 'INVADJD'  */    IF EXISTS (             SELECT 1             FROM   INVADJD c, deleted d             WHERE  c.VENDORID = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVADJD". Cannot delete parent "VENDOR".'          GOTO error     END    /*  Parent in 'VENDOR' cannot be deleted if children exist in 'INVLOC'  */    IF EXISTS (             SELECT 1             FROM   INVLOC c, deleted d             WHERE  c.VENDORID = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVLOC". Cannot delete parent "VENDOR".'          GOTO error     END    /*  Parent in 'VENDOR' cannot be deleted if children exist in 'LCTRAN'  */    IF EXISTS (             SELECT 1             FROM   LCTRAN c, deleted d             WHERE  c.VENDORID = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "LCTRAN". Cannot delete parent "VENDOR".'          GOTO error     END    /*  Parent in 'VENDOR' cannot be deleted if children exist in 'MANCHECK'  */    IF EXISTS (             SELECT 1             FROM   MANCHECK c, deleted d             WHERE  c.VENDORID = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MANCHECK". Cannot delete parent "VENDOR".'          GOTO error     END    /*  Parent in 'VENDOR' cannot be deleted if children exist in 'MANCHKH'  */    IF EXISTS (             SELECT 1             FROM   MANCHKH c, deleted d             WHERE  c.VENDORID = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MANCHKH". Cannot delete parent "VENDOR".'          GOTO error     END    /*  Parent in 'VENDOR' cannot be deleted if children exist in 'PINVLOC'  */    IF EXISTS (             SELECT 1             FROM   PINVLOC c, deleted d             WHERE  c.VENDORID = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PINVLOC". Cannot delete parent "VENDOR".'          GOTO error     END    /*  Parent in 'VENDOR' cannot be deleted if children exist in 'PLORD'  */    IF EXISTS (             SELECT 1             FROM   PLORD c, deleted d             WHERE  c.VENDORID = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PLORD". Cannot delete parent "VENDOR".'          GOTO error     END    /*  Parent in 'VENDOR' cannot be deleted if children exist in 'POMAST'  */    IF EXISTS (             SELECT 1             FROM   POMAST c, deleted d             WHERE  c.VENDORID = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "POMAST". Cannot delete parent "VENDOR".'          GOTO error     END    /*  Parent in 'VENDOR' cannot be deleted if children exist in 'POSHIPH'  */    IF EXISTS (             SELECT 1             FROM   POSHIPH c, deleted d             WHERE  c.VENDORID = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "POSHIPH". Cannot delete parent "VENDOR".'          GOTO error     END    /*  Parent in 'VENDOR' cannot be deleted if children exist in 'PTCSETUP'  */    IF EXISTS (             SELECT 1             FROM   PTCSETUP c, deleted d             WHERE  c.VENDORID = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PTCSETUP". Cannot delete parent "VENDOR".'          GOTO error     END    /*  Parent in 'VENDOR' cannot be deleted if children exist in 'PURHIST'  */    IF EXISTS (             SELECT 1             FROM   PURHIST c, deleted d             WHERE  c.VENDORID = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PURHIST". Cannot delete parent "VENDOR".'          GOTO error     END    /*  Parent in 'VENDOR' cannot be deleted if children exist in 'PURINVC'  */    IF EXISTS (             SELECT 1             FROM   PURINVC c, deleted d             WHERE  c.VENDORID = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PURINVC". Cannot delete parent "VENDOR".'          GOTO error     END    /*  Parent in 'VENDOR' cannot be deleted if children exist in 'REQUEST'  */    IF EXISTS (             SELECT 1             FROM   REQUEST c, deleted d             WHERE  c.VENDORID = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "REQUEST". Cannot delete parent "VENDOR".'          GOTO error     END    /*  Parent in 'VENDOR' cannot be deleted if children exist in 'SCHDALL'  */    IF EXISTS (             SELECT 1             FROM   SCHDALL c, deleted d             WHERE  c.VENDORID = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "SCHDALL". Cannot delete parent "VENDOR".'          GOTO error     END    /*  Parent in 'VENDOR' cannot be deleted if children exist in 'VENDORPN'  */    IF EXISTS (             SELECT 1             FROM   VENDORPN c, deleted d             WHERE  c.VENDORID = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "VENDORPN". Cannot delete parent "VENDOR".'          GOTO error     END    /*  Parent in 'VENDOR' cannot be deleted if children exist in 'WIPPS'  */    IF EXISTS (             SELECT 1             FROM   WIPPS c, deleted d             WHERE  c.VENDORID = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "WIPPS". Cannot delete parent "VENDOR".'          GOTO error     END    /*  Parent in 'VENDOR' cannot be deleted if children exist in 'POSHIPD'  */    IF EXISTS (             SELECT 1             FROM   POSHIPD c, deleted d             WHERE  c.VENDORID = d.VENDORID            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "POSHIPD". Cannot delete parent "VENDOR".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_QMSPECMS' for Table 'QMSPECMS'  */    CREATE TRIGGER [dbo].[T_U_QMSPECMS] ON [dbo].[QMSPECMS] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'QMSPECMS' into its children in 'QMINSPRT'  */    IF UPDATE(SPECID)     BEGIN          UPDATE QMINSPRT          SET    SPECID = i.SPECID          FROM   QMINSPRT c, inserted i, deleted d          WHERE  c.SPECID = d.SPECID          AND    (i.SPECID != d.SPECID)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_POSITION' for Table 'POSITION'  */    CREATE TRIGGER [dbo].[T_U_POSITION] ON [dbo].[POSITION] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'POSITION' into its children in 'EMPLOYEE'  */    IF UPDATE(COMPCODE) OR     UPDATE(POSCODE)     BEGIN          UPDATE EMPLOYEE          SET    COMPCODE = i.COMPCODE ,                 POSCODE = i.POSCODE          FROM   EMPLOYEE c, inserted i, deleted d          WHERE  c.COMPCODE = d.COMPCODE AND                 c.POSCODE = d.POSCODE          AND    (i.COMPCODE != d.COMPCODE OR                 i.POSCODE != d.POSCODE)     END    /*  Cascade the Update of the Primary Key of 'POSITION' into its children in 'POSDED'  */    IF UPDATE(COMPCODE) OR     UPDATE(POSCODE)     BEGIN          UPDATE POSDED          SET    COMPCODE = i.COMPCODE ,                 POSCODE = i.POSCODE          FROM   POSDED c, inserted i, deleted d          WHERE  c.COMPCODE = d.COMPCODE AND                 c.POSCODE = d.POSCODE          AND    (i.COMPCODE != d.COMPCODE OR                 i.POSCODE != d.POSCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_VENDCLAS' for Table 'VENDCLAS'  */    CREATE TRIGGER [dbo].[T_D_VENDCLAS] ON [dbo].[VENDCLAS] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'VENDCLAS' cannot be deleted if children exist in 'APBAL'  */    IF EXISTS (             SELECT 1             FROM   APBAL c, deleted d             WHERE  c.VENDCLASS = d.VENDCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APBAL". Cannot delete parent "VENDCLAS".'          GOTO error     END    /*  Parent in 'VENDCLAS' cannot be deleted if children exist in 'APBALH'  */    IF EXISTS (             SELECT 1             FROM   APBALH c, deleted d             WHERE  c.VENDCLASS = d.VENDCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APBALH". Cannot delete parent "VENDCLAS".'          GOTO error     END    /*  Parent in 'VENDCLAS' cannot be deleted if children exist in 'APDET'  */    IF EXISTS (             SELECT 1             FROM   APDET c, deleted d             WHERE  c.VENDCLASS = d.VENDCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APDET". Cannot delete parent "VENDCLAS".'          GOTO error     END    /*  Parent in 'VENDCLAS' cannot be deleted if children exist in 'APINVCH'  */    IF EXISTS (             SELECT 1             FROM   APINVCH c, deleted d             WHERE  c.VENDCLASS = d.VENDCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APINVCH". Cannot delete parent "VENDCLAS".'          GOTO error     END    /*  Parent in 'VENDCLAS' cannot be deleted if children exist in 'APMAST'  */    IF EXISTS (             SELECT 1             FROM   APMAST c, deleted d             WHERE  c.VENDCLASS = d.VENDCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APMAST". Cannot delete parent "VENDCLAS".'          GOTO error     END    /*  Parent in 'VENDCLAS' cannot be deleted if children exist in 'GLAPDIST'  */    IF EXISTS (             SELECT 1             FROM   GLAPDIST c, deleted d             WHERE  c.VENDCLASS = d.VENDCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "GLAPDIST". Cannot delete parent "VENDCLAS".'          GOTO error     END    /*  Parent in 'VENDCLAS' cannot be deleted if children exist in 'POMAST'  */    IF EXISTS (             SELECT 1             FROM   POMAST c, deleted d             WHERE  c.VENDCLASS = d.VENDCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "POMAST". Cannot delete parent "VENDCLAS".'          GOTO error     END    /*  Parent in 'VENDCLAS' cannot be deleted if children exist in 'POSHIPD'  */    IF EXISTS (             SELECT 1             FROM   POSHIPD c, deleted d             WHERE  c.VENDCLASS = d.VENDCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "POSHIPD". Cannot delete parent "VENDCLAS".'          GOTO error     END    /*  Parent in 'VENDCLAS' cannot be deleted if children exist in 'VENDOR'  */    IF EXISTS (             SELECT 1             FROM   VENDOR c, deleted d             WHERE  c.VENDCLASS = d.VENDCLASS            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "VENDOR". Cannot delete parent "VENDCLAS".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_PODET' for Table 'PODET'  */    CREATE TRIGGER [dbo].[T_U_PODET] ON [dbo].[PODET] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'PODET' into its children in 'APEDIT'  */    IF UPDATE(PONO) OR     UPDATE(ITEM)     BEGIN          UPDATE APEDIT          SET    ITEM = i.ITEM ,                 PONO = i.PONO          FROM   APEDIT c, inserted i, deleted d          WHERE  c.ITEM = d.ITEM AND                 c.PONO = d.PONO          AND    (i.ITEM != d.ITEM OR                 i.PONO != d.PONO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
--/*  Update Trigger 'T_U_GLYEAR' for Table 'GLYEAR'  */    CREATE TRIGGER [dbo].[T_U_GLYEAR] ON [dbo].[GLYEAR] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'APBAL'  */    IF UPDATE(ACCTNO)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   APBAL c, inserted i, deleted d                  WHERE  c.CASHACCT = d.ACCTNO                  AND   (i.ACCTNO != d.ACCTNO)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "APBAL". Cannot modify Primary Key in "GLYEAR".'               GOTO error          END  END    /*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'APBALH'  */    IF UPDATE(ACCTNO)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   APBALH c, inserted i, deleted d                  WHERE  c.CASHACCT = d.ACCTNO                  AND   (i.ACCTNO != d.ACCTNO)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "APBALH". Cannot modify Primary Key in "GLYEAR".'               GOTO error          END  END    /*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'APDET'  */    IF UPDATE(ACCTNO)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   APDET c, inserted i, deleted d                  WHERE  c.ACCTNO = d.ACCTNO                  AND   (i.ACCTNO != d.ACCTNO)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "APDET". Cannot modify Primary Key in "GLYEAR".'               GOTO error          END  END    /*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'ARBAL'  */    IF UPDATE(ACCTNO)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARBAL c, inserted i, deleted d                  WHERE  c.ACCTNO = d.ACCTNO                  AND   (i.ACCTNO != d.ACCTNO)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARBAL". Cannot modify Primary Key in "GLYEAR".'               GOTO error          END  END    /*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'ARBAL'  */    IF UPDATE(ACCTNO)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARBAL c, inserted i, deleted d                  WHERE  c.MACCTNO = d.ACCTNO                  AND   (i.ACCTNO != d.ACCTNO)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARBAL". Cannot modify Primary Key in "GLYEAR".'               GOTO error          END  END    /*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'ARBALH'  */    IF UPDATE(ACCTNO)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARBALH c, inserted i, deleted d                  WHERE  c.ACCTNO = d.ACCTNO                  AND   (i.ACCTNO != d.ACCTNO)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARBALH". Cannot modify Primary Key in "GLYEAR".'               GOTO error          END  END    /*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'ARBALH'  */    IF UPDATE(ACCTNO)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARBALH c, inserted i, deleted d                  WHERE  c.MACCTNO = d.ACCTNO                  AND   (i.ACCTNO != d.ACCTNO)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARBALH". Cannot modify Primary Key in "GLYEAR".'               GOTO error          END  END    /*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'ARDET'  */    IF UPDATE(ACCTNO)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARDET c, inserted i, deleted d                  WHERE  c.ACCTNO = d.ACCTNO                  AND   (i.ACCTNO != d.ACCTNO)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARDET". Cannot modify Primary Key in "GLYEAR".'               GOTO error          END  END    /*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'BANKREC'  */    IF UPDATE(ACCTNO)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   BANKREC c, inserted i, deleted d                  WHERE  c.ACCTNO = d.ACCTNO                  AND   (i.ACCTNO != d.ACCTNO)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "BANKREC". Cannot modify Primary Key in "GLYEAR".'               GOTO error          END  END    /*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'CYCCNT'  */    IF UPDATE(ACCTNO)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   CYCCNT c, inserted i, deleted d                  WHERE  c.ACCTNO = d.ACCTNO                  AND   (i.ACCTNO != d.ACCTNO)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "CYCCNT". Cannot modify Primary Key in "GLYEAR".'               GOTO error          END  END    /*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'GLAPDIST'  */    IF UPDATE(ACCTNO)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   GLAPDIST c, inserted i, deleted d                  WHERE  c.ACCTNO = d.ACCTNO                  AND   (i.ACCTNO != d.ACCTNO)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "GLAPDIST". Cannot modify Primary Key in "GLYEAR".'               GOTO error          END  END    /*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'GLARDIST'  */    IF UPDATE(ACCTNO)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   GLARDIST c, inserted i, deleted d                  WHERE  c.ACCTNO = d.ACCTNO                  AND   (i.ACCTNO != d.ACCTNO)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "GLARDIST". Cannot modify Primary Key in "GLYEAR".'               GOTO error          END  END    /*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'GLTRANH'  */    IF UPDATE(ACCTNO)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   GLTRANH c, inserted i, deleted d                  WHERE  c.ACCTNO = d.ACCTNO                  AND   (i.ACCTNO != d.ACCTNO)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "GLTRANH". Cannot modify Primary Key in "GLYEAR".'               GOTO error          END  END    /*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'LABGLHST'  */    IF UPDATE(ACCTNO)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   LABGLHST c, inserted i, deleted d                  WHERE  c.CRACCT = d.ACCTNO                  AND   (i.ACCTNO != d.ACCTNO)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "LABGLHST". Cannot modify Primary Key in "GLYEAR".'               GOTO error          END  END    /*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'LABGLHST'  */    IF UPDATE(ACCTNO)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   LABGLHST c, inserted i, deleted d                  WHERE  c.DBACCT = d.ACCTNO                  AND   (i.ACCTNO != d.ACCTNO)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "LABGLHST". Cannot modify Primary Key in "GLYEAR".'               GOTO error          END  END    /*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'MTXGLHST'  */    IF UPDATE(ACCTNO)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   MTXGLHST c, inserted i, deleted d                  WHERE  c.CRACCT = d.ACCTNO                  AND   (i.ACCTNO != d.ACCTNO)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "MTXGLHST". Cannot modify Primary Key in "GLYEAR".'               GOTO error          END  END    /*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'MTXGLHST'  */    IF UPDATE(ACCTNO)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   MTXGLHST c, inserted i, deleted d                  WHERE  c.DBACCT = d.ACCTNO                  AND   (i.ACCTNO != d.ACCTNO)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "MTXGLHST". Cannot modify Primary Key in "GLYEAR".'               GOTO error          END  END    /*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'MTXNHIST'  */    IF UPDATE(ACCTNO)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   MTXNHIST c, inserted i, deleted d                  WHERE  c.ACCTNO = d.ACCTNO                  AND   (i.ACCTNO != d.ACCTNO)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "MTXNHIST". Cannot modify Primary Key in "GLYEAR".'               GOTO error          END  END    /*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'PHYINV'  */    IF UPDATE(ACCTNO)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   PHYINV c, inserted i, deleted d                  WHERE  c.ACCTNO = d.ACCTNO                  AND   (i.ACCTNO != d.ACCTNO)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "PHYINV". Cannot modify Primary Key in "GLYEAR".'               GOTO error          END  END    /*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'SHIPHIST'  */    IF UPDATE(ACCTNO)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   SHIPHIST c, inserted i, deleted d                  WHERE  c.ACCTNO = d.ACCTNO                  AND   (i.ACCTNO != d.ACCTNO)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "SHIPHIST". Cannot modify Primary Key in "GLYEAR".'               GOTO error          END  END    /*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'ARBAL'  */    IF UPDATE(ACCTNO)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARBAL c, inserted i, deleted d                  WHERE  c.FINCHGACCT = d.ACCTNO                  AND   (i.ACCTNO != d.ACCTNO)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARBAL". Cannot modify Primary Key in "GLYEAR".'               GOTO error          END  END    /*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'ARBALH'  */    IF UPDATE(ACCTNO)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARBALH c, inserted i, deleted d                  WHERE  c.FINCHGACCT = d.ACCTNO                  AND   (i.ACCTNO != d.ACCTNO)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARBALH". Cannot modify Primary Key in "GLYEAR".'               GOTO error          END  END    /*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'APBAL'  */    IF UPDATE(ACCTNO)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   APBAL c, inserted i, deleted d                  WHERE  c.FINCHGACCT = d.ACCTNO                  AND   (i.ACCTNO != d.ACCTNO)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "APBAL". Cannot modify Primary Key in "GLYEAR".'               GOTO error          END  END    /*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'APBALH'  */    IF UPDATE(ACCTNO)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   APBALH c, inserted i, deleted d                  WHERE  c.FINCHGACCT = d.ACCTNO                  AND   (i.ACCTNO != d.ACCTNO)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "APBALH". Cannot modify Primary Key in "GLYEAR".'               GOTO error          END  END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ADVCLASS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE ADVCLASS          SET    ADVACCT = i.ACCTNO          FROM   ADVCLASS c, inserted i, deleted d          WHERE  c.ADVACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ADVSETUP'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE ADVSETUP          SET    ADJACCT = i.ACCTNO          FROM   ADVSETUP c, inserted i, deleted d          WHERE  c.ADJACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ADVSETUP'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE ADVSETUP          SET    CASHACCT = i.ACCTNO          FROM   ADVSETUP c, inserted i, deleted d          WHERE  c.CASHACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ALLBASE'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE ALLBASE          SET    BASEACCT = i.ACCTNO          FROM   ALLBASE c, inserted i, deleted d          WHERE  c.BASEACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ALLBASE'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE ALLBASE          SET    BASEACCT = i.ACCTNO          FROM   ALLBASE c, inserted i, deleted d          WHERE  c.BASEACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ALLMAST'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE ALLMAST          SET    FROMACCT = i.ACCTNO          FROM   ALLMAST c, inserted i, deleted d          WHERE  c.FROMACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ALLTO'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE ALLTO          SET    TOACCT = i.ACCTNO          FROM   ALLTO c, inserted i, deleted d          WHERE  c.TOACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'APCHECKS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE APCHECKS          SET    ACCTNO = i.ACCTNO          FROM   APCHECKS c, inserted i, deleted d          WHERE  c.ACCTNO = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'APEDIT'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE APEDIT          SET    ACCTNO = i.ACCTNO          FROM   APEDIT c, inserted i, deleted d          WHERE  c.ACCTNO = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'APINVCH'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE APINVCH          SET    CASHACCT = i.ACCTNO          FROM   APINVCH c, inserted i, deleted d          WHERE  c.CASHACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'APMAST'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE APMAST          SET    APCLEAR = i.ACCTNO          FROM   APMAST c, inserted i, deleted d          WHERE  c.APCLEAR = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'APMAST'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE APMAST          SET    CALCACCT = i.ACCTNO          FROM   APMAST c, inserted i, deleted d          WHERE  c.CALCACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'APMAST'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE APMAST          SET    CASHACCT = i.ACCTNO          FROM   APMAST c, inserted i, deleted d          WHERE  c.CASHACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'APMAST'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE APMAST          SET    DSCNTACCT = i.ACCTNO          FROM   APMAST c, inserted i, deleted d          WHERE  c.DSCNTACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'APMAST'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE APMAST          SET    EXPACCT = i.ACCTNO          FROM   APMAST c, inserted i, deleted d          WHERE  c.EXPACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'APMAST'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE APMAST          SET    FRTACCT = i.ACCTNO          FROM   APMAST c, inserted i, deleted d          WHERE  c.FRTACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'APMAST'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE APMAST          SET    GLAPACCT = i.ACCTNO          FROM   APMAST c, inserted i, deleted d          WHERE  c.GLAPACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARINVCD'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE ARINVCD          SET    ACCTNO = i.ACCTNO          FROM   ARINVCD c, inserted i, deleted d          WHERE  c.ACCTNO = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARINVCH'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE ARINVCH          SET    ACCTNO = i.ACCTNO          FROM   ARINVCH c, inserted i, deleted d          WHERE  c.ACCTNO = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARINVCH'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE ARINVCH          SET    MACCTNO = i.ACCTNO          FROM   ARINVCH c, inserted i, deleted d          WHERE  c.MACCTNO = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARMAST'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE ARMAST          SET    ARCLEAR = i.ACCTNO          FROM   ARMAST c, inserted i, deleted d          WHERE  c.ARCLEAR = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARMAST'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE ARMAST          SET    CALCACCT = i.ACCTNO          FROM   ARMAST c, inserted i, deleted d          WHERE  c.CALCACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARMAST'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE ARMAST          SET    CASHREC = i.ACCTNO          FROM   ARMAST c, inserted i, deleted d          WHERE  c.CASHREC = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARMAST'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE ARMAST          SET    CHKACCT = i.ACCTNO          FROM   ARMAST c, inserted i, deleted d          WHERE  c.CHKACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARMAST'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE ARMAST          SET    CSHACCT = i.ACCTNO          FROM   ARMAST c, inserted i, deleted d          WHERE  c.CSHACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARMAST'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE ARMAST          SET    FINCHG = i.ACCTNO          FROM   ARMAST c, inserted i, deleted d          WHERE  c.FINCHG = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARMAST'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE ARMAST          SET    FREIGHT = i.ACCTNO          FROM   ARMAST c, inserted i, deleted d          WHERE  c.FREIGHT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARMAST'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE ARMAST          SET    GLARACCT = i.ACCTNO          FROM   ARMAST c, inserted i, deleted d          WHERE  c.GLARACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARMAST'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE ARMAST          SET    MISCACCT = i.ACCTNO          FROM   ARMAST c, inserted i, deleted d          WHERE  c.MISCACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARMAST'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE ARMAST          SET    PRODUCT = i.ACCTNO          FROM   ARMAST c, inserted i, deleted d          WHERE  c.PRODUCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARMAST'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE ARMAST          SET    SLSDISC = i.ACCTNO          FROM   ARMAST c, inserted i, deleted d          WHERE  c.SLSDISC = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARRCT'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE ARRCT          SET    ACCTNO = i.ACCTNO          FROM   ARRCT c, inserted i, deleted d          WHERE  c.ACCTNO = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARRCTH'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE ARRCTH          SET    ACCTNO = i.ACCTNO          FROM   ARRCTH c, inserted i, deleted d          WHERE  c.ACCTNO = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'BANK'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE BANK          SET    ACCTNO = i.ACCTNO          FROM   BANK c, inserted i, deleted d          WHERE  c.ACCTNO = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'BKMAST'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE BKMAST          SET    BKCLACCT = i.ACCTNO          FROM   BKMAST c, inserted i, deleted d          WHERE  c.BKCLACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'BKMAST'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE BKMAST          SET    EXPACCT = i.ACCTNO          FROM   BKMAST c, inserted i, deleted d          WHERE  c.EXPACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'BKTRAN'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE BKTRAN          SET    EXPACCT = i.ACCTNO          FROM   BKTRAN c, inserted i, deleted d          WHERE  c.EXPACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'BKTRHIST'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE BKTRHIST          SET    EXPACCT = i.ACCTNO          FROM   BKTRHIST c, inserted i, deleted d          WHERE  c.EXPACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'CODET'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE CODET          SET    ACCTNO = i.ACCTNO          FROM   CODET c, inserted i, deleted d          WHERE  c.ACCTNO = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'COMAST'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE COMAST          SET    MACCTNO = i.ACCTNO          FROM   COMAST c, inserted i, deleted d          WHERE  c.MACCTNO = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'CUSTCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE CUSTCLAS          SET    CASHREC = i.ACCTNO          FROM   CUSTCLAS c, inserted i, deleted d          WHERE  c.CASHREC = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'CUSTCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE CUSTCLAS          SET    DEPACCT = i.ACCTNO          FROM   CUSTCLAS c, inserted i, deleted d          WHERE  c.DEPACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'CUSTCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE CUSTCLAS          SET    FINCHG = i.ACCTNO          FROM   CUSTCLAS c, inserted i, deleted d          WHERE  c.FINCHG = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'CUSTCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE CUSTCLAS          SET    FREIGHT = i.ACCTNO          FROM   CUSTCLAS c, inserted i, deleted d          WHERE  c.FREIGHT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'CUSTCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE CUSTCLAS          SET    GLARACCT = i.ACCTNO          FROM   CUSTCLAS c, inserted i, deleted d          WHERE  c.GLARACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'CUSTCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE CUSTCLAS          SET    OACACCT = i.ACCTNO          FROM   CUSTCLAS c, inserted i, deleted d          WHERE  c.OACACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'CUSTCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE CUSTCLAS          SET    PRODUCT = i.ACCTNO          FROM   CUSTCLAS c, inserted i, deleted d          WHERE  c.PRODUCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'CUSTCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE CUSTCLAS          SET    SLSDISC = i.ACCTNO          FROM   CUSTCLAS c, inserted i, deleted d          WHERE  c.SLSDISC = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'CUSTOMER'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE CUSTOMER          SET    GLSLSACCT = i.ACCTNO          FROM   CUSTOMER c, inserted i, deleted d          WHERE  c.GLSLSACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'GLACDIST'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE GLACDIST          SET    ACCTNO = i.ACCTNO          FROM   GLACDIST c, inserted i, deleted d          WHERE  c.ACCTNO = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'GLINTERD'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE GLINTERD          SET    ACCTNO = i.ACCTNO          FROM   GLINTERD c, inserted i, deleted d          WHERE  c.ACCTNO = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'GLMAPD'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE GLMAPD          SET    SUBACCT = i.ACCTNO          FROM   GLMAPD c, inserted i, deleted d          WHERE  c.SUBACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'GLMAPH'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE GLMAPH          SET    MASTACCT = i.ACCTNO          FROM   GLMAPH c, inserted i, deleted d          WHERE  c.MASTACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'GLMAST'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE GLMAST          SET    RETEARN = i.ACCTNO          FROM   GLMAST c, inserted i, deleted d          WHERE  c.RETEARN = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'GLMDIST'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE GLMDIST          SET    MACCTNO = i.ACCTNO          FROM   GLMDIST c, inserted i, deleted d          WHERE  c.MACCTNO = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'GLRPTLIN'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE GLRPTLIN          SET    FROMACCT = i.ACCTNO          FROM   GLRPTLIN c, inserted i, deleted d          WHERE  c.FROMACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'GLRPTLIN'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE GLRPTLIN          SET    TOACCT = i.ACCTNO          FROM   GLRPTLIN c, inserted i, deleted d          WHERE  c.TOACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'GLTRAN'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE GLTRAN          SET    ACCTNO = i.ACCTNO          FROM   GLTRAN c, inserted i, deleted d          WHERE  c.ACCTNO = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'INV'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE INV          SET    ACCTNO = i.ACCTNO          FROM   INV c, inserted i, deleted d          WHERE  c.ACCTNO = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'INVADJH'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE INVADJH          SET    ACCTNO = i.ACCTNO          FROM   INVADJH c, inserted i, deleted d          WHERE  c.ACCTNO = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'INVMAST'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE INVMAST          SET    ADJACCNT = i.ACCTNO          FROM   INVMAST c, inserted i, deleted d          WHERE  c.ADJACCNT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'MANCHECK'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE MANCHECK          SET    ACCT = i.ACCTNO          FROM   MANCHECK c, inserted i, deleted d          WHERE  c.ACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'MANCHKH'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE MANCHKH          SET    ACCT = i.ACCTNO FROM   MANCHKH c, inserted i, deleted d          WHERE  c.ACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'MPSORD'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE MPSORD          SET    ACCTNO = i.ACCTNO          FROM   MPSORD c, inserted i, deleted d          WHERE  c.ACCTNO = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'OEINVCD'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE OEINVCD          SET    ACCTNO = i.ACCTNO          FROM   OEINVCD c, inserted i, deleted d          WHERE  c.ACCTNO = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'OEINVCH'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE OEINVCH          SET    ACCTNO = i.ACCTNO          FROM   OEINVCH c, inserted i, deleted d          WHERE  c.ACCTNO = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'OEINVCH'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE OEINVCH          SET    MACCTNO = i.ACCTNO          FROM   OEINVCH c, inserted i, deleted d          WHERE  c.MACCTNO = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PAYINH'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE PAYINH          SET    ACCTNO = i.ACCTNO          FROM   PAYINH c, inserted i, deleted d          WHERE  c.ACCTNO = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE PRODCLAS          SET    GLASSACCT = i.ACCTNO          FROM   PRODCLAS c, inserted i, deleted d          WHERE  c.GLASSACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE PRODCLAS          SET    GLCOSACCT = i.ACCTNO          FROM   PRODCLAS c, inserted i, deleted d          WHERE  c.GLCOSACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE PRODCLAS          SET    GLCOSFACCT = i.ACCTNO          FROM   PRODCLAS c, inserted i, deleted d          WHERE  c.GLCOSFACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE PRODCLAS          SET    GLCOSLACCT = i.ACCTNO          FROM   PRODCLAS c, inserted i, deleted d          WHERE  c.GLCOSLACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE PRODCLAS          SET    GLCOSMACCT = i.ACCTNO          FROM   PRODCLAS c, inserted i, deleted d          WHERE  c.GLCOSMACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE PRODCLAS          SET    GLCOSVACCT = i.ACCTNO          FROM   PRODCLAS c, inserted i, deleted d          WHERE  c.GLCOSVACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE PRODCLAS          SET    GLCREVACCT = i.ACCTNO          FROM   PRODCLAS c, inserted i, deleted d          WHERE  c.GLCREVACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE PRODCLAS          SET    GLCYCCACCT = i.ACCTNO          FROM   PRODCLAS c, inserted i, deleted d          WHERE  c.GLCYCCACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE PRODCLAS          SET    GLINVACCT = i.ACCTNO          FROM   PRODCLAS c, inserted i, deleted d          WHERE  c.GLINVACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE PRODCLAS          SET    GLLRVACCT = i.ACCTNO          FROM   PRODCLAS c, inserted i, deleted d          WHERE  c.GLLRVACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE PRODCLAS          SET    GLMFVACCT = i.ACCTNO          FROM   PRODCLAS c, inserted i, deleted d          WHERE  c.GLMFVACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE PRODCLAS          SET    GLMLVACCT = i.ACCTNO          FROM   PRODCLAS c, inserted i, deleted d          WHERE  c.GLMLVACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE PRODCLAS          SET    GLMMVACCT = i.ACCTNO          FROM   PRODCLAS c, inserted i, deleted d          WHERE  c.GLMMVACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE PRODCLAS          SET    GLMUVACCT = i.ACCTNO          FROM   PRODCLAS c, inserted i, deleted d          WHERE  c.GLMUVACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE PRODCLAS          SET    GLMVVACCT = i.ACCTNO          FROM   PRODCLAS c, inserted i, deleted d          WHERE  c.GLMVVACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE PRODCLAS          SET    GLPFVACCT = i.ACCTNO          FROM   PRODCLAS c, inserted i, deleted d          WHERE  c.GLPFVACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE PRODCLAS          SET    GLPHYCACCT = i.ACCTNO          FROM   PRODCLAS c, inserted i, deleted d          WHERE  c.GLPHYCACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE PRODCLAS          SET    GLPLVACCT = i.ACCTNO          FROM   PRODCLAS c, inserted i, deleted d          WHERE  c.GLPLVACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE PRODCLAS          SET    GLPPVACCT = i.ACCTNO          FROM   PRODCLAS c, inserted i, deleted d          WHERE  c.GLPPVACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE PRODCLAS          SET    GLPVVACCT = i.ACCTNO          FROM   PRODCLAS c, inserted i, deleted d          WHERE  c.GLPVVACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE PRODCLAS          SET    GLSLSACCT = i.ACCTNO          FROM   PRODCLAS c, inserted i, deleted d          WHERE  c.GLSLSACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE PRODCLAS          SET    GLWIPFACCT = i.ACCTNO          FROM   PRODCLAS c, inserted i, deleted d          WHERE  c.GLWIPFACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE PRODCLAS          SET    GLWIPLACCT = i.ACCTNO          FROM   PRODCLAS c, inserted i, deleted d          WHERE  c.GLWIPLACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE PRODCLAS          SET    GLWIPMACCT = i.ACCTNO          FROM   PRODCLAS c, inserted i, deleted d          WHERE  c.GLWIPMACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE PRODCLAS          SET    GLWIPVACCT = i.ACCTNO          FROM   PRODCLAS c, inserted i, deleted d          WHERE  c.GLWIPVACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PTCE_DT'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE PTCE_DT          SET    ACCTNO = i.ACCTNO          FROM   PTCE_DT c, inserted i, deleted d          WHERE  c.ACCTNO = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PTCH_END'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE PTCH_END          SET    ACCTNO = i.ACCTNO          FROM   PTCH_END c, inserted i, deleted d          WHERE  c.ACCTNO = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PTCSETUP'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE PTCSETUP          SET    ACTACCT = i.ACCTNO          FROM   PTCSETUP c, inserted i, deleted d          WHERE  c.ACTACCT = d.ACCTNO          AND    (i.ACCTNO != d.ACCTNO)     END    /*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PURCODE'  */    IF UPDATE(ACCTNO)     BEGIN          UPDATE PURCODE          SET    ACCTNO = i.ACCTNO          FROM   PURCODE c, i
GO
/*  Delete Trigger 'T_D_TAX_PAY' for Table 'TAX_PAY'  */    CREATE TRIGGER [dbo].[T_D_TAX_PAY] ON [dbo].[TAX_PAY] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'TAX_PAY' cannot be deleted if children exist in 'ADVC_EXP'  */    IF EXISTS (             SELECT 1             FROM   ADVC_EXP c, deleted d             WHERE  c.TAXCODE = d.TAXCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ADVC_EXP". Cannot delete parent "TAX_PAY".'          GOTO error     END    /*  Parent in 'TAX_PAY' cannot be deleted if children exist in 'APBAL'  */    IF EXISTS (             SELECT 1             FROM   APBAL c, deleted d             WHERE  c.TAXCODE = d.TAXCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APBAL". Cannot delete parent "TAX_PAY".'          GOTO error     END    /*  Parent in 'TAX_PAY' cannot be deleted if children exist in 'APBALH'  */    IF EXISTS (             SELECT 1             FROM   APBALH c, deleted d             WHERE  c.TAXCODE = d.TAXCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APBALH". Cannot delete parent "TAX_PAY".'          GOTO error     END    /*  Parent in 'TAX_PAY' cannot be deleted if children exist in 'APCHECKS'  */    IF EXISTS (             SELECT 1             FROM   APCHECKS c, deleted d             WHERE  c.TAXCODE = d.TAXCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APCHECKS". Cannot delete parent "TAX_PAY".'          GOTO error     END    /*  Parent in 'TAX_PAY' cannot be deleted if children exist in 'APINVCH'  */    IF EXISTS (             SELECT 1             FROM   APINVCH c, deleted d             WHERE  c.TAXCODE = d.TAXCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APINVCH". Cannot delete parent "TAX_PAY".'          GOTO error     END    /*  Parent in 'TAX_PAY' cannot be deleted if children exist in 'APMAST'  */    IF EXISTS (             SELECT 1             FROM   APMAST c, deleted d             WHERE  c.TAXCODE = d.TAXCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APMAST". Cannot delete parent "TAX_PAY".'          GOTO error     END    /*  Parent in 'TAX_PAY' cannot be deleted if children exist in 'APVAT'  */    IF EXISTS (             SELECT 1             FROM   APVAT c, deleted d             WHERE  c.TAXCODE = d.TAXCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APVAT". Cannot delete parent "TAX_PAY".'          GOTO error     END    /*  Parent in 'TAX_PAY' cannot be deleted if children exist in 'APVATTMP'  */    IF EXISTS (             SELECT 1             FROM   APVATTMP c, deleted d             WHERE  c.TAXCODE = d.TAXCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APVATTMP". Cannot delete parent "TAX_PAY".'          GOTO error     END    /*  Parent in 'TAX_PAY' cannot be deleted if children exist in 'ARBAL'  */    IF EXISTS (             SELECT 1             FROM   ARBAL c, deleted d             WHERE  c.TAXCODE = d.TAXCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARBAL". Cannot delete parent "TAX_PAY".'          GOTO error     END    /*  Parent in 'TAX_PAY' cannot be deleted if children exist in 'ARBALH'  */    IF EXISTS (             SELECT 1             FROM   ARBALH c, deleted d             WHERE  c.TAXCODE = d.TAXCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARBALH". Cannot delete parent "TAX_PAY".'          GOTO error     END    /*  Parent in 'TAX_PAY' cannot be deleted if children exist in 'MANCHECK'  */    IF EXISTS (             SELECT 1             FROM   MANCHECK c, deleted d             WHERE  c.TAXCODE = d.TAXCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MANCHECK". Cannot delete parent "TAX_PAY".'          GOTO error     END    /*  Parent in 'TAX_PAY' cannot be deleted if children exist in 'POMAST'  */    IF EXISTS (             SELECT 1             FROM   POMAST c, deleted d             WHERE  c.TAXCODE = d.TAXCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "POMAST". Cannot delete parent "TAX_PAY".'          GOTO error     END    /*  Parent in 'TAX_PAY' cannot be deleted if children exist in 'PTCE_DT'  */    IF EXISTS (             SELECT 1             FROM   PTCE_DT c, deleted d             WHERE  c.TAXCODE = d.TAXCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PTCE_DT". Cannot delete parent "TAX_PAY".'          GOTO error     END    /*  Parent in 'TAX_PAY' cannot be deleted if children exist in 'PTCH_END'  */    IF EXISTS (             SELECT 1             FROM   PTCH_END c, deleted d             WHERE  c.TAXCODE = d.TAXCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PTCH_END". Cannot delete parent "TAX_PAY".'          GOTO error     END    /*  Parent in 'TAX_PAY' cannot be deleted if children exist in 'TAX_PAY'  */    IF EXISTS (             SELECT 1             FROM   TAX_PAY c, deleted d             WHERE  c.REFTAX = d.TAXCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "TAX_PAY". Cannot delete parent "TAX_PAY".'          GOTO error     END    /*  Parent in 'TAX_PAY' cannot be deleted if children exist in 'VENDOR'  */    IF EXISTS (             SELECT 1             FROM   VENDOR c, deleted d             WHERE  c.TAXCODE = d.TAXCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "VENDOR". Cannot delete parent "TAX_PAY".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_PTCH_RTH' for Table 'PTCH_RTH'  */    CREATE TRIGGER [dbo].[T_U_PTCH_RTH] ON [dbo].[PTCH_RTH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'PTCH_RTH' into its children in 'PTCH_RTD'  */    IF UPDATE(PTCR_NO)     BEGIN          UPDATE PTCH_RTD          SET    PTCR_NO = i.PTCR_NO          FROM   PTCH_RTD c, inserted i, deleted d          WHERE  c.PTCR_NO = d.PTCR_NO          AND    (i.PTCR_NO != d.PTCR_NO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
--/*  Delete Trigger 'T_D_GLYEAR' for Table 'GLYEAR'  */    CREATE TRIGGER [dbo].[T_D_GLYEAR] ON [dbo].[GLYEAR] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ADVCLASS'  */    IF EXISTS (             SELECT 1             FROM   ADVCLASS c, deleted d             WHERE  c.ADVACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ADVCLASS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ADVSETUP'  */    IF EXISTS (             SELECT 1             FROM   ADVSETUP c, deleted d             WHERE  c.ADJACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ADVSETUP". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ADVSETUP'  */    IF EXISTS (             SELECT 1             FROM   ADVSETUP c, deleted d             WHERE  c.CASHACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ADVSETUP". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ALLBASE'  */    IF EXISTS (             SELECT 1             FROM   ALLBASE c, deleted d             WHERE  c.BASEACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ALLBASE". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ALLBASE'  */    IF EXISTS (             SELECT 1             FROM   ALLBASE c, deleted d             WHERE  c.BASEACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ALLBASE". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ALLMAST'  */    IF EXISTS (             SELECT 1             FROM   ALLMAST c, deleted d             WHERE  c.FROMACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ALLMAST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ALLTO'  */    IF EXISTS (             SELECT 1             FROM   ALLTO c, deleted d             WHERE  c.TOACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ALLTO". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'APBAL'  */    IF EXISTS (             SELECT 1             FROM   APBAL c, deleted d             WHERE  c.CASHACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APBAL". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'APBALH'  */    IF EXISTS (             SELECT 1             FROM   APBALH c, deleted d             WHERE  c.CASHACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APBALH". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'APCHECKS'  */    IF EXISTS (             SELECT 1             FROM   APCHECKS c, deleted d             WHERE  c.ACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APCHECKS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'APDET'  */    IF EXISTS (             SELECT 1             FROM   APDET c, deleted d             WHERE  c.ACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APDET". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'APEDIT'  */    IF EXISTS (             SELECT 1             FROM   APEDIT c, deleted d             WHERE  c.ACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APEDIT". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'APINVCH'  */    IF EXISTS (             SELECT 1             FROM   APINVCH c, deleted d             WHERE  c.CASHACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APINVCH". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'APMAST'  */    IF EXISTS (             SELECT 1             FROM   APMAST c, deleted d             WHERE  c.APCLEAR = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APMAST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'APMAST'  */    IF EXISTS (             SELECT 1             FROM   APMAST c, deleted d             WHERE  c.CALCACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APMAST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'APMAST'  */    IF EXISTS (             SELECT 1             FROM   APMAST c, deleted d             WHERE  c.CASHACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APMAST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'APMAST'  */    IF EXISTS (             SELECT 1             FROM   APMAST c, deleted d             WHERE  c.DSCNTACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APMAST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'APMAST'  */    IF EXISTS (             SELECT 1             FROM   APMAST c, deleted d             WHERE  c.EXPACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APMAST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'APMAST'  */    IF EXISTS (             SELECT 1             FROM   APMAST c, deleted d             WHERE  c.FRTACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APMAST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'APMAST'  */    IF EXISTS (             SELECT 1             FROM   APMAST c, deleted d             WHERE  c.GLAPACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APMAST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARBAL'  */    IF EXISTS (             SELECT 1             FROM   ARBAL c, deleted d             WHERE  c.ACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARBAL". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARBAL'  */    IF EXISTS (             SELECT 1             FROM   ARBAL c, deleted d             WHERE  c.MACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARBAL". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARBALH'  */    IF EXISTS (             SELECT 1             FROM   ARBALH c, deleted d             WHERE  c.ACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARBALH". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARBALH'  */    IF EXISTS (             SELECT 1             FROM   ARBALH c, deleted d             WHERE  c.MACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARBALH". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARDET'  */    IF EXISTS (             SELECT 1             FROM   ARDET c, deleted d             WHERE  c.ACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARDET". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARINVCD'  */    IF EXISTS (             SELECT 1             FROM   ARINVCD c, deleted d             WHERE  c.ACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARINVCD". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARINVCH'  */    IF EXISTS (             SELECT 1             FROM   ARINVCH c, deleted d             WHERE  c.ACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARINVCH". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARINVCH'  */    IF EXISTS (             SELECT 1             FROM   ARINVCH c, deleted d             WHERE  c.MACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARINVCH". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARMAST'  */    IF EXISTS (             SELECT 1             FROM   ARMAST c, deleted d             WHERE  c.ARCLEAR = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARMAST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARMAST'  */    IF EXISTS (             SELECT 1             FROM   ARMAST c, deleted d             WHERE  c.CALCACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARMAST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARMAST'  */    IF EXISTS (             SELECT 1             FROM   ARMAST c, deleted d             WHERE  c.CASHREC = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARMAST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARMAST'  */    IF EXISTS (             SELECT 1             FROM   ARMAST c, deleted d             WHERE  c.CHKACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARMAST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARMAST'  */    IF EXISTS (             SELECT 1             FROM   ARMAST c, deleted d             WHERE  c.CSHACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARMAST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARMAST'  */    IF EXISTS (             SELECT 1             FROM   ARMAST c, deleted d             WHERE  c.FINCHG = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARMAST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARMAST'  */    IF EXISTS (             SELECT 1             FROM   ARMAST c, deleted d             WHERE  c.FREIGHT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARMAST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARMAST'  */    IF EXISTS (             SELECT 1             FROM   ARMAST c, deleted d             WHERE  c.GLARACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARMAST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARMAST'  */    IF EXISTS (             SELECT 1             FROM   ARMAST c, deleted d             WHERE  c.MISCACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARMAST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARMAST'  */    IF EXISTS (             SELECT 1             FROM   ARMAST c, deleted d             WHERE  c.PRODUCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARMAST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARMAST'  */    IF EXISTS (             SELECT 1             FROM   ARMAST c, deleted d             WHERE  c.SLSDISC = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARMAST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARRCT'  */    IF EXISTS (             SELECT 1             FROM   ARRCT c, deleted d             WHERE  c.ACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARRCT". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARRCTH'  */    IF EXISTS (             SELECT 1             FROM   ARRCTH c, deleted d             WHERE  c.ACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARRCTH". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'BANK'  */    IF EXISTS (             SELECT 1             FROM   BANK c, deleted d             WHERE  c.ACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "BANK". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'BANKREC'  */    IF EXISTS (             SELECT 1             FROM   BANKREC c, deleted d             WHERE  c.ACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "BANKREC". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'BKMAST'  */    IF EXISTS (             SELECT 1             FROM   BKMAST c, deleted d             WHERE  c.BKCLACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "BKMAST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'BKMAST'  */    IF EXISTS (             SELECT 1             FROM   BKMAST c, deleted d             WHERE  c.EXPACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "BKMAST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'BKTRAN'  */    IF EXISTS (             SELECT 1             FROM   BKTRAN c, deleted d             WHERE  c.EXPACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "BKTRAN". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'BKTRHIST'  */    IF EXISTS (             SELECT 1             FROM   BKTRHIST c, deleted d             WHERE  c.EXPACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "BKTRHIST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'CODET'  */    IF EXISTS (             SELECT 1             FROM   CODET c, deleted d             WHERE  c.ACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CODET". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'COMAST'  */    IF EXISTS (             SELECT 1             FROM   COMAST c, deleted d             WHERE  c.MACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMAST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'CUSTCLAS'  */    IF EXISTS (             SELECT 1             FROM   CUSTCLAS c, deleted d             WHERE  c.CASHREC = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CUSTCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'CUSTCLAS'  */    IF EXISTS (             SELECT 1             FROM   CUSTCLAS c, deleted d             WHERE  c.DEPACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CUSTCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'CUSTCLAS'  */    IF EXISTS (             SELECT 1             FROM   CUSTCLAS c, deleted d             WHERE  c.FINCHG = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CUSTCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'CUSTCLAS'  */    IF EXISTS (             SELECT 1             FROM   CUSTCLAS c, deleted d             WHERE  c.FREIGHT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CUSTCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'CUSTCLAS'  */    IF EXISTS (             SELECT 1             FROM   CUSTCLAS c, deleted d             WHERE  c.GLARACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CUSTCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'CUSTCLAS'  */    IF EXISTS (             SELECT 1             FROM   CUSTCLAS c, deleted d             WHERE  c.OACACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CUSTCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'CUSTCLAS'  */    IF EXISTS (             SELECT 1             FROM   CUSTCLAS c, deleted d             WHERE  c.PRODUCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CUSTCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'CUSTCLAS'  */    IF EXISTS (             SELECT 1             FROM   CUSTCLAS c, deleted d             WHERE  c.SLSDISC = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CUSTCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'CUSTOMER'  */    IF EXISTS (             SELECT 1             FROM   CUSTOMER c, deleted d             WHERE  c.GLSLSACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CUSTOMER". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'CYCCNT'  */    IF EXISTS (             SELECT 1             FROM   CYCCNT c, deleted d             WHERE  c.ACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CYCCNT". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'GLACDIST'  */    IF EXISTS (             SELECT 1             FROM   GLACDIST c, deleted d             WHERE  c.ACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "GLACDIST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'GLINTERD'  */    IF EXISTS (             SELECT 1             FROM   GLINTERD c, deleted d             WHERE  c.ACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "GLINTERD". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'GLAPDIST'  */    IF EXISTS (             SELECT 1             FROM   GLAPDIST c, deleted d             WHERE  c.ACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "GLAPDIST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'GLARDIST'  */    IF EXISTS (             SELECT 1             FROM   GLARDIST c, deleted d             WHERE  c.ACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "GLARDIST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'GLMAPD'  */    IF EXISTS (             SELECT 1             FROM   GLMAPD c, deleted d             WHERE  c.SUBACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "GLMAPD". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'GLMAPH'  */    IF EXISTS (             SELECT 1             FROM   GLMAPH c, deleted d             WHERE  c.MASTACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "GLMAPH". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'GLMAST'  */    IF EXISTS (             SELECT 1             FROM   GLMAST c, deleted d             WHERE  c.RETEARN = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "GLMAST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'GLMDIST'  */    IF EXISTS (             SELECT 1             FROM   GLMDIST c, deleted d             WHERE  c.MACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "GLMDIST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'GLRPTLIN'  */    IF EXISTS (             SELECT 1             FROM   GLRPTLIN c, deleted d             WHERE  c.FROMACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "GLRPTLIN". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'GLRPTLIN'  */    IF EXISTS (             SELECT 1             FROM   GLRPTLIN c, deleted d             WHERE  c.TOACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "GLRPTLIN". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'GLTRAN'  */    IF EXISTS (             SELECT 1             FROM   GLTRAN c, deleted d             WHERE  c.ACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "GLTRAN". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'GLTRANH'  */    IF EXISTS (             SELECT 1             FROM   GLTRANH c, deleted d             WHERE  c.ACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "GLTRANH". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'INV'  */    IF EXISTS (             SELECT 1             FROM   INV c, deleted d             WHERE  c.ACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INV". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'INVADJH'  */    IF EXISTS (             SELECT 1             FROM   INVADJH c, deleted d             WHERE  c.ACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVADJH". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'INVMAST'  */    IF EXISTS (             SELECT 1             FROM   INVMAST c, deleted d             WHERE  c.ADJACCNT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "INVMAST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'LABGLHST'  */    IF EXISTS (             SELECT 1             FROM   LABGLHST c, deleted d             WHERE  c.CRACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "LABGLHST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'LABGLHST'  */    IF EXISTS (             SELECT 1             FROM   LABGLHST c, deleted d             WHERE  c.DBACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "LABGLHST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'MANCHECK'  */    IF EXISTS (             SELECT 1             FROM   MANCHECK c, deleted d             WHERE  c.ACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MANCHECK". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'MANCHKH'  */    IF EXISTS (             SELECT 1             FROM   MANCHKH c, deleted d             WHERE  c.ACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MANCHKH". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'MPSORD'  */    IF EXISTS (             SELECT 1             FROM   MPSORD c, deleted d             WHERE  c.ACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MPSORD". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'MTXGLHST'  */    IF EXISTS (             SELECT 1             FROM   MTXGLHST c, deleted d             WHERE  c.CRACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MTXGLHST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'MTXGLHST'  */    IF EXISTS (             SELECT 1             FROM   MTXGLHST c, deleted d             WHERE  c.DBACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MTXGLHST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'MTXNHIST'  */    IF EXISTS (             SELECT 1             FROM   MTXNHIST c, deleted d             WHERE  c.ACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MTXNHIST". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'OEINVCD'  */    IF EXISTS (             SELECT 1             FROM   OEINVCD c, deleted d             WHERE  c.ACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "OEINVCD". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'OEINVCH'  */    IF EXISTS (             SELECT 1             FROM   OEINVCH c, deleted d             WHERE  c.ACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "OEINVCH". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'OEINVCH'  */    IF EXISTS (             SELECT 1             FROM   OEINVCH c, deleted d             WHERE  c.MACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "OEINVCH". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PAYINH'  */    IF EXISTS (             SELECT 1             FROM   PAYINH c, deleted d             WHERE  c.ACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PAYINH". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PHYINV'  */    IF EXISTS (             SELECT 1             FROM   PHYINV c, deleted d             WHERE  c.ACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PHYINV". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */    IF EXISTS (             SELECT 1             FROM   PRODCLAS c, deleted d             WHERE  c.GLASSACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */    IF EXISTS (             SELECT 1             FROM   PRODCLAS c, deleted d             WHERE  c.GLCOSACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */    IF EXISTS (             SELECT 1             FROM   PRODCLAS c, deleted d             WHERE  c.GLCOSFACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */    IF EXISTS (             SELECT 1             FROM   PRODCLAS c, deleted d             WHERE  c.GLCOSLACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */    IF EXISTS (             SELECT 1             FROM   PRODCLAS c, deleted d             WHERE  c.GLCOSMACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */    IF EXISTS (             SELECT 1             FROM   PRODCLAS c, deleted d             WHERE  c.GLCOSVACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */    IF EXISTS (             SELECT 1             FROM   PRODCLAS c, deleted d             WHERE  c.GLCREVACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */    IF EXISTS (             SELECT 1             FROM   PRODCLAS c, deleted d             WHERE  c.GLCYCCACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */    IF EXISTS (             SELECT 1             FROM   PRODCLAS c, deleted d             WHERE  c.GLINVACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */    IF EXISTS (             SELECT 1             FROM   PRODCLAS c, deleted d             WHERE  c.GLLRVACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */    IF EXISTS (             SELECT 1             FROM   PRODCLAS c, deleted d             WHERE  c.GLMFVACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */    IF EXISTS (             SELECT 1             FROM   PRODCLAS c, deleted d             WHERE  c.GLMLVACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */    IF EXISTS (             SELECT 1             FROM   PRODCLAS c, deleted d             WHERE  c.GLMMVACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */    IF EXISTS (             SELECT 1             FROM   PRODCLAS c, deleted d             WHERE  c.GLMUVACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */    IF EXISTS (             SELECT 1             FROM   PRODCLAS c, deleted d             WHERE  c.GLMVVACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */    IF EXISTS (             SELECT 1             FROM   PRODCLAS c, deleted d             WHERE  c.GLPFVACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */    IF EXISTS (             SELECT 1             FROM   PRODCLAS c, deleted d             WHERE  c.GLPHYCACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */    IF EXISTS (             SELECT 1             FROM   PRODCLAS c, deleted d             WHERE  c.GLPLVACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */    IF EXISTS (             SELECT 1             FROM   PRODCLAS c, deleted d             WHERE  c.GLPPVACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */    IF EXISTS (             SELECT 1             FROM   PRODCLAS c, deleted d             WHERE  c.GLPVVACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */    IF EXISTS (             SELECT 1             FROM   PRODCLAS c, deleted d             WHERE  c.GLSLSACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */    IF EXISTS (             SELECT 1             FROM   PRODCLAS c, deleted d             WHERE  c.GLWIPFACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */    IF EXISTS (             SELECT 1             FROM   PRODCLAS c, deleted d             WHERE  c.GLWIPLACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */    IF EXISTS (             SELECT 1             FROM   PRODCLAS c, deleted d             WHERE  c.GLWIPMACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */    IF EXISTS (             SELECT 1             FROM   PRODCLAS c, deleted d             WHERE  c.GLWIPVACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PTCE_DT'  */    IF EXISTS (             SELECT 1             FROM   PTCE_DT c, deleted d             WHERE  c.ACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PTCE_DT". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PTCH_END'  */    IF EXISTS (             SELECT 1             FROM   PTCH_END c, deleted d             WHERE  c.ACCTNO = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PTCH_END". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PTCSETUP'  */    IF EXISTS (             SELECT 1             FROM   PTCSETUP c, deleted d             WHERE  c.ACTACCT = d.ACCTNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PTCSETUP". Cannot delete parent "GLYEAR".'          GOTO error     END    /*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PURCODE'  */    I
GO
/*  Delete Trigger 'T_D_BOAH' for Table 'BOAH'  */    CREATE TRIGGER [dbo].[T_D_BOAH] ON [dbo].[BOAH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'BOAH' cannot be deleted if children exist in 'BOAD'  */    IF EXISTS (             SELECT 1             FROM   BOAD c, deleted d             WHERE  c.PN = d.PN AND                    c.CUSTID = d.CUSTID AND                    c.ITEM = d.ITEM            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "BOAD". Cannot delete parent "BOAH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_PTCH_ENH' for Table 'PTCH_ENH'  */    CREATE TRIGGER [dbo].[T_U_PTCH_ENH] ON [dbo].[PTCH_ENH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'PTCH_ENH' into its children in 'PTCH_END'  */    IF UPDATE(PTCE_NO)     BEGIN          UPDATE PTCH_END          SET    PTCE_NO = i.PTCE_NO          FROM   PTCH_END c, inserted i, deleted d          WHERE  c.PTCE_NO = d.PTCE_NO          AND    (i.PTCE_NO != d.PTCE_NO)     END    /*  Cascade the Update of the Primary Key of 'PTCH_ENH' into its children in 'PTCH_RTD'  */    IF UPDATE(PTCE_NO)     BEGIN          UPDATE PTCH_RTD          SET    PTCE_NO = i.PTCE_NO          FROM   PTCH_RTD c, inserted i, deleted d          WHERE  c.PTCE_NO = d.PTCE_NO          AND    (i.PTCE_NO != d.PTCE_NO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_BILLRCDH' for Table 'BILLRCDH'  */    CREATE TRIGGER [dbo].[T_D_BILLRCDH] ON [dbo].[BILLRCDH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'BILLRCDH' cannot be deleted if children exist in 'BILLRCD'  */    IF EXISTS (             SELECT 1             FROM   BILLRCD c, deleted d             WHERE  c.BILLR_NO = d.BILLR_NO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "BILLRCD". Cannot delete parent "BILLRCDH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_PTCE_HD' for Table 'PTCE_HD'  */    CREATE TRIGGER [dbo].[T_U_PTCE_HD] ON [dbo].[PTCE_HD] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'PTCE_HD' into its children in 'PTCE_DT'  */    IF UPDATE(PTCE_NO)     BEGIN          UPDATE PTCE_DT          SET    PTCE_NO = i.PTCE_NO          FROM   PTCE_DT c, inserted i, deleted d          WHERE  c.PTCE_NO = d.PTCE_NO          AND    (i.PTCE_NO != d.PTCE_NO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_BILLH' for Table 'BILLH'  */    CREATE TRIGGER [dbo].[T_D_BILLH] ON [dbo].[BILLH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'BILLH' cannot be deleted if children exist in 'BILL'  */    IF EXISTS (             SELECT 1             FROM   BILL c, deleted d             WHERE  c.BILL_NO = d.BILL_NO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "BILL". Cannot delete parent "BILLH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_PROINVX' for Table 'PROINVX'  */    CREATE TRIGGER [dbo].[T_U_PROINVX] ON [dbo].[PROINVX] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'PROINVX' into its children in 'COMMX'  */    IF UPDATE(PROINVNO) OR     UPDATE(ITEM)     BEGIN          UPDATE COMMX          SET    ITEM = i.ITEM ,                 PROINVNO = i.PROINVNO          FROM   COMMX c, inserted i, deleted d          WHERE  c.ITEM = d.ITEM AND                 c.PROINVNO = d.PROINVNO          AND    (i.ITEM != d.ITEM OR                 i.PROINVNO != d.PROINVNO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_ARSHIPHT' for Table 'ARSHIPHT'  */    CREATE TRIGGER [dbo].[T_D_ARSHIPHT] ON [dbo].[ARSHIPHT] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'ARSHIPHT' cannot be deleted if children exist in 'ARSHIPMT'  */    IF EXISTS (             SELECT 1             FROM   ARSHIPMT c, deleted d             WHERE  c.OENO = d.OENO AND                    c.ITEM = d.ITEM AND                    c.PN = d.PN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARSHIPMT". Cannot delete parent "ARSHIPHT".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_QMCERTH' for Table 'QMCERTH'  */    CREATE TRIGGER [dbo].[T_U_QMCERTH] ON [dbo].[QMCERTH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'QMCERTH' into its children in 'Qmcertd'  */    IF UPDATE(CERTNO)     BEGIN          UPDATE Qmcertd          SET    CERTNO = i.CERTNO          FROM   Qmcertd c, inserted i, deleted d          WHERE  c.CERTNO = d.CERTNO          AND    (i.CERTNO != d.CERTNO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_ARSHIPH' for Table 'ARSHIPH'  */    CREATE TRIGGER [dbo].[T_D_ARSHIPH] ON [dbo].[ARSHIPH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'ARSHIPH' cannot be deleted if children exist in 'ARSHIP'  */    IF EXISTS (             SELECT 1             FROM   ARSHIP c, deleted d             WHERE  c.SHIPNO = d.SHIPNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARSHIP". Cannot delete parent "ARSHIPH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_PURMAST1' for Table 'QUOTA_H'  */    CREATE TRIGGER [dbo].[T_U_PURMAST1] ON [dbo].[QUOTA_H] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'QUOTA_H' into its children in 'QUOTA_D'  */    IF UPDATE(VENDORID) OR     UPDATE(QUOTA_NO)     BEGIN          UPDATE QUOTA_D          SET    VENDORID = i.VENDORID ,                 QUOTA_NO = i.QUOTA_NO          FROM   QUOTA_D c, inserted i, deleted d          WHERE  c.VENDORID = d.VENDORID AND                 c.QUOTA_NO = d.QUOTA_NO          AND    (i.VENDORID != d.VENDORID OR                 i.QUOTA_NO != d.QUOTA_NO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_ARRCTH' for Table 'ARRCTH'  */    CREATE TRIGGER [dbo].[T_D_ARRCTH] ON [dbo].[ARRCTH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'ARRCTH' cannot be deleted if children exist in 'ARRCT'  */    IF EXISTS (             SELECT 1             FROM   ARRCT c, deleted d             WHERE  c.RVCHRNO = d.RVCHRNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARRCT". Cannot delete parent "ARRCTH".'          GOTO error     END    /*  Parent in 'ARRCTH' cannot be deleted if children exist in 'ARRCTR'  */    IF EXISTS (             SELECT 1             FROM   ARRCTR c, deleted d             WHERE  c.RVCHRNO = d.RVCHRNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARRCTR". Cannot delete parent "ARRCTH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_PURCODE' for Table 'PURCODE'  */    CREATE TRIGGER [dbo].[T_U_PURCODE] ON [dbo].[PURCODE] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'PURCODE' into its children in 'ADVC_EXP'  */    IF UPDATE(CODE)     BEGIN          UPDATE ADVC_EXP          SET    PURCODE = i.CODE          FROM   ADVC_EXP c, inserted i, deleted d          WHERE  c.PURCODE = d.CODE          AND    (i.CODE != d.CODE)     END    /*  Cascade the Update of the Primary Key of 'PURCODE' into its children in 'MANCHECK'  */    IF UPDATE(CODE)     BEGIN          UPDATE MANCHECK          SET    CODE = i.CODE          FROM   MANCHECK c, inserted i, deleted d          WHERE  c.CODE = d.CODE          AND    (i.CODE != d.CODE)     END    /*  Cascade the Update of the Primary Key of 'PURCODE' into its children in 'PTCE_DT'  */    IF UPDATE(CODE)     BEGIN          UPDATE PTCE_DT          SET    PURCODE = i.CODE          FROM   PTCE_DT c, inserted i, deleted d          WHERE  c.PURCODE = d.CODE          AND    (i.CODE != d.CODE)     END    /*  Cascade the Update of the Primary Key of 'PURCODE' into its children in 'PTCH_END'  */    IF UPDATE(CODE)     BEGIN          UPDATE PTCH_END          SET    PURCODE = i.CODE          FROM   PTCH_END c, inserted i, deleted d          WHERE  c.PURCODE = d.CODE          AND    (i.CODE != d.CODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_MANCHKH' for Table 'MANCHKH'  */    CREATE TRIGGER [dbo].[T_U_MANCHKH] ON [dbo].[MANCHKH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'MANCHKH' cannot be modified if children exist in 'Manchkv'  */    IF UPDATE(PVCHRNO)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   Manchkv c, inserted i, deleted d                  WHERE  c.PVCHRNO = d.PVCHRNO                  AND   (i.PVCHRNO != d.PVCHRNO)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "Manchkv". Cannot modify Primary Key in "MANCHKH".'               GOTO error          END  END    /*  The Primary Key of 'MANCHKH' cannot be modified if children exist in 'MANCHKP'  */    IF UPDATE(PVCHRNO)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   MANCHKP c, inserted i, deleted d                  WHERE  c.PVCHRNO = d.PVCHRNO                  AND   (i.PVCHRNO != d.PVCHRNO)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "MANCHKP". Cannot modify Primary Key in "MANCHKH".'               GOTO error          END  END    /*  Cascade the Update of the Primary Key of 'MANCHKH' into its children in 'MANCHECK'  */    IF UPDATE(PVCHRNO)     BEGIN          UPDATE MANCHECK          SET    PVCHRNO = i.PVCHRNO          FROM   MANCHECK c, inserted i, deleted d          WHERE  c.PVCHRNO = d.PVCHRNO          AND    (i.PVCHRNO != d.PVCHRNO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_APRTNH' for Table 'APRTNH'  */    CREATE TRIGGER [dbo].[T_D_APRTNH] ON [dbo].[APRTNH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'APRTNH' cannot be deleted if children exist in 'APRTN'  */    IF EXISTS (             SELECT 1             FROM   APRTN c, deleted d             WHERE  c.PRTNNO = d.PRTNNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APRTN". Cannot delete parent "APRTNH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_PTCR_HD' for Table 'PTCR_HD'  */    CREATE TRIGGER [dbo].[T_U_PTCR_HD] ON [dbo].[PTCR_HD] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'PTCR_HD' into its children in 'PTCR_DT'  */    IF UPDATE(PTCR_NO)     BEGIN          UPDATE PTCR_DT          SET    PTCR_NO = i.PTCR_NO          FROM   PTCR_DT c, inserted i, deleted d          WHERE  c.PTCR_NO = d.PTCR_NO          AND    (i.PTCR_NO != d.PTCR_NO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_MANCHKH' for Table 'MANCHKH'  */    CREATE TRIGGER [dbo].[T_D_MANCHKH] ON [dbo].[MANCHKH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'MANCHKH' cannot be deleted if children exist in 'MANCHECK'  */    IF EXISTS (             SELECT 1             FROM   MANCHECK c, deleted d             WHERE  c.PVCHRNO = d.PVCHRNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MANCHECK". Cannot delete parent "MANCHKH".'          GOTO error     END    /*  Parent in 'MANCHKH' cannot be deleted if children exist in 'Manchkv'  */    IF EXISTS (             SELECT 1             FROM   Manchkv c, deleted d             WHERE  c.PVCHRNO = d.PVCHRNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "Manchkv". Cannot delete parent "MANCHKH".'          GOTO error     END    /*  Parent in 'MANCHKH' cannot be deleted if children exist in 'MANCHKP'  */    IF EXISTS (             SELECT 1             FROM   MANCHKP c, deleted d             WHERE  c.PVCHRNO = d.PVCHRNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MANCHKP". Cannot delete parent "MANCHKH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_APINVCH' for Table 'APINVCH'  */    CREATE TRIGGER [dbo].[T_D_APINVCH] ON [dbo].[APINVCH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'APINVCH' cannot be deleted if children exist in 'APINVCD'  */    IF EXISTS (             SELECT 1             FROM   APINVCD c, deleted d             WHERE  c.VCHRNO = d.VCHRNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APINVCD". Cannot delete parent "APINVCH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_QMINSPTR' for Table 'QMINSPTR'  */    CREATE TRIGGER [dbo].[T_U_QMINSPTR] ON [dbo].[QMINSPTR] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'QMINSPTR' cannot be modified if children exist in 'QMORDRSN'  */    IF UPDATE(INSPTRID)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   QMORDRSN c, inserted i, deleted d                  WHERE  c.INSPPERSON = d.INSPTRID                  AND   (i.INSPTRID != d.INSPTRID)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "QMORDRSN". Cannot modify Primary Key in "QMINSPTR".'               GOTO error          END  END    /*  Cascade the Update of the Primary Key of 'QMINSPTR' into its children in 'QMSMPMSM'  */    IF UPDATE(INSPTRID)     BEGIN          UPDATE QMSMPMSM          SET    MSMPERSON = i.INSPTRID          FROM   QMSMPMSM c, inserted i, deleted d          WHERE  c.MSMPERSON = d.INSPTRID          AND    (i.INSPTRID != d.INSPTRID)     END    /*  Cascade the Update of the Primary Key of 'QMINSPTR' into its children in 'QMSMPRSL'  */    IF UPDATE(INSPTRID)     BEGIN          UPDATE QMSMPRSL          SET    INSPPERSON = i.INSPTRID          FROM   QMSMPRSL c, inserted i, deleted d          WHERE  c.INSPPERSON = d.INSPTRID          AND    (i.INSPTRID != d.INSPTRID)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_APEDITH' for Table 'APEDITH'  */    CREATE TRIGGER [dbo].[T_D_APEDITH] ON [dbo].[APEDITH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'APEDITH' cannot be deleted if children exist in 'APEDIT'  */    IF EXISTS (             SELECT 1             FROM   APEDIT c, deleted d             WHERE  c.RCDNO = d.RCDNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "APEDIT". Cannot delete parent "APEDITH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_QMINSPPC' for Table 'QMINSPPC'  */    CREATE TRIGGER [dbo].[T_U_QMINSPPC] ON [dbo].[QMINSPPC] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'QMINSPPC' into its children in 'QMINSORD'  */    IF UPDATE(INSPPCID)     BEGIN          UPDATE QMINSORD          SET    INSPPCID = i.INSPPCID          FROM   QMINSORD c, inserted i, deleted d          WHERE  c.INSPPCID = d.INSPPCID          AND    (i.INSPPCID != d.INSPPCID)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_COINVCH' for Table 'COINVCH'  */    CREATE TRIGGER [dbo].[T_D_COINVCH] ON [dbo].[COINVCH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'COINVCH' cannot be deleted if children exist in 'COINVCD'  */    IF EXISTS (             SELECT 1             FROM   COINVCD c, deleted d             WHERE  c.INVCNO = d.INVCNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COINVCD". Cannot delete parent "COINVCH".'          GOTO error     END    /*  Parent in 'COINVCH' cannot be deleted if children exist in 'CODO'  */    IF EXISTS (             SELECT 1             FROM   CODO c, deleted d             WHERE  c.INVCNO = d.INVCNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CODO". Cannot delete parent "COINVCH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_ORD' for Table 'ORD'  */    CREATE TRIGGER [dbo].[T_U_ORD] ON [dbo].[ORD] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'ORD' into its children in 'WPL'  */    IF UPDATE(ORD) OR     UPDATE(PN)     BEGIN          UPDATE WPL          SET    ORD = i.ORD ,                 PN = i.PN          FROM   WPL c, inserted i, deleted d          WHERE  c.ORD = d.ORD AND                 c.PN = d.PN          AND    (i.ORD != d.ORD OR                 i.PN != d.PN)     END    /*  Cascade the Update of the Primary Key of 'ORD' into its children in 'WPM'  */    IF UPDATE(ORD) OR     UPDATE(PN)     BEGIN          UPDATE WPM          SET    ORD = i.ORD ,                 PN = i.PN          FROM   WPM c, inserted i, deleted d          WHERE  c.ORD = d.ORD AND                 c.PN = d.PN          AND    (i.ORD != d.ORD OR                 i.PN != d.PN)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_CODET' for Table 'CODET'  */    CREATE TRIGGER [dbo].[T_D_CODET] ON [dbo].[CODET] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'CODET' cannot be deleted if children exist in 'ARSHIP'  */    IF EXISTS (             SELECT 1             FROM   ARSHIP c, deleted d             WHERE  c.ITEM = d.ITEM AND                    c.OENO = d.OENO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARSHIP". Cannot delete parent "CODET".'          GOTO error     END    /*  Parent in 'CODET' cannot be deleted if children exist in 'ORDHOLD'  */    IF EXISTS (             SELECT 1             FROM   ORDHOLD c, deleted d             WHERE  c.OENO = d.OENO AND                    c.ITEM = d.ITEM            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ORDHOLD". Cannot delete parent "CODET".'          GOTO error     END    /*  Parent in 'CODET' cannot be deleted if children exist in 'MULDSCT'  */    IF EXISTS (             SELECT 1             FROM   MULDSCT c, deleted d             WHERE  c.DOCNO = d.OENO AND                    c.ITEM = d.ITEM            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MULDSCT". Cannot delete parent "CODET".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_OEINVCH' for Table 'OEINVCH'  */    CREATE TRIGGER [dbo].[T_U_OEINVCH] ON [dbo].[OEINVCH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'OEINVCH' into its children in 'OEINVCD'  */    IF UPDATE(TRANSNO)     BEGIN          UPDATE OEINVCD          SET    TRANSNO = i.TRANSNO          FROM   OEINVCD c, inserted i, deleted d          WHERE  c.TRANSNO = d.TRANSNO          AND    (i.TRANSNO != d.TRANSNO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_TAXRATE' for Table 'TAXRATE'  */    CREATE TRIGGER [dbo].[T_U_TAXRATE] ON [dbo].[TAXRATE] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'TAXRATE' cannot be modified if children exist in 'ARVAT'  */    IF UPDATE(TAXCODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARVAT c, inserted i, deleted d                  WHERE  c.TAXCODE = d.TAXCODE                  AND   (i.TAXCODE != d.TAXCODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARVAT". Cannot modify Primary Key in "TAXRATE".'               GOTO error          END  END    /*  Cascade the Update of the Primary Key of 'TAXRATE' into its children in 'ARINVCH'  */    IF UPDATE(TAXCODE)     BEGIN          UPDATE ARINVCH          SET    TAXCODE = i.TAXCODE          FROM   ARINVCH c, inserted i, deleted d          WHERE  c.TAXCODE = d.TAXCODE          AND    (i.TAXCODE != d.TAXCODE)     END    /*  Cascade the Update of the Primary Key of 'TAXRATE' into its children in 'ARMAST'  */    IF UPDATE(TAXCODE)     BEGIN          UPDATE ARMAST          SET    TAXCODE = i.TAXCODE          FROM   ARMAST c, inserted i, deleted d          WHERE  c.TAXCODE = d.TAXCODE          AND    (i.TAXCODE != d.TAXCODE)     END    /*  Cascade the Update of the Primary Key of 'TAXRATE' into its children in 'ARRCT'  */    IF UPDATE(TAXCODE)     BEGIN          UPDATE ARRCT          SET    TAXCODE = i.TAXCODE          FROM   ARRCT c, inserted i, deleted d          WHERE  c.TAXCODE = d.TAXCODE          AND    (i.TAXCODE != d.TAXCODE)     END    /*  Cascade the Update of the Primary Key of 'TAXRATE' into its children in 'COMAST'  */    IF UPDATE(TAXCODE)     BEGIN          UPDATE COMAST          SET    TAXCODE = i.TAXCODE          FROM   COMAST c, inserted i, deleted d          WHERE  c.TAXCODE = d.TAXCODE          AND    (i.TAXCODE != d.TAXCODE)     END    /*  Cascade the Update of the Primary Key of 'TAXRATE' into its children in 'CUSTOMER'  */    IF UPDATE(TAXCODE)     BEGIN          UPDATE CUSTOMER          SET    TAXCODE = i.TAXCODE          FROM   CUSTOMER c, inserted i, deleted d          WHERE  c.TAXCODE = d.TAXCODE          AND    (i.TAXCODE != d.TAXCODE)     END    /*  Cascade the Update of the Primary Key of 'TAXRATE' into its children in 'OEINVCH'  */    IF UPDATE(TAXCODE)     BEGIN          UPDATE OEINVCH          SET    TAXCODE = i.TAXCODE          FROM   OEINVCH c, inserted i, deleted d          WHERE  c.TAXCODE = d.TAXCODE          AND    (i.TAXCODE != d.TAXCODE)     END    /*  Cascade the Update of the Primary Key of 'TAXRATE' into its children in 'SHIPADDR'  */    IF UPDATE(TAXCODE)     BEGIN          UPDATE SHIPADDR          SET    TAXCODE = i.TAXCODE          FROM   SHIPADDR c, inserted i, deleted d          WHERE  c.TAXCODE = d.TAXCODE          AND    (i.TAXCODE != d.TAXCODE)     END    /*  Cascade the Update of the Primary Key of 'TAXRATE' into its children in 'TAXRATE'  */    IF UPDATE(TAXCODE)     BEGIN          UPDATE TAXRATE          SET    REFTAX = i.TAXCODE          FROM   TAXRATE c, inserted i, deleted d          WHERE  c.REFTAX = d.TAXCODE          AND    (i.TAXCODE != d.TAXCODE)     END    /*  Cascade the Update of the Primary Key of 'TAXRATE' into its children in 'COINVCH'  */    IF UPDATE(TAXCODE)     BEGIN          UPDATE COINVCH          SET    TAXCODE = i.TAXCODE          FROM   COINVCH c, inserted i, deleted d          WHERE  c.TAXCODE = d.TAXCODE          AND    (i.TAXCODE != d.TAXCODE)     END    /*  Cascade the Update of the Primary Key of 'TAXRATE' into its children in 'MULRCDD'  */    IF UPDATE(TAXCODE)     BEGIN          UPDATE MULRCDD          SET    TAXCODE = i.TAXCODE          FROM   MULRCDD c, inserted i, deleted d          WHERE  c.TAXCODE = d.TAXCODE          AND    (i.TAXCODE != d.TAXCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_COMTAXX' for Table 'COMTAXX'  */    CREATE TRIGGER [dbo].[T_D_COMTAXX] ON [dbo].[COMTAXX] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'COMTAXX' cannot be deleted if children exist in 'RM19'  */    IF EXISTS (             SELECT 1             FROM   RM19 c, deleted d             WHERE  c.COMINVNO = d.COMINVNO            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "RM19". Cannot delete parent "COMTAXX".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_MULRCDH' for Table 'MULRCDH'  */    CREATE TRIGGER [dbo].[T_U_MULRCDH] ON [dbo].[MULRCDH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'MULRCDH' into its children in 'MULRCDM'  */    IF UPDATE(KEYIN_REF)     BEGIN          UPDATE MULRCDM          SET    KEYIN_REF = i.KEYIN_REF          FROM   MULRCDM c, inserted i, deleted d          WHERE  c.KEYIN_REF = d.KEYIN_REF          AND    (i.KEYIN_REF != d.KEYIN_REF)     END    /*  Cascade the Update of the Primary Key of 'MULRCDH' into its children in 'MULRCDD'  */    IF UPDATE(KEYIN_REF)     BEGIN          UPDATE MULRCDD          SET    KEYIN_REF = i.KEYIN_REF          FROM   MULRCDD c, inserted i, deleted d          WHERE  c.KEYIN_REF = d.KEYIN_REF          AND    (i.KEYIN_REF != d.KEYIN_REF)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_SALESMAN' for Table 'SALESMAN'  */    CREATE TRIGGER [dbo].[T_U_SALESMAN] ON [dbo].[SALESMAN] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'SALESMAN' cannot be modified if children exist in 'ARBAL'  */    IF UPDATE(SALESMAN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARBAL c, inserted i, deleted d                  WHERE  c.SALESMAN = d.SALESMAN                  AND   (i.SALESMAN != d.SALESMAN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARBAL". Cannot modify Primary Key in "SALESMAN".'               GOTO error          END  END    /*  The Primary Key of 'SALESMAN' cannot be modified if children exist in 'ARBALH'  */    IF UPDATE(SALESMAN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARBALH c, inserted i, deleted d                  WHERE  c.SALESMAN = d.SALESMAN                  AND   (i.SALESMAN != d.SALESMAN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARBALH". Cannot modify Primary Key in "SALESMAN".'               GOTO error          END  END    /*  The Primary Key of 'SALESMAN' cannot be modified if children exist in 'ARDET'  */    IF UPDATE(SALESMAN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARDET c, inserted i, deleted d                  WHERE  c.SALESMAN = d.SALESMAN                  AND   (i.SALESMAN != d.SALESMAN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARDET". Cannot modify Primary Key in "SALESMAN".'               GOTO error          END  END    /*  The Primary Key of 'SALESMAN' cannot be modified if children exist in 'COMMHIST'  */    IF UPDATE(SALESMAN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   COMMHIST c, inserted i, deleted d                  WHERE  c.SALESMAN = d.SALESMAN                  AND   (i.SALESMAN != d.SALESMAN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "COMMHIST". Cannot modify Primary Key in "SALESMAN".'               GOTO error          END  END    /*  The Primary Key of 'SALESMAN' cannot be modified if children exist in 'SHIPHIST'  */    IF UPDATE(SALESMAN)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   SHIPHIST c, inserted i, deleted d                  WHERE  c.SALESMAN = d.SALESMAN                  AND   (i.SALESMAN != d.SALESMAN)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "SHIPHIST". Cannot modify Primary Key in "SALESMAN".'               GOTO error          END  END    /*  Cascade the Update of the Primary Key of 'SALESMAN' into its children in 'ARINVCH'  */    IF UPDATE(SALESMAN)     BEGIN          UPDATE ARINVCH          SET    SALESMAN = i.SALESMAN          FROM   ARINVCH c, inserted i, deleted d          WHERE  c.SALESMAN = d.SALESMAN          AND    (i.SALESMAN != d.SALESMAN)     END    /*  Cascade the Update of the Primary Key of 'SALESMAN' into its children in 'ARMAST'  */    IF UPDATE(SALESMAN)     BEGIN          UPDATE ARMAST          SET    SALESMAN = i.SALESMAN          FROM   ARMAST c, inserted i, deleted d          WHERE  c.SALESMAN = d.SALESMAN          AND    (i.SALESMAN != d.SALESMAN)     END    /*  Cascade the Update of the Primary Key of 'SALESMAN' into its children in 'ARRCT'  */    IF UPDATE(SALESMAN)     BEGIN          UPDATE ARRCT          SET    SALESMAN = i.SALESMAN          FROM   ARRCT c, inserted i, deleted d          WHERE  c.SALESMAN = d.SALESMAN          AND    (i.SALESMAN != d.SALESMAN)     END    /*  Cascade the Update of the Primary Key of 'SALESMAN' into its children in 'COMAST'  */    IF UPDATE(SALESMAN)     BEGIN          UPDATE COMAST          SET    SALESMAN = i.SALESMAN          FROM   COMAST c, inserted i, deleted d          WHERE  c.SALESMAN = d.SALESMAN          AND    (i.SALESMAN != d.SALESMAN)     END    /*  Cascade the Update of the Primary Key of 'SALESMAN' into its children in 'CUSTOMER'  */    IF UPDATE(SALESMAN)     BEGIN          UPDATE CUSTOMER          SET    SALESMAN = i.SALESMAN          FROM   CUSTOMER c, inserted i, deleted d          WHERE  c.SALESMAN = d.SALESMAN          AND    (i.SALESMAN != d.SALESMAN)     END    /*  Cascade the Update of the Primary Key of 'SALESMAN' into its children in 'ESTHDR'  */    IF UPDATE(SALESMAN)     BEGIN          UPDATE ESTHDR          SET    SALESMAN = i.SALESMAN          FROM   ESTHDR c, inserted i, deleted d          WHERE  c.SALESMAN = d.SALESMAN          AND    (i.SALESMAN != d.SALESMAN)     END    /*  Cascade the Update of the Primary Key of 'SALESMAN' into its children in 'OEINVCH'  */    IF UPDATE(SALESMAN)     BEGIN          UPDATE OEINVCH          SET    SALESMAN = i.SALESMAN          FROM   OEINVCH c, inserted i, deleted d          WHERE  c.SALESMAN = d.SALESMAN          AND    (i.SALESMAN != d.SALESMAN)     END    /*  Cascade the Update of the Primary Key of 'SALESMAN' into its children in 'SHIPADDR'  */    IF UPDATE(SALESMAN)     BEGIN          UPDATE SHIPADDR          SET    SALESMAN = i.SALESMAN          FROM   SHIPADDR c, inserted i, deleted d          WHERE  c.SALESMAN = d.SALESMAN          AND    (i.SALESMAN != d.SALESMAN)     END    /*  Cascade the Update of the Primary Key of 'SALESMAN' into its children in 'MULRCDD'  */    IF UPDATE(SALESMAN)     BEGIN          UPDATE MULRCDD          SET    SALESMAN = i.SALESMAN          FROM   MULRCDD c, inserted i, deleted d          WHERE  c.SALESMAN = d.SALESMAN          AND    (i.SALESMAN != d.SALESMAN)     END    /*  Cascade the Update of the Primary Key of 'SALESMAN' into its children in 'PROINVH'  */    IF UPDATE(SALESMAN)     BEGIN          UPDATE PROINVH          SET    SALESMAN = i.SALESMAN          FROM   PROINVH c, inserted i, deleted d          WHERE  c.SALESMAN = d.SALESMAN          AND    (i.SALESMAN != d.SALESMAN)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_LABCODES' for Table 'LABCODES'  */    CREATE TRIGGER [dbo].[T_U_LABCODES] ON [dbo].[LABCODES] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'LABCODES' cannot be modified if children exist in 'LABGLHST'  */    IF UPDATE(LABCODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   LABGLHST c, inserted i, deleted d                  WHERE  c.LABCODE = d.LABCODE                  AND   (i.LABCODE != d.LABCODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "LABGLHST". Cannot modify Primary Key in "LABCODES".'               GOTO error          END  END    /*  The Primary Key of 'LABCODES' cannot be modified if children exist in 'TIMECARD'  */    IF UPDATE(LABCODE)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   TIMECARD c, inserted i, deleted d                  WHERE  c.LABCODE = d.LABCODE                  AND   (i.LABCODE != d.LABCODE)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "TIMECARD". Cannot modify Primary Key in "LABCODES".'               GOTO error          END  END    /*  Cascade the Update of the Primary Key of 'LABCODES' into its children in 'SFC201A'  */    IF UPDATE(LABCODE)     BEGIN          UPDATE SFC201A          SET    LABCODE = i.LABCODE          FROM   SFC201A c, inserted i, deleted d          WHERE  c.LABCODE = d.LABCODE          AND    (i.LABCODE != d.LABCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_TERR' for Table 'TERR'  */    CREATE TRIGGER [dbo].[T_U_TERR] ON [dbo].[TERR] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  The Primary Key of 'TERR' cannot be modified if children exist in 'ARBAL'  */    IF UPDATE(TERR)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARBAL c, inserted i, deleted d                  WHERE  c.TERR = d.TERR                  AND   (i.TERR != d.TERR)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARBAL". Cannot modify Primary Key in "TERR".'               GOTO error          END  END    /*  The Primary Key of 'TERR' cannot be modified if children exist in 'ARBALH'  */    IF UPDATE(TERR)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARBALH c, inserted i, deleted d                  WHERE  c.TERR = d.TERR                  AND   (i.TERR != d.TERR)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARBALH". Cannot modify Primary Key in "TERR".'               GOTO error          END  END    /*  The Primary Key of 'TERR' cannot be modified if children exist in 'ARDET'  */    IF UPDATE(TERR)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   ARDET c, inserted i, deleted d                  WHERE  c.TERR = d.TERR                  AND   (i.TERR != d.TERR)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "ARDET". Cannot modify Primary Key in "TERR".'               GOTO error          END  END    /*  The Primary Key of 'TERR' cannot be modified if children exist in 'COMMHIST'  */    IF UPDATE(TERR)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   COMMHIST c, inserted i, deleted d                  WHERE  c.TERR = d.TERR                  AND   (i.TERR != d.TERR)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "COMMHIST". Cannot modify Primary Key in "TERR".'               GOTO error          END  END    /*  The Primary Key of 'TERR' cannot be modified if children exist in 'SHIPHIST'  */    IF UPDATE(TERR)  BEGIN       IF EXISTS (                  SELECT 1                  FROM   SHIPHIST c, inserted i, deleted d                  WHERE  c.TERR = d.TERR                  AND   (i.TERR != d.TERR)                 )          BEGIN               SELECT @error_number=30004,                      @error_message='Children exist in "SHIPHIST". Cannot modify Primary Key in "TERR".'               GOTO error          END  END    /*  Cascade the Update of the Primary Key of 'TERR' into its children in 'ARINVCH'  */    IF UPDATE(TERR)     BEGIN          UPDATE ARINVCH          SET    TERR = i.TERR          FROM   ARINVCH c, inserted i, deleted d          WHERE  c.TERR = d.TERR          AND    (i.TERR != d.TERR)     END    /*  Cascade the Update of the Primary Key of 'TERR' into its children in 'ARMAST'  */    IF UPDATE(TERR)     BEGIN          UPDATE ARMAST          SET    TERR = i.TERR          FROM   ARMAST c, inserted i, deleted d          WHERE  c.TERR = d.TERR          AND    (i.TERR != d.TERR)     END    /*  Cascade the Update of the Primary Key of 'TERR' into its children in 'ARRCT'  */    IF UPDATE(TERR)     BEGIN          UPDATE ARRCT          SET    TERR = i.TERR          FROM   ARRCT c, inserted i, deleted d          WHERE  c.TERR = d.TERR          AND    (i.TERR != d.TERR)     END    /*  Cascade the Update of the Primary Key of 'TERR' into its children in 'COMAST'  */    IF UPDATE(TERR)     BEGIN          UPDATE COMAST          SET    TERR = i.TERR          FROM   COMAST c, inserted i, deleted d          WHERE  c.TERR = d.TERR          AND    (i.TERR != d.TERR)     END    /*  Cascade the Update of the Primary Key of 'TERR' into its children in 'CUSTOMER'  */    IF UPDATE(TERR)     BEGIN          UPDATE CUSTOMER          SET    TERR = i.TERR          FROM   CUSTOMER c, inserted i, deleted d          WHERE  c.TERR = d.TERR          AND    (i.TERR != d.TERR)     END    /*  Cascade the Update of the Primary Key of 'TERR' into its children in 'ESTHDR'  */    IF UPDATE(TERR)     BEGIN          UPDATE ESTHDR          SET    TERR = i.TERR          FROM   ESTHDR c, inserted i, deleted d          WHERE  c.TERR = d.TERR          AND    (i.TERR != d.TERR)     END    /*  Cascade the Update of the Primary Key of 'TERR' into its children in 'OEINVCH'  */    IF UPDATE(TERR)     BEGIN          UPDATE OEINVCH          SET    TERR = i.TERR          FROM   OEINVCH c, inserted i, deleted d          WHERE  c.TERR = d.TERR          AND    (i.TERR != d.TERR)     END    /*  Cascade the Update of the Primary Key of 'TERR' into its children in 'SHIPADDR'  */    IF UPDATE(TERR)     BEGIN          UPDATE SHIPADDR          SET    TERR = i.TERR          FROM   SHIPADDR c, inserted i, deleted d          WHERE  c.TERR = d.TERR          AND    (i.TERR != d.TERR)     END    /*  Cascade the Update of the Primary Key of 'TERR' into its children in 'MULRCDD'  */    IF UPDATE(TERR)     BEGIN          UPDATE MULRCDD          SET    TERR = i.TERR          FROM   MULRCDD c, inserted i, deleted d          WHERE  c.TERR = d.TERR          AND    (i.TERR != d.TERR)     END    /*  Cascade the Update of the Primary Key of 'TERR' into its children in 'PROINVH'  */    IF UPDATE(TERR)     BEGIN          UPDATE PROINVH          SET    TERR = i.TERR          FROM   PROINVH c, inserted i, deleted d          WHERE  c.TERR = d.TERR          AND    (i.TERR != d.TERR)     END    /*  Cascade the Update of the Primary Key of 'TERR' into its children in 'COMMH'  */    IF UPDATE(TERR)     BEGIN          UPDATE COMMH          SET    TERR = i.TERR          FROM   COMMH c, inserted i, deleted d          WHERE  c.TERR = d.TERR          AND    (i.TERR != d.TERR)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_OT' for Table 'OT'  */    CREATE TRIGGER [dbo].[T_U_OT] ON [dbo].[OT] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'OT' into its children in 'OTPERIOD'  */    IF UPDATE(COMPCODE) OR     UPDATE(OTCODE)     BEGIN          UPDATE OTPERIOD          SET    COMPCODE = i.COMPCODE ,                 OTCODE = i.OTCODE          FROM   OTPERIOD c, inserted i, deleted d          WHERE  c.COMPCODE = d.COMPCODE AND                 c.OTCODE = d.OTCODE          AND    (i.COMPCODE != d.COMPCODE OR                 i.OTCODE != d.OTCODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_STMTCYCL' for Table 'STMTCYCL'  */    CREATE TRIGGER [dbo].[T_U_STMTCYCL] ON [dbo].[STMTCYCL] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'STMTCYCL' into its children in 'ARMAST'  */    IF UPDATE(STMTCYCLE)     BEGIN          UPDATE ARMAST          SET    STMTCYCLE = i.STMTCYCLE          FROM   ARMAST c, inserted i, deleted d          WHERE  c.STMTCYCLE = d.STMTCYCLE          AND    (i.STMTCYCLE != d.STMTCYCLE)     END    /*  Cascade the Update of the Primary Key of 'STMTCYCL' into its children in 'CUSTOMER'  */    IF UPDATE(STMTCYCLE)     BEGIN          UPDATE CUSTOMER          SET    STMTCYCLE = i.STMTCYCLE          FROM   CUSTOMER c, inserted i, deleted d          WHERE  c.STMTCYCLE = d.STMTCYCLE          AND    (i.STMTCYCLE != d.STMTCYCLE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_DEDPER' for Table 'DEDPER'  */    CREATE TRIGGER [dbo].[T_D_DEDPER] ON [dbo].[DEDPER] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'DEDPER' cannot be deleted if children exist in 'EMPPRREG'  */    IF EXISTS (             SELECT 1             FROM   EMPPRREG c, deleted d             WHERE  c.DEFSEQ = d.DEFSEQ AND                    c.TYPE = d.TYPE AND                    c.TRANTYPE = d.TRANTYPE AND                    c.TRANCODE = d.TRANCODE AND                    c.COMPCODE = d.COMPCODE AND                    c.EMPCODE = d.EMPCODE AND                    c.PERIOD = d.PERIOD AND                    c.MONTH = d.MONTH AND                    c.YEAR = d.YEAR AND                    c.BRNCODE = d.BRNCODE AND                    c.DEPTCODE = d.DEPTCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "EMPPRREG". Cannot delete parent "DEDPER".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_MATERIAL' for Table 'MATERIAL'  */    CREATE TRIGGER [dbo].[T_U_MATERIAL] ON [dbo].[MATERIAL] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'MATERIAL' into its children in 'FORMULAR'  */    IF UPDATE(MTR_NO)     BEGIN          UPDATE FORMULAR          SET    MTR_NO = i.MTR_NO          FROM   FORMULAR c, inserted i, deleted d          WHERE  c.MTR_NO = d.MTR_NO          AND    (i.MTR_NO != d.MTR_NO)     END    /*  Cascade the Update of the Primary Key of 'MATERIAL' into its children in 'IMPORTD'  */    IF UPDATE(MTR_NO)     BEGIN          UPDATE IMPORTD          SET    MTR_NO = i.MTR_NO          FROM   IMPORTD c, inserted i, deleted d          WHERE  c.MTR_NO = d.MTR_NO          AND    (i.MTR_NO != d.MTR_NO)     END    /*  Cascade the Update of the Primary Key of 'MATERIAL' into its children in 'RM19'  */    IF UPDATE(MTR_NO)     BEGIN          UPDATE RM19          SET    MTR_NO = i.MTR_NO          FROM   RM19 c, inserted i, deleted d          WHERE  c.MTR_NO = d.MTR_NO          AND    (i.MTR_NO != d.MTR_NO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_SALESMAN' for Table 'SALESMAN'  */    CREATE TRIGGER [dbo].[T_D_SALESMAN] ON [dbo].[SALESMAN] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'SALESMAN' cannot be deleted if children exist in 'ARBAL'  */    IF EXISTS (             SELECT 1             FROM   ARBAL c, deleted d             WHERE  c.SALESMAN = d.SALESMAN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARBAL". Cannot delete parent "SALESMAN".'          GOTO error     END    /*  Parent in 'SALESMAN' cannot be deleted if children exist in 'ARBALH'  */    IF EXISTS (             SELECT 1             FROM   ARBALH c, deleted d             WHERE  c.SALESMAN = d.SALESMAN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARBALH". Cannot delete parent "SALESMAN".'          GOTO error     END    /*  Parent in 'SALESMAN' cannot be deleted if children exist in 'ARDET'  */    IF EXISTS (             SELECT 1             FROM   ARDET c, deleted d             WHERE  c.SALESMAN = d.SALESMAN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARDET". Cannot delete parent "SALESMAN".'          GOTO error     END    /*  Parent in 'SALESMAN' cannot be deleted if children exist in 'ARINVCH'  */    IF EXISTS (             SELECT 1             FROM   ARINVCH c, deleted d             WHERE  c.SALESMAN = d.SALESMAN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARINVCH". Cannot delete parent "SALESMAN".'          GOTO error     END    /*  Parent in 'SALESMAN' cannot be deleted if children exist in 'ARMAST'  */    IF EXISTS (             SELECT 1             FROM   ARMAST c, deleted d             WHERE  c.SALESMAN = d.SALESMAN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARMAST". Cannot delete parent "SALESMAN".'          GOTO error     END    /*  Parent in 'SALESMAN' cannot be deleted if children exist in 'ARRCT'  */    IF EXISTS (             SELECT 1             FROM   ARRCT c, deleted d             WHERE  c.SALESMAN = d.SALESMAN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARRCT". Cannot delete parent "SALESMAN".'          GOTO error     END    /*  Parent in 'SALESMAN' cannot be deleted if children exist in 'COMAST'  */    IF EXISTS (             SELECT 1             FROM   COMAST c, deleted d             WHERE  c.SALESMAN = d.SALESMAN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMAST". Cannot delete parent "SALESMAN".'          GOTO error     END    /*  Parent in 'SALESMAN' cannot be deleted if children exist in 'COMMHIST'  */    IF EXISTS (             SELECT 1             FROM   COMMHIST c, deleted d             WHERE  c.SALESMAN = d.SALESMAN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMMHIST". Cannot delete parent "SALESMAN".'          GOTO error     END    /*  Parent in 'SALESMAN' cannot be deleted if children exist in 'CUSTOMER'  */    IF EXISTS (             SELECT 1             FROM   CUSTOMER c, deleted d             WHERE  c.SALESMAN = d.SALESMAN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CUSTOMER". Cannot delete parent "SALESMAN".'          GOTO error     END    /*  Parent in 'SALESMAN' cannot be deleted if children exist in 'ESTHDR'  */    IF EXISTS (             SELECT 1             FROM   ESTHDR c, deleted d             WHERE  c.SALESMAN = d.SALESMAN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ESTHDR". Cannot delete parent "SALESMAN".'          GOTO error     END    /*  Parent in 'SALESMAN' cannot be deleted if children exist in 'OEINVCH'  */    IF EXISTS (             SELECT 1             FROM   OEINVCH c, deleted d             WHERE  c.SALESMAN = d.SALESMAN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "OEINVCH". Cannot delete parent "SALESMAN".'          GOTO error     END    /*  Parent in 'SALESMAN' cannot be deleted if children exist in 'SHIPADDR'  */    IF EXISTS (             SELECT 1             FROM   SHIPADDR c, deleted d             WHERE  c.SALESMAN = d.SALESMAN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "SHIPADDR". Cannot delete parent "SALESMAN".'          GOTO error     END    /*  Parent in 'SALESMAN' cannot be deleted if children exist in 'SHIPHIST'  */    IF EXISTS (             SELECT 1             FROM   SHIPHIST c, deleted d             WHERE  c.SALESMAN = d.SALESMAN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "SHIPHIST". Cannot delete parent "SALESMAN".'          GOTO error     END    /*  Parent in 'SALESMAN' cannot be deleted if children exist in 'MULRCDD'  */    IF EXISTS (             SELECT 1             FROM   MULRCDD c, deleted d             WHERE  c.SALESMAN = d.SALESMAN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MULRCDD". Cannot delete parent "SALESMAN".'          GOTO error     END    /*  Parent in 'SALESMAN' cannot be deleted if children exist in 'PROINVH'  */    IF EXISTS (             SELECT 1             FROM   PROINVH c, deleted d             WHERE  c.SALESMAN = d.SALESMAN            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PROINVH". Cannot delete parent "SALESMAN".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_DEDUCT' for Table 'DEDUCT'  */    CREATE TRIGGER [dbo].[T_D_DEDUCT] ON [dbo].[DEDUCT] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'DEDUCT' cannot be deleted if children exist in 'POSDED'  */    IF EXISTS (             SELECT 1             FROM   POSDED c, deleted d             WHERE  c.COMPCODE = d.COMPCODE AND                    c.TRANTYPE = d.TRANTYPE AND                    c.TRANCODE = d.TRANCODE AND                    c.PERIOD = d.PERIOD            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "POSDED". Cannot delete parent "DEDUCT".'          GOTO error     END    /*  Parent in 'DEDUCT' cannot be deleted if children exist in 'EMPDED'  */    IF EXISTS (             SELECT 1             FROM   EMPDED c, deleted d             WHERE  c.COMPCODE = d.COMPCODE AND                    c.TRANTYPE = d.TRANTYPE AND                    c.TRANCODE = d.TRANCODE AND                    c.PERIOD = d.PERIOD            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "EMPDED". Cannot delete parent "DEDUCT".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_PDP_MASH' for Table 'PDP_MASH'  */    CREATE TRIGGER [dbo].[T_U_PDP_MASH] ON [dbo].[PDP_MASH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'PDP_MASH' into its children in 'PDP_MASD'  */    IF UPDATE(PDP_CODE)     BEGIN          UPDATE PDP_MASD          SET    PDP_CODE = i.PDP_CODE          FROM   PDP_MASD c, inserted i, deleted d          WHERE  c.PDP_CODE = d.PDP_CODE          AND    (i.PDP_CODE != d.PDP_CODE)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_TERR' for Table 'TERR'  */    CREATE TRIGGER [dbo].[T_D_TERR] ON [dbo].[TERR] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'TERR' cannot be deleted if children exist in 'ARBAL'  */    IF EXISTS (             SELECT 1             FROM   ARBAL c, deleted d             WHERE  c.TERR = d.TERR            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARBAL". Cannot delete parent "TERR".'          GOTO error     END    /*  Parent in 'TERR' cannot be deleted if children exist in 'ARBALH'  */    IF EXISTS (             SELECT 1             FROM   ARBALH c, deleted d             WHERE  c.TERR = d.TERR            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARBALH". Cannot delete parent "TERR".'          GOTO error     END    /*  Parent in 'TERR' cannot be deleted if children exist in 'ARDET'  */    IF EXISTS (             SELECT 1             FROM   ARDET c, deleted d             WHERE  c.TERR = d.TERR            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARDET". Cannot delete parent "TERR".'          GOTO error     END    /*  Parent in 'TERR' cannot be deleted if children exist in 'ARINVCH'  */    IF EXISTS (             SELECT 1             FROM   ARINVCH c, deleted d             WHERE  c.TERR = d.TERR            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARINVCH". Cannot delete parent "TERR".'          GOTO error     END    /*  Parent in 'TERR' cannot be deleted if children exist in 'ARMAST'  */    IF EXISTS (             SELECT 1             FROM   ARMAST c, deleted d             WHERE  c.TERR = d.TERR            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARMAST". Cannot delete parent "TERR".'          GOTO error     END    /*  Parent in 'TERR' cannot be deleted if children exist in 'ARRCT'  */    IF EXISTS (             SELECT 1             FROM   ARRCT c, deleted d             WHERE  c.TERR = d.TERR            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ARRCT". Cannot delete parent "TERR".'          GOTO error     END    /*  Parent in 'TERR' cannot be deleted if children exist in 'COMAST'  */    IF EXISTS (             SELECT 1             FROM   COMAST c, deleted d             WHERE  c.TERR = d.TERR            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMAST". Cannot delete parent "TERR".'          GOTO error     END    /*  Parent in 'TERR' cannot be deleted if children exist in 'COMMHIST'  */    IF EXISTS (             SELECT 1             FROM   COMMHIST c, deleted d             WHERE  c.TERR = d.TERR            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMMHIST". Cannot delete parent "TERR".'          GOTO error     END    /*  Parent in 'TERR' cannot be deleted if children exist in 'CUSTOMER'  */    IF EXISTS (             SELECT 1             FROM   CUSTOMER c, deleted d             WHERE  c.TERR = d.TERR            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "CUSTOMER". Cannot delete parent "TERR".'          GOTO error     END    /*  Parent in 'TERR' cannot be deleted if children exist in 'ESTHDR'  */    IF EXISTS (             SELECT 1             FROM   ESTHDR c, deleted d             WHERE  c.TERR = d.TERR            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "ESTHDR". Cannot delete parent "TERR".'          GOTO error     END    /*  Parent in 'TERR' cannot be deleted if children exist in 'OEINVCH'  */    IF EXISTS (             SELECT 1             FROM   OEINVCH c, deleted d             WHERE  c.TERR = d.TERR            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "OEINVCH". Cannot delete parent "TERR".'          GOTO error     END    /*  Parent in 'TERR' cannot be deleted if children exist in 'SHIPADDR'  */    IF EXISTS (             SELECT 1             FROM   SHIPADDR c, deleted d             WHERE  c.TERR = d.TERR            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "SHIPADDR". Cannot delete parent "TERR".'          GOTO error     END    /*  Parent in 'TERR' cannot be deleted if children exist in 'SHIPHIST'  */    IF EXISTS (             SELECT 1             FROM   SHIPHIST c, deleted d             WHERE  c.TERR = d.TERR            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "SHIPHIST". Cannot delete parent "TERR".'          GOTO error     END    /*  Parent in 'TERR' cannot be deleted if children exist in 'MULRCDD'  */    IF EXISTS (             SELECT 1             FROM   MULRCDD c, deleted d             WHERE  c.TERR = d.TERR            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "MULRCDD". Cannot delete parent "TERR".'          GOTO error     END    /*  Parent in 'TERR' cannot be deleted if children exist in 'PROINVH'  */    IF EXISTS (             SELECT 1             FROM   PROINVH c, deleted d             WHERE  c.TERR = d.TERR            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "PROINVH". Cannot delete parent "TERR".'          GOTO error     END    /*  Parent in 'TERR' cannot be deleted if children exist in 'COMMH'  */    IF EXISTS (             SELECT 1             FROM   COMMH c, deleted d             WHERE  c.TERR = d.TERR            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "COMMH". Cannot delete parent "TERR".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Delete Trigger 'T_D_DEDPERH' for Table 'DEDPERH'  */    CREATE TRIGGER [dbo].[T_D_DEDPERH] ON [dbo].[DEDPERH] FOR DELETE AS    BEGIN      DECLARE             @row_count       INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Parent in 'DEDPERH' cannot be deleted if children exist in 'DEDPER'  */    IF EXISTS (             SELECT 1             FROM   DEDPER c, deleted d             WHERE  c.COMPCODE = d.COMPCODE AND                    c.EMPCODE = d.EMPCODE AND                    c.PERIOD = d.PERIOD AND                    c.MONTH = d.MONTH AND                    c.YEAR = d.YEAR AND                    c.BRNCODE = d.BRNCODE AND                    c.DEPTCODE = d.DEPTCODE            )     BEGIN          SELECT @error_number=30005,                 @error_message='Children exist in "DEDPER". Cannot delete parent "DEDPERH".'          GOTO error     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO
/*  Update Trigger 'T_U_PAYINH' for Table 'PAYINH'  */    CREATE TRIGGER [dbo].[T_U_PAYINH] ON [dbo].[PAYINH] FOR UPDATE AS    BEGIN      DECLARE             @row_count       INT,             @null_row_count  INT,             @error_number    INT,             @error_message   VARCHAR(255)        SELECT @row_count = @@rowcount      IF @row_count = 0         RETURN    /*  Cascade the Update of the Primary Key of 'PAYINH' into its children in 'PAYIND'  */    IF UPDATE(PAYIN_NO)     BEGIN          UPDATE PAYIND          SET    PAYIN_NO = i.PAYIN_NO          FROM   PAYIND c, inserted i, deleted d          WHERE  c.PAYIN_NO = d.PAYIN_NO          AND    (i.PAYIN_NO != d.PAYIN_NO)     END  RETURN    /*  Error Handling  */  error:        RAISERROR (@error_number, @error_message,10,1)        ROLLBACK TRANSACTION  END  
GO

/****** Object:  Trigger [dbo].[T_D_GLYEAR]    Script Date: 06/29/2015 15:48:02 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER OFF
GO

/*  Delete Trigger 'T_D_GLYEAR' for Table 'GLYEAR'  */

CREATE TRIGGER [dbo].[T_D_GLYEAR] ON [dbo].[GLYEAR] FOR DELETE AS

BEGIN
    DECLARE
           @row_count       INT,
           @error_number    INT,
           @error_message   VARCHAR(255)

    SELECT @row_count = @@rowcount
    IF @row_count = 0
       RETURN

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ADVCLASS'  */

IF EXISTS (
           SELECT 1
           FROM   ADVCLASS c, deleted d
           WHERE  c.ADVACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "ADVCLASS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ADVSETUP'  */

IF EXISTS (
           SELECT 1
           FROM   ADVSETUP c, deleted d
           WHERE  c.ADJACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "ADVSETUP". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ADVSETUP'  */

IF EXISTS (
           SELECT 1
           FROM   ADVSETUP c, deleted d
           WHERE  c.CASHACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "ADVSETUP". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ALLBASE'  */

IF EXISTS (
           SELECT 1
           FROM   ALLBASE c, deleted d
           WHERE  c.BASEACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "ALLBASE". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ALLBASE'  */

IF EXISTS (
           SELECT 1
           FROM   ALLBASE c, deleted d
           WHERE  c.BASEACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "ALLBASE". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ALLMAST'  */

IF EXISTS (
           SELECT 1
           FROM   ALLMAST c, deleted d
           WHERE  c.FROMACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "ALLMAST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ALLTO'  */

IF EXISTS (
           SELECT 1
           FROM   ALLTO c, deleted d
           WHERE  c.TOACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "ALLTO". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'APBAL'  */

IF EXISTS (
           SELECT 1
           FROM   APBAL c, deleted d
           WHERE  c.CASHACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "APBAL". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'APBALH'  */

IF EXISTS (
           SELECT 1
           FROM   APBALH c, deleted d
           WHERE  c.CASHACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "APBALH". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'APCHECKS'  */

IF EXISTS (
           SELECT 1
           FROM   APCHECKS c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "APCHECKS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'APDET'  */

IF EXISTS (
           SELECT 1
           FROM   APDET c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "APDET". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'APEDIT'  */

IF EXISTS (
           SELECT 1
           FROM   APEDIT c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "APEDIT". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'APINVCH'  */

IF EXISTS (
           SELECT 1
           FROM   APINVCH c, deleted d
           WHERE  c.CASHACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "APINVCH". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'APMAST'  */

IF EXISTS (
           SELECT 1
           FROM   APMAST c, deleted d
           WHERE  c.APCLEAR = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "APMAST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'APMAST'  */

IF EXISTS (
           SELECT 1
           FROM   APMAST c, deleted d
           WHERE  c.CALCACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "APMAST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'APMAST'  */

IF EXISTS (
           SELECT 1
           FROM   APMAST c, deleted d
           WHERE  c.CASHACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "APMAST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'APMAST'  */

IF EXISTS (
           SELECT 1
           FROM   APMAST c, deleted d
           WHERE  c.DSCNTACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "APMAST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'APMAST'  */

IF EXISTS (
           SELECT 1
           FROM   APMAST c, deleted d
           WHERE  c.EXPACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "APMAST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'APMAST'  */

IF EXISTS (
           SELECT 1
           FROM   APMAST c, deleted d
           WHERE  c.FRTACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "APMAST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'APMAST'  */

IF EXISTS (
           SELECT 1
           FROM   APMAST c, deleted d
           WHERE  c.GLAPACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "APMAST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARBAL'  */

IF EXISTS (
           SELECT 1
           FROM   ARBAL c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "ARBAL". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARBAL'  */

IF EXISTS (
           SELECT 1
           FROM   ARBAL c, deleted d
           WHERE  c.MACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "ARBAL". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARBALH'  */

IF EXISTS (
           SELECT 1
           FROM   ARBALH c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "ARBALH". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARBALH'  */

IF EXISTS (
           SELECT 1
           FROM   ARBALH c, deleted d
           WHERE  c.MACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "ARBALH". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARDET'  */

IF EXISTS (
           SELECT 1
           FROM   ARDET c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "ARDET". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARINVCD'  */

IF EXISTS (
           SELECT 1
           FROM   ARINVCD c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "ARINVCD". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARINVCH'  */

IF EXISTS (
           SELECT 1
           FROM   ARINVCH c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "ARINVCH". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARINVCH'  */

IF EXISTS (
           SELECT 1
           FROM   ARINVCH c, deleted d
           WHERE  c.MACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "ARINVCH". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARMAST'  */

IF EXISTS (
           SELECT 1
           FROM   ARMAST c, deleted d
           WHERE  c.ARCLEAR = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "ARMAST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARMAST'  */

IF EXISTS (
           SELECT 1
           FROM   ARMAST c, deleted d
           WHERE  c.CALCACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "ARMAST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARMAST'  */

IF EXISTS (
           SELECT 1
           FROM   ARMAST c, deleted d
           WHERE  c.CASHREC = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "ARMAST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARMAST'  */

IF EXISTS (
           SELECT 1
           FROM   ARMAST c, deleted d
           WHERE  c.CHKACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "ARMAST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARMAST'  */

IF EXISTS (
           SELECT 1
           FROM   ARMAST c, deleted d
           WHERE  c.CSHACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "ARMAST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARMAST'  */

IF EXISTS (
           SELECT 1
           FROM   ARMAST c, deleted d
           WHERE  c.FINCHG = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "ARMAST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARMAST'  */

IF EXISTS (
           SELECT 1
           FROM   ARMAST c, deleted d
           WHERE  c.FREIGHT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "ARMAST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARMAST'  */

IF EXISTS (
           SELECT 1
           FROM   ARMAST c, deleted d
           WHERE  c.GLARACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "ARMAST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARMAST'  */

IF EXISTS (
           SELECT 1
           FROM   ARMAST c, deleted d
           WHERE  c.MISCACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "ARMAST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARMAST'  */

IF EXISTS (
           SELECT 1
           FROM   ARMAST c, deleted d
           WHERE  c.PRODUCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "ARMAST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARMAST'  */

IF EXISTS (
           SELECT 1
           FROM   ARMAST c, deleted d
           WHERE  c.SLSDISC = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "ARMAST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARRCT'  */

IF EXISTS (
           SELECT 1
           FROM   ARRCT c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "ARRCT". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARRCTH'  */

IF EXISTS (
           SELECT 1
           FROM   ARRCTH c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "ARRCTH". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'BANK'  */

IF EXISTS (
           SELECT 1
           FROM   BANK c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "BANK". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'BANKREC'  */

IF EXISTS (
           SELECT 1
           FROM   BANKREC c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "BANKREC". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'BKMAST'  */

IF EXISTS (
           SELECT 1
           FROM   BKMAST c, deleted d
           WHERE  c.BKCLACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "BKMAST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'BKMAST'  */

IF EXISTS (
           SELECT 1
           FROM   BKMAST c, deleted d
           WHERE  c.EXPACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "BKMAST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'BKTRAN'  */

IF EXISTS (
           SELECT 1
           FROM   BKTRAN c, deleted d
           WHERE  c.EXPACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "BKTRAN". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'BKTRHIST'  */

IF EXISTS (
           SELECT 1
           FROM   BKTRHIST c, deleted d
           WHERE  c.EXPACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "BKTRHIST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'CODET'  */

IF EXISTS (
           SELECT 1
           FROM   CODET c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "CODET". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'COMAST'  */

IF EXISTS (
           SELECT 1
           FROM   COMAST c, deleted d
           WHERE  c.MACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "COMAST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'CUSTCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   CUSTCLAS c, deleted d
           WHERE  c.CASHREC = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "CUSTCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'CUSTCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   CUSTCLAS c, deleted d
           WHERE  c.DEPACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "CUSTCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'CUSTCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   CUSTCLAS c, deleted d
           WHERE  c.FINCHG = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "CUSTCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'CUSTCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   CUSTCLAS c, deleted d
           WHERE  c.FREIGHT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "CUSTCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'CUSTCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   CUSTCLAS c, deleted d
           WHERE  c.GLARACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "CUSTCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'CUSTCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   CUSTCLAS c, deleted d
           WHERE  c.OACACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "CUSTCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'CUSTCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   CUSTCLAS c, deleted d
           WHERE  c.PRODUCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "CUSTCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'CUSTCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   CUSTCLAS c, deleted d
           WHERE  c.SLSDISC = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "CUSTCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'CUSTOMER'  */

IF EXISTS (
           SELECT 1
           FROM   CUSTOMER c, deleted d
           WHERE  c.GLSLSACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "CUSTOMER". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'CYCCNT'  */

IF EXISTS (
           SELECT 1
           FROM   CYCCNT c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "CYCCNT". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'GLACDIST'  */

IF EXISTS (
           SELECT 1
           FROM   GLACDIST c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "GLACDIST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'GLINTERD'  */

IF EXISTS (
           SELECT 1
           FROM   GLINTERD c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "GLINTERD". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'GLAPDIST'  */

IF EXISTS (
           SELECT 1
           FROM   GLAPDIST c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "GLAPDIST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'GLARDIST'  */

IF EXISTS (
           SELECT 1
           FROM   GLARDIST c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "GLARDIST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'GLMAPD'  */

IF EXISTS (
           SELECT 1
           FROM   GLMAPD c, deleted d
           WHERE  c.SUBACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "GLMAPD". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'GLMAPH'  */

IF EXISTS (
           SELECT 1
           FROM   GLMAPH c, deleted d
           WHERE  c.MASTACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "GLMAPH". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'GLMAST'  */

IF EXISTS (
           SELECT 1
           FROM   GLMAST c, deleted d
           WHERE  c.RETEARN = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "GLMAST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'GLMDIST'  */

IF EXISTS (
           SELECT 1
           FROM   GLMDIST c, deleted d
           WHERE  c.MACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "GLMDIST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'GLRPTLIN'  */

IF EXISTS (
           SELECT 1
           FROM   GLRPTLIN c, deleted d
           WHERE  c.FROMACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "GLRPTLIN". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'GLRPTLIN'  */

IF EXISTS (
           SELECT 1
           FROM   GLRPTLIN c, deleted d
           WHERE  c.TOACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "GLRPTLIN". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'GLTRAN'  */

IF EXISTS (
           SELECT 1
           FROM   GLTRAN c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "GLTRAN". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'GLTRANH'  */

IF EXISTS (
           SELECT 1
           FROM   GLTRANH c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "GLTRANH". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'INV'  */

IF EXISTS (
           SELECT 1
           FROM   INV c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "INV". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'INVADJH'  */

IF EXISTS (
           SELECT 1
           FROM   INVADJH c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "INVADJH". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'INVMAST'  */

IF EXISTS (
           SELECT 1
           FROM   INVMAST c, deleted d
           WHERE  c.ADJACCNT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "INVMAST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'LABGLHST'  */

IF EXISTS (
           SELECT 1
           FROM   LABGLHST c, deleted d
           WHERE  c.CRACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "LABGLHST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'LABGLHST'  */

IF EXISTS (
           SELECT 1
           FROM   LABGLHST c, deleted d
           WHERE  c.DBACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "LABGLHST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'MANCHECK'  */

IF EXISTS (
           SELECT 1
           FROM   MANCHECK c, deleted d
           WHERE  c.ACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "MANCHECK". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'MANCHKH'  */

IF EXISTS (
           SELECT 1
           FROM   MANCHKH c, deleted d
           WHERE  c.ACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "MANCHKH". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'MPSORD'  */

IF EXISTS (
           SELECT 1
           FROM   MPSORD c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "MPSORD". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'MTXGLHST'  */

IF EXISTS (
           SELECT 1
           FROM   MTXGLHST c, deleted d
           WHERE  c.CRACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "MTXGLHST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'MTXGLHST'  */

IF EXISTS (
           SELECT 1
           FROM   MTXGLHST c, deleted d
           WHERE  c.DBACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "MTXGLHST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'MTXNHIST'  */

IF EXISTS (
           SELECT 1
           FROM   MTXNHIST c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "MTXNHIST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'OEINVCD'  */

IF EXISTS (
           SELECT 1
           FROM   OEINVCD c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "OEINVCD". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'OEINVCH'  */

IF EXISTS (
           SELECT 1
           FROM   OEINVCH c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "OEINVCH". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'OEINVCH'  */

IF EXISTS (
           SELECT 1
           FROM   OEINVCH c, deleted d
           WHERE  c.MACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "OEINVCH". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PAYINH'  */

IF EXISTS (
           SELECT 1
           FROM   PAYINH c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "PAYINH". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PHYINV'  */

IF EXISTS (
           SELECT 1
           FROM   PHYINV c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "PHYINV". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   PRODCLAS c, deleted d
           WHERE  c.GLASSACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   PRODCLAS c, deleted d
           WHERE  c.GLCOSACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   PRODCLAS c, deleted d
           WHERE  c.GLCOSFACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   PRODCLAS c, deleted d
           WHERE  c.GLCOSLACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   PRODCLAS c, deleted d
           WHERE  c.GLCOSMACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   PRODCLAS c, deleted d
           WHERE  c.GLCOSVACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   PRODCLAS c, deleted d
           WHERE  c.GLCREVACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   PRODCLAS c, deleted d
           WHERE  c.GLCYCCACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   PRODCLAS c, deleted d
           WHERE  c.GLINVACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   PRODCLAS c, deleted d
           WHERE  c.GLLRVACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   PRODCLAS c, deleted d
           WHERE  c.GLMFVACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   PRODCLAS c, deleted d
           WHERE  c.GLMLVACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   PRODCLAS c, deleted d
           WHERE  c.GLMMVACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   PRODCLAS c, deleted d
           WHERE  c.GLMUVACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   PRODCLAS c, deleted d
           WHERE  c.GLMVVACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   PRODCLAS c, deleted d
           WHERE  c.GLPFVACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   PRODCLAS c, deleted d
           WHERE  c.GLPHYCACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   PRODCLAS c, deleted d
           WHERE  c.GLPLVACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   PRODCLAS c, deleted d
           WHERE  c.GLPPVACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   PRODCLAS c, deleted d
           WHERE  c.GLPVVACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   PRODCLAS c, deleted d
           WHERE  c.GLSLSACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   PRODCLAS c, deleted d
           WHERE  c.GLWIPFACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   PRODCLAS c, deleted d
           WHERE  c.GLWIPLACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   PRODCLAS c, deleted d
           WHERE  c.GLWIPMACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PRODCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   PRODCLAS c, deleted d
           WHERE  c.GLWIPVACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "PRODCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PTCE_DT'  */

IF EXISTS (
           SELECT 1
           FROM   PTCE_DT c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "PTCE_DT". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PTCH_END'  */

IF EXISTS (
           SELECT 1
           FROM   PTCH_END c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "PTCH_END". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PTCSETUP'  */

IF EXISTS (
           SELECT 1
           FROM   PTCSETUP c, deleted d
           WHERE  c.ACTACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "PTCSETUP". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PURCODE'  */

IF EXISTS (
           SELECT 1
           FROM   PURCODE c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "PURCODE". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'PURMAST'  */

IF EXISTS (
           SELECT 1
           FROM   PURMAST c, deleted d
           WHERE  c.GLPURACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "PURMAST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'REQUEST'  */

IF EXISTS (
           SELECT 1
           FROM   REQUEST c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "REQUEST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'SHIPHIST'  */

IF EXISTS (
           SELECT 1
           FROM   SHIPHIST c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "SHIPHIST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'TAXRATE'  */

IF EXISTS (
           SELECT 1
           FROM   TAXRATE c, deleted d
           WHERE  c.ACCT1 = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "TAXRATE". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'TAXRATE'  */

IF EXISTS (
           SELECT 1
           FROM   TAXRATE c, deleted d
           WHERE  c.ACCT2 = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "TAXRATE". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'TAXRATE'  */

IF EXISTS (
           SELECT 1
           FROM   TAXRATE c, deleted d
           WHERE  c.ACCT3 = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "TAXRATE". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'TAXRATE'  */

IF EXISTS (
           SELECT 1
           FROM   TAXRATE c, deleted d
           WHERE  c.ACCT4 = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "TAXRATE". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'TAXRATE'  */

IF EXISTS (
           SELECT 1
           FROM   TAXRATE c, deleted d
           WHERE  c.WDACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "TAXRATE". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'TAX_PAY'  */

IF EXISTS (
           SELECT 1
           FROM   TAX_PAY c, deleted d
           WHERE  c.ACCT1 = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "TAX_PAY". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'TAX_PAY'  */

IF EXISTS (
           SELECT 1
           FROM   TAX_PAY c, deleted d
           WHERE  c.ACCT2 = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "TAX_PAY". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'TAX_PAY'  */

IF EXISTS (
           SELECT 1
           FROM   TAX_PAY c, deleted d
           WHERE  c.ACCT3 = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "TAX_PAY". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'TAX_PAY'  */

IF EXISTS (
           SELECT 1
           FROM   TAX_PAY c, deleted d
           WHERE  c.ACCT4 = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "TAX_PAY". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'TAX_PAY'  */

IF EXISTS (
           SELECT 1
           FROM   TAX_PAY c, deleted d
           WHERE  c.PRACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "TAX_PAY". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'TAX_PAY'  */

IF EXISTS (
           SELECT 1
           FROM   TAX_PAY c, deleted d
           WHERE  c.WDACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "TAX_PAY". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'TRANS'  */

IF EXISTS (
           SELECT 1
           FROM   TRANS c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "TRANS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'VENDCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   VENDCLAS c, deleted d
           WHERE  c.CASHACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "VENDCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'VENDCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   VENDCLAS c, deleted d
           WHERE  c.DSCNTACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "VENDCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'VENDCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   VENDCLAS c, deleted d
           WHERE  c.FRTACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "VENDCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'VENDCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   VENDCLAS c, deleted d
           WHERE  c.GLAPACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "VENDCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'VENDCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   VENDCLAS c, deleted d
           WHERE  c.GLAPRACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "VENDCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'VENDCLAS'  */

IF EXISTS (
           SELECT 1
           FROM   VENDCLAS c, deleted d
           WHERE  c.GLAPUACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "VENDCLAS". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'VENDOR'  */

IF EXISTS (
           SELECT 1
           FROM   VENDOR c, deleted d
           WHERE  c.EXPACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "VENDOR". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'VENDOR'  */

IF EXISTS (
           SELECT 1
           FROM   VENDOR c, deleted d
           WHERE  c.VENDACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "VENDOR". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'WC'  */

IF EXISTS (
           SELECT 1
           FROM   WC c, deleted d
           WHERE  c.GLCOPFACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "WC". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'WC'  */

IF EXISTS (
           SELECT 1
           FROM   WC c, deleted d
           WHERE  c.GLCOPLACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "WC". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'WC'  */

IF EXISTS (
           SELECT 1
           FROM   WC c, deleted d
           WHERE  c.GLCOPVACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "WC". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'WC'  */

IF EXISTS (
           SELECT 1
           FROM   WC c, deleted d
           WHERE  c.GLFOACCNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "WC". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'WC'  */

IF EXISTS (
           SELECT 1
           FROM   WC c, deleted d
           WHERE  c.GLLAACCNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "WC". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'WC'  */

IF EXISTS (
           SELECT 1
           FROM   WC c, deleted d
           WHERE  c.GLVOACCNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "WC". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'INVBGT'  */

IF EXISTS (
           SELECT 1
           FROM   INVBGT c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "INVBGT". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'INVENSH'  */

IF EXISTS (
           SELECT 1
           FROM   INVENSH c, deleted d
           WHERE  c.DEFACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "INVENSH". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'INVENSM2'  */

IF EXISTS (
           SELECT 1
           FROM   INVENSM2 c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "INVENSM2". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'INVENSD'  */

IF EXISTS (
           SELECT 1
           FROM   INVENSD c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "INVENSD". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'MULRCDM'  */

IF EXISTS (
           SELECT 1
           FROM   MULRCDM c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "MULRCDM". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'MULRCDD'  */

IF EXISTS (
           SELECT 1
           FROM   MULRCDD c, deleted d
           WHERE  c.ACCTNO = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "MULRCDD". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'MANCHKH'  */

IF EXISTS (
           SELECT 1
           FROM   MANCHKH c, deleted d
           WHERE  c.FINCHGACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "MANCHKH". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARRCTH'  */

IF EXISTS (
           SELECT 1
           FROM   ARRCTH c, deleted d
           WHERE  c.FINCHGACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "ARRCTH". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARBAL'  */

IF EXISTS (
           SELECT 1
           FROM   ARBAL c, deleted d
           WHERE  c.FINCHGACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "ARBAL". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARBALH'  */

IF EXISTS (
           SELECT 1
           FROM   ARBALH c, deleted d
           WHERE  c.FINCHGACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "ARBALH". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'APBAL'  */

IF EXISTS (
           SELECT 1
           FROM   APBAL c, deleted d
           WHERE  c.FINCHGACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "APBAL". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'APBALH'  */

IF EXISTS (
           SELECT 1
           FROM   APBALH c, deleted d
           WHERE  c.FINCHGACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "APBALH". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'APMAST'  */

IF EXISTS (
           SELECT 1
           FROM   APMAST c, deleted d
           WHERE  c.MCHGACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "APMAST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'APMAST'  */

IF EXISTS (
           SELECT 1
           FROM   APMAST c, deleted d
           WHERE  c.FINCHG = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "APMAST". Cannot delete parent "GLYEAR".'
        GOTO error
   END

/*  Parent in 'GLYEAR' cannot be deleted if children exist in 'ARMAST'  */

IF EXISTS (
           SELECT 1
           FROM   ARMAST c, deleted d
           WHERE  c.MCHGACCT = d.ACCTNO
          )
   BEGIN
        SELECT @error_number=30005,
               @error_message='Children exist in "ARMAST". Cannot delete parent "GLYEAR".'
        GOTO error
   END
RETURN

/*  Error Handling  */
error:
      RAISERROR (@error_number, @error_message,10,1)
      ROLLBACK TRANSACTION
END

GO


SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER OFF
GO

/*  Update Trigger 'T_U_GLYEAR' for Table 'GLYEAR'  */

CREATE TRIGGER [dbo].[T_U_GLYEAR] ON [dbo].[GLYEAR] FOR UPDATE AS

BEGIN
    DECLARE
           @row_count       INT,
           @null_row_count  INT,
           @error_number    INT,
           @error_message   VARCHAR(255)

    SELECT @row_count = @@rowcount
    IF @row_count = 0
       RETURN

/*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'APBAL'  */

IF UPDATE(ACCTNO)
BEGIN
     IF EXISTS (
                SELECT 1
                FROM   APBAL c, inserted i, deleted d
                WHERE  c.CASHACCT = d.ACCTNO
                AND   (i.ACCTNO != d.ACCTNO)
               )
        BEGIN
             SELECT @error_number=30004,
                    @error_message='Children exist in "APBAL". Cannot modify Primary Key in "GLYEAR".'
             GOTO error
        END
END

/*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'APBALH'  */

IF UPDATE(ACCTNO)
BEGIN
     IF EXISTS (
                SELECT 1
                FROM   APBALH c, inserted i, deleted d
                WHERE  c.CASHACCT = d.ACCTNO
                AND   (i.ACCTNO != d.ACCTNO)
               )
        BEGIN
             SELECT @error_number=30004,
                    @error_message='Children exist in "APBALH". Cannot modify Primary Key in "GLYEAR".'
             GOTO error
        END
END

/*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'APDET'  */

IF UPDATE(ACCTNO)
BEGIN
     IF EXISTS (
                SELECT 1
                FROM   APDET c, inserted i, deleted d
                WHERE  c.ACCTNO = d.ACCTNO
                AND   (i.ACCTNO != d.ACCTNO)
               )
        BEGIN
             SELECT @error_number=30004,
                    @error_message='Children exist in "APDET". Cannot modify Primary Key in "GLYEAR".'
             GOTO error
        END
END

/*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'ARBAL'  */

IF UPDATE(ACCTNO)
BEGIN
     IF EXISTS (
                SELECT 1
                FROM   ARBAL c, inserted i, deleted d
                WHERE  c.ACCTNO = d.ACCTNO
                AND   (i.ACCTNO != d.ACCTNO)
               )
        BEGIN
             SELECT @error_number=30004,
                    @error_message='Children exist in "ARBAL". Cannot modify Primary Key in "GLYEAR".'
             GOTO error
        END
END

/*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'ARBAL'  */

IF UPDATE(ACCTNO)
BEGIN
     IF EXISTS (
                SELECT 1
                FROM   ARBAL c, inserted i, deleted d
                WHERE  c.MACCTNO = d.ACCTNO
                AND   (i.ACCTNO != d.ACCTNO)
               )
        BEGIN
             SELECT @error_number=30004,
                    @error_message='Children exist in "ARBAL". Cannot modify Primary Key in "GLYEAR".'
             GOTO error
        END
END

/*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'ARBALH'  */

IF UPDATE(ACCTNO)
BEGIN
     IF EXISTS (
                SELECT 1
                FROM   ARBALH c, inserted i, deleted d
                WHERE  c.ACCTNO = d.ACCTNO
                AND   (i.ACCTNO != d.ACCTNO)
               )
        BEGIN
             SELECT @error_number=30004,
                    @error_message='Children exist in "ARBALH". Cannot modify Primary Key in "GLYEAR".'
             GOTO error
        END
END

/*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'ARBALH'  */

IF UPDATE(ACCTNO)
BEGIN
     IF EXISTS (
                SELECT 1
                FROM   ARBALH c, inserted i, deleted d
                WHERE  c.MACCTNO = d.ACCTNO
                AND   (i.ACCTNO != d.ACCTNO)
               )
        BEGIN
             SELECT @error_number=30004,
                    @error_message='Children exist in "ARBALH". Cannot modify Primary Key in "GLYEAR".'
             GOTO error
        END
END

/*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'ARDET'  */

IF UPDATE(ACCTNO)
BEGIN
     IF EXISTS (
                SELECT 1
                FROM   ARDET c, inserted i, deleted d
                WHERE  c.ACCTNO = d.ACCTNO
                AND   (i.ACCTNO != d.ACCTNO)
               )
        BEGIN
             SELECT @error_number=30004,
                    @error_message='Children exist in "ARDET". Cannot modify Primary Key in "GLYEAR".'
             GOTO error
        END
END

/*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'BANKREC'  */

IF UPDATE(ACCTNO)
BEGIN
     IF EXISTS (
                SELECT 1
                FROM   BANKREC c, inserted i, deleted d
                WHERE  c.ACCTNO = d.ACCTNO
                AND   (i.ACCTNO != d.ACCTNO)
               )
        BEGIN
             SELECT @error_number=30004,
                    @error_message='Children exist in "BANKREC". Cannot modify Primary Key in "GLYEAR".'
             GOTO error
        END
END

/*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'CYCCNT'  */

IF UPDATE(ACCTNO)
BEGIN
     IF EXISTS (
                SELECT 1
                FROM   CYCCNT c, inserted i, deleted d
                WHERE  c.ACCTNO = d.ACCTNO
                AND   (i.ACCTNO != d.ACCTNO)
               )
        BEGIN
             SELECT @error_number=30004,
                    @error_message='Children exist in "CYCCNT". Cannot modify Primary Key in "GLYEAR".'
             GOTO error
        END
END

/*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'GLAPDIST'  */

IF UPDATE(ACCTNO)
BEGIN
     IF EXISTS (
                SELECT 1
                FROM   GLAPDIST c, inserted i, deleted d
                WHERE  c.ACCTNO = d.ACCTNO
                AND   (i.ACCTNO != d.ACCTNO)
               )
        BEGIN
             SELECT @error_number=30004,
                    @error_message='Children exist in "GLAPDIST". Cannot modify Primary Key in "GLYEAR".'
             GOTO error
        END
END

/*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'GLARDIST'  */

IF UPDATE(ACCTNO)
BEGIN
     IF EXISTS (
                SELECT 1
                FROM   GLARDIST c, inserted i, deleted d
                WHERE  c.ACCTNO = d.ACCTNO
                AND   (i.ACCTNO != d.ACCTNO)
               )
        BEGIN
             SELECT @error_number=30004,
                    @error_message='Children exist in "GLARDIST". Cannot modify Primary Key in "GLYEAR".'
             GOTO error
        END
END

/*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'GLTRANH'  */

IF UPDATE(ACCTNO)
BEGIN
     IF EXISTS (
                SELECT 1
                FROM   GLTRANH c, inserted i, deleted d
                WHERE  c.ACCTNO = d.ACCTNO
                AND   (i.ACCTNO != d.ACCTNO)
               )
        BEGIN
             SELECT @error_number=30004,
                    @error_message='Children exist in "GLTRANH". Cannot modify Primary Key in "GLYEAR".'
             GOTO error
        END
END

/*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'LABGLHST'  */

IF UPDATE(ACCTNO)
BEGIN
     IF EXISTS (
                SELECT 1
                FROM   LABGLHST c, inserted i, deleted d
                WHERE  c.CRACCT = d.ACCTNO
                AND   (i.ACCTNO != d.ACCTNO)
               )
        BEGIN
             SELECT @error_number=30004,
                    @error_message='Children exist in "LABGLHST". Cannot modify Primary Key in "GLYEAR".'
             GOTO error
        END
END

/*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'LABGLHST'  */

IF UPDATE(ACCTNO)
BEGIN
     IF EXISTS (
                SELECT 1
                FROM   LABGLHST c, inserted i, deleted d
                WHERE  c.DBACCT = d.ACCTNO
                AND   (i.ACCTNO != d.ACCTNO)
               )
        BEGIN
             SELECT @error_number=30004,
                    @error_message='Children exist in "LABGLHST". Cannot modify Primary Key in "GLYEAR".'
             GOTO error
        END
END

/*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'MTXGLHST'  */

IF UPDATE(ACCTNO)
BEGIN
     IF EXISTS (
                SELECT 1
                FROM   MTXGLHST c, inserted i, deleted d
                WHERE  c.CRACCT = d.ACCTNO
                AND   (i.ACCTNO != d.ACCTNO)
               )
        BEGIN
             SELECT @error_number=30004,
                    @error_message='Children exist in "MTXGLHST". Cannot modify Primary Key in "GLYEAR".'
             GOTO error
        END
END

/*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'MTXGLHST'  */

IF UPDATE(ACCTNO)
BEGIN
     IF EXISTS (
                SELECT 1
                FROM   MTXGLHST c, inserted i, deleted d
                WHERE  c.DBACCT = d.ACCTNO
                AND   (i.ACCTNO != d.ACCTNO)
               )
        BEGIN
             SELECT @error_number=30004,
                    @error_message='Children exist in "MTXGLHST". Cannot modify Primary Key in "GLYEAR".'
             GOTO error
        END
END

/*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'MTXNHIST'  */

IF UPDATE(ACCTNO)
BEGIN
     IF EXISTS (
                SELECT 1
                FROM   MTXNHIST c, inserted i, deleted d
                WHERE  c.ACCTNO = d.ACCTNO
                AND   (i.ACCTNO != d.ACCTNO)
               )
        BEGIN
             SELECT @error_number=30004,
                    @error_message='Children exist in "MTXNHIST". Cannot modify Primary Key in "GLYEAR".'
             GOTO error
        END
END

/*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'PHYINV'  */

IF UPDATE(ACCTNO)
BEGIN
     IF EXISTS (
                SELECT 1
                FROM   PHYINV c, inserted i, deleted d
                WHERE  c.ACCTNO = d.ACCTNO
                AND   (i.ACCTNO != d.ACCTNO)
               )
        BEGIN
             SELECT @error_number=30004,
                    @error_message='Children exist in "PHYINV". Cannot modify Primary Key in "GLYEAR".'
             GOTO error
        END
END

/*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'SHIPHIST'  */

IF UPDATE(ACCTNO)
BEGIN
     IF EXISTS (
                SELECT 1
                FROM   SHIPHIST c, inserted i, deleted d
                WHERE  c.ACCTNO = d.ACCTNO
                AND   (i.ACCTNO != d.ACCTNO)
               )
        BEGIN
             SELECT @error_number=30004,
                    @error_message='Children exist in "SHIPHIST". Cannot modify Primary Key in "GLYEAR".'
             GOTO error
        END
END

/*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'ARBAL'  */

IF UPDATE(ACCTNO)
BEGIN
     IF EXISTS (
                SELECT 1
                FROM   ARBAL c, inserted i, deleted d
                WHERE  c.FINCHGACCT = d.ACCTNO
                AND   (i.ACCTNO != d.ACCTNO)
               )
        BEGIN
             SELECT @error_number=30004,
                    @error_message='Children exist in "ARBAL". Cannot modify Primary Key in "GLYEAR".'
             GOTO error
        END
END

/*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'ARBALH'  */

IF UPDATE(ACCTNO)
BEGIN
     IF EXISTS (
                SELECT 1
                FROM   ARBALH c, inserted i, deleted d
                WHERE  c.FINCHGACCT = d.ACCTNO
                AND   (i.ACCTNO != d.ACCTNO)
               )
        BEGIN
             SELECT @error_number=30004,
                    @error_message='Children exist in "ARBALH". Cannot modify Primary Key in "GLYEAR".'
             GOTO error
        END
END

/*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'APBAL'  */

IF UPDATE(ACCTNO)
BEGIN
     IF EXISTS (
                SELECT 1
                FROM   APBAL c, inserted i, deleted d
                WHERE  c.FINCHGACCT = d.ACCTNO
                AND   (i.ACCTNO != d.ACCTNO)
               )
        BEGIN
             SELECT @error_number=30004,
                    @error_message='Children exist in "APBAL". Cannot modify Primary Key in "GLYEAR".'
             GOTO error
        END
END

/*  The Primary Key of 'GLYEAR' cannot be modified if children exist in 'APBALH'  */

IF UPDATE(ACCTNO)
BEGIN
     IF EXISTS (
                SELECT 1
                FROM   APBALH c, inserted i, deleted d
                WHERE  c.FINCHGACCT = d.ACCTNO
                AND   (i.ACCTNO != d.ACCTNO)
               )
        BEGIN
             SELECT @error_number=30004,
                    @error_message='Children exist in "APBALH". Cannot modify Primary Key in "GLYEAR".'
             GOTO error
        END
END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ADVCLASS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE ADVCLASS
        SET    ADVACCT = i.ACCTNO
        FROM   ADVCLASS c, inserted i, deleted d
        WHERE  c.ADVACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ADVSETUP'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE ADVSETUP
        SET    ADJACCT = i.ACCTNO
        FROM   ADVSETUP c, inserted i, deleted d
        WHERE  c.ADJACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ADVSETUP'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE ADVSETUP
        SET    CASHACCT = i.ACCTNO
        FROM   ADVSETUP c, inserted i, deleted d
        WHERE  c.CASHACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ALLBASE'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE ALLBASE
        SET    BASEACCT = i.ACCTNO
        FROM   ALLBASE c, inserted i, deleted d
        WHERE  c.BASEACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ALLBASE'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE ALLBASE
        SET    BASEACCT = i.ACCTNO
        FROM   ALLBASE c, inserted i, deleted d
        WHERE  c.BASEACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ALLMAST'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE ALLMAST
        SET    FROMACCT = i.ACCTNO
        FROM   ALLMAST c, inserted i, deleted d
        WHERE  c.FROMACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ALLTO'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE ALLTO
        SET    TOACCT = i.ACCTNO
        FROM   ALLTO c, inserted i, deleted d
        WHERE  c.TOACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'APCHECKS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE APCHECKS
        SET    ACCTNO = i.ACCTNO
        FROM   APCHECKS c, inserted i, deleted d
        WHERE  c.ACCTNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'APEDIT'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE APEDIT
        SET    ACCTNO = i.ACCTNO
        FROM   APEDIT c, inserted i, deleted d
        WHERE  c.ACCTNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'APINVCH'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE APINVCH
        SET    CASHACCT = i.ACCTNO
        FROM   APINVCH c, inserted i, deleted d
        WHERE  c.CASHACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'APMAST'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE APMAST
        SET    APCLEAR = i.ACCTNO
        FROM   APMAST c, inserted i, deleted d
        WHERE  c.APCLEAR = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'APMAST'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE APMAST
        SET    CALCACCT = i.ACCTNO
        FROM   APMAST c, inserted i, deleted d
        WHERE  c.CALCACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'APMAST'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE APMAST
        SET    CASHACCT = i.ACCTNO
        FROM   APMAST c, inserted i, deleted d
        WHERE  c.CASHACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'APMAST'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE APMAST
        SET    DSCNTACCT = i.ACCTNO
        FROM   APMAST c, inserted i, deleted d
        WHERE  c.DSCNTACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'APMAST'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE APMAST
        SET    EXPACCT = i.ACCTNO
        FROM   APMAST c, inserted i, deleted d
        WHERE  c.EXPACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'APMAST'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE APMAST
        SET    FRTACCT = i.ACCTNO
        FROM   APMAST c, inserted i, deleted d
        WHERE  c.FRTACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'APMAST'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE APMAST
        SET    GLAPACCT = i.ACCTNO
        FROM   APMAST c, inserted i, deleted d
        WHERE  c.GLAPACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARINVCD'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE ARINVCD
        SET    ACCTNO = i.ACCTNO
        FROM   ARINVCD c, inserted i, deleted d
        WHERE  c.ACCTNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARINVCH'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE ARINVCH
        SET    ACCTNO = i.ACCTNO
        FROM   ARINVCH c, inserted i, deleted d
        WHERE  c.ACCTNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARINVCH'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE ARINVCH
        SET    MACCTNO = i.ACCTNO
        FROM   ARINVCH c, inserted i, deleted d
        WHERE  c.MACCTNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARMAST'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE ARMAST
        SET    ARCLEAR = i.ACCTNO
        FROM   ARMAST c, inserted i, deleted d
        WHERE  c.ARCLEAR = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARMAST'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE ARMAST
        SET    CALCACCT = i.ACCTNO
        FROM   ARMAST c, inserted i, deleted d
        WHERE  c.CALCACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARMAST'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE ARMAST
        SET    CASHREC = i.ACCTNO
        FROM   ARMAST c, inserted i, deleted d
        WHERE  c.CASHREC = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARMAST'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE ARMAST
        SET    CHKACCT = i.ACCTNO
        FROM   ARMAST c, inserted i, deleted d
        WHERE  c.CHKACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARMAST'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE ARMAST
        SET    CSHACCT = i.ACCTNO
        FROM   ARMAST c, inserted i, deleted d
        WHERE  c.CSHACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARMAST'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE ARMAST
        SET    FINCHG = i.ACCTNO
        FROM   ARMAST c, inserted i, deleted d
        WHERE  c.FINCHG = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARMAST'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE ARMAST
        SET    FREIGHT = i.ACCTNO
        FROM   ARMAST c, inserted i, deleted d
        WHERE  c.FREIGHT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARMAST'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE ARMAST
        SET    GLARACCT = i.ACCTNO
        FROM   ARMAST c, inserted i, deleted d
        WHERE  c.GLARACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARMAST'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE ARMAST
        SET    MISCACCT = i.ACCTNO
        FROM   ARMAST c, inserted i, deleted d
        WHERE  c.MISCACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARMAST'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE ARMAST
        SET    PRODUCT = i.ACCTNO
        FROM   ARMAST c, inserted i, deleted d
        WHERE  c.PRODUCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARMAST'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE ARMAST
        SET    SLSDISC = i.ACCTNO
        FROM   ARMAST c, inserted i, deleted d
        WHERE  c.SLSDISC = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARRCT'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE ARRCT
        SET    ACCTNO = i.ACCTNO
        FROM   ARRCT c, inserted i, deleted d
        WHERE  c.ACCTNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARRCTH'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE ARRCTH
        SET    ACCTNO = i.ACCTNO
        FROM   ARRCTH c, inserted i, deleted d
        WHERE  c.ACCTNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'BANK'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE BANK
        SET    ACCTNO = i.ACCTNO
        FROM   BANK c, inserted i, deleted d
        WHERE  c.ACCTNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'BKMAST'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE BKMAST
        SET    BKCLACCT = i.ACCTNO
        FROM   BKMAST c, inserted i, deleted d
        WHERE  c.BKCLACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'BKMAST'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE BKMAST
        SET    EXPACCT = i.ACCTNO
        FROM   BKMAST c, inserted i, deleted d
        WHERE  c.EXPACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'BKTRAN'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE BKTRAN
        SET    EXPACCT = i.ACCTNO
        FROM   BKTRAN c, inserted i, deleted d
        WHERE  c.EXPACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'BKTRHIST'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE BKTRHIST
        SET    EXPACCT = i.ACCTNO
        FROM   BKTRHIST c, inserted i, deleted d
        WHERE  c.EXPACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'CODET'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE CODET
        SET    ACCTNO = i.ACCTNO
        FROM   CODET c, inserted i, deleted d
        WHERE  c.ACCTNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'COMAST'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE COMAST
        SET    MACCTNO = i.ACCTNO
        FROM   COMAST c, inserted i, deleted d
        WHERE  c.MACCTNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'CUSTCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE CUSTCLAS
        SET    CASHREC = i.ACCTNO
        FROM   CUSTCLAS c, inserted i, deleted d
        WHERE  c.CASHREC = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'CUSTCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE CUSTCLAS
        SET    DEPACCT = i.ACCTNO
        FROM   CUSTCLAS c, inserted i, deleted d
        WHERE  c.DEPACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'CUSTCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE CUSTCLAS
        SET    FINCHG = i.ACCTNO
        FROM   CUSTCLAS c, inserted i, deleted d
        WHERE  c.FINCHG = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'CUSTCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE CUSTCLAS
        SET    FREIGHT = i.ACCTNO
        FROM   CUSTCLAS c, inserted i, deleted d
        WHERE  c.FREIGHT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'CUSTCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE CUSTCLAS
        SET    GLARACCT = i.ACCTNO
        FROM   CUSTCLAS c, inserted i, deleted d
        WHERE  c.GLARACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'CUSTCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE CUSTCLAS
        SET    OACACCT = i.ACCTNO
        FROM   CUSTCLAS c, inserted i, deleted d
        WHERE  c.OACACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'CUSTCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE CUSTCLAS
        SET    PRODUCT = i.ACCTNO
        FROM   CUSTCLAS c, inserted i, deleted d
        WHERE  c.PRODUCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'CUSTCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE CUSTCLAS
        SET    SLSDISC = i.ACCTNO
        FROM   CUSTCLAS c, inserted i, deleted d
        WHERE  c.SLSDISC = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'CUSTOMER'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE CUSTOMER
        SET    GLSLSACCT = i.ACCTNO
        FROM   CUSTOMER c, inserted i, deleted d
        WHERE  c.GLSLSACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'GLACDIST'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE GLACDIST
        SET    ACCTNO = i.ACCTNO
        FROM   GLACDIST c, inserted i, deleted d
        WHERE  c.ACCTNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'GLINTERD'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE GLINTERD
        SET    ACCTNO = i.ACCTNO
        FROM   GLINTERD c, inserted i, deleted d
        WHERE  c.ACCTNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'GLMAPD'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE GLMAPD
        SET    SUBACCT = i.ACCTNO
        FROM   GLMAPD c, inserted i, deleted d
        WHERE  c.SUBACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'GLMAPH'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE GLMAPH
        SET    MASTACCT = i.ACCTNO
        FROM   GLMAPH c, inserted i, deleted d
        WHERE  c.MASTACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'GLMAST'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE GLMAST
        SET    RETEARN = i.ACCTNO
        FROM   GLMAST c, inserted i, deleted d
        WHERE  c.RETEARN = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'GLMDIST'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE GLMDIST
        SET    MACCTNO = i.ACCTNO
        FROM   GLMDIST c, inserted i, deleted d
        WHERE  c.MACCTNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'GLRPTLIN'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE GLRPTLIN
        SET    FROMACCT = i.ACCTNO
        FROM   GLRPTLIN c, inserted i, deleted d
        WHERE  c.FROMACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'GLRPTLIN'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE GLRPTLIN
        SET    TOACCT = i.ACCTNO
        FROM   GLRPTLIN c, inserted i, deleted d
        WHERE  c.TOACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'GLTRAN'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE GLTRAN
        SET    ACCTNO = i.ACCTNO
        FROM   GLTRAN c, inserted i, deleted d
        WHERE  c.ACCTNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'INV'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE INV
        SET    ACCTNO = i.ACCTNO
        FROM   INV c, inserted i, deleted d
        WHERE  c.ACCTNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'INVADJH'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE INVADJH
        SET    ACCTNO = i.ACCTNO
        FROM   INVADJH c, inserted i, deleted d
        WHERE  c.ACCTNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'INVMAST'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE INVMAST
        SET    ADJACCNT = i.ACCTNO
        FROM   INVMAST c, inserted i, deleted d
        WHERE  c.ADJACCNT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'MANCHECK'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE MANCHECK
        SET    ACCT = i.ACCTNO
        FROM   MANCHECK c, inserted i, deleted d
        WHERE  c.ACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'MANCHKH'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE MANCHKH
        SET    ACCT = i.ACCTNO
        FROM   MANCHKH c, inserted i, deleted d
        WHERE  c.ACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'MPSORD'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE MPSORD
        SET    ACCTNO = i.ACCTNO
        FROM   MPSORD c, inserted i, deleted d
        WHERE  c.ACCTNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'OEINVCD'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE OEINVCD
        SET    ACCTNO = i.ACCTNO
        FROM   OEINVCD c, inserted i, deleted d
        WHERE  c.ACCTNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'OEINVCH'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE OEINVCH
        SET    ACCTNO = i.ACCTNO
        FROM   OEINVCH c, inserted i, deleted d
        WHERE  c.ACCTNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'OEINVCH'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE OEINVCH
        SET    MACCTNO = i.ACCTNO
        FROM   OEINVCH c, inserted i, deleted d
        WHERE  c.MACCTNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PAYINH'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE PAYINH
        SET    ACCTNO = i.ACCTNO
        FROM   PAYINH c, inserted i, deleted d
        WHERE  c.ACCTNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE PRODCLAS
        SET    GLASSACCT = i.ACCTNO
        FROM   PRODCLAS c, inserted i, deleted d
        WHERE  c.GLASSACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE PRODCLAS
        SET    GLCOSACCT = i.ACCTNO
        FROM   PRODCLAS c, inserted i, deleted d
        WHERE  c.GLCOSACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE PRODCLAS
        SET    GLCOSFACCT = i.ACCTNO
        FROM   PRODCLAS c, inserted i, deleted d
        WHERE  c.GLCOSFACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE PRODCLAS
        SET    GLCOSLACCT = i.ACCTNO
        FROM   PRODCLAS c, inserted i, deleted d
        WHERE  c.GLCOSLACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE PRODCLAS
        SET    GLCOSMACCT = i.ACCTNO
        FROM   PRODCLAS c, inserted i, deleted d
        WHERE  c.GLCOSMACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE PRODCLAS
        SET    GLCOSVACCT = i.ACCTNO
        FROM   PRODCLAS c, inserted i, deleted d
        WHERE  c.GLCOSVACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE PRODCLAS
        SET    GLCREVACCT = i.ACCTNO
        FROM   PRODCLAS c, inserted i, deleted d
        WHERE  c.GLCREVACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE PRODCLAS
        SET    GLCYCCACCT = i.ACCTNO
        FROM   PRODCLAS c, inserted i, deleted d
        WHERE  c.GLCYCCACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE PRODCLAS
        SET    GLINVACCT = i.ACCTNO
        FROM   PRODCLAS c, inserted i, deleted d
        WHERE  c.GLINVACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE PRODCLAS
        SET    GLLRVACCT = i.ACCTNO
        FROM   PRODCLAS c, inserted i, deleted d
        WHERE  c.GLLRVACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE PRODCLAS
        SET    GLMFVACCT = i.ACCTNO
        FROM   PRODCLAS c, inserted i, deleted d
        WHERE  c.GLMFVACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE PRODCLAS
        SET    GLMLVACCT = i.ACCTNO
        FROM   PRODCLAS c, inserted i, deleted d
        WHERE  c.GLMLVACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE PRODCLAS
        SET    GLMMVACCT = i.ACCTNO
        FROM   PRODCLAS c, inserted i, deleted d
        WHERE  c.GLMMVACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE PRODCLAS
        SET    GLMUVACCT = i.ACCTNO
        FROM   PRODCLAS c, inserted i, deleted d
        WHERE  c.GLMUVACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE PRODCLAS
        SET    GLMVVACCT = i.ACCTNO
        FROM   PRODCLAS c, inserted i, deleted d
        WHERE  c.GLMVVACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE PRODCLAS
        SET    GLPFVACCT = i.ACCTNO
        FROM   PRODCLAS c, inserted i, deleted d
        WHERE  c.GLPFVACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE PRODCLAS
        SET    GLPHYCACCT = i.ACCTNO
        FROM   PRODCLAS c, inserted i, deleted d
        WHERE  c.GLPHYCACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE PRODCLAS
        SET    GLPLVACCT = i.ACCTNO
        FROM   PRODCLAS c, inserted i, deleted d
        WHERE  c.GLPLVACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE PRODCLAS
        SET    GLPPVACCT = i.ACCTNO
        FROM   PRODCLAS c, inserted i, deleted d
        WHERE  c.GLPPVACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE PRODCLAS
        SET    GLPVVACCT = i.ACCTNO
        FROM   PRODCLAS c, inserted i, deleted d
        WHERE  c.GLPVVACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE PRODCLAS
        SET    GLSLSACCT = i.ACCTNO
        FROM   PRODCLAS c, inserted i, deleted d
        WHERE  c.GLSLSACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE PRODCLAS
        SET    GLWIPFACCT = i.ACCTNO
        FROM   PRODCLAS c, inserted i, deleted d
        WHERE  c.GLWIPFACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE PRODCLAS
        SET    GLWIPLACCT = i.ACCTNO
        FROM   PRODCLAS c, inserted i, deleted d
        WHERE  c.GLWIPLACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE PRODCLAS
        SET    GLWIPMACCT = i.ACCTNO
        FROM   PRODCLAS c, inserted i, deleted d
        WHERE  c.GLWIPMACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PRODCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE PRODCLAS
        SET    GLWIPVACCT = i.ACCTNO
        FROM   PRODCLAS c, inserted i, deleted d
        WHERE  c.GLWIPVACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PTCE_DT'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE PTCE_DT
        SET    ACCTNO = i.ACCTNO
        FROM   PTCE_DT c, inserted i, deleted d
        WHERE  c.ACCTNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PTCH_END'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE PTCH_END
        SET    ACCTNO = i.ACCTNO
        FROM   PTCH_END c, inserted i, deleted d
        WHERE  c.ACCTNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PTCSETUP'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE PTCSETUP
        SET    ACTACCT = i.ACCTNO
        FROM   PTCSETUP c, inserted i, deleted d
        WHERE  c.ACTACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PURCODE'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE PURCODE
        SET    ACCTNO = i.ACCTNO
        FROM   PURCODE c, inserted i, deleted d
        WHERE  c.ACCTNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'PURMAST'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE PURMAST
        SET    GLPURACCT = i.ACCTNO
        FROM   PURMAST c, inserted i, deleted d
        WHERE  c.GLPURACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'REQUEST'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE REQUEST
        SET    ACCTNO = i.ACCTNO
        FROM   REQUEST c, inserted i, deleted d
        WHERE  c.ACCTNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'TAXRATE'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE TAXRATE
        SET    ACCT1 = i.ACCTNO
        FROM   TAXRATE c, inserted i, deleted d
        WHERE  c.ACCT1 = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'TAXRATE'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE TAXRATE
        SET    ACCT2 = i.ACCTNO
        FROM   TAXRATE c, inserted i, deleted d
        WHERE  c.ACCT2 = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'TAXRATE'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE TAXRATE
        SET    ACCT3 = i.ACCTNO
        FROM   TAXRATE c, inserted i, deleted d
        WHERE  c.ACCT3 = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'TAXRATE'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE TAXRATE
        SET    ACCT4 = i.ACCTNO
        FROM   TAXRATE c, inserted i, deleted d
        WHERE  c.ACCT4 = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'TAXRATE'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE TAXRATE
        SET    WDACCT = i.ACCTNO
        FROM   TAXRATE c, inserted i, deleted d
        WHERE  c.WDACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'TAX_PAY'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE TAX_PAY
        SET    ACCT1 = i.ACCTNO
        FROM   TAX_PAY c, inserted i, deleted d
        WHERE  c.ACCT1 = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'TAX_PAY'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE TAX_PAY
        SET    ACCT2 = i.ACCTNO
        FROM   TAX_PAY c, inserted i, deleted d
        WHERE  c.ACCT2 = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'TAX_PAY'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE TAX_PAY
        SET    ACCT3 = i.ACCTNO
        FROM   TAX_PAY c, inserted i, deleted d
        WHERE  c.ACCT3 = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'TAX_PAY'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE TAX_PAY
        SET    ACCT4 = i.ACCTNO
        FROM   TAX_PAY c, inserted i, deleted d
        WHERE  c.ACCT4 = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'TAX_PAY'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE TAX_PAY
        SET    PRACCT = i.ACCTNO
        FROM   TAX_PAY c, inserted i, deleted d
        WHERE  c.PRACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'TAX_PAY'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE TAX_PAY
        SET    WDACCT = i.ACCTNO
        FROM   TAX_PAY c, inserted i, deleted d
        WHERE  c.WDACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'TRANS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE TRANS
        SET    ACCTNO = i.ACCTNO
        FROM   TRANS c, inserted i, deleted d
        WHERE  c.ACCTNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'VENDCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE VENDCLAS
        SET    CASHACCT = i.ACCTNO
        FROM   VENDCLAS c, inserted i, deleted d
        WHERE  c.CASHACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'VENDCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE VENDCLAS
        SET    DSCNTACCT = i.ACCTNO
        FROM   VENDCLAS c, inserted i, deleted d
        WHERE  c.DSCNTACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'VENDCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE VENDCLAS
        SET    FRTACCT = i.ACCTNO
        FROM   VENDCLAS c, inserted i, deleted d
        WHERE  c.FRTACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'VENDCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE VENDCLAS
        SET    GLAPACCT = i.ACCTNO
        FROM   VENDCLAS c, inserted i, deleted d
        WHERE  c.GLAPACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'VENDCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE VENDCLAS
        SET    GLAPRACCT = i.ACCTNO
        FROM   VENDCLAS c, inserted i, deleted d
        WHERE  c.GLAPRACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'VENDCLAS'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE VENDCLAS
        SET    GLAPUACCT = i.ACCTNO
        FROM   VENDCLAS c, inserted i, deleted d
        WHERE  c.GLAPUACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'VENDOR'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE VENDOR
        SET    EXPACCTNO = i.ACCTNO
        FROM   VENDOR c, inserted i, deleted d
        WHERE  c.EXPACCTNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'VENDOR'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE VENDOR
        SET    VENDACCT = i.ACCTNO
        FROM   VENDOR c, inserted i, deleted d
        WHERE  c.VENDACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'WC'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE WC
        SET    GLCOPFACCT = i.ACCTNO
        FROM   WC c, inserted i, deleted d
        WHERE  c.GLCOPFACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'WC'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE WC
        SET    GLCOPLACCT = i.ACCTNO
        FROM   WC c, inserted i, deleted d
        WHERE  c.GLCOPLACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'WC'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE WC
        SET    GLCOPVACCT = i.ACCTNO
        FROM   WC c, inserted i, deleted d
        WHERE  c.GLCOPVACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'WC'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE WC
        SET    GLFOACCNO = i.ACCTNO
        FROM   WC c, inserted i, deleted d
        WHERE  c.GLFOACCNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'WC'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE WC
        SET    GLLAACCNO = i.ACCTNO
        FROM   WC c, inserted i, deleted d
        WHERE  c.GLLAACCNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'WC'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE WC
        SET    GLVOACCNO = i.ACCTNO
        FROM   WC c, inserted i, deleted d
        WHERE  c.GLVOACCNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'INVBGT'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE INVBGT
        SET    ACCTNO = i.ACCTNO
        FROM   INVBGT c, inserted i, deleted d
        WHERE  c.ACCTNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'INVENSH'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE INVENSH
        SET    DEFACCT = i.ACCTNO
        FROM   INVENSH c, inserted i, deleted d
        WHERE  c.DEFACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'INVENSM2'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE INVENSM2
        SET    ACCTNO = i.ACCTNO
        FROM   INVENSM2 c, inserted i, deleted d
        WHERE  c.ACCTNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'INVENSD'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE INVENSD
        SET    ACCTNO = i.ACCTNO
        FROM   INVENSD c, inserted i, deleted d
        WHERE  c.ACCTNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'MULRCDM'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE MULRCDM
        SET    ACCTNO = i.ACCTNO
        FROM   MULRCDM c, inserted i, deleted d
        WHERE  c.ACCTNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'MULRCDD'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE MULRCDD
        SET    ACCTNO = i.ACCTNO
        FROM   MULRCDD c, inserted i, deleted d
        WHERE  c.ACCTNO = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'MANCHKH'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE MANCHKH
        SET    FINCHGACCT = i.ACCTNO
        FROM   MANCHKH c, inserted i, deleted d
        WHERE  c.FINCHGACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARRCTH'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE ARRCTH
        SET    FINCHGACCT = i.ACCTNO
        FROM   ARRCTH c, inserted i, deleted d
        WHERE  c.FINCHGACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'APMAST'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE APMAST
        SET    MCHGACCT = i.ACCTNO
        FROM   APMAST c, inserted i, deleted d
        WHERE  c.MCHGACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'APMAST'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE APMAST
        SET    FINCHG = i.ACCTNO
        FROM   APMAST c, inserted i, deleted d
        WHERE  c.FINCHG = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END

/*  Cascade the Update of the Primary Key of 'GLYEAR' into its children in 'ARMAST'  */

IF UPDATE(ACCTNO)
   BEGIN
        UPDATE ARMAST
        SET    MCHGACCT = i.ACCTNO
        FROM   ARMAST c, inserted i, deleted d
        WHERE  c.MCHGACCT = d.ACCTNO
        AND    (i.ACCTNO != d.ACCTNO)
   END
RETURN

/*  Error Handling  */
error:
      RAISERROR (@error_number, @error_message,10,1)
      ROLLBACK TRANSACTION
END

GO




